//  SCAD Mesh File
//  D. Scott Nettleton
//  Feb. 2, 2013
//  This mesh is for use with the OpenSCAD

//  Width of the heel of your foot (in millimeters)
heelWidth = 62;
//  Width of your foot where your arch ends (in millimeters)
footWidth = 72;
//  Distance from the back of your heel to the start of your arch (in millimeters)
beginningOfArch = 50;
//  Distance from the back of your heel to the end of your arch (in millimeters)
endOfArch = 131;
//  Height of your arch from the ground, with no weight on your foot (in millimeters)
archHeight = 13;
//  Desired thickness of the insert
thickness = 0; // [0:Thin,0.75:Medium,1.5:Thick]
whichFoot = 0; // [0:Right,1:Left]

translate([0, -endOfArch/2.0, 0]) {
	mirror([whichFoot,0,0]) { drawMesh(); }
}

module drawMesh() {
	polyhedron(
		points=[
			[-0.4768784430719191*heelWidth,0.42418014526367187*beginningOfArch,-2.5431385040283203],
			[0.47388965852798953*heelWidth,0.5058769226074219*beginningOfArch,-2.5431385040283203],
			[-0.4824658363096176*heelWidth,0.44765541076660154*beginningOfArch,0.8187536001205444+thickness],
			[0.46759168563350556*heelWidth,0.47225730895996093*beginningOfArch,0.8642034530639648+thickness],
			[-0.44851823615757014*((1.0-(((0.34959016022858797*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.34959016022858797*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.34959016022858797*(endOfArch-beginningOfArch)+beginningOfArch,0.7332479770366962*archHeight+thickness],
			[-0.45604937871276713*((1.0-(((0.32283255494671104*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.32283255494671104*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.32283255494671104*(endOfArch-beginningOfArch)+beginningOfArch,-2.821643352508545],
			[0.4791840744542086*((1.0-(((0.2840772087191358*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2840772087191358*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2840772087191358*(endOfArch-beginningOfArch)+beginningOfArch,0.08262003385103665*archHeight+thickness],
			[0.4785799364130541*((1.0-(((0.3022730321059992*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3022730321059992*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3022730321059992*(endOfArch-beginningOfArch)+beginningOfArch,-2.5431385040283203],
			[-0.039784504521277644*heelWidth,0.008988189697265624*beginningOfArch,1.5581729412078857+thickness],
			[-0.021043435219795473*heelWidth,0.013509445190429688*beginningOfArch,-2.6527504920959473],
			[0.009227151484243823*((1.0-(((0.3190222846137153*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3190222846137153*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3190222846137153*(endOfArch-beginningOfArch)+beginningOfArch,-2.8797545433044434],
			[0.01938921586084207*((1.0-(((0.3190222846137153*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3190222846137153*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3190222846137153*(endOfArch-beginningOfArch)+beginningOfArch,0.3765884179335374*archHeight+thickness],
			[-0.48539578783373927*((1.0-(((0.8183258433400848*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8183258433400848*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8183258433400848*(endOfArch-beginningOfArch)+beginningOfArch,0.44511043108426607*archHeight+thickness],
			[-0.4858302006044597*((1.0-(((-0.08516678986725984*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.08516678986725984*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.08516678986725984*(endOfArch-beginningOfArch)+beginningOfArch,-2.908160924911499],
			[0.49481478713311394*((1.0-(((-0.025647528377580053*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.025647528377580053*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.025647528377580053*(endOfArch-beginningOfArch)+beginningOfArch,0.0809550743836623*archHeight+thickness],
			[0.4880011518994525*((1.0-(((0.5581376817491319*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5581376817491319*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5581376817491319*(endOfArch-beginningOfArch)+beginningOfArch,-2.6527504920959473],
			[-0.3405038156817036*heelWidth,0.15057083129882812*beginningOfArch,1.3582327365875244+thickness],
			[0.2702820685602004*heelWidth,0.109849853515625*beginningOfArch,-2.6527504920959473],
			[-0.4816784368172383*((1.0-(((-0.06027400640793788*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.06027400640793788*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.06027400640793788*(endOfArch-beginningOfArch)+beginningOfArch,0.10257143240708572*archHeight+thickness],
			[-0.4869177915532646*((1.0-(((0.7939664110725309*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7939664110725309*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7939664110725309*(endOfArch-beginningOfArch)+beginningOfArch,-2.8567087650299072],
			[0.48703414750022567*((1.0-(((0.5403951009114584*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5403951009114584*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5403951009114584*(endOfArch-beginningOfArch)+beginningOfArch,0.09105172524085411*archHeight+thickness],
			[0.49227951690143656*((1.0-(((-0.00889865263008777*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.00889865263008777*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.00889865263008777*(endOfArch-beginningOfArch)+beginningOfArch,-2.6424150466918945],
			[0.2554047184605752*heelWidth,0.09232894897460937*beginningOfArch,1.4358508586883545+thickness],
			[-0.32440120943130984*heelWidth,0.13674766540527344*beginningOfArch,-2.6527504920959473],
			[0.2764096589768649*((1.0-(((0.3093767519350405*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3093767519350405*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3093767519350405*(endOfArch-beginningOfArch)+beginningOfArch,-2.912869453430176],
			[-0.2291329881581567*((1.0-(((0.32357251202618637*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.32357251202618637*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.32357251202618637*(endOfArch-beginningOfArch)+beginningOfArch,-2.8527021408081055],
			[-0.024181393452139023*((1.0-(((-0.08206544099030672*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.08206544099030672*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.08206544099030672*(endOfArch-beginningOfArch)+beginningOfArch,-2.9184138774871826],
			[-0.0024332001508789638*((1.0-(((0.7151133219401041*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7151133219401041*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7151133219401041*(endOfArch-beginningOfArch)+beginningOfArch,-2.8963966369628906],
			[-0.2189780009127216*((1.0-(((0.32357251202618637*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.32357251202618637*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.32357251202618637*(endOfArch-beginningOfArch)+beginningOfArch,0.5670952430138221*archHeight+thickness],
			[0.28077474098097915*((1.0-(((0.3093767519350405*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3093767519350405*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3093767519350405*(endOfArch-beginningOfArch)+beginningOfArch,0.17347236780019906*archHeight+thickness],
			[-0.021835201314512758*((1.0-(((-0.0409028795030382*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.0409028795030382*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.0409028795030382*(endOfArch-beginningOfArch)+beginningOfArch,0.016659899399830744*archHeight+thickness],
			[0.0036232806883090534*((1.0-(((0.7151133219401041*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7151133219401041*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7151133219401041*(endOfArch-beginningOfArch)+beginningOfArch,0.2852673897376427*archHeight+thickness],
			[0.2618141179435649*((1.0-(((0.6373799641927084*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6373799641927084*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6373799641927084*(endOfArch-beginningOfArch)+beginningOfArch,-2.9161505699157715],
			[-0.23365577310693872*((1.0-(((0.7546710732542439*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7546710732542439*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7546710732542439*(endOfArch-beginningOfArch)+beginningOfArch,0.40270031415499175*archHeight+thickness],
			[0.25977925031171795*((1.0-(((-0.04466944565007716*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.04466944565007716*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.04466944565007716*(endOfArch-beginningOfArch)+beginningOfArch,-2.9182932376861572],
			[-0.2921847364038779*((1.0-(((-0.07121856124312789*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.07121856124312789*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.07121856124312789*(endOfArch-beginningOfArch)+beginningOfArch,-2.91817569732666],
			[-0.23967782218780725*((1.0-(((0.7546710732542439*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7546710732542439*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7546710732542439*(endOfArch-beginningOfArch)+beginningOfArch,-2.879720687866211],
			[-0.29094046154296194*((1.0-(((-0.05547111417040413*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.05547111417040413*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.05547111417040413*(endOfArch-beginningOfArch)+beginningOfArch,0.031037034896703865*archHeight+thickness],
			[0.2622494424880945*((1.0-(((-0.029496228253399884*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.029496228253399884*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.029496228253399884*(endOfArch-beginningOfArch)+beginningOfArch,0.011093515616196852*archHeight+thickness],
			[0.26300251115166473*((1.0-(((0.6373799641927084*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6373799641927084*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6373799641927084*(endOfArch-beginningOfArch)+beginningOfArch,0.15006601810455322*archHeight+thickness],
			[-0.502089455731982*((1.0-(((0.9796138810522762*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9796138810522762*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9796138810522762*(endOfArch-beginningOfArch)+beginningOfArch,-2.896214723587036+thickness+thickness],
			[-0.4963959724672379*heelWidth,0.6091193389892579*beginningOfArch,-2.632079601287842],
			[0.4976764186736076*heelWidth,0.7072776794433594*beginningOfArch,0.6533539891242981+thickness],
			[0.48678013828986555*((1.0-(((0.7292508725766782*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7292508725766782*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7292508725766782*(endOfArch-beginningOfArch)+beginningOfArch,-1.872235894203186+thickness+thickness],
			[-0.43814720646027594*heelWidth,0.2862438201904297*beginningOfArch,1.038100004196167+thickness],
			[0.3887498301844443*heelWidth,0.2742245483398438*beginningOfArch,-2.6527504920959473],
			[-0.4958064479212607*heelWidth,0.6377941131591797*beginningOfArch,0.7083418369293213+thickness],
			[-0.5131111891369623*((1.0-(((0.9615450258608218*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9615450258608218*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9615450258608218*(endOfArch-beginningOfArch)+beginningOfArch,-2.898813247680664],
			[0.4964263362269248*heelWidth,0.7358001708984375*beginningOfArch,-2.6424150466918945],
			[0.3793236824773973*heelWidth,0.24857215881347655*beginningOfArch,1.2082128524780273+thickness],
			[-0.4271250694028793*heelWidth,0.26276573181152346*beginningOfArch,-2.5431385040283203],
			[-0.46591055571829276*((1.0-(((0.56807021152826*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.56807021152826*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.56807021152826*(endOfArch-beginningOfArch)+beginningOfArch,-2.8158702850341797],
			[0.4837223680062039*((1.0-(((0.17152819221402393*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.17152819221402393*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.17152819221402393*(endOfArch-beginningOfArch)+beginningOfArch,-2.6527504920959473],
			[-0.17758849359327747*heelWidth,0.03225410461425781*beginningOfArch,-2.6527504920959473],
			[0.4168216175962002*((1.0-(((0.3034515380859375*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3034515380859375*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3034515380859375*(endOfArch-beginningOfArch)+beginningOfArch,-2.9186148643493652],
			[-0.35334355355411945*((1.0-(((0.32003520447530864*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.32003520447530864*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.32003520447530864*(endOfArch-beginningOfArch)+beginningOfArch,-2.8407773971557617],
			[-0.0020931507310559673*heelWidth,0.1723699951171875*beginningOfArch,-3.1485681533813477],
			[-0.010238621182087676*((1.0-(((0.5164060239438657*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5164060239438657*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5164060239438657*(endOfArch-beginningOfArch)+beginningOfArch,-2.8760080337524414],
			[-0.3433902605760184*((1.0-(((0.32003520447530864*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.32003520447530864*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.32003520447530864*(endOfArch-beginningOfArch)+beginningOfArch,0.6523993565486028*archHeight+thickness],
			[0.41711079415743685*((1.0-(((0.3034515380859375*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3034515380859375*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3034515380859375*(endOfArch-beginningOfArch)+beginningOfArch,0.13558689447549674*archHeight+thickness],
			[-0.0013270238714833413*heelWidth,0.13999649047851562*beginningOfArch,-0.647803783416748+thickness],
			[-0.0004135404643667722*((1.0-(((0.5164060239438657*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5164060239438657*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5164060239438657*(endOfArch-beginningOfArch)+beginningOfArch,0.39266120470487154*archHeight+thickness],
			[-0.46041761379067203*((1.0-(((0.5945282924322435*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5945282924322435*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5945282924322435*(endOfArch-beginningOfArch)+beginningOfArch,0.72510132422814*archHeight+thickness],
			[-0.4548921333679345*((1.0-(((0.09132027331693673*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.09132027331693673*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.09132027331693673*(endOfArch-beginningOfArch)+beginningOfArch,-2.879237651824951],
			[0.4848681900270699*((1.0-(((0.15355790691611207*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.15355790691611207*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.15355790691611207*(endOfArch-beginningOfArch)+beginningOfArch,0.09105172524085411*archHeight+thickness],
			[0.4776778417885319*((1.0-(((0.43113463601948304*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.43113463601948304*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.43113463601948304*(endOfArch-beginningOfArch)+beginningOfArch,-2.6527504920959473],
			[-0.19656045975223665*heelWidth,0.0367266845703125*beginningOfArch,1.5212212800979614+thickness],
			[0.12280597994404455*heelWidth,0.030777053833007814*beginningOfArch,-2.6527504920959473],
			[-0.4501757741946655*((1.0-(((0.11007676301179109*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.11007676301179109*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.11007676301179109*(endOfArch-beginningOfArch)+beginningOfArch,0.3673375936654898*archHeight+thickness],
			[0.4766801436476355*((1.0-(((0.4170360800660687*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4170360800660687*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4170360800660687*(endOfArch-beginningOfArch)+beginningOfArch,0.09105172524085411*archHeight+thickness],
			[0.10605009909599059*heelWidth,0.021237945556640624*beginningOfArch,1.5397316217422485+thickness],
			[0.13338601415059506*((1.0-(((0.3167166062343268*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3167166062343268*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3167166062343268*(endOfArch-beginningOfArch)+beginningOfArch,-2.894531726837158],
			[-0.10998303020639624*((1.0-(((0.32156956048659335*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.32156956048659335*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.32156956048659335*(endOfArch-beginningOfArch)+beginningOfArch,-2.8662285804748535],
			[0.0018699019070393264*((1.0-(((0.1314163678958092*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.1314163678958092*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.1314163678958092*(endOfArch-beginningOfArch)+beginningOfArch,-2.9018056392669678],
			[-0.030636039891876486*((1.0-(((0.9643234441309799*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9643234441309799*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9643234441309799*(endOfArch-beginningOfArch)+beginningOfArch,-2.912226676940918],
			[-0.09982491677624986*((1.0-(((0.32156956048659335*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.32156956048659335*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.32156956048659335*(endOfArch-beginningOfArch)+beginningOfArch,0.4718397580660306*archHeight+thickness],
			[0.14270332130748004*((1.0-(((0.3167166062343268*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3167166062343268*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3167166062343268*(endOfArch-beginningOfArch)+beginningOfArch,0.2771710249093863*archHeight+thickness],
			[0.006485979473702902*((1.0-(((0.1314163678958092*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.1314163678958092*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.1314163678958092*(endOfArch-beginningOfArch)+beginningOfArch,0.24392993633563703*archHeight+thickness],
			[-0.02406274752473489*((1.0-(((0.9597742528091242*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9597742528091242*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9597742528091242*(endOfArch-beginningOfArch)+beginningOfArch,-1.1446682214736938+thickness+thickness],
			[0.3961121728485883*((1.0-(((0.5886639253592786*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5886639253592786*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5886639253592786*(endOfArch-beginningOfArch)+beginningOfArch,-2.9185986518859863],
			[0.1187932866410251*((1.0-(((0.6787631187909915*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6787631187909915*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6787631187909915*(endOfArch-beginningOfArch)+beginningOfArch,-2.904869794845581],
			[0.25130346963155764*((1.0-(((0.4761638876832562*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4761638876832562*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4761638876832562*(endOfArch-beginningOfArch)+beginningOfArch,-2.910964012145996],
			[0.24321345411375933*((1.0-(((0.8869186212987076*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8869186212987076*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8869186212987076*(endOfArch-beginningOfArch)+beginningOfArch,-2.9144465923309326],
			[-0.3538543702815998*((1.0-(((0.7733481136369117*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7733481136369117*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7733481136369117*(endOfArch-beginningOfArch)+beginningOfArch,0.4631052750807542*archHeight+thickness],
			[-0.11546975108823819*((1.0-(((0.7360898241584684*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7360898241584684*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7360898241584684*(endOfArch-beginningOfArch)+beginningOfArch,0.3439522156348595*archHeight+thickness],
			[-0.2308964953931115*((1.0-(((0.5449972270447531*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5449972270447531*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5449972270447531*(endOfArch-beginningOfArch)+beginningOfArch,0.5872201919555664*archHeight+thickness],
			[-0.2687906606179232*((1.0-(((0.9765662676022376*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9765662676022376*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9765662676022376*(endOfArch-beginningOfArch)+beginningOfArch,-1.0596038103103638+thickness+thickness],
			[0.40527355931786946*((1.0-(((-0.044873838071469906*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.044873838071469906*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.044873838071469906*(endOfArch-beginningOfArch)+beginningOfArch,-2.9183247089385986],
			[0.12300332016359826*((1.0-(((-0.05660596305941358*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.05660596305941358*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.05660596305941358*(endOfArch-beginningOfArch)+beginningOfArch,-2.9182541370391846],
			[0.27340630562074725*heelWidth,0.3252325439453125*beginningOfArch,-3.148167848587036],
			[0.27270040429722664*((1.0-(((0.14818540031527294*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.14818540031527294*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.14818540031527294*(endOfArch-beginningOfArch)+beginningOfArch,-2.9162683486938477],
			[-0.17059439746358476*((1.0-(((-0.06857167938609182*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.06857167938609182*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.06857167938609182*(endOfArch-beginningOfArch)+beginningOfArch,-2.918200731277466],
			[-0.41840830901373327*((1.0-(((-0.07194274148823303*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.07194274148823303*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.07194274148823303*(endOfArch-beginningOfArch)+beginningOfArch,-2.9138927459716797],
			[-0.2609654088174143*heelWidth,0.2904514312744141*beginningOfArch,-3.148167848587036],
			[-0.2421755579016797*((1.0-(((0.11838465561101466*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.11838465561101466*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.11838465561101466*(endOfArch-beginningOfArch)+beginningOfArch,-2.8908443450927734],
			[-0.12150791902417366*((1.0-(((0.7360898241584684*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7360898241584684*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7360898241584684*(endOfArch-beginningOfArch)+beginningOfArch,-2.8880631923675537],
			[-0.3598602902302298*((1.0-(((0.7733481136369117*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7733481136369117*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7733481136369117*(endOfArch-beginningOfArch)+beginningOfArch,-2.871143102645874],
			[-0.2406799253931781*((1.0-(((0.5449972270447531*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5449972270447531*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5449972270447531*(endOfArch-beginningOfArch)+beginningOfArch,-2.8483805656433105],
			[-0.275144478201755*((1.0-(((0.980542595003858*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.980542595003858*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.980542595003858*(endOfArch-beginningOfArch)+beginningOfArch,-2.910172462463379],
			[-0.4198221725163988*((1.0-(((-0.07047643779236594*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.07047643779236594*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.07047643779236594*(endOfArch-beginningOfArch)+beginningOfArch,0.055117859290196344*archHeight+thickness],
			[-0.16785029276350555*((1.0-(((-0.043806382167486495*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.043806382167486495*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.043806382167486495*(endOfArch-beginningOfArch)+beginningOfArch,0.026783434244302604*archHeight+thickness],
			[-0.25904141702959615*heelWidth,0.20647842407226563*beginningOfArch,-0.8715499639511108+thickness],
			[-0.23754993039900862*((1.0-(((0.11838465561101466*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.11838465561101466*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.11838465561101466*(endOfArch-beginningOfArch)+beginningOfArch,0.3211210324214055*archHeight+thickness],
			[0.1257227739400357*((1.0-(((-0.031115684980227622*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.031115684980227622*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.031115684980227622*(endOfArch-beginningOfArch)+beginningOfArch,0.017692616352668174*archHeight+thickness],
			[0.40992098442745584*((1.0-(((-0.041972313398196376*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.041972313398196376*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.041972313398196376*(endOfArch-beginningOfArch)+beginningOfArch,0.027795493602752686*archHeight+thickness],
			[0.2782678911762853*heelWidth,0.24363685607910157*beginningOfArch,-0.9744186401367188+thickness],
			[0.27386184593921675*((1.0-(((0.14818540031527294*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.14818540031527294*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.14818540031527294*(endOfArch-beginningOfArch)+beginningOfArch,0.14441542442028338*archHeight+thickness],
			[0.12452573351905769*((1.0-(((0.6787631187909915*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6787631187909915*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6787631187909915*(endOfArch-beginningOfArch)+beginningOfArch,0.22568790729229266*archHeight+thickness],
			[0.39638908783998705*((1.0-(((0.5886639253592786*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5886639253592786*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5886639253592786*(endOfArch-beginningOfArch)+beginningOfArch,0.13570035420931303*archHeight+thickness],
			[0.25612814898013464*((1.0-(((0.4761638876832562*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4761638876832562*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4761638876832562*(endOfArch-beginningOfArch)+beginningOfArch,0.18410691848168007*archHeight+thickness],
			[0.2494136057130375*((1.0-(((0.8809116504810475*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8809116504810475*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8809116504810475*(endOfArch-beginningOfArch)+beginningOfArch,-1.2372679710388184+thickness+thickness],
			[0.37554702842749116*((1.0-(((0.8242931601441936*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8242931601441936*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8242931601441936*(endOfArch-beginningOfArch)+beginningOfArch,-2.915290594100952],
			[-0.39918352562275294*((1.0-(((0.9779874071662809*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9779874071662809*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9779874071662809*(endOfArch-beginningOfArch)+beginningOfArch,-0.987863302230835+thickness+thickness],
			[0.39945956215661804*((1.0-(((0.1516774966392988*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.1516774966392988*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.1516774966392988*(endOfArch-beginningOfArch)+beginningOfArch,-2.918501853942871],
			[-0.12118997668202555*((1.0-(((0.12895824291087962*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.12895824291087962*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.12895824291087962*(endOfArch-beginningOfArch)+beginningOfArch,-2.8963046073913574],
			[-0.3416055129015889*((1.0-(((0.10119247436523438*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.10119247436523438*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.10119247436523438*(endOfArch-beginningOfArch)+beginningOfArch,0.3291765726529635*archHeight+thickness],
			[0.13025256646424357*((1.0-(((0.1353705135392554*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.1353705135392554*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.1353705135392554*(endOfArch-beginningOfArch)+beginningOfArch,0.20351274196918195*archHeight+thickness],
			[0.11118946644365502*((1.0-(((0.9290910885657793*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9290910885657793*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9290910885657793*(endOfArch-beginningOfArch)+beginningOfArch,-1.1791735887527466+thickness+thickness],
			[0.395215291531761*((1.0-(((0.4476828869478202*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4476828869478202*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4476828869478202*(endOfArch-beginningOfArch)+beginningOfArch,-2.9182534217834473],
			[0.10890269767743346*((1.0-(((0.49999510211709103*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.49999510211709103*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.49999510211709103*(endOfArch-beginningOfArch)+beginningOfArch,-2.8906209468841553],
			[0.10491919570165084*((1.0-(((0.9344175362292632*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9344175362292632*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9344175362292632*(endOfArch-beginningOfArch)+beginningOfArch,-2.913069725036621],
			[-0.34553389088594183*((1.0-(((0.5582469422140239*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5582469422140239*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5582469422140239*(endOfArch-beginningOfArch)+beginningOfArch,0.6845406752366286*archHeight+thickness],
			[-0.11582764271404941*((1.0-(((0.5312160915798612*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5312160915798612*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5312160915798612*(endOfArch-beginningOfArch)+beginningOfArch,0.4899090620187613*archHeight+thickness],
			[-0.14524965801949086*((1.0-(((0.96356201171875*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.96356201171875*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.96356201171875*(endOfArch-beginningOfArch)+beginningOfArch,-0.8956470489501953+thickness+thickness],
			[0.4034678243821667*heelWidth,0.5349429321289062*beginningOfArch,-3.1509315967559814],
			[0.12514095152578047*heelWidth,0.2343359375*beginningOfArch,-3.148167848587036],
			[0.12587930344064374*((1.0-(((0.1353705135392554*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.1353705135392554*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.1353705135392554*(endOfArch-beginningOfArch)+beginningOfArch,-2.9075498580932617],
			[-0.1318602100495369*heelWidth,0.22671844482421874*beginningOfArch,-3.148167848587036],
			[-0.41621082059798703*heelWidth,0.48687599182128904*beginningOfArch,-3.148310661315918],
			[-0.3458358472274034*((1.0-(((0.10119247436523438*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.10119247436523438*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.10119247436523438*(endOfArch-beginningOfArch)+beginningOfArch,-2.8897554874420166],
			[-0.12563110279074818*((1.0-(((0.5312160915798612*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5312160915798612*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5312160915798612*(endOfArch-beginningOfArch)+beginningOfArch,-2.862198829650879],
			[-0.3552981825562477*((1.0-(((0.5582469422140239*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5582469422140239*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5582469422140239*(endOfArch-beginningOfArch)+beginningOfArch,-2.8345603942871094],
			[-0.4047810624713722*((1.0-(((0.9817617910879629*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9817617910879629*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9817617910879629*(endOfArch-beginningOfArch)+beginningOfArch,-2.9084529876708984],
			[-0.41659804313413556*heelWidth,0.3928623962402344*beginningOfArch,-0.3640643060207367+thickness],
			[-0.12799038425568612*heelWidth,0.1524779510498047*beginningOfArch,-0.7101080417633057+thickness],
			[-0.11657209966932153*((1.0-(((0.12895824291087962*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.12895824291087962*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.12895824291087962*(endOfArch-beginningOfArch)+beginningOfArch,0.2826689206636869*archHeight+thickness],
			[0.12953170653312437*heelWidth,0.16353134155273438*beginningOfArch,-0.7404131889343262+thickness],
			[0.41198262860698087*heelWidth,0.4432090759277344*beginningOfArch,-0.7502092123031616+thickness],
			[0.3997555585368433*((1.0-(((0.1516774966392988*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.1516774966392988*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.1516774966392988*(endOfArch-beginningOfArch)+beginningOfArch,0.13224510963146502*archHeight+thickness],
			[0.11810028824019815*((1.0-(((0.49999510211709103*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.49999510211709103*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.49999510211709103*(endOfArch-beginningOfArch)+beginningOfArch,0.29257660645705*archHeight+thickness],
			[0.39578086688921105*((1.0-(((0.4476828869478202*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4476828869478202*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4476828869478202*(endOfArch-beginningOfArch)+beginningOfArch,0.13807702981508696*archHeight+thickness],
			[0.38085560426137455*((1.0-(((0.817410221806279*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.817410221806279*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.817410221806279*(endOfArch-beginningOfArch)+beginningOfArch,-1.268448829650879+thickness+thickness],
			[-0.4887869127335087*heelWidth,0.5064254760742187*beginningOfArch,-2.648033618927002],
			[0.48690574399886594*heelWidth,0.5828321075439453*beginningOfArch,0.8003298044204712+thickness],
			[-0.4623813321513514*heelWidth,0.3677415466308594*beginningOfArch,1.041306495666504+thickness],
			[0.43699929022019907*heelWidth,0.39404197692871096*beginningOfArch,-2.649325370788574],
			[-0.4924101060436618*heelWidth,0.5254747772216797*beginningOfArch,0.8256232738494873+thickness],
			[0.4874827477239793*heelWidth,0.6106565093994141*beginningOfArch,-2.6483564376831055],
			[0.4300495886033581*heelWidth,0.36319862365722655*beginningOfArch,1.0357978343963623+thickness],
			[-0.4552054866667717*heelWidth,0.34830535888671876*beginningOfArch,-2.645899772644043],
			[0.4562218349950312*((1.0-(((0.29858181800371336*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.29858181800371336*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.29858181800371336*(endOfArch-beginningOfArch)+beginningOfArch,-2.9183502197265625],
			[-0.4128652005260068*((1.0-(((0.32845438262562693*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.32845438262562693*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.32845438262562693*(endOfArch-beginningOfArch)+beginningOfArch,-2.832306385040283],
			[-0.013906485611392606*heelWidth,0.07151077270507812*beginningOfArch,-3.1655240058898926],
			[-0.007685581613723165*((1.0-(((0.41816796196831596*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.41816796196831596*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.41816796196831596*(endOfArch-beginningOfArch)+beginningOfArch,-2.8749840259552],
			[-0.40285646867216174*((1.0-(((0.33008255193262925*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.33008255193262925*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.33008255193262925*(endOfArch-beginningOfArch)+beginningOfArch,0.7081083151010367*archHeight+thickness],
			[0.4562759047041919*((1.0-(((0.29706554648316935*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.29706554648316935*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.29706554648316935*(endOfArch-beginningOfArch)+beginningOfArch,0.1290686405622042*archHeight+thickness],
			[-0.008511883597220144*heelWidth,0.025924835205078125*beginningOfArch,1.8652238845825195+thickness],
			[0.002807103079589542*((1.0-(((0.41816796196831596*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.41816796196831596*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.41816796196831596*(endOfArch-beginningOfArch)+beginningOfArch,0.40101003646850586*archHeight+thickness],
			[-0.4534283914269537*((1.0-(((0.47357460304542826*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.47357460304542826*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.47357460304542826*(endOfArch-beginningOfArch)+beginningOfArch,0.7612279745248648*archHeight+thickness],
			[-0.45525074104680735*((1.0-(((0.20701683892144096*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.20701683892144096*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.20701683892144096*(endOfArch-beginningOfArch)+beginningOfArch,-2.8477563858032227],
			[0.4807284369044898*((1.0-(((0.22619676001277972*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.22619676001277972*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.22619676001277972*(endOfArch-beginningOfArch)+beginningOfArch,0.09078824520111084*archHeight+thickness],
			[0.4763157931972492*((1.0-(((0.36355967580536264*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.36355967580536264*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.36355967580536264*(endOfArch-beginningOfArch)+beginningOfArch,-2.649325370788574],
			[-0.11868296900103169*heelWidth,0.015983123779296875*beginningOfArch,1.5487395524978638+thickness],
			[0.050918371446671024*heelWidth,0.01751739501953125*beginningOfArch,-2.6527504920959473],
			[-0.44882197354787123*((1.0-(((0.23207129961178627*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.23207129961178627*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.23207129961178627*(endOfArch-beginningOfArch)+beginningOfArch,0.5815004568833572*archHeight+thickness],
			[0.47599952745958873*((1.0-(((0.3479712215470679*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3479712215470679*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3479712215470679*(endOfArch-beginningOfArch)+beginningOfArch,0.09078824520111084*archHeight+thickness],
			[0.033956769974000996*heelWidth,0.010853958129882813*beginningOfArch,1.5550785064697266+thickness],
			[0.06922924387909254*((1.0-(((0.3178503719376929*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3178503719376929*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3178503719376929*(endOfArch-beginningOfArch)+beginningOfArch,-2.8866071701049805],
			[-0.05037915018675729*((1.0-(((0.3202395968967014*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3202395968967014*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3202395968967014*(endOfArch-beginningOfArch)+beginningOfArch,-2.8729920387268066],
			[0.0010012741252969583*((1.0-(((0.22330013322241513*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.22330013322241513*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.22330013322241513*(endOfArch-beginningOfArch)+beginningOfArch,-2.889256477355957],
			[-0.04021897207216362*((1.0-(((0.3202395968967014*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3202395968967014*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3202395968967014*(endOfArch-beginningOfArch)+beginningOfArch,0.4242108418391301*archHeight+thickness],
			[0.07933368301989627*((1.0-(((0.3178503719376929*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3178503719376929*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3178503719376929*(endOfArch-beginningOfArch)+beginningOfArch,0.3286477235647348*archHeight+thickness],
			[0.008664141303592577*((1.0-(((0.22330013322241513*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.22330013322241513*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.22330013322241513*(endOfArch-beginningOfArch)+beginningOfArch,0.32436631276057315*archHeight+thickness],
			[0.44999297218012424*((1.0-(((0.5693131435064622*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5693131435064622*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5693131435064622*(endOfArch-beginningOfArch)+beginningOfArch,-2.9185519218444824],
			[0.05705342599649589*((1.0-(((0.6980988302348573*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6980988302348573*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6980988302348573*(endOfArch-beginningOfArch)+beginningOfArch,-2.9005212783813477],
			[0.2559428126478584*((1.0-(((0.39308938862364967*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.39308938862364967*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.39308938862364967*(endOfArch-beginningOfArch)+beginningOfArch,-2.910997152328491],
			[0.25198256484339854*((1.0-(((0.7747058632933064*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7747058632933064*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7747058632933064*(endOfArch-beginningOfArch)+beginningOfArch,-2.9174816608428955],
			[-0.4239641053633111*((1.0-(((0.7859777756679205*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7859777756679205*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7859777756679205*(endOfArch-beginningOfArch)+beginningOfArch,0.493651059957651*archHeight+thickness],
			[-0.05610719733244428*((1.0-(((0.7266389823254243*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7266389823254243*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7266389823254243*(endOfArch-beginningOfArch)+beginningOfArch,0.31458014708298904*archHeight+thickness],
			[-0.23109998860871697*((1.0-(((0.4342350900909047*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4342350900909047*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4342350900909047*(endOfArch-beginningOfArch)+beginningOfArch,0.6041228221012995*archHeight+thickness],
			[-0.25457038170991164*((1.0-(((0.8856872746973862*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8856872746973862*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8856872746973862*(endOfArch-beginningOfArch)+beginningOfArch,0.168639953319843*archHeight+thickness],
			[0.4564176039124464*((1.0-(((-0.032561125578703706*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.032561125578703706*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.032561125578703706*(endOfArch-beginningOfArch)+beginningOfArch,-2.917795419692993],
			[0.05231843573974537*((1.0-(((-0.061708285484784915*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.061708285484784915*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.061708285484784915*(endOfArch-beginningOfArch)+beginningOfArch,-2.918241262435913],
			[0.2722801085441343*heelWidth,0.17763053894042968*beginningOfArch,-3.1652655601501465],
			[0.26564805433756056*((1.0-(((0.0596258846330054*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.0596258846330054*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.0596258846330054*(endOfArch-beginningOfArch)+beginningOfArch,-2.9168334007263184],
			[-0.10229915733313019*((1.0-(((-0.06682939882631656*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.06682939882631656*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.06682939882631656*(endOfArch-beginningOfArch)+beginningOfArch,-2.9184138774871826],
			[-0.4597885980494126*((1.0-(((-0.07314309956114969*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.07314309956114969*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.07314309956114969*(endOfArch-beginningOfArch)+beginningOfArch,-2.9132189750671387],
			[-0.29947939226704257*heelWidth,0.18676925659179688*beginningOfArch,-3.1652655601501465],
			[-0.258873801713921*((1.0-(((0.030892360357590663*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.030892360357590663*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.030892360357590663*(endOfArch-beginningOfArch)+beginningOfArch,-2.9048821926116943],
			[-0.06215361763113481*((1.0-(((0.7266389823254243*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7266389823254243*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7266389823254243*(endOfArch-beginningOfArch)+beginningOfArch,-2.8922340869903564],
			[-0.4296676272723453*((1.0-(((0.7844432312765239*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7844432312765239*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7844432312765239*(endOfArch-beginningOfArch)+beginningOfArch,-2.8657891750335693],
			[-0.24156726427964278*((1.0-(((0.4342350900909047*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4342350900909047*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4342350900909047*(endOfArch-beginningOfArch)+beginningOfArch,-2.8461413383483887],
			[-0.2578420861167039*((1.0-(((0.8818355607397762*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8818355607397762*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8818355607397762*(endOfArch-beginningOfArch)+beginningOfArch,-2.8984384536743164],
			[-0.4693640621114032*((1.0-(((-0.06701410552601755*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.06701410552601755*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.06701410552601755*(endOfArch-beginningOfArch)+beginningOfArch,0.13269786651317889*archHeight+thickness],
			[-0.10032914465313898*((1.0-(((-0.039555490752797066*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.039555490752797066*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.039555490752797066*(endOfArch-beginningOfArch)+beginningOfArch,0.024424319083874043*archHeight+thickness],
			[-0.3052072525024414*heelWidth,0.14922164916992187*beginningOfArch,1.6329371929168701+thickness],
			[-0.25638148289561147*((1.0-(((0.03171600530176987*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.03171600530176987*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.03171600530176987*(endOfArch-beginningOfArch)+beginningOfArch,0.18202965076153094*archHeight+thickness],
			[0.05517607682688608*((1.0-(((-0.033331223476080245*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.033331223476080245*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.033331223476080245*(endOfArch-beginningOfArch)+beginningOfArch,0.019873839158278245*archHeight+thickness],
			[0.4786778897743624*((1.0-(((-0.02676928484881366*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.02676928484881366*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.02676928484881366*(endOfArch-beginningOfArch)+beginningOfArch,0.11059292463155893*archHeight+thickness],
			[0.2884227998795048*heelWidth,0.13674835205078126*beginningOfArch,1.6559637784957886+thickness],
			[0.26634518969951476*((1.0-(((0.060202421965422456*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.060202421965422456*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.060202421965422456*(endOfArch-beginningOfArch)+beginningOfArch,0.09817202274615948*archHeight+thickness],
			[0.06311374122525613*((1.0-(((0.6980987360448013*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6980987360448013*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6980987360448013*(endOfArch-beginningOfArch)+beginningOfArch,0.25622294499323917*archHeight+thickness],
			[0.4499720099395965*((1.0-(((0.5680406358506944*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5680406358506944*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5680406358506944*(endOfArch-beginningOfArch)+beginningOfArch,0.13080876607161301*archHeight+thickness],
			[0.261063365327441*((1.0-(((0.39308938862364967*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.39308938862364967*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.39308938862364967*(endOfArch-beginningOfArch)+beginningOfArch,0.18477491232065055*archHeight+thickness],
			[0.25257214539006045*((1.0-(((0.7776430859977816*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7776430859977816*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7776430859977816*(endOfArch-beginningOfArch)+beginningOfArch,0.07052400020452645*archHeight+thickness],
			[-0.5022543507424803*((1.0-(((0.9240473994502315*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9240473994502315*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9240473994502315*(endOfArch-beginningOfArch)+beginningOfArch,0.16364506574777457*archHeight+thickness],
			[-0.48794371081936744*heelWidth,0.7423292541503906*beginningOfArch,-2.542293071746826],
			[0.49775342018373553*heelWidth,0.8340837097167969*beginningOfArch,1.0274710655212402+thickness],
			[0.48954275536812264*((1.0-(((0.6521595142505787*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6521595142505787*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6521595142505787*(endOfArch-beginningOfArch)+beginningOfArch,-2.6527504920959473],
			[-0.3983833251460906*heelWidth,0.22497543334960937*beginningOfArch,1.2452514171600342+thickness],
			[0.3322339827014554*heelWidth,0.18165672302246094*beginningOfArch,-2.6527504920959473],
			[-0.4854595430435673*heelWidth,0.7780599975585938*beginningOfArch,0.9965459108352661+thickness],
			[-0.5013715006778098*((1.0-(((0.9029774606963734*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9029774606963734*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9029774606963734*(endOfArch-beginningOfArch)+beginningOfArch,-2.8833584785461426],
			[0.48914000886660586*((1.0-(((0.6327634269808545*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6327634269808545*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6327634269808545*(endOfArch-beginningOfArch)+beginningOfArch,0.0658344763975877*archHeight+thickness],
			[0.4939222643452306*heelWidth,0.8586130523681641*beginningOfArch,-2.6340179443359375],
			[0.3206443786621094*heelWidth,0.15928787231445313*beginningOfArch,1.3381619453430176+thickness],
			[-0.38399047236288747*heelWidth,0.20831817626953125*beginningOfArch,-2.649325370788574],
			[0.35090540090964445*((1.0-(((0.30631774148823304*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.30631774148823304*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.30631774148823304*(endOfArch-beginningOfArch)+beginningOfArch,-2.916471481323242],
			[-0.2887888123373547*((1.0-(((0.32423306688850306*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.32423306688850306*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.32423306688850306*(endOfArch-beginningOfArch)+beginningOfArch,-2.8459911346435547],
			[-0.013871429427977531*heelWidth,0.46698455810546874*beginningOfArch,-2.918414354324341],
			[-0.004916676838897007*((1.0-(((0.6097272708092207*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6097272708092207*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6097272708092207*(endOfArch-beginningOfArch)+beginningOfArch,-2.884976863861084],
			[-0.27864134338032953*((1.0-(((0.32423306688850306*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.32423306688850306*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.32423306688850306*(endOfArch-beginningOfArch)+beginningOfArch,0.6143945547250601*archHeight+thickness],
			[0.3529653599587462*((1.0-(((0.30631774148823304*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.30631774148823304*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.30631774148823304*(endOfArch-beginningOfArch)+beginningOfArch,0.15029520254868728*archHeight+thickness],
			[-0.012707166133388396*heelWidth,0.7740689849853516*beginningOfArch,-1.6300370693206787+thickness],
			[0.0032956960365393573*((1.0-(((0.6097271766191648*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6097271766191648*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6097271766191648*(endOfArch-beginningOfArch)+beginningOfArch,0.3467721205491286*archHeight+thickness],
			[-0.4709867697045222*((1.0-(((0.7066637204017168*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7066637204017168*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7066637204017168*(endOfArch-beginningOfArch)+beginningOfArch,0.6003127098083496*archHeight+thickness],
			[-0.470659409522393*((1.0-(((-0.007933581316912616*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.007933581316912616*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.007933581316912616*(endOfArch-beginningOfArch)+beginningOfArch,-2.8984498977661133],
			[0.48842250706641316*((1.0-(((0.06341576281888986*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.06341576281888986*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.06341576281888986*(endOfArch-beginningOfArch)+beginningOfArch,0.08970383497384879*archHeight+thickness],
			[0.48275050331581554*((1.0-(((0.49132603774836037*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.49132603774836037*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.49132603774836037*(endOfArch-beginningOfArch)+beginningOfArch,-2.6527504920959473],
			[-0.27019331532139934*heelWidth,0.08409690856933594*beginningOfArch,1.4543251991271973+thickness],
			[0.1975731542033534*heelWidth,0.06311607360839844*beginningOfArch,-2.6527504920959473],
			[-0.46737182293091784*((1.0-(((0.011148429211275077*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.011148429211275077*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.011148429211275077*(endOfArch-beginningOfArch)+beginningOfArch,0.20551208349374625*archHeight+thickness],
			[0.48123026293697924*((1.0-(((0.4781810619212963*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4781810619212963*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4781810619212963*(endOfArch-beginningOfArch)+beginningOfArch,0.09105172524085411*archHeight+thickness],
			[0.18072483616490517*heelWidth,0.04924140930175781*beginningOfArch,1.4984142780303955+thickness],
			[0.2044663997008756*((1.0-(((0.31365477008584103*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.31365477008584103*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.31365477008584103*(endOfArch-beginningOfArch)+beginningOfArch,-2.9045443534851074],
			[-0.1695651977418918*((1.0-(((0.3228485672562211*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3228485672562211*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3228485672562211*(endOfArch-beginningOfArch)+beginningOfArch,-2.8594651222229004],
			[-0.007046156686748531*((1.0-(((0.04859848964361497*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.04859848964361497*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.04859848964361497*(endOfArch-beginningOfArch)+beginningOfArch,-2.909942388534546],
			[-0.015544737108457513*((1.0-(((0.8574243239414545*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8574243239414545*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8574243239414545*(endOfArch-beginningOfArch)+beginningOfArch,-2.907172203063965],
			[-0.15940908343519972*((1.0-(((0.3228485672562211*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3228485672562211*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3228485672562211*(endOfArch-beginningOfArch)+beginningOfArch,0.5194690044109638*archHeight+thickness],
			[0.2113465714413825*((1.0-(((0.31365477008584103*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.31365477008584103*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.31365477008584103*(endOfArch-beginningOfArch)+beginningOfArch,0.2204566368689904*archHeight+thickness],
			[-0.004595967471113241*((1.0-(((0.049817544442635996*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.049817544442635996*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.049817544442635996*(endOfArch-beginningOfArch)+beginningOfArch,0.1464095299060528*archHeight+thickness],
			[-0.012394644538259626*((1.0-(((0.8608220418294271*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8608220418294271*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8608220418294271*(endOfArch-beginningOfArch)+beginningOfArch,0.11521172523498535*archHeight+thickness],
			[0.33032942661466846*((1.0-(((0.6138478031864872*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6138478031864872*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6138478031864872*(endOfArch-beginningOfArch)+beginningOfArch,-2.9181206226348877],
			[0.18928896568504908*((1.0-(((0.6588234607084298*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6588234607084298*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6588234607084298*(endOfArch-beginningOfArch)+beginningOfArch,-2.9105021953582764],
			[0.2570385476996944*((1.0-(((0.550106660819348*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.550106660819348*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.550106660819348*(endOfArch-beginningOfArch)+beginningOfArch,-2.91308331489563],
			[-0.292640398774555*((1.0-(((0.7639482286241319*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7639482286241319*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7639482286241319*(endOfArch-beginningOfArch)+beginningOfArch,0.43216716326200044*archHeight+thickness],
			[-0.17464181588974034*((1.0-(((0.7453804487063561*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7453804487063561*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7453804487063561*(endOfArch-beginningOfArch)+beginningOfArch,0.37332626489492565*archHeight+thickness],
			[-0.22938187635973648*((1.0-(((0.6474461496612172*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6474461496612172*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6474461496612172*(endOfArch-beginningOfArch)+beginningOfArch,0.5085276823777419*archHeight+thickness],
			[0.3349684673003799*((1.0-(((-0.044345055097415126*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.044345055097415126*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.044345055097415126*(endOfArch-beginningOfArch)+beginningOfArch,-2.9183168411254883],
			[0.190871259399162*((1.0-(((-0.05248364107108411*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.05248364107108411*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.05248364107108411*(endOfArch-beginningOfArch)+beginningOfArch,-2.918268918991089],
			[0.26520409122590094*heelWidth,0.6327891540527344*beginningOfArch,-2.9184138774871826],
			[0.2678186609934877*((1.0-(((0.23134368142963926*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.23134368142963926*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.23134368142963926*(endOfArch-beginningOfArch)+beginningOfArch,-2.9135782718658447],
			[-0.2310764557309916*((1.0-(((-0.07277387454185957*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.07277387454185957*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.07277387454185957*(endOfArch-beginningOfArch)+beginningOfArch,-2.918187379837036],
			[-0.3578785020520992*((1.0-(((-0.06940045768831983*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.06940045768831983*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.06940045768831983*(endOfArch-beginningOfArch)+beginningOfArch,-2.918163776397705],
			[-0.2764765216458228*heelWidth,0.5981412506103516*beginningOfArch,-2.9184138774871826],
			[-0.2396881185275523*((1.0-(((0.21846752402223188*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.21846752402223188*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.21846752402223188*(endOfArch-beginningOfArch)+beginningOfArch,-2.869734048843384],
			[-0.18067190675176112*((1.0-(((0.7453804487063561*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7453804487063561*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7453804487063561*(endOfArch-beginningOfArch)+beginningOfArch,-2.883892059326172],
			[-0.2986543980799239*((1.0-(((0.7639482286241319*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7639482286241319*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7639482286241319*(endOfArch-beginningOfArch)+beginningOfArch,-2.8755364418029785],
			[-0.23754901384374855*((1.0-(((0.6474461496612172*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6474461496612172*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6474461496612172*(endOfArch-beginningOfArch)+beginningOfArch,-2.8620071411132812],
			[-0.3572122162479193*((1.0-(((-0.06341015851056134*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.06341015851056134*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.06341015851056134*(endOfArch-beginningOfArch)+beginningOfArch,0.03306219898737394*archHeight+thickness],
			[-0.2284263446636647*((1.0-(((-0.05066822193287037*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.05066822193287037*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.05066822193287037*(endOfArch-beginningOfArch)+beginningOfArch,0.029016270087315485*archHeight+thickness],
			[-0.2690919753043882*heelWidth,0.7084054565429687*beginningOfArch,-1.6204451322555542+thickness],
			[-0.23201948923258767*((1.0-(((0.21846752402223188*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.21846752402223188*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.21846752402223188*(endOfArch-beginningOfArch)+beginningOfArch,0.46184539794921875*archHeight+thickness],
			[0.19395635350222118*((1.0-(((-0.030417548285590276*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.030417548285590276*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.030417548285590276*(endOfArch-beginningOfArch)+beginningOfArch,0.015149162365840031*archHeight+thickness],
			[0.3366202276109021*((1.0-(((-0.03846858460226177*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.03846858460226177*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.03846858460226177*(endOfArch-beginningOfArch)+beginningOfArch,0.0073828582580272965*archHeight+thickness],
			[0.2715106471892326*heelWidth,0.75343505859375*beginningOfArch,-1.6399292945861816+thickness],
			[0.27102500635928306*((1.0-(((0.23134368142963926*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.23134368142963926*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.23134368142963926*(endOfArch-beginningOfArch)+beginningOfArch,0.16702402555025542*archHeight+thickness],
			[0.19286932001559964*((1.0-(((0.6588234607084298*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6588234607084298*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6588234607084298*(endOfArch-beginningOfArch)+beginningOfArch,0.18682439510638899*archHeight+thickness],
			[0.33089299438333003*((1.0-(((0.6138478031864872*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6138478031864872*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6138478031864872*(endOfArch-beginningOfArch)+beginningOfArch,0.1387591820496779*archHeight+thickness],
			[0.26009675630145657*((1.0-(((0.550106660819348*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.550106660819348*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.550106660819348*(endOfArch-beginningOfArch)+beginningOfArch,0.16898485330434945*archHeight+thickness],
			[0.4351125312799777*((1.0-(((0.7831602685245467*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7831602685245467*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7831602685245467*(endOfArch-beginningOfArch)+beginningOfArch,-2.914895534515381],
			[0.3111873202394496*((1.0-(((0.8577680234555844*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8577680234555844*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8577680234555844*(endOfArch-beginningOfArch)+beginningOfArch,-2.9151716232299805],
			[0.3874957900825309*((1.0-(((0.7123656096281828*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7123656096281828*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7123656096281828*(endOfArch-beginningOfArch)+beginningOfArch,-2.9189260005950928],
			[-0.4596016483931631*((1.0-(((0.9804936161747685*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9804936161747685*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9804936161747685*(endOfArch-beginningOfArch)+beginningOfArch,-0.9924004077911377+thickness+thickness],
			[-0.33637085734239125*((1.0-(((0.9774252809124229*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9774252809124229*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9774252809124229*(endOfArch-beginningOfArch)+beginningOfArch,-1.0188367366790771+thickness+thickness],
			[-0.3788351094871151*((1.0-(((0.8967405719521605*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8967405719521605*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8967405719521605*(endOfArch-beginningOfArch)+beginningOfArch,0.19786607302152193*archHeight+thickness],
			[0.33882334331112385*((1.0-(((0.1492995273919753*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.1492995273919753*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.1492995273919753*(endOfArch-beginningOfArch)+beginningOfArch,-2.9179534912109375],
			[0.4021728271716238*((1.0-(((0.05537565254870756*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.05537565254870756*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.05537565254870756*(endOfArch-beginningOfArch)+beginningOfArch,-2.9181301593780518],
			[0.40260053946028784*((1.0-(((0.23129903534312307*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.23129903534312307*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.23129903534312307*(endOfArch-beginningOfArch)+beginningOfArch,-2.918330669403076],
			[-0.05963815772358299*((1.0-(((0.13053503154236593*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.13053503154236593*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.13053503154236593*(endOfArch-beginningOfArch)+beginningOfArch,-2.899055242538452],
			[-0.1826401445839866*((1.0-(((0.12387810224368248*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.12387810224368248*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.12387810224368248*(endOfArch-beginningOfArch)+beginningOfArch,-2.893557548522949],
			[-0.13910738628935929*((1.0-(((0.04361828462577161*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.04361828462577161*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.04361828462577161*(endOfArch-beginningOfArch)+beginningOfArch,-2.9073736667633057],
			[-0.11934022675202512*((1.0-(((0.22312456295814043*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.22312456295814043*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.22312456295814043*(endOfArch-beginningOfArch)+beginningOfArch,-2.87949275970459],
			[-0.09657969331881115*((1.0-(((0.9669583167558835*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9669583167558835*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9669583167558835*(endOfArch-beginningOfArch)+beginningOfArch,-2.9113855361938477],
			[-0.20032404824444847*((1.0-(((0.972775117850598*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.972775117850598*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.972775117850598*(endOfArch-beginningOfArch)+beginningOfArch,-2.909817934036255],
			[-0.13769799462225615*((1.0-(((0.8701463864173418*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8701463864173418*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8701463864173418*(endOfArch-beginningOfArch)+beginningOfArch,-2.9027645587921143],
			[-0.39591928733388476*((1.0-(((0.10665488537446952*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.10665488537446952*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.10665488537446952*(endOfArch-beginningOfArch)+beginningOfArch,0.3625476543719952*archHeight+thickness],
			[-0.2923672410795884*((1.0-(((0.11561273645471644*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.11561273645471644*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.11561273645471644*(endOfArch-beginningOfArch)+beginningOfArch,0.3365925642160269*archHeight+thickness],
			[-0.37541274322700896*((1.0-(((0.020770508566020446*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.020770508566020446*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.020770508566020446*(endOfArch-beginningOfArch)+beginningOfArch,0.19713915311373198*archHeight+thickness],
			[-0.34487190174884874*((1.0-(((0.20169359371985918*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.20169359371985918*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.20169359371985918*(endOfArch-beginningOfArch)+beginningOfArch,0.48407543622530425*archHeight+thickness],
			[0.06783316500765507*((1.0-(((0.1329652291757089*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.1329652291757089*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.1329652291757089*(endOfArch-beginningOfArch)+beginningOfArch,0.224547422849215*archHeight+thickness],
			[0.20108286086446134*((1.0-(((0.14253498595437886*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.14253498595437886*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.14253498595437886*(endOfArch-beginningOfArch)+beginningOfArch,0.173523316016564*archHeight+thickness],
			[0.12602964597727762*((1.0-(((0.053689791832441165*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.053689791832441165*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.053689791832441165*(endOfArch-beginningOfArch)+beginningOfArch,0.12832228037027213*archHeight+thickness],
			[0.13184773166392855*((1.0-(((0.22608382613570602*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.22608382613570602*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.22608382613570602*(endOfArch-beginningOfArch)+beginningOfArch,0.25230796520526594*archHeight+thickness],
			[0.04566529121058931*((1.0-(((0.9456372673128858*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9456372673128858*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9456372673128858*(endOfArch-beginningOfArch)+beginningOfArch,-1.1565803289413452+thickness+thickness],
			[0.17965022302364148*((1.0-(((0.9066845929181134*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9066845929181134*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9066845929181134*(endOfArch-beginningOfArch)+beginningOfArch,-1.203545331954956+thickness+thickness],
			[0.11337251347817337*((1.0-(((0.8268176420235339*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8268176420235339*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8268176420235339*(endOfArch-beginningOfArch)+beginningOfArch,0.09592092954195462*archHeight+thickness],
			[0.4445750604737391*((1.0-(((0.43817383566020446*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.43817383566020446*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.43817383566020446*(endOfArch-beginningOfArch)+beginningOfArch,-2.91854190826416],
			[0.32539452132755936*((1.0-(((0.46124531310281636*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.46124531310281636*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.46124531310281636*(endOfArch-beginningOfArch)+beginningOfArch,-2.915614604949951],
			[0.4007312679921175*((1.0-(((0.37630575674551503*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.37630575674551503*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.37630575674551503*(endOfArch-beginningOfArch)+beginningOfArch,-2.9183006286621094],
			[0.3955373863215286*((1.0-(((0.5130705656828703*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5130705656828703*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5130705656828703*(endOfArch-beginningOfArch)+beginningOfArch,-2.9182729721069336],
			[0.17889585576819206*((1.0-(((0.48882359634211037*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.48882359634211037*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.48882359634211037*(endOfArch-beginningOfArch)+beginningOfArch,-2.901116371154785],
			[0.04779756283957562*((1.0-(((0.5084652370876737*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5084652370876737*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5084652370876737*(endOfArch-beginningOfArch)+beginningOfArch,-2.8829493522644043],
			[0.11309128652854492*((1.0-(((0.40909190236786264*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.40909190236786264*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.40909190236786264*(endOfArch-beginningOfArch)+beginningOfArch,-2.8904995918273926],
			[0.11475801662641039*((1.0-(((0.5823595965350116*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5823595965350116*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5823595965350116*(endOfArch-beginningOfArch)+beginningOfArch,-2.896892547607422],
			[0.1731559752468872*((1.0-(((0.9124085226176698*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9124085226176698*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9124085226176698*(endOfArch-beginningOfArch)+beginningOfArch,-2.91365647315979],
			[0.03950864864475826*((1.0-(((0.9507357750409915*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9507357750409915*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9507357750409915*(endOfArch-beginningOfArch)+beginningOfArch,-2.912545680999756],
			[0.11029448289525219*((1.0-(((0.8236162162121431*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8236162162121431*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8236162162121431*(endOfArch-beginningOfArch)+beginningOfArch,-2.9114906787872314],
			[-0.40611407192447563*((1.0-(((0.5650212794174383*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5650212794174383*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5650212794174383*(endOfArch-beginningOfArch)+beginningOfArch,0.7331820267897385*archHeight+thickness],
			[-0.2882111109822108*((1.0-(((0.5518544514973959*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5518544514973959*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5518544514973959*(endOfArch-beginningOfArch)+beginningOfArch,0.6358356475830078*archHeight+thickness],
			[-0.34691662584706157*((1.0-(((0.44190150131413963*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.44190150131413963*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.44190150131413963*(endOfArch-beginningOfArch)+beginningOfArch,0.7043872246375451*archHeight+thickness],
			[-0.3463616469208526*((1.0-(((0.6648403214819637*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6648403214819637*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6648403214819637*(endOfArch-beginningOfArch)+beginningOfArch,0.5906864312978891*archHeight+thickness],
			[-0.17342089114029538*((1.0-(((0.5381066593123071*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5381066593123071*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5381066593123071*(endOfArch-beginningOfArch)+beginningOfArch,0.5385646820068359*archHeight+thickness],
			[-0.058129047667207626*((1.0-(((0.5242289790400753*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5242289790400753*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5242289790400753*(endOfArch-beginningOfArch)+beginningOfArch,0.44125945751483625*archHeight+thickness],
			[-0.11428106219295725*((1.0-(((0.4262796095859857*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4262796095859857*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4262796095859857*(endOfArch-beginningOfArch)+beginningOfArch,0.5025634765625*archHeight+thickness],
			[-0.11325348997114773*((1.0-(((0.6295830997419946*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6295830997419946*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6295830997419946*(endOfArch-beginningOfArch)+beginningOfArch,0.42759257096510667*archHeight+thickness],
			[-0.20584844940103528*((1.0-(((0.9689116301359953*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9689116301359953*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9689116301359953*(endOfArch-beginningOfArch)+beginningOfArch,-0.8873958587646484+thickness+thickness],
			[-0.09076440974092892*((1.0-(((0.9634766755280672*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9634766755280672*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9634766755280672*(endOfArch-beginningOfArch)+beginningOfArch,-1.1100003719329834+thickness+thickness],
			[-0.1344831309190479*((1.0-(((0.873772703571084*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.873772703571084*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.873772703571084*(endOfArch-beginningOfArch)+beginningOfArch,0.14204022517571083*archHeight+thickness],
			[-0.15879578744211503*heelWidth,0.09114799499511719*beginningOfArch,-3.1652655601501465],
			[-0.5021198334232453*heelWidth,0.6180840301513671*beginningOfArch,-0.7688891887664795+thickness],
			[-0.465740206628869*((1.0-(((0.09903674655490452*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.09903674655490452*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.09903674655490452*(endOfArch-beginningOfArch)+beginningOfArch,0.204984371478741*archHeight+thickness],
			[-0.41560496138022224*((1.0-(((0.5633141788435571*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5633141788435571*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5633141788435571*(endOfArch-beginningOfArch)+beginningOfArch,-2.8269267082214355],
			[-0.43125644806892643*heelWidth,0.2631432342529297*beginningOfArch,-0.7135883569717407+thickness],
			[-0.47579229936379597*((1.0-(((0.5716213650173612*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5716213650173612*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5716213650173612*(endOfArch-beginningOfArch)+beginningOfArch,0.6178259482750525*archHeight+thickness],
			[-0.48148502842072516*heelWidth,0.4330756378173828*beginningOfArch,-0.7498677968978882+thickness],
			[-0.4876377156875342*((1.0-(((-0.07436064731927565*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.07436064731927565*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.07436064731927565*(endOfArch-beginningOfArch)+beginningOfArch,-0.353841096162796+thickness+thickness],
			[-0.18412694623393397*heelWidth,0.023590011596679686*beginningOfArch,-0.662283182144165+thickness],
			[-0.47456719708587775*((1.0-(((0.6817940606011285*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6817940606011285*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6817940606011285*(endOfArch-beginningOfArch)+beginningOfArch,-2.833542823791504],
			[-0.49799119843637607*((1.0-(((0.7968766954210069*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7968766954210069*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7968766954210069*(endOfArch-beginningOfArch)+beginningOfArch,0.33833202948937047*archHeight+thickness],
			[0.48490653231416914*((1.0-(((0.428736651385272*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.428736651385272*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.428736651385272*(endOfArch-beginningOfArch)+beginningOfArch,-0.7345390319824219+thickness+thickness],
			[0.49256419503658877*((1.0-(((0.15422929363486207*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.15422929363486207*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.15422929363486207*(endOfArch-beginningOfArch)+beginningOfArch,-0.7345390319824219+thickness+thickness],
			[0.4717986814437374*heelWidth,0.48869483947753906*beginningOfArch,-0.7798357009887695+thickness],
			[0.12054168793462938*heelWidth,0.018910369873046874*beginningOfArch,-0.6654239892959595+thickness],
			[0.26775397023847025*heelWidth,0.09636627197265625*beginningOfArch,-0.6864907741546631+thickness],
			[-0.25187121668169576*heelWidth,0.07452896118164062*beginningOfArch,-2.6527504920959473],
			[-0.3286509975310295*heelWidth,0.12401298522949218*beginningOfArch,-0.6823447942733765+thickness],
			[0.4563881043464907*heelWidth,0.6349778747558594*beginningOfArch,-3.1508541107177734],
			[0.3399796639719317*heelWidth,0.42564743041992187*beginningOfArch,-3.148167848587036],
			[0.3963548291114069*heelWidth,0.37574615478515627*beginningOfArch,-3.1652655601501465],
			[0.40275832145444806*heelWidth,0.7395676422119141*beginningOfArch,-2.9184141159057617],
			[0.20033657935357863*heelWidth,0.27191848754882814*beginningOfArch,-3.148167848587036],
			[0.05621304050568612*heelWidth,0.21445487976074218*beginningOfArch,-3.1482114791870117],
			[0.12458427490726594*heelWidth,0.09205780029296876*beginningOfArch,-3.1652655601501465],
			[0.12319655572214434*heelWidth,0.569254150390625*beginningOfArch,-2.9184138774871826],
			[0.19818351146444593*((1.0-(((0.14253498595437886*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.14253498595437886*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.14253498595437886*(endOfArch-beginningOfArch)+beginningOfArch,-2.911863088607788],
			[0.06322571666967852*((1.0-(((0.1329652291757089*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.1329652291757089*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.1329652291757089*(endOfArch-beginningOfArch)+beginningOfArch,-2.9045581817626953],
			[0.12361924409200524*((1.0-(((0.05286614688826196*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.05286614688826196*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.05286614688826196*(endOfArch-beginningOfArch)+beginningOfArch,-2.9125092029571533],
			[0.12465678389214067*((1.0-(((0.22608392032576197*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.22608392032576197*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.22608392032576197*(endOfArch-beginningOfArch)+beginningOfArch,-2.8995349407196045],
			[-0.06398848179847963*heelWidth,0.21263954162597656*beginningOfArch,-3.1482114791870117],
			[-0.19653038824758223*heelWidth,0.2503656768798828*beginningOfArch,-3.148167848587036],
			[-0.02562469051730248*heelWidth,0.001599273681640625*beginningOfArch,-0.6593908071517944+thickness],
			[-0.15098522555443547*heelWidth,0.5579667663574219*beginningOfArch,-2.9184138774871826],
			[-0.3376956447478264*heelWidth,0.3880046844482422*beginningOfArch,-3.14817214012146],
			[-0.4645128557758947*heelWidth,0.5684117889404297*beginningOfArch,-3.1459784507751465],
			[-0.4279866987659085*heelWidth,0.3503215789794922*beginningOfArch,-3.145451068878174],
			[-0.4144781789472026*heelWidth,0.7018013000488281*beginningOfArch,-2.9184141159057617],
			[-0.29695790311631814*((1.0-(((0.11561273645471644*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.11561273645471644*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.11561273645471644*(endOfArch-beginningOfArch)+beginningOfArch,-2.8886680603027344],
			[-0.4005141052596964*((1.0-(((0.10606874065634644*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.10606874065634644*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.10606874065634644*(endOfArch-beginningOfArch)+beginningOfArch,-2.8848183155059814],
			[-0.3777653067011679*((1.0-(((0.020605770158179014*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.020605770158179014*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.020605770158179014*(endOfArch-beginningOfArch)+beginningOfArch,-2.902740478515625],
			[-0.35185795261384867*((1.0-(((0.20169359371985918*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.20169359371985918*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.20169359371985918*(endOfArch-beginningOfArch)+beginningOfArch,-2.8670527935028076],
			[-0.0679426980156694*((1.0-(((0.5242289790400753*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5242289790400753*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5242289790400753*(endOfArch-beginningOfArch)+beginningOfArch,-2.8691070079803467],
			[-0.1832143542439254*((1.0-(((0.5381066593123071*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5381066593123071*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5381066593123071*(endOfArch-beginningOfArch)+beginningOfArch,-2.8552894592285156],
			[-0.12476089763025687*((1.0-(((0.4262796095859857*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4262796095859857*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4262796095859857*(endOfArch-beginningOfArch)+beginningOfArch,-2.860563278198242],
			[-0.12144200289636518*((1.0-(((0.6295830997419946*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6295830997419946*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6295830997419946*(endOfArch-beginningOfArch)+beginningOfArch,-2.873500108718872],
			[-0.29798461899588435*((1.0-(((0.5518544514973959*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5518544514973959*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5518544514973959*(endOfArch-beginningOfArch)+beginningOfArch,-2.8414769172668457],
			[-0.4637004051063722*((1.0-(((0.32447579466266396*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.32447579466266396*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.32447579466266396*(endOfArch-beginningOfArch)+beginningOfArch,0.5869956750136155*archHeight+thickness],
			[-0.3573655306682067*((1.0-(((0.44190150131413963*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.44190150131413963*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.44190150131413963*(endOfArch-beginningOfArch)+beginningOfArch,-2.831909656524658],
			[-0.354508034896393*((1.0-(((0.6648403214819637*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6648403214819637*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6648403214819637*(endOfArch-beginningOfArch)+beginningOfArch,-2.8503403663635254],
			[-0.3421579607713295*((1.0-(((0.9811011420355903*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9811011420355903*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9811011420355903*(endOfArch-beginningOfArch)+beginningOfArch,-2.9091877937316895],
			[-0.4654112447135032*((1.0-(((0.9830005787037037*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9830005787037037*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9830005787037037*(endOfArch-beginningOfArch)+beginningOfArch,-2.907142162322998],
			[-0.38218548910965655*((1.0-(((0.8926438696590471*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8926438696590471*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8926438696590471*(endOfArch-beginningOfArch)+beginningOfArch,-2.8937792778015137],
			[-0.47534908786896735*heelWidth,0.5592347717285157*beginningOfArch,1.04738450050354+thickness],
			[-0.3359708786010742*heelWidth,0.28671630859375*beginningOfArch,-1.100783109664917+thickness],
			[-0.4375481759348223*heelWidth,0.32296119689941405*beginningOfArch,1.541532039642334+thickness],
			[-0.4144099450880481*heelWidth,0.6552696990966796*beginningOfArch,-0.6388674974441528+thickness],
			[-0.19361705164755544*heelWidth,0.17122398376464842*beginningOfArch,-0.7659934759140015+thickness],
			[-0.059826262535587434*heelWidth,0.14411674499511717*beginningOfArch,-0.683969259262085+thickness],
			[-0.15850820849018712*heelWidth,0.046551361083984374*beginningOfArch,1.826164722442627+thickness],
			[-0.1468750738328503*heelWidth,0.7459139251708984*beginningOfArch,-1.625550389289856+thickness],
			[-0.1780185503667217*((1.0-(((0.12387810224368248*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.12387810224368248*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.12387810224368248*(endOfArch-beginningOfArch)+beginningOfArch,0.3020131771381085*archHeight+thickness],
			[-0.05502143091634169*((1.0-(((0.13053503154236593*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.13053503154236593*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.13053503154236593*(endOfArch-beginningOfArch)+beginningOfArch,0.26329752115102917*archHeight+thickness],
			[-0.136635944996924*((1.0-(((0.04444188247492284*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.04444188247492284*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.04444188247492284*(endOfArch-beginningOfArch)+beginningOfArch,0.16448380396916315*archHeight+thickness],
			[-0.11167714269247214*((1.0-(((0.22312456295814043*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.22312456295814043*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.22312456295814043*(endOfArch-beginningOfArch)+beginningOfArch,0.39312373674832857*archHeight+thickness],
			[0.05959736916326707*heelWidth,0.14809494018554686*beginningOfArch,-0.6931066513061523+thickness],
			[0.2049909560911117*heelWidth,0.19572242736816406*beginningOfArch,-0.8342361450195312+thickness],
			[0.13554337716871692*heelWidth,0.046751785278320315*beginningOfArch,1.8256590366363525+thickness],
			[0.12914937542330834*heelWidth,0.7772708892822265*beginningOfArch,-1.6334681510925293+thickness],
			[0.3444749770625945*heelWidth,0.32920074462890625*beginningOfArch,-1.2178540229797363+thickness],
			[0.48127635832755794*heelWidth,0.6268504333496093*beginningOfArch,1.0225017070770264+thickness],
			[0.4176823400682019*heelWidth,0.34318870544433594*beginningOfArch,1.2663938999176025+thickness],
			[0.41732182041291266*heelWidth,0.703931884765625*beginningOfArch,-0.3163195252418518+thickness],
			[0.3394261620133999*((1.0-(((0.1492995273919753*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.1492995273919753*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.1492995273919753*(endOfArch-beginningOfArch)+beginningOfArch,0.13443908324608436*archHeight+thickness],
			[0.4495270554762186*((1.0-(((0.15336759590808255*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.15336759590808255*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.15336759590808255*(endOfArch-beginningOfArch)+beginningOfArch,0.1294502203281109*archHeight+thickness],
			[0.4036196844640378*((1.0-(((0.05578990041473766*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.05578990041473766*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.05578990041473766*(endOfArch-beginningOfArch)+beginningOfArch,0.09724491376143235*archHeight+thickness],
			[0.40313042615713063*((1.0-(((0.23129903534312307*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.23129903534312307*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.23129903534312307*(endOfArch-beginningOfArch)+beginningOfArch,0.13749308769519514*archHeight+thickness],
			[0.05759112096391798*((1.0-(((0.5084652370876737*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5084652370876737*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5084652370876737*(endOfArch-beginningOfArch)+beginningOfArch,0.3438748579758864*archHeight+thickness],
			[0.1860201861217554*((1.0-(((0.48882359634211037*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.48882359634211037*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.48882359634211037*(endOfArch-beginningOfArch)+beginningOfArch,0.23530787688035232*archHeight+thickness],
			[0.12300130971097632*((1.0-(((0.40909190236786264*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.40909190236786264*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.40909190236786264*(endOfArch-beginningOfArch)+beginningOfArch,0.2968807587256798*archHeight+thickness],
			[0.12232252245055521*((1.0-(((0.5823595965350116*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5823595965350116*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5823595965350116*(endOfArch-beginningOfArch)+beginningOfArch,0.2632789611816406*archHeight+thickness],
			[0.32794676962940955*((1.0-(((0.46124531310281636*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.46124531310281636*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.46124531310281636*(endOfArch-beginningOfArch)+beginningOfArch,0.15603168194110578*archHeight+thickness],
			[0.4445232681168948*((1.0-(((0.43734251422646603*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.43734251422646603*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.43734251422646603*(endOfArch-beginningOfArch)+beginningOfArch,0.13087595426119292*archHeight+thickness],
			[0.40127626984399184*((1.0-(((0.37630575674551503*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.37630575674551503*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.37630575674551503*(endOfArch-beginningOfArch)+beginningOfArch,0.1377513867158156*archHeight+thickness],
			[0.396071256485113*((1.0-(((0.5130705656828703*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5130705656828703*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5130705656828703*(endOfArch-beginningOfArch)+beginningOfArch,0.1379463764337393*archHeight+thickness],
			[0.31687512218082736*((1.0-(((0.8514863944347993*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8514863944347993*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8514863944347993*(endOfArch-beginningOfArch)+beginningOfArch,-1.2647485733032227+thickness+thickness],
			[0.43992222419741517*((1.0-(((0.7753704683280286*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7753704683280286*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7753704683280286*(endOfArch-beginningOfArch)+beginningOfArch,-1.2605578899383545+thickness+thickness],
			[0.38735653365691763*((1.0-(((0.7153065999348959*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7153065999348959*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7153065999348959*(endOfArch-beginningOfArch)+beginningOfArch,0.08120802732614371*archHeight+thickness],
			[0.38594759664227885*heelWidth,0.2546639251708984*beginningOfArch,-0.7278057336807251+thickness],
			[-0.09896209932142688*heelWidth,0.018149261474609376*beginningOfArch,-2.6527504920959473],
			[0.44944151660877574*((1.0-(((0.15459503362208238*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.15459503362208238*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.15459503362208238*(endOfArch-beginningOfArch)+beginningOfArch,-2.9185428619384766],
			[0.4967019582335164*((1.0-(((0.5545995264877508*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5545995264877508*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5545995264877508*(endOfArch-beginningOfArch)+beginningOfArch,-0.7345390319824219+thickness+thickness],
			[-0.46005092116124807*((1.0-(((0.44569679542824076*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.44569679542824076*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.44569679542824076*(endOfArch-beginningOfArch)+beginningOfArch,-2.813533306121826],
			[0.48270670210439626*((1.0-(((0.29247086136429395*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.29247086136429395*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.29247086136429395*(endOfArch-beginningOfArch)+beginningOfArch,-0.7345390319824219+thickness+thickness],
			[0.48739687075142896*((1.0-(((0.08412561298888406*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.08412561298888406*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.08412561298888406*(endOfArch-beginningOfArch)+beginningOfArch,-2.6517815589904785],
			[0.5032979903682586*heelWidth,0.7237763977050782*beginningOfArch,-0.7790569067001343+thickness],
			[0.47947390932255757*((1.0-(((0.24128741982542437*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.24128741982542437*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.24128741982542437*(endOfArch-beginningOfArch)+beginningOfArch,-2.649325370788574],
			[0.5022032036260424*((1.0-(((-0.023565221715856483*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.023565221715856483*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.023565221715856483*(endOfArch-beginningOfArch)+beginningOfArch,-0.7334623336791992+thickness+thickness],
			[-0.05928111349066761*((1.0-(((0.22330540786554784*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.22330540786554784*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.22330540786554784*(endOfArch-beginningOfArch)+beginningOfArch,-2.883840560913086],
			[-0.4033759289962392*((1.0-(((0.21076946494020063*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.21076946494020063*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.21076946494020063*(endOfArch-beginningOfArch)+beginningOfArch,0.542885266817533*archHeight+thickness],
			[0.06870769874690986*((1.0-(((0.22422281901041666*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.22422281901041666*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.22422281901041666*(endOfArch-beginningOfArch)+beginningOfArch,0.2936243277329665*archHeight+thickness],
			[0.4478073879002779*((1.0-(((0.4995746377073688*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4995746377073688*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4995746377073688*(endOfArch-beginningOfArch)+beginningOfArch,-2.9185409545898438],
			[0.18533169106807496*((1.0-(((0.565990212522907*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.565990212522907*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.565990212522907*(endOfArch-beginningOfArch)+beginningOfArch,-2.9044957160949707],
			[-0.4101494659241352*((1.0-(((0.6741055147147473*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6741055147147473*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6741055147147473*(endOfArch-beginningOfArch)+beginningOfArch,0.6339018895075872*archHeight+thickness],
			[-0.1709864289454166*((1.0-(((0.6380997646002122*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6380997646002122*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6380997646002122*(endOfArch-beginningOfArch)+beginningOfArch,0.4703206282395583*archHeight+thickness],
			[0.4565582275390625*heelWidth,0.8059799194335937*beginningOfArch,-3.0935630798339844],
			[0.19680026269728138*heelWidth,0.5989360046386719*beginningOfArch,-2.9184141159057617],
			[0.1967210376850722*((1.0-(((0.23138917522665894*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.23138917522665894*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.23138917522665894*(endOfArch-beginningOfArch)+beginningOfArch,-2.905973434448242],
			[-0.08275256618376702*heelWidth,0.5501530456542969*beginningOfArch,-2.9184141159057617],
			[-0.35052557914487775*heelWidth,0.67226318359375*beginningOfArch,-2.9184138774871826],
			[-0.29860631594974996*((1.0-(((0.21714321183569638*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.21714321183569638*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.21714321183569638*(endOfArch-beginningOfArch)+beginningOfArch,-2.8646628856658936],
			[-0.06274620161799518*((1.0-(((0.6200975959683642*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6200975959683642*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6200975959683642*(endOfArch-beginningOfArch)+beginningOfArch,-2.87892484664917],
			[-0.29502428691297206*((1.0-(((0.6559297538097993*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6559297538097993*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6559297538097993*(endOfArch-beginningOfArch)+beginningOfArch,-2.855933666229248],
			[-0.4693402936381678*heelWidth,0.7366559600830078*beginningOfArch,0.9535678625106812+thickness],
			[-0.20581742255918442*heelWidth,0.729112548828125*beginningOfArch,-1.6229135990142822+thickness],
			[-0.1720105571189611*((1.0-(((0.2221798366970486*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2221798366970486*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2221798366970486*(endOfArch-beginningOfArch)+beginningOfArch,0.4312706727247972*archHeight+thickness],
			[0.05718641896401682*heelWidth,0.7756364440917969*beginningOfArch,-1.6308844089508057+thickness],
			[0.333739988265499*heelWidth,0.7213385009765625*beginningOfArch,-1.621689796447754+thickness],
			[0.33672644507066435*((1.0-(((0.23173438178168404*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.23173438178168404*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.23173438178168404*(endOfArch-beginningOfArch)+beginningOfArch,0.15064330284412092*archHeight+thickness],
			[0.06188200055164891*((1.0-(((0.5947421980492863*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5947421980492863*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5947421980492863*(endOfArch-beginningOfArch)+beginningOfArch,0.3087479518010066*archHeight+thickness],
			[0.32902082956569356*((1.0-(((0.5302454630533854*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5302454630533854*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5302454630533854*(endOfArch-beginningOfArch)+beginningOfArch,0.15195523775540865*archHeight+thickness],
			[0.448288594377872*((1.0-(((0.6714997468171297*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6714997468171297*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6714997468171297*(endOfArch-beginningOfArch)+beginningOfArch,-2.918574333190918],
			[0.3213565376526754*((1.0-(((0.7446044168354552*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7446044168354552*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7446044168354552*(endOfArch-beginningOfArch)+beginningOfArch,-2.918804407119751],
			[-0.4474159251484575*((1.0-(((0.9064704989209588*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9064704989209588*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9064704989209588*(endOfArch-beginningOfArch)+beginningOfArch,0.2129985369168795*archHeight+thickness],
			[-0.3147599857285133*((1.0-(((0.8923861656659915*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8923861656659915*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8923861656659915*(endOfArch-beginningOfArch)+beginningOfArch,0.1853633477137639*archHeight+thickness],
			[0.4928062808129095*heelWidth,0.6066007232666015*beginningOfArch,-0.8018921613693237+thickness],
			[0.33969253863951254*((1.0-(((0.054407096203462575*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.054407096203462575*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.054407096203462575*(endOfArch-beginningOfArch)+beginningOfArch,-2.9178366661071777],
			[0.3346223142171378*((1.0-(((0.23173438178168404*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.23173438178168404*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.23173438178168404*(endOfArch-beginningOfArch)+beginningOfArch,-2.916384220123291],
			[-0.07222359059418262*((1.0-(((0.04691314697265625*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.04691314697265625*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.04691314697265625*(endOfArch-beginningOfArch)+beginningOfArch,-2.9083852767944336],
			[-0.20127197842449526*((1.0-(((0.03726059713481385*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.03726059713481385*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.03726059713481385*(endOfArch-beginningOfArch)+beginningOfArch,-2.90582275390625],
			[-0.17967478329604583*((1.0-(((0.2221798366970486*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2221798366970486*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2221798366970486*(endOfArch-beginningOfArch)+beginningOfArch,-2.8740756511688232],
			[-0.07662554343191123*((1.0-(((0.8666298948688271*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8666298948688271*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8666298948688271*(endOfArch-beginningOfArch)+beginningOfArch,-2.904505968093872],
			[-0.19704807000673782*((1.0-(((0.8767930019048997*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8767930019048997*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8767930019048997*(endOfArch-beginningOfArch)+beginningOfArch,-2.900097608566284],
			[-0.43327970884011086*((1.0-(((0.014330734441309799*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.014330734441309799*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.014330734441309799*(endOfArch-beginningOfArch)+beginningOfArch,0.2130774718064528*archHeight+thickness],
			[-0.31316116101479136*((1.0-(((0.02778630197784047*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.02778630197784047*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.02778630197784047*(endOfArch-beginningOfArch)+beginningOfArch,0.190824215228741*archHeight+thickness],
			[-0.2909665104007734*((1.0-(((0.21714321183569638*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.21714321183569638*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.21714321183569638*(endOfArch-beginningOfArch)+beginningOfArch,0.49771734384390026*archHeight+thickness],
			[0.062229845174833785*((1.0-(((0.051856806248794365*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.051856806248794365*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.051856806248794365*(endOfArch-beginningOfArch)+beginningOfArch,0.1394114586023184*archHeight+thickness],
			[0.19274212211285913*((1.0-(((0.05630182336877893*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.05630182336877893*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.05630182336877893*(endOfArch-beginningOfArch)+beginningOfArch,0.11824297904968262*archHeight+thickness],
			[0.2020874183900095*((1.0-(((0.23138917522665894*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.23138917522665894*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.23138917522665894*(endOfArch-beginningOfArch)+beginningOfArch,0.21055404956524187*archHeight+thickness],
			[0.05094937214585383*((1.0-(((0.846764835310571*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.846764835310571*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.846764835310571*(endOfArch-beginningOfArch)+beginningOfArch,0.1080015622652494*archHeight+thickness],
			[0.1825375725594613*((1.0-(((0.8024972044391396*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8024972044391396*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8024972044391396*(endOfArch-beginningOfArch)+beginningOfArch,0.08925126149104191*archHeight+thickness],
			[-0.4858615643715173*((1.0-(((0.6859829749590085*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6859829749590085*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6859829749590085*(endOfArch-beginningOfArch)+beginningOfArch,0.4941403682415302*archHeight+thickness],
			[0.4972546394450158*((1.0-(((0.06488234908492477*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.06488234908492477*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.06488234908492477*(endOfArch-beginningOfArch)+beginningOfArch,-0.7342160940170288+thickness+thickness],
			[-0.2265402732356902*heelWidth,0.12302940368652343*beginningOfArch,-3.1652655601501465],
			[0.4479203206536861*((1.0-(((0.36908590057749807*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.36908590057749807*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.36908590057749807*(endOfArch-beginningOfArch)+beginningOfArch,-2.918553352355957],
			[0.33120979814015616*((1.0-(((0.38232685607156636*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.38232685607156636*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.38232685607156636*(endOfArch-beginningOfArch)+beginningOfArch,-2.9157514572143555],
			[0.32697655514755253*((1.0-(((0.5302454630533854*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5302454630533854*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5302454630533854*(endOfArch-beginningOfArch)+beginningOfArch,-2.91619873046875],
			[0.18340615760886403*((1.0-(((0.40093259458188657*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.40093259458188657*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.40093259458188657*(endOfArch-beginningOfArch)+beginningOfArch,-2.901374101638794],
			[0.0510951743699098*((1.0-(((0.4133434531129437*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4133434531129437*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4133434531129437*(endOfArch-beginningOfArch)+beginningOfArch,-2.8822450637817383],
			[0.05368531144705696*((1.0-(((0.5947421980492863*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5947421980492863*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5947421980492863*(endOfArch-beginningOfArch)+beginningOfArch,-2.8903775215148926],
			[0.1800797429552832*((1.0-(((0.7993799845377604*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7993799845377604*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7993799845377604*(endOfArch-beginningOfArch)+beginningOfArch,-2.9135899543762207],
			[0.047819925847298626*((1.0-(((0.8434421868971836*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8434421868971836*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8434421868971836*(endOfArch-beginningOfArch)+beginningOfArch,-2.908848285675049],
			[-0.4022436473773684*((1.0-(((0.44504726080246915*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.44504726080246915*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.44504726080246915*(endOfArch-beginningOfArch)+beginningOfArch,0.7513047731839694*archHeight+thickness],
			[-0.2896258224456882*((1.0-(((0.43743321925033757*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.43743321925033757*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.43743321925033757*(endOfArch-beginningOfArch)+beginningOfArch,0.654619730435885*archHeight+thickness],
			[-0.2868672555362174*((1.0-(((0.6559297538097993*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6559297538097993*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6559297538097993*(endOfArch-beginningOfArch)+beginningOfArch,0.5512970044062688*archHeight+thickness],
			[-0.17282254555103926*((1.0-(((0.429559024763696*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.429559024763696*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.429559024763696*(endOfArch-beginningOfArch)+beginningOfArch,0.5534118872422439*archHeight+thickness],
			[-0.05585494552879648*((1.0-(((0.4215287573543596*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4215287573543596*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4215287573543596*(endOfArch-beginningOfArch)+beginningOfArch,0.4518543756925143*archHeight+thickness],
			[-0.05454631471109946*((1.0-(((0.6200975017783082*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6200975017783082*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6200975017783082*(endOfArch-beginningOfArch)+beginningOfArch,0.3893915323110727*archHeight+thickness],
			[-0.1938020040209753*((1.0-(((0.880559002911603*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.880559002911603*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.880559002911603*(endOfArch-beginningOfArch)+beginningOfArch,0.15862057759211615*archHeight+thickness],
			[-0.0734487890393144*((1.0-(((0.8701639057677469*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8701639057677469*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8701639057677469*(endOfArch-beginningOfArch)+beginningOfArch,0.13094791999230018*archHeight+thickness],
			[-0.4936203802785566*heelWidth,0.744710693359375*beginningOfArch,-0.6859310865402222+thickness],
			[-0.47496068012684367*((1.0-(((0.009065887074411652*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.009065887074411652*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.009065887074411652*(endOfArch-beginningOfArch)+beginningOfArch,0.060164378239558294*archHeight+thickness],
			[-0.4635670652263709*((1.0-(((0.20777864809389468*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.20777864809389468*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.20777864809389468*(endOfArch-beginningOfArch)+beginningOfArch,0.410829287308913*archHeight+thickness],
			[-0.41799941026997195*((1.0-(((0.6725053198543596*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6725053198543596*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6725053198543596*(endOfArch-beginningOfArch)+beginningOfArch,-2.8433141708374023],
			[-0.4124811751198688*((1.0-(((0.4433307412229938*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4433307412229938*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4433307412229938*(endOfArch-beginningOfArch)+beginningOfArch,-2.824685573577881],
			[-0.5115699105915528*((1.0-(((0.9045861326617959*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9045861326617959*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9045861326617959*(endOfArch-beginningOfArch)+beginningOfArch,0.14913335213294396*archHeight+thickness],
			[-0.08415004514878796*heelWidth,0.07871589660644532*beginningOfArch,-3.1652655601501465],
			[-0.2593020777548513*heelWidth,0.06667869567871093*beginningOfArch,-0.6696605682373047+thickness],
			[0.4989142121852716*((1.0-(((0.647844856168017*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.647844856168017*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.647844856168017*(endOfArch-beginningOfArch)+beginningOfArch,-0.7345390319824219+thickness+thickness],
			[0.4908224947412178*((1.0-(((0.48857700677565585*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.48857700677565585*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.48857700677565585*(endOfArch-beginningOfArch)+beginningOfArch,-0.7345390319824219+thickness+thickness],
			[0.4825539776802811*((1.0-(((0.3613129604009934*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3613129604009934*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3613129604009934*(endOfArch-beginningOfArch)+beginningOfArch,-0.7311136722564697+thickness+thickness],
			[-0.46048262811476187*heelWidth,0.34652603149414063*beginningOfArch,-0.7305974960327148+thickness],
			[0.4870735951053933*((1.0-(((0.22597211672935957*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.22597211672935957*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.22597211672935957*(endOfArch-beginningOfArch)+beginningOfArch,-0.737964391708374+thickness+thickness],
			[0.04801182593068769*heelWidth,0.005530624389648437*beginningOfArch,-0.660836935043335+thickness],
			[0.502973864155431*heelWidth,0.8391575622558594*beginningOfArch,-0.7345390319824219+thickness],
			[0.1954471065152076*heelWidth,0.050021514892578126*beginningOfArch,-0.6737436056137085+thickness],
			[0.44621535270444806*heelWidth,0.4969687652587891*beginningOfArch,-3.1447129249572754],
			[0.3357439656411448*heelWidth,0.2591801452636719*beginningOfArch,-3.1652655601501465],
			[0.3335591593096333*heelWidth,0.7061247253417968*beginningOfArch,-2.9184141159057617],
			[0.19909166520641697*heelWidth,0.12626235961914062*beginningOfArch,-3.1652655601501465],
			[0.05526774160323605*heelWidth,0.07586441040039063*beginningOfArch,-3.1655240058898926],
			[0.0518575329934397*heelWidth,0.5524802398681641*beginningOfArch,-2.9184138774871826],
			[0.19075915905047955*((1.0-(((0.05547817842459973*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.05547817842459973*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.05547817842459973*(endOfArch-beginningOfArch)+beginningOfArch,-2.9139490127563477],
			[0.05978754063813723*((1.0-(((0.051033208399643135*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.051033208399643135*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.051033208399643135*(endOfArch-beginningOfArch)+beginningOfArch,-2.9109339714050293],
			[0.06106813281716627*((1.0-(((0.22422281901041666*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.22422281901041666*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.22422281901041666*(endOfArch-beginningOfArch)+beginningOfArch,-2.893622398376465],
			[-0.10463343897173481*heelWidth,0.00627288818359375*beginningOfArch,-0.6597094535827637+thickness],
			[-0.2133497115104429*heelWidth,0.5745757293701171*beginningOfArch,-2.9184141159057617],
			[-0.37423389188704953*heelWidth,0.2890460968017578*beginningOfArch,-3.1653575897216797],
			[-0.45962302915511594*heelWidth,0.45256370544433594*beginningOfArch,-3.144805431365967],
			[-0.45888279330345894*heelWidth,0.7348027801513672*beginningOfArch,-2.9173569679260254],
			[-0.31563715488372884*((1.0-(((0.027209811740451388*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.027209811740451388*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.027209811740451388*(endOfArch-beginningOfArch)+beginningOfArch,-2.903637409210205],
			[-0.4349698177554908*((1.0-(((0.012879548249421295*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.012879548249421295*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.012879548249421295*(endOfArch-beginningOfArch)+beginningOfArch,-2.9009671211242676],
			[-0.4109776781519732*((1.0-(((0.20939127604166666*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.20939127604166666*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.20939127604166666*(endOfArch-beginningOfArch)+beginningOfArch,-2.857940912246704],
			[-0.06634231090019066*((1.0-(((0.4215287573543596*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4215287573543596*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4215287573543596*(endOfArch-beginningOfArch)+beginningOfArch,-2.8677639961242676],
			[-0.18329718978105342*((1.0-(((0.429559024763696*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.429559024763696*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.429559024763696*(endOfArch-beginningOfArch)+beginningOfArch,-2.8533425331115723],
			[-0.17916477119635288*((1.0-(((0.6380997646002122*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6380997646002122*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6380997646002122*(endOfArch-beginningOfArch)+beginningOfArch,-2.8674325942993164],
			[-0.3000817326735319*((1.0-(((0.43743321925033757*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.43743321925033757*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.43743321925033757*(endOfArch-beginningOfArch)+beginningOfArch,-2.8389768600463867],
			[-0.46852843615977185*((1.0-(((0.4483695324556327*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4483695324556327*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4483695324556327*(endOfArch-beginningOfArch)+beginningOfArch,0.6405192888700045*archHeight+thickness],
			[-0.31806764052604114*((1.0-(((0.8883938259548612*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8883938259548612*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8883938259548612*(endOfArch-beginningOfArch)+beginningOfArch,-2.8957550525665283],
			[-0.4505272670013*((1.0-(((0.9007312162422839*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9007312162422839*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9007312162422839*(endOfArch-beginningOfArch)+beginningOfArch,-2.890073537826538],
			[-0.4706828209661668*heelWidth,0.4334955596923828*beginningOfArch,1.34530770778656+thickness],
			[-0.38147735595703125*heelWidth,0.25244644165039065*beginningOfArch,1.470818281173706+thickness],
			[-0.34773103652461884*heelWidth,0.675799331665039*beginningOfArch,-1.575326919555664+thickness],
			[-0.22974355759159212*heelWidth,0.0810137939453125*beginningOfArch,1.7612810134887695+thickness],
			[-0.08167670619103216*heelWidth,0.032408523559570315*beginningOfArch,1.852620005607605+thickness],
			[-0.08016064859205677*heelWidth,0.7624911499023438*beginningOfArch,-1.6282423734664917+thickness],
			[-0.19878980937724205*((1.0-(((0.03808424207899305*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.03808424207899305*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.03808424207899305*(endOfArch-beginningOfArch)+beginningOfArch,0.17540577741769645*archHeight+thickness],
			[-0.06976002203810747*((1.0-(((0.0481321546766493*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.0481321546766493*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.0481321546766493*(endOfArch-beginningOfArch)+beginningOfArch,0.15737438201904297*archHeight+thickness],
			[-0.051618245181361454*((1.0-(((0.22330540786554784*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.22330540786554784*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.22330540786554784*(endOfArch-beginningOfArch)+beginningOfArch,0.3625061328594501*archHeight+thickness],
			[0.0631178617477417*heelWidth,0.030220947265625*beginningOfArch,1.857056736946106+thickness],
			[0.21271474899784212*heelWidth,0.0822137451171875*beginningOfArch,1.7586873769760132+thickness],
			[0.2036621186041063*heelWidth,0.7682424926757813*beginningOfArch,-1.6360994577407837+thickness],
			[0.35510543084913687*heelWidth,0.22266525268554688*beginningOfArch,1.4940330982208252+thickness],
			[0.4666271209716797*heelWidth,0.47519325256347655*beginningOfArch,1.1297078132629395+thickness],
			[0.4818694514612998*heelWidth,0.8077647399902343*beginningOfArch,1.3053479194641113+thickness],
			[0.3398608300342319*((1.0-(((0.054571834611304014*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.054571834611304014*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.054571834611304014*(endOfArch-beginningOfArch)+beginningOfArch,0.09143446041987492*archHeight+thickness],
			[0.45297162118173256*((1.0-(((0.06151383011429398*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.06151383011429398*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.06151383011429398*(endOfArch-beginningOfArch)+beginningOfArch,0.10500227488004245*archHeight+thickness],
			[0.45147366950171736*((1.0-(((0.23034253532503857*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.23034253532503857*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.23034253532503857*(endOfArch-beginningOfArch)+beginningOfArch,0.1307981381049523*archHeight+thickness],
			[0.06155676853259104*((1.0-(((0.4133434531129437*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4133434531129437*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4133434531129437*(endOfArch-beginningOfArch)+beginningOfArch,0.35013477618877703*archHeight+thickness],
			[0.19120707935351672*((1.0-(((0.40093259458188657*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.40093259458188657*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.40093259458188657*(endOfArch-beginningOfArch)+beginningOfArch,0.23787832260131836*archHeight+thickness],
			[0.1905273207701176*((1.0-(((0.565990212522907*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.565990212522907*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.565990212522907*(endOfArch-beginningOfArch)+beginningOfArch,0.2149055554316594*archHeight+thickness],
			[0.33377459393165926*((1.0-(((0.38232685607156636*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.38232685607156636*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.38232685607156636*(endOfArch-beginningOfArch)+beginningOfArch,0.15515336623558632*archHeight+thickness],
			[0.44790125033403483*((1.0-(((0.3681549260645737*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3681549260645737*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3681549260645737*(endOfArch-beginningOfArch)+beginningOfArch,0.1307981381049523*archHeight+thickness],
			[0.44775548414501026*((1.0-(((0.4986294404959973*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4986294404959973*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4986294404959973*(endOfArch-beginningOfArch)+beginningOfArch,0.13088303345900315*archHeight+thickness],
			[0.3212977379759615*((1.0-(((0.7475096149209105*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7475096149209105*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7475096149209105*(endOfArch-beginningOfArch)+beginningOfArch,0.07140686878791222*archHeight+thickness],
			[0.4481285204903724*((1.0-(((0.6731638967255016*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6731638967255016*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6731638967255016*(endOfArch-beginningOfArch)+beginningOfArch,0.09223626210139348*archHeight+thickness],
			[-0.49588883307672316*heelWidth,0.5194350433349609*beginningOfArch,-0.7718008756637573+thickness],
			[-0.38564792756111393*heelWidth,0.19048042297363282*beginningOfArch,-0.6923333406448364+thickness],
			[0.3301686317689957*heelWidth,0.16600929260253905*beginningOfArch,-0.7043420076370239+thickness],
			[0.4336853950254379*heelWidth,0.3681829833984375*beginningOfArch,-0.7598609924316406+thickness],
			[0.45147523146519364*((1.0-(((0.06233639187282986*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.06233639187282986*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.06233639187282986*(endOfArch-beginningOfArch)+beginningOfArch,-3.1468372344970703],
			[0.4513734392412364*((1.0-(((0.23136138916015625*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.23136138916015625*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.23136138916015625*(endOfArch-beginningOfArch)+beginningOfArch,-2.918553352355957],
			[-0.48289243636592744*heelWidth,0.46341835021972655*beginningOfArch,-2.618496894836426],
			[0.4778128900835591*heelWidth,0.5196419525146484*beginningOfArch,0.7877284288406372+thickness],
			[-0.47367671228224234*heelWidth,0.41058242797851563*beginningOfArch,0.955622673034668+thickness],
			[0.457137692359186*heelWidth,0.45245010375976563*beginningOfArch,-2.618496894836426],
			[-0.4875981730799521*heelWidth,0.48159210205078123*beginningOfArch,0.8580485582351685+thickness],
			[0.4807552829865486*heelWidth,0.5548226928710938*beginningOfArch,-2.618496894836426],
			[0.45125665972309725*heelWidth,0.4206060791015625*beginningOfArch,0.9238510131835938+thickness],
			[-0.46690122542842744*heelWidth,0.38916404724121095*beginningOfArch,-2.618496894836426],
			[0.4693392790531138*((1.0-(((0.2989702577944155*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2989702577944155*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2989702577944155*(endOfArch-beginningOfArch)+beginningOfArch,-2.915966510772705],
			[-0.4364459103599612*((1.0-(((0.32568095642843364*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.32568095642843364*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.32568095642843364*(endOfArch-beginningOfArch)+beginningOfArch,-2.827632427215576],
			[-0.017772270787146785*heelWidth,0.038420486450195315*beginningOfArch,-2.9952878952026367],
			[-0.0014154909777331101*((1.0-(((0.36841055787639854*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.36841055787639854*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.36841055787639854*(endOfArch-beginningOfArch)+beginningOfArch,-2.8766894340515137],
			[-0.4272242132297363*((1.0-(((0.33562667281539355*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.33562667281539355*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.33562667281539355*(endOfArch-beginningOfArch)+beginningOfArch,0.7251848807701697*archHeight+thickness],
			[0.4695799188169513*((1.0-(((0.2913887118115837*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2913887118115837*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2913887118115837*(endOfArch-beginningOfArch)+beginningOfArch,0.1121309628853431*archHeight+thickness],
			[-0.020718420705487652*heelWidth,0.012872161865234375*beginningOfArch,2.000302314758301+thickness],
			[0.009049624622277819*((1.0-(((0.36841055787639854*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.36841055787639854*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.36841055787639854*(endOfArch-beginningOfArch)+beginningOfArch,0.3930359987112192*archHeight+thickness],
			[-0.45065898149722183*((1.0-(((0.41130489773220485*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.41130489773220485*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.41130489773220485*(endOfArch-beginningOfArch)+beginningOfArch,0.7536855844350961*archHeight+thickness],
			[-0.4555961285402345*((1.0-(((0.2647393309039834*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2647393309039834*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2647393309039834*(endOfArch-beginningOfArch)+beginningOfArch,-2.8336758613586426],
			[0.4794784846808295*((1.0-(((0.2571449750735436*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2571449750735436*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2571449750735436*(endOfArch-beginningOfArch)+beginningOfArch,0.08841683314396785*archHeight+thickness],
			[0.47703186025345445*((1.0-(((0.3310652367862654*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3310652367862654*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3310652367862654*(endOfArch-beginningOfArch)+beginningOfArch,-2.618496894836426],
			[-0.07887843347364856*heelWidth,0.011503524780273437*beginningOfArch,1.5546833276748657+thickness],
			[0.015109331377090947*heelWidth,0.014777755737304688*beginningOfArch,-2.6527504920959473],
			[-0.44841257644093235*((1.0-(((0.2907018779236593*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2907018779236593*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2907018779236593*(endOfArch-beginningOfArch)+beginningOfArch,0.6670657671414889*archHeight+thickness],
			[0.47709315740550406*((1.0-(((0.3146564813307774*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3146564813307774*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3146564813307774*(endOfArch-beginningOfArch)+beginningOfArch,0.08841683314396785*archHeight+thickness],
			[-0.002470382999989294*heelWidth,0.008936233520507812*beginningOfArch,1.5579020977020264+thickness],
			[0.03902254229883623*((1.0-(((0.3183950730312018*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3183950730312018*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3183950730312018*(endOfArch-beginningOfArch)+beginningOfArch,-2.883101463317871],
			[-0.020562510456453027*((1.0-(((0.31964940200617287*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.31964940200617287*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.31964940200617287*(endOfArch-beginningOfArch)+beginningOfArch,-2.8764073848724365],
			[0.0031445432898149816*((1.0-(((0.27105138331283757*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.27105138331283757*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.27105138331283757*(endOfArch-beginningOfArch)+beginningOfArch,-2.883781909942627],
			[-0.010401414414542707*((1.0-(((0.31964940200617287*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.31964940200617287*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.31964940200617287*(endOfArch-beginningOfArch)+beginningOfArch,0.4001589921804575*archHeight+thickness],
			[0.049185584487366374*((1.0-(((0.3183950730312018*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3183950730312018*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3183950730312018*(endOfArch-beginningOfArch)+beginningOfArch,0.35301780700683594*archHeight+thickness],
			[0.01218434718539772*((1.0-(((0.27105138331283757*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.27105138331283757*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.27105138331283757*(endOfArch-beginningOfArch)+beginningOfArch,0.35545998353224534*archHeight+thickness],
			[0.4710054715989511*((1.0-(((0.5629285647545332*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5629285647545332*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5629285647545332*(endOfArch-beginningOfArch)+beginningOfArch,-2.916714668273926],
			[0.027290089671601667*((1.0-(((0.707036053692853*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.707036053692853*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.707036053692853*(endOfArch-beginningOfArch)+beginningOfArch,-2.8984479904174805],
			[0.26371770971135916*((1.0-(((0.35087368812090086*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.35087368812090086*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.35087368812090086*(endOfArch-beginningOfArch)+beginningOfArch,-2.9116954803466797],
			[0.2576566992994723*((1.0-(((0.703378748010706*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.703378748010706*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.703378748010706*(endOfArch-beginningOfArch)+beginningOfArch,-2.916965961456299],
			[-0.4567552357627357*((1.0-(((0.7988991443021798*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7988991443021798*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7988991443021798*(endOfArch-beginningOfArch)+beginningOfArch,0.4840097427368164*archHeight+thickness],
			[-0.026291694181674666*((1.0-(((0.7211328200352045*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7211328200352045*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7211328200352045*(endOfArch-beginningOfArch)+beginningOfArch,0.29984041360708386*archHeight+thickness],
			[-0.22716836659926584*((1.0-(((0.3784740118332851*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3784740118332851*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3784740118332851*(endOfArch-beginningOfArch)+beginningOfArch,0.5925223643963153*archHeight+thickness],
			[-0.2433102367264788*((1.0-(((0.8172480265299479*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8172480265299479*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8172480265299479*(endOfArch-beginningOfArch)+beginningOfArch,0.3402485480675331*archHeight+thickness],
			[0.476355587412125*((1.0-(((-0.02310298401632427*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.02310298401632427*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.02310298401632427*(endOfArch-beginningOfArch)+beginningOfArch,-2.957176685333252],
			[0.015303700701691238*((1.0-(((-0.06826490237389082*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.06826490237389082*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.06826490237389082*(endOfArch-beginningOfArch)+beginningOfArch,-2.9184138774871826],
			[0.2711907048379221*heelWidth,0.13837974548339843*beginningOfArch,-2.9952878952026367],
			[0.26169292143915424*((1.0-(((0.010834776324990355*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.010834776324990355*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.010834776324990355*(endOfArch-beginningOfArch)+beginningOfArch,-2.9167733192443848],
			[-0.0649323992305492*((1.0-(((-0.07066180382245853*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.07066180382245853*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.07066180382245853*(endOfArch-beginningOfArch)+beginningOfArch,-2.9184136390686035],
			[-0.4745697264652229*((1.0-(((-0.07774536697952836*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.07774536697952836*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.07774536697952836*(endOfArch-beginningOfArch)+beginningOfArch,-2.911410093307495],
			[-0.31369556919220953*heelWidth,0.15925048828125*beginningOfArch,-2.9952878952026367],
			[-0.2732352523705049*((1.0-(((-0.017271960223162616*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.017271960223162616*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.017271960223162616*(endOfArch-beginningOfArch)+beginningOfArch,-2.910079002380371],
			[-0.03234290753419215*((1.0-(((0.7211328200352045*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7211328200352045*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7211328200352045*(endOfArch-beginningOfArch)+beginningOfArch,-2.894327163696289],
			[-0.461033887427089*((1.0-(((0.789740197452498*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.789740197452498*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.789740197452498*(endOfArch-beginningOfArch)+beginningOfArch,-2.861894130706787],
			[-0.2376174948809933*((1.0-(((0.3784740118332851*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3784740118332851*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3784740118332851*(endOfArch-beginningOfArch)+beginningOfArch,-2.8483619689941406],
			[-0.24790431915523903*((1.0-(((0.8172480265299479*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8172480265299479*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8172480265299479*(endOfArch-beginningOfArch)+beginningOfArch,-2.889108896255493],
			[-0.47849322460868093*((1.0-(((-0.06517000551576968*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.06517000551576968*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.06517000551576968*(endOfArch-beginningOfArch)+beginningOfArch,0.12949731716742882*archHeight+thickness],
			[-0.06354275995027468*((1.0-(((-0.039083504382474925*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.039083504382474925*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.039083504382474925*(endOfArch-beginningOfArch)+beginningOfArch,0.02292509262378399*archHeight+thickness],
			[-0.3231953651674332*heelWidth,0.14611343383789063*beginningOfArch,1.7860592603683472+thickness],
			[-0.2707943542971419*((1.0-(((-0.012266512270326968*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.012266512270326968*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.012266512270326968*(endOfArch-beginningOfArch)+beginningOfArch,0.10225304273458627*archHeight+thickness],
			[0.018539131985851748*((1.0-(((-0.0356883767210407*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.0356883767210407*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.0356883767210407*(endOfArch-beginningOfArch)+beginningOfArch,0.020364623803358812*archHeight+thickness],
			[0.48931199689033245*((1.0-(((-0.025172763400607638*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.025172763400607638*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.025172763400607638*(endOfArch-beginningOfArch)+beginningOfArch,0.10795527238112229*archHeight+thickness],
			[0.27605884305892453*heelWidth,0.11148887634277344*beginningOfArch,1.840246319770813+thickness],
			[0.26350250626642385*((1.0-(((0.014514876000675154*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.014514876000675154*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.014514876000675154*(endOfArch-beginningOfArch)+beginningOfArch,0.05464962812570425*archHeight+thickness],
			[0.03335365656938991*((1.0-(((0.707036053692853*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.707036053692853*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.707036053692853*(endOfArch-beginningOfArch)+beginningOfArch,0.2708207643949069*archHeight+thickness],
			[0.4706667866414113*((1.0-(((0.5559477629484953*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5559477629484953*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5559477629484953*(endOfArch-beginningOfArch)+beginningOfArch,0.1174007929288424*archHeight+thickness],
			[0.26859352371655437*((1.0-(((0.35087368812090086*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.35087368812090086*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.35087368812090086*(endOfArch-beginningOfArch)+beginningOfArch,0.1806154984694261*archHeight+thickness],
			[0.2585367170925163*((1.0-(((0.703378748010706*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.703378748010706*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.703378748010706*(endOfArch-beginningOfArch)+beginningOfArch,0.1458749220921443*archHeight+thickness],
			[-0.49393153099848597*((1.0-(((0.8734167593496817*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8734167593496817*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8734167593496817*(endOfArch-beginningOfArch)+beginningOfArch,0.3497593586261456*archHeight+thickness],
			[-0.48288609904627644*heelWidth,0.8060057067871094*beginningOfArch,-2.9104013442993164],
			[0.49591249035250756*heelWidth,0.8954299926757813*beginningOfArch,1.067063808441162+thickness],
			[0.48909856334890284*((1.0-(((0.6036054823133681*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6036054823133681*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6036054823133681*(endOfArch-beginningOfArch)+beginningOfArch,-2.6527504920959473],
			[-0.37110522485548453*heelWidth,0.18886009216308594*beginningOfArch,1.3022642135620117+thickness],
			[0.30195728425056706*heelWidth,0.14387054443359376*beginningOfArch,-2.6527504920959473],
			[-0.4804489997125441*heelWidth,0.8449752807617188*beginningOfArch,1.1566879749298096+thickness],
			[-0.4941006943572039*((1.0-(((0.8492742467809606*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8492742467809606*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8492742467809606*(endOfArch-beginningOfArch)+beginningOfArch,-2.86995267868042],
			[0.48850553122537826*((1.0-(((0.5829164481457368*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5829164481457368*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5829164481457368*(endOfArch-beginningOfArch)+beginningOfArch,0.09105172524085411*archHeight+thickness],
			[0.49239589321997856*heelWidth,0.9204017639160156*beginningOfArch,-2.636601448059082],
			[0.2891602054719002*heelWidth,0.12295761108398437*beginningOfArch,1.3906517028808594+thickness],
			[-0.35556177939138106*heelWidth,0.17333641052246093*beginningOfArch,-2.6527504920959473],
			[0.31374627184212206*((1.0-(((0.3077064796730324*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3077064796730324*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3077064796730324*(endOfArch-beginningOfArch)+beginningOfArch,-2.9148547649383545],
			[-0.25889882779455475*((1.0-(((0.32389341754677853*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.32389341754677853*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.32389341754677853*(endOfArch-beginningOfArch)+beginningOfArch,-2.8493547439575195],
			[-0.01853660229713686*heelWidth,0.6636444091796875*beginningOfArch,-2.9184141159057617],
			[-0.002847392448376645*((1.0-(((0.6600954032238618*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6600954032238618*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6600954032238618*(endOfArch-beginningOfArch)+beginningOfArch,-2.8906421661376953],
			[-0.2487443400654759*((1.0-(((0.32389341754677853*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.32389341754677853*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.32389341754677853*(endOfArch-beginningOfArch)+beginningOfArch,0.590668091407189*archHeight+thickness],
			[0.3169525088933723*((1.0-(((0.3077064796730324*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3077064796730324*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3077064796730324*(endOfArch-beginningOfArch)+beginningOfArch,0.16095759318425104*archHeight+thickness],
			[-0.01859946597007013*heelWidth,0.8949553680419922*beginningOfArch,-0.4618697762489319+thickness],
			[0.00434204724872891*((1.0-(((0.660095309033806*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.660095309033806*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.660095309033806*(endOfArch-beginningOfArch)+beginningOfArch,0.316925599024846*archHeight+thickness],
			[-0.47782208086303146*((1.0-(((0.7624636049623843*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7624636049623843*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7624636049623843*(endOfArch-beginningOfArch)+beginningOfArch,0.5255984526414138*archHeight+thickness],
			[-0.4778871194030027*((1.0-(((-0.048220975899402004*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.048220975899402004*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.048220975899402004*(endOfArch-beginningOfArch)+beginningOfArch,-2.904407024383545],
			[0.49089959279715717*((1.0-(((0.017427844765745562*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.017427844765745562*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.017427844765745562*(endOfArch-beginningOfArch)+beginningOfArch,0.08815715863154484*archHeight+thickness],
			[0.48558282156073623*((1.0-(((0.5231460759669174*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5231460759669174*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5231460759669174*(endOfArch-beginningOfArch)+beginningOfArch,-2.6527504920959473],
			[-0.3061294248027186*heelWidth,0.11501953125*beginningOfArch,1.4096708297729492+thickness],
			[0.23449760867703345*heelWidth,0.08477821350097656*beginningOfArch,-2.6527504920959473],
			[-0.47520356815110804*((1.0-(((-0.02792155889817226*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.02792155889817226*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.02792155889817226*(endOfArch-beginningOfArch)+beginningOfArch,0.1507721680861253*archHeight+thickness],
			[0.4842372987665591*((1.0-(((0.5083500426492573*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5083500426492573*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5083500426492573*(endOfArch-beginningOfArch)+beginningOfArch,0.09105172524085411*archHeight+thickness],
			[0.21852025678080897*heelWidth,0.06888015747070313*beginningOfArch,1.4698114395141602+thickness],
			[0.2403728099015414*((1.0-(((0.3115690254870756*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3115690254870756*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3115690254870756*(endOfArch-beginningOfArch)+beginningOfArch,-2.9090874195098877],
			[-0.19936419067488168*((1.0-(((0.32325160650559415*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.32325160650559415*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.32325160650559415*(endOfArch-beginningOfArch)+beginningOfArch,-2.8560495376586914],
			[-0.014563181053435304*((1.0-(((-0.00694689338589892*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.00694689338589892*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.00694689338589892*(endOfArch-beginningOfArch)+beginningOfArch,-2.9130239486694336],
			[-0.008053663394195915*((1.0-(((0.7843488528404707*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7843488528404707*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7843488528404707*(endOfArch-beginningOfArch)+beginningOfArch,-2.9018590450286865],
			[-0.1892086892443281*((1.0-(((0.32325160650559415*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.32325160650559415*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.32325160650559415*(endOfArch-beginningOfArch)+beginningOfArch,0.5435222845811111*archHeight+thickness],
			[0.24596091747325327*((1.0-(((0.3115690254870756*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3115690254870756*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3115690254870756*(endOfArch-beginningOfArch)+beginningOfArch,0.19498443603515625*archHeight+thickness],
			[-0.011540482841803376*((1.0-(((0.0027209623360339506*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.0027209623360339506*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.0027209623360339506*(endOfArch-beginningOfArch)+beginningOfArch,0.08115750092726487*archHeight+thickness],
			[-0.003437960564126102*((1.0-(((0.7843488528404707*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7843488528404707*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7843488528404707*(endOfArch-beginningOfArch)+beginningOfArch,0.2504611382117638*archHeight+thickness],
			[0.29631197284958166*((1.0-(((0.6258075855396412*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6258075855396412*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6258075855396412*(endOfArch-beginningOfArch)+beginningOfArch,-2.917414426803589],
			[0.22564638787320287*((1.0-(((0.6482726674021027*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6482726674021027*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6482726674021027*(endOfArch-beginningOfArch)+beginningOfArch,-2.9134469032287598],
			[0.26017246276999667*((1.0-(((0.5908519603587963*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5908519603587963*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5908519603587963*(endOfArch-beginningOfArch)+beginningOfArch,-2.9146127700805664],
			[-0.26311524782324547*((1.0-(((0.7592146131727431*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7592146131727431*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7592146131727431*(endOfArch-beginningOfArch)+beginningOfArch,0.4173167668856107*archHeight+thickness],
			[-0.20415779474735524*((1.0-(((0.7501275333357446*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7501275333357446*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7501275333357446*(endOfArch-beginningOfArch)+beginningOfArch,0.38808382474459135*archHeight+thickness],
			[-0.23050096756204355*((1.0-(((0.6997993375048225*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6997993375048225*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6997993375048225*(endOfArch-beginningOfArch)+beginningOfArch,0.4574892704303448*archHeight+thickness],
			[0.2972173964630977*((1.0-(((-0.043297802960431134*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.043297802960431134*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.043297802960431134*(endOfArch-beginningOfArch)+beginningOfArch,-2.9183080196380615],
			[0.2249896689333556*((1.0-(((-0.04919471269772376*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.04919471269772376*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.04919471269772376*(endOfArch-beginningOfArch)+beginningOfArch,-2.918278932571411],
			[0.2607025638703377*heelWidth,0.7885284423828125*beginningOfArch,-2.9183189868927],
			[0.26926591134042716*((1.0-(((0.2707397084177276*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2707397084177276*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2707397084177276*(endOfArch-beginningOfArch)+beginningOfArch,-2.9128692150115967],
			[-0.2612664228236017*((1.0-(((-0.07304683732397763*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.07304683732397763*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.07304683732397763*(endOfArch-beginningOfArch)+beginningOfArch,-2.918182134628296],
			[-0.3250539318028365*((1.0-(((-0.0693457332658179*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.0693457332658179*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.0693457332658179*(endOfArch-beginningOfArch)+beginningOfArch,-2.9181690216064453],
			[-0.2821439004713489*heelWidth,0.7499830627441406*beginningOfArch,-2.9184138774871826],
			[-0.23643402984494294*((1.0-(((0.27080893810884454*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.27080893810884454*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.27080893810884454*(endOfArch-beginningOfArch)+beginningOfArch,-2.860184669494629],
			[-0.21018376692932192*((1.0-(((0.7501275333357446*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7501275333357446*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7501275333357446*(endOfArch-beginningOfArch)+beginningOfArch,-2.881796360015869],
			[-0.26913336522188963*((1.0-(((0.7592146131727431*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7592146131727431*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7592146131727431*(endOfArch-beginningOfArch)+beginningOfArch,-2.877645254135132],
			[-0.2376490367911521*((1.0-(((0.6997992433147666*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6997992433147666*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6997992433147666*(endOfArch-beginningOfArch)+beginningOfArch,-2.8706817626953125],
			[-0.3245861242379285*((1.0-(((-0.05934764720775463*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.05934764720775463*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.05934764720775463*(endOfArch-beginningOfArch)+beginningOfArch,0.03215693051998432*archHeight+thickness],
			[-0.25875791550179894*((1.0-(((-0.05290881498360339*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.05290881498360339*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.05290881498360339*(endOfArch-beginningOfArch)+beginningOfArch,0.02991764820539034*archHeight+thickness],
			[-0.28081250959827053*heelWidth,0.8446012115478516*beginningOfArch,-0.37155455350875854+thickness],
			[-0.22739388540800756*((1.0-(((0.27080893810884454*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.27080893810884454*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.27080893810884454*(endOfArch-beginningOfArch)+beginningOfArch,0.5216353856600248*archHeight+thickness],
			[0.227995724632601*((1.0-(((-0.02930360958899981*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.02930360958899981*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.02930360958899981*(endOfArch-beginningOfArch)+beginningOfArch,0.013498145800370436*archHeight+thickness],
			[0.29863915459392126*((1.0-(((-0.03338594789858217*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.03338594789858217*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.03338594789858217*(endOfArch-beginningOfArch)+beginningOfArch,0.008726365291155301*archHeight+thickness],
			[0.2627057721537928*heelWidth,0.8848506164550781*beginningOfArch,-0.45931851863861084+thickness],
			[0.2732578569646422*((1.0-(((0.2707397084177276*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2707397084177276*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2707397084177276*(endOfArch-beginningOfArch)+beginningOfArch,0.17252258154062125*archHeight+thickness],
			[0.22795138039493673*((1.0-(((0.6482726674021027*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6482726674021027*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6482726674021027*(endOfArch-beginningOfArch)+beginningOfArch,0.1673267254462609*archHeight+thickness],
			[0.2970978192850162*((1.0-(((0.6258075855396412*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6258075855396412*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6258075855396412*(endOfArch-beginningOfArch)+beginningOfArch,0.1427636329944317*archHeight+thickness],
			[0.2622246733469341*((1.0-(((0.5908518661687403*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5908518661687403*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5908518661687403*(endOfArch-beginningOfArch)+beginningOfArch,0.15923740313603327*archHeight+thickness],
			[0.4616538832263719*((1.0-(((0.7632492442189911*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7632492442189911*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7632492442189911*(endOfArch-beginningOfArch)+beginningOfArch,-2.912893772125244],
			[0.2775582002264409*((1.0-(((0.8727620442708334*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8727620442708334*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8727620442708334*(endOfArch-beginningOfArch)+beginningOfArch,-2.914905071258545],
			[0.3926104628487082*((1.0-(((0.6476139963409047*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6476139963409047*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6476139963409047*(endOfArch-beginningOfArch)+beginningOfArch,-2.918801784515381],
			[-0.4853721113903046*((1.0-(((0.9832605432581019*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9832605432581019*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9832605432581019*(endOfArch-beginningOfArch)+beginningOfArch,-1.0355591773986816+thickness+thickness],
			[-0.30337376991585985*((1.0-(((0.9778709882571374*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9778709882571374*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9778709882571374*(endOfArch-beginningOfArch)+beginningOfArch,-1.0397090911865234+thickness+thickness],
			[-0.36547675479749725*((1.0-(((0.8328510802469136*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8328510802469136*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8328510802469136*(endOfArch-beginningOfArch)+beginningOfArch,0.3870059160085825*archHeight+thickness],
			[0.30643429450639237*((1.0-(((0.14863638230312018*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.14863638230312018*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.14863638230312018*(endOfArch-beginningOfArch)+beginningOfArch,-2.9173336029052734],
			[0.4036476855777991*((1.0-(((0.005422003475236304*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.005422003475236304*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.005422003475236304*(endOfArch-beginningOfArch)+beginningOfArch,-2.917781352996826],
			[0.400182176376031*((1.0-(((0.19253916799286266*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.19253916799286266*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.19253916799286266*(endOfArch-beginningOfArch)+beginningOfArch,-2.9183855056762695],
			[-0.028947333337658768*((1.0-(((0.13097033088589893*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.13097033088589893*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.13097033088589893*(endOfArch-beginningOfArch)+beginningOfArch,-2.90041446685791],
			[-0.21266475358916945*((1.0-(((0.12098481920030382*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.12098481920030382*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.12098481920030382*(endOfArch-beginningOfArch)+beginningOfArch,-2.892210006713867],
			[-0.15332431430150129*((1.0-(((-0.007212791913821373*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.007212791913821373*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.007212791913821373*(endOfArch-beginningOfArch)+beginningOfArch,-2.911475658416748],
			[-0.11986249750529859*((1.0-(((0.17539120897834684*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.17539120897834684*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.17539120897834684*(endOfArch-beginningOfArch)+beginningOfArch,-2.8880300521850586],
			[-0.06423537624169791*((1.0-(((0.9675134729456019*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9675134729456019*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9675134729456019*(endOfArch-beginningOfArch)+beginningOfArch,-2.911764144897461],
			[-0.24070648365309227*((1.0-(((0.9788854151596258*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9788854151596258*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9788854151596258*(endOfArch-beginningOfArch)+beginningOfArch,-2.91025972366333],
			[-0.12851456435626354*((1.0-(((0.8020910569179205*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8020910569179205*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8020910569179205*(endOfArch-beginningOfArch)+beginningOfArch,-2.8954858779907227],
			[-0.4242211077958904*((1.0-(((0.10643382131317515*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.10643382131317515*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.10643382131317515*(endOfArch-beginningOfArch)+beginningOfArch,0.3685418642484225*archHeight+thickness],
			[-0.26531177935615413*((1.0-(((0.11718961927625868*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.11718961927625868*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.11718961927625868*(endOfArch-beginningOfArch)+beginningOfArch,0.33024190022395206*archHeight+thickness],
			[-0.3957721549733598*((1.0-(((-0.024754229887032214*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.024754229887032214*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.024754229887032214*(endOfArch-beginningOfArch)+beginningOfArch,0.11326052592350887*archHeight+thickness],
			[-0.3430088424564293*((1.0-(((0.14848685558931327*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.14848685558931327*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.14848685558931327*(endOfArch-beginningOfArch)+beginningOfArch,0.40244234525240385*archHeight+thickness],
			[0.03724182034580898*((1.0-(((0.13213979462046682*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.13213979462046682*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.13213979462046682*(endOfArch-beginningOfArch)+beginningOfArch,0.23415018961979792*archHeight+thickness],
			[0.23765772116425823*((1.0-(((0.14590067922333141*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.14590067922333141*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.14590067922333141*(endOfArch-beginningOfArch)+beginningOfArch,0.15826254624586839*archHeight+thickness],
			[0.12577849831000065*((1.0-(((0.009086090841411073*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.009086090841411073*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.009086090841411073*(endOfArch-beginningOfArch)+beginningOfArch,0.07126870522132286*archHeight+thickness],
			[0.13100334688209184*((1.0-(((0.18035860414858218*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.18035860414858218*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.18035860414858218*(endOfArch-beginningOfArch)+beginningOfArch,0.22973034932063177*archHeight+thickness],
			[0.012106127606318282*((1.0-(((0.9537817872600791*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9537817872600791*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9537817872600791*(endOfArch-beginningOfArch)+beginningOfArch,-1.1502724885940552+thickness+thickness],
			[0.21461208109200572*((1.0-(((0.8941549607265142*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8941549607265142*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8941549607265142*(endOfArch-beginningOfArch)+beginningOfArch,-1.2180358171463013+thickness+thickness],
			[0.11969194025623536*((1.0-(((0.7487461419753086*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7487461419753086*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7487461419753086*(endOfArch-beginningOfArch)+beginningOfArch,0.2054901123046875*archHeight+thickness],
			[0.4629765059840323*((1.0-(((0.4343094060450424*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4343094060450424*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4343094060450424*(endOfArch-beginningOfArch)+beginningOfArch,-2.916714668273926],
			[0.28828101092109354*((1.0-(((0.46875235475139854*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.46875235475139854*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.46875235475139854*(endOfArch-beginningOfArch)+beginningOfArch,-2.913573741912842],
			[0.40728078973469317*((1.0-(((0.3399171240535783*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3399171240535783*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3399171240535783*(endOfArch-beginningOfArch)+beginningOfArch,-2.9184207916259766],
			[0.39512956028080937*((1.0-(((0.4804872112509645*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4804872112509645*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4804872112509645*(endOfArch-beginningOfArch)+beginningOfArch,-2.9182443618774414],
			[0.21501807111970392*((1.0-(((0.48265706756968557*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.48265706756968557*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.48265706756968557*(endOfArch-beginningOfArch)+beginningOfArch,-2.9063425064086914],
			[0.018681670440344692*((1.0-(((0.5124003092447916*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5124003092447916*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5124003092447916*(endOfArch-beginningOfArch)+beginningOfArch,-2.8794384002685547],
			[0.12076633947023639*((1.0-(((0.3626524371865355*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3626524371865355*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3626524371865355*(endOfArch-beginningOfArch)+beginningOfArch,-2.8920040130615234],
			[0.11148894606293851*((1.0-(((0.5411126407576196*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5411126407576196*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5411126407576196*(endOfArch-beginningOfArch)+beginningOfArch,-2.893364667892456],
			[0.2081675131766185*((1.0-(((0.9000070830922068*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9000070830922068*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9000070830922068*(endOfArch-beginningOfArch)+beginningOfArch,-2.913982391357422],
			[0.0054949137655109365*((1.0-(((0.958692009066358*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.958692009066358*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.958692009066358*(endOfArch-beginningOfArch)+beginningOfArch,-2.9124064445495605],
			[0.11520677606139547*((1.0-(((0.7487461419753086*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7487461419753086*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7487461419753086*(endOfArch-beginningOfArch)+beginningOfArch,-2.908250570297241],
			[-0.43472863664025224*((1.0-(((0.5757771244755497*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5757771244755497*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5757771244755497*(endOfArch-beginningOfArch)+beginningOfArch,0.740396132835975*archHeight+thickness],
			[-0.2596222490503404*((1.0-(((0.5484241438500675*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5484241438500675*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5484241438500675*(endOfArch-beginningOfArch)+beginningOfArch,0.6114109846261832*archHeight+thickness],
			[-0.34638034480488455*((1.0-(((0.38295246642312886*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.38295246642312886*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.38295246642312886*(endOfArch-beginningOfArch)+beginningOfArch,0.6885626866267278*archHeight+thickness],
			[-0.3456733555293631*((1.0-(((0.6119682406201775*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6119682406201775*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6119682406201775*(endOfArch-beginningOfArch)+beginningOfArch,0.6424158536470853*archHeight+thickness],
			[-0.2021415517757666*((1.0-(((0.5415703102394387*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5415703102394387*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5415703102394387*(endOfArch-beginningOfArch)+beginningOfArch,0.5630293992849497*archHeight+thickness],
			[-0.029305209103804363*((1.0-(((0.5204116444528839*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5204116444528839*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5204116444528839*(endOfArch-beginningOfArch)+beginningOfArch,0.41681645466731143*archHeight+thickness],
			[-0.10914633721419838*((1.0-(((0.3735700065706983*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3735700065706983*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3735700065706983*(endOfArch-beginningOfArch)+beginningOfArch,0.49277881475595325*archHeight+thickness],
			[-0.11449906634198019*((1.0-(((0.5804656228901427*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5804656228901427*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5804656228901427*(endOfArch-beginningOfArch)+beginningOfArch,0.461915529691256*archHeight+thickness],
			[-0.2345779848031409*((1.0-(((0.9746700333960262*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9746700333960262*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9746700333960262*(endOfArch-beginningOfArch)+beginningOfArch,-1.060232400894165+thickness+thickness],
			[-0.05809088397204686*((1.0-(((0.9634659378616898*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9634659378616898*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9634659378616898*(endOfArch-beginningOfArch)+beginningOfArch,-1.1275043487548828+thickness+thickness],
			[-0.12391055103689207*((1.0-(((0.8020910569179205*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8020910569179205*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8020910569179205*(endOfArch-beginningOfArch)+beginningOfArch,0.29534101486206055*archHeight+thickness],
			[-0.16891779438141855*heelWidth,0.05687080383300781*beginningOfArch,-2.9952878952026367],
			[-0.5004275229669386*heelWidth,0.6235118103027344*beginningOfArch,0.06615060567855835+thickness],
			[-0.46105453719396117*((1.0-(((0.10243013170030382*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.10243013170030382*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.10243013170030382*(endOfArch-beginningOfArch)+beginningOfArch,0.2891374367934007*archHeight+thickness],
			[-0.44287492354743296*((1.0-(((0.5657482382691936*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5657482382691936*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5657482382691936*(endOfArch-beginningOfArch)+beginningOfArch,-2.8219432830810547],
			[-0.43388625114194806*heelWidth,0.27143325805664065*beginningOfArch,0.296644389629364+thickness],
			[-0.4705927746772582*((1.0-(((0.5794809600453318*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5794809600453318*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5794809600453318*(endOfArch-beginningOfArch)+beginningOfArch,0.6806828425480769*archHeight+thickness],
			[-0.4820143484300183*heelWidth,0.4392139434814453*beginningOfArch,0.16337454319000244+thickness],
			[-0.48544766997844435*((1.0-(((-0.06872855292426215*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.06872855292426215*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.06872855292426215*(endOfArch-beginningOfArch)+beginningOfArch,0.04551681188436655*archHeight+thickness],
			[-0.18845661224857455*heelWidth,0.02808723449707031*beginningOfArch,0.5257448554039001+thickness],
			[-0.4804038895103404*((1.0-(((0.7378871588059414*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7378871588059414*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7378871588059414*(endOfArch-beginningOfArch)+beginningOfArch,-2.8448362350463867],
			[-0.49382961869202735*((1.0-(((0.8040098967375578*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8040098967375578*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8040098967375578*(endOfArch-beginningOfArch)+beginningOfArch,0.4037123460036058*archHeight+thickness],
			[0.4824213249526539*((1.0-(((0.4248438705632716*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4248438705632716*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4248438705632716*(endOfArch-beginningOfArch)+beginningOfArch,0.02254417767891517*archHeight+thickness],
			[0.4904913795741633*((1.0-(((0.15321736276885609*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.15321736276885609*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.15321736276885609*(endOfArch-beginningOfArch)+beginningOfArch,0.02254417767891517*archHeight+thickness],
			[0.47061058782762094*heelWidth,0.4822429656982422*beginningOfArch,0.1266373097896576+thickness],
			[0.11558711144231981*heelWidth,0.019998397827148438*beginningOfArch,0.5257267355918884+thickness],
			[0.26347815605901903*heelWidth,0.09527687072753906*beginningOfArch,0.45862993597984314+thickness],
			[-0.28849257192304056*heelWidth,0.10384841918945313*beginningOfArch,-2.6527504920959473],
			[-0.3320955461071384*heelWidth,0.1312798309326172*beginningOfArch,0.4426756799221039+thickness],
			[0.47822552342568675*heelWidth,0.6859005737304688*beginningOfArch,-3.150463819503784],
			[0.3069191594277659*heelWidth,0.3722320556640625*beginningOfArch,-3.148167848587036],
			[0.39220342328471525*heelWidth,0.3185408020019531*beginningOfArch,-2.9952878952026367],
			[0.4034117421796245*heelWidth,0.6372027587890625*beginningOfArch,-2.9184141159057617],
			[0.23743806346770255*heelWidth,0.2965655517578125*beginningOfArch,-3.148167848587036],
			[0.025204281653127363*heelWidth,0.1963945770263672*beginningOfArch,-3.148355484008789],
			[0.12373727367770287*heelWidth,0.05647186279296875*beginningOfArch,-2.9952878952026367],
			[0.12424267491986675*heelWidth,0.39254180908203123*beginningOfArch,-2.918552875518799],
			[0.23566666569051428*((1.0-(((0.14590067922333141*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.14590067922333141*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.14590067922333141*(endOfArch-beginningOfArch)+beginningOfArch,-2.9141383171081543],
			[0.032626274857764405*((1.0-(((0.13213979462046682*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.13213979462046682*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.13213979462046682*(endOfArch-beginningOfArch)+beginningOfArch,-2.9031944274902344],
			[0.12292367653925404*((1.0-(((0.0037125952449845677*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.0037125952449845677*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.0037125952449845677*(endOfArch-beginningOfArch)+beginningOfArch,-2.914379596710205],
			[0.12524799176312623*((1.0-(((0.18035860414858218*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.18035860414858218*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.18035860414858218*(endOfArch-beginningOfArch)+beginningOfArch,-2.9035909175872803],
			[-0.0318178323007399*heelWidth,0.19556442260742188*beginningOfArch,-3.148355484008789],
			[-0.22829671059885331*heelWidth,0.2680567932128906*beginningOfArch,-3.148167848587036],
			[-0.03039296211734895*heelWidth,0.004301223754882812*beginningOfArch,0.5412556529045105+thickness],
			[-0.14260182842131583*heelWidth,0.3839418029785156*beginningOfArch,-2.91841459274292],
			[-0.29863317551151397*heelWidth,0.3354313659667969*beginningOfArch,-3.148167848587036],
			[-0.482094241726783*heelWidth,0.5918280792236328*beginningOfArch,-2.9746174812316895],
			[-0.4286034184117471*heelWidth,0.3018888854980469*beginningOfArch,-2.9267807006835938],
			[-0.41630511130056075*heelWidth,0.5978242492675782*beginningOfArch,-2.91841459274292],
			[-0.26993825170572633*((1.0-(((0.11718961927625868*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.11718961927625868*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.11718961927625868*(endOfArch-beginningOfArch)+beginningOfArch,-2.8895490169525146],
			[-0.4288577983074042*((1.0-(((0.10057246832200038*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.10057246832200038*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.10057246832200038*(endOfArch-beginningOfArch)+beginningOfArch,-2.882469654083252],
			[-0.39719170655495445*((1.0-(((-0.02511318819022473*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.02511318819022473*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.02511318819022473*(endOfArch-beginningOfArch)+beginningOfArch,-2.9087512493133545],
			[-0.34852795199887365*((1.0-(((0.14848685558931327*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.14848685558931327*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.14848685558931327*(endOfArch-beginningOfArch)+beginningOfArch,-2.8794069290161133],
			[-0.03912442671587519*((1.0-(((0.5204116444528839*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5204116444528839*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5204116444528839*(endOfArch-beginningOfArch)+beginningOfArch,-2.8725781440734863],
			[-0.2119299549496099*((1.0-(((0.5415703102394387*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5415703102394387*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5415703102394387*(endOfArch-beginningOfArch)+beginningOfArch,-2.8518154621124268],
			[-0.11960324623190344*((1.0-(((0.3735700065706983*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3735700065706983*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3735700065706983*(endOfArch-beginningOfArch)+beginningOfArch,-2.8625259399414062],
			[-0.12355321645815023*((1.0-(((0.5804656228901427*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5804656228901427*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5804656228901427*(endOfArch-beginningOfArch)+beginningOfArch,-2.8672661781311035],
			[-0.2694007533229072*((1.0-(((0.5484241438500675*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5484241438500675*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5484241438500675*(endOfArch-beginningOfArch)+beginningOfArch,-2.8449454307556152],
			[-0.4583895168399951*((1.0-(((0.33274897822627314*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.33274897822627314*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.33274897822627314*(endOfArch-beginningOfArch)+beginningOfArch,0.6644565875713642*archHeight+thickness],
			[-0.3567583027824639*((1.0-(((0.38295246642312886*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.38295246642312886*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.38295246642312886*(endOfArch-beginningOfArch)+beginningOfArch,-2.8347830772399902],
			[-0.3546856198370072*((1.0-(((0.6119682406201775*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6119682406201775*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6119682406201775*(endOfArch-beginningOfArch)+beginningOfArch,-2.8416342735290527],
			[-0.3095248700515572*((1.0-(((0.9816954812885802*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9816954812885802*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9816954812885802*(endOfArch-beginningOfArch)+beginningOfArch,-2.909611225128174],
			[-0.49366671880750324*((1.0-(((0.9834270712770061*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9834270712770061*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9834270712770061*(endOfArch-beginningOfArch)+beginningOfArch,-2.9048819541931152],
			[-0.37006064481437523*((1.0-(((0.8328510802469136*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8328510802469136*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8328510802469136*(endOfArch-beginningOfArch)+beginningOfArch,-2.8824691772460938],
			[-0.48850093349333734*heelWidth,0.5992159271240234*beginningOfArch,1.0407416820526123+thickness],
			[-0.2961471311507686*heelWidth,0.2428423309326172*beginningOfArch,-0.9759875535964966+thickness],
			[-0.437552975070092*heelWidth,0.2980292510986328*beginningOfArch,1.4608421325683594+thickness],
			[-0.42083863289125506*heelWidth,0.49551681518554686*beginningOfArch,-0.9870758056640625+thickness],
			[-0.22569257982315555*heelWidth,0.18548728942871093*beginningOfArch,-0.8088552951812744+thickness],
			[-0.028517746156261813*heelWidth,0.14047576904296874*beginningOfArch,-0.6651382446289062+thickness],
			[-0.17533113110450008*heelWidth,0.035263671875*beginningOfArch,1.9645575284957886+thickness],
			[-0.137947513211158*heelWidth,0.37188499450683593*beginningOfArch,-2.214348793029785+thickness],
			[-0.20804107412004966*((1.0-(((0.12098481920030382*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.12098481920030382*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.12098481920030382*(endOfArch-beginningOfArch)+beginningOfArch,0.3115035570584811*archHeight+thickness],
			[-0.02433092772920693*((1.0-(((0.13097033088589893*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.13097033088589893*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.13097033088589893*(endOfArch-beginningOfArch)+beginningOfArch,0.253725712115948*archHeight+thickness],
			[-0.15062175408284134*((1.0-(((-0.0019634859061535494*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.0019634859061535494*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.0019634859061535494*(endOfArch-beginningOfArch)+beginningOfArch,0.09223333688882682*archHeight+thickness],
			[-0.11373007479188887*((1.0-(((0.17539120897834684*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.17539120897834684*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.17539120897834684*(endOfArch-beginningOfArch)+beginningOfArch,0.33925727697519154*archHeight+thickness],
			[0.026669206157807383*heelWidth,0.14232833862304686*beginningOfArch,-0.6691505908966064+thickness],
			[0.24237466627551663*heelWidth,0.21651527404785156*beginningOfArch,-0.8954613208770752+thickness],
			[0.12474718401508947*heelWidth,0.029727630615234375*beginningOfArch,1.972790241241455+thickness],
			[0.12927796763758506*heelWidth,0.38980323791503907*beginningOfArch,-2.2214841842651367+thickness],
			[0.312087889640562*heelWidth,0.28358489990234376*beginningOfArch,-1.08755624294281+thickness],
			[0.49357811097175847*heelWidth,0.6745054626464844*beginningOfArch,1.0127488374710083+thickness],
			[0.4019657873338269*heelWidth,0.2940010833740234*beginningOfArch,1.544981598854065+thickness],
			[0.42128572156352384*heelWidth,0.5611310577392579*beginningOfArch,-0.7512425184249878+thickness],
			[0.3072456175484976*((1.0-(((0.14863638230312018*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.14863638230312018*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.14863638230312018*(endOfArch-beginningOfArch)+beginningOfArch,0.13799513303316557*archHeight+thickness],
			[0.4691110628375736*((1.0-(((0.1536285494580681*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.1536285494580681*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.1536285494580681*(endOfArch-beginningOfArch)+beginningOfArch,0.1174007929288424*archHeight+thickness],
			[0.4074238539590883*((1.0-(((0.007347530788845486*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.007347530788845486*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.007347530788845486*(endOfArch-beginningOfArch)+beginningOfArch,0.0649717587691087*archHeight+thickness],
			[0.40064169763232654*((1.0-(((0.19253916799286266*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.19253916799286266*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.19253916799286266*(endOfArch-beginningOfArch)+beginningOfArch,0.13667533030876747*archHeight+thickness],
			[0.02851261411734854*((1.0-(((0.5124004034348476*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5124004034348476*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5124004034348476*(endOfArch-beginningOfArch)+beginningOfArch,0.36850595474243164*archHeight+thickness],
			[0.22097809224760495*((1.0-(((0.48265706756968557*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.48265706756968557*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.48265706756968557*(endOfArch-beginningOfArch)+beginningOfArch,0.208220335153433*archHeight+thickness],
			[0.13057257211189668*((1.0-(((0.3626524371865355*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3626524371865355*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3626524371865355*(endOfArch-beginningOfArch)+beginningOfArch,0.29028929196871245*archHeight+thickness],
			[0.11990390255590794*((1.0-(((0.5411126407576196*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5411126407576196*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5411126407576196*(endOfArch-beginningOfArch)+beginningOfArch,0.2794606135441707*archHeight+thickness],
			[0.29197932822536005*((1.0-(((0.46875235475139854*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.46875235475139854*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.46875235475139854*(endOfArch-beginningOfArch)+beginningOfArch,0.168806057709914*archHeight+thickness],
			[0.46254967979281314*((1.0-(((0.42912207709418404*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.42912207709418404*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.42912207709418404*(endOfArch-beginningOfArch)+beginningOfArch,0.1174007929288424*archHeight+thickness],
			[0.4077300431087425*((1.0-(((0.3399171240535783*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3399171240535783*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3399171240535783*(endOfArch-beginningOfArch)+beginningOfArch,0.1369237624681913*archHeight+thickness],
			[0.3956924155001703*((1.0-(((0.4804872112509645*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4804872112509645*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4804872112509645*(endOfArch-beginningOfArch)+beginningOfArch,0.138140843464778*archHeight+thickness],
			[0.2834680616823819*((1.0-(((0.8666152012201003*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8666152012201003*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8666152012201003*(endOfArch-beginningOfArch)+beginningOfArch,-1.2550415992736816+thickness+thickness],
			[0.46384427038498555*((1.0-(((0.7533394142433449*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7533394142433449*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7533394142433449*(endOfArch-beginningOfArch)+beginningOfArch,-1.186506986618042+thickness+thickness],
			[0.3927306204991418*((1.0-(((0.6476140905309606*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6476140905309606*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6476140905309606*(endOfArch-beginningOfArch)+beginningOfArch,0.13429965422703669*archHeight+thickness],
			[0.3831784955916866*heelWidth,0.2525519561767578*beginningOfArch,0.32031482458114624+thickness],
			[-0.05957023943624189*heelWidth,0.01519287109375*beginningOfArch,-2.6527504920959473],
			[0.4687122318749665*((1.0-(((0.1605759608892747*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.1605759608892747*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.1605759608892747*(endOfArch-beginningOfArch)+beginningOfArch,-2.9952878952026367],
			[0.4938816763844255*((1.0-(((0.5495728857723283*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5495728857723283*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5495728857723283*(endOfArch-beginningOfArch)+beginningOfArch,0.02254417767891517*archHeight+thickness],
			[-0.457738183183526*((1.0-(((0.3837524225682388*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3837524225682388*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3837524225682388*(endOfArch-beginningOfArch)+beginningOfArch,-2.816404342651367],
			[0.4816761629754323*((1.0-(((0.28888476336443863*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.28888476336443863*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.28888476336443863*(endOfArch-beginningOfArch)+beginningOfArch,0.01990927182711088*archHeight+thickness],
			[0.4896458254632188*((1.0-(((0.03740729814694251*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.03740729814694251*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.03740729814694251*(endOfArch-beginningOfArch)+beginningOfArch,-2.648228645324707],
			[0.5011458858366935*heelWidth,0.7191110229492188*beginningOfArch,0.035043686628341675+thickness],
			[0.4784702838494954*((1.0-(((0.2729578842351466*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2729578842351466*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2729578842351466*(endOfArch-beginningOfArch)+beginningOfArch,-2.9125990867614746],
			[0.5001224968594162*((1.0-(((-0.02527985749421296*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.02527985749421296*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.02527985749421296*(endOfArch-beginningOfArch)+beginningOfArch,0.02022389952953045*archHeight+thickness],
			[-0.08677742822123459*((1.0-(((0.2719523111979167*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2719523111979167*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2719523111979167*(endOfArch-beginningOfArch)+beginningOfArch,-2.8744993209838867],
			[-0.37475586063239785*((1.0-(((0.2667289074556327*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2667289074556327*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2667289074556327*(endOfArch-beginningOfArch)+beginningOfArch,0.6066438234769381*archHeight+thickness],
			[0.0419798407357655*((1.0-(((0.27121706362123843*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.27121706362123843*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.27121706362123843*(endOfArch-beginningOfArch)+beginningOfArch,0.33775843106783354*archHeight+thickness],
			[0.46965539056977273*((1.0-(((0.5270790759428048*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5270790759428048*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5270790759428048*(endOfArch-beginningOfArch)+beginningOfArch,-2.916714668273926],
			[0.22446987259669543*((1.0-(((0.5996787930712287*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5996787930712287*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5996787930712287*(endOfArch-beginningOfArch)+beginningOfArch,-2.910897731781006],
			[-0.38136116351908644*((1.0-(((0.722564603075569*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.722564603075569*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.722564603075569*(endOfArch-beginningOfArch)+beginningOfArch,0.5514368277329665*archHeight+thickness],
			[-0.1423623462774089*((1.0-(((0.6854760440779321*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6854760440779321*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6854760440779321*(endOfArch-beginningOfArch)+beginningOfArch,0.40678937618549055*archHeight+thickness],
			[0.4303103416196762*heelWidth,0.861702880859375*beginningOfArch,-2.9183387756347656],
			[0.1585793802815099*heelWidth,0.7584698486328125*beginningOfArch,-2.9184138774871826],
			[0.16230347903449285*((1.0-(((0.27353470413773145*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.27353470413773145*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.27353470413773145*(endOfArch-beginningOfArch)+beginningOfArch,-2.899956464767456],
			[-0.05394346483292118*heelWidth,0.7173634338378906*beginningOfArch,-2.9184138774871826],
			[-0.3179051183885144*heelWidth,0.7780994415283203*beginningOfArch,-2.9184138774871826],
			[-0.32669192456185514*((1.0-(((0.26960858003592786*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.26960858003592786*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.26960858003592786*(endOfArch-beginningOfArch)+beginningOfArch,-2.851917028427124],
			[-0.03188327990185044*((1.0-(((0.6658496621214314*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6658496621214314*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6658496621214314*(endOfArch-beginningOfArch)+beginningOfArch,-2.887864589691162],
			[-0.2664630467990175*((1.0-(((0.7042253282335069*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7042253282335069*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7042253282335069*(endOfArch-beginningOfArch)+beginningOfArch,-2.867894172668457],
			[-0.4428007987237746*heelWidth,0.8097624206542968*beginningOfArch,0.7219894528388977+thickness],
			[-0.18746939013081212*heelWidth,0.8711727905273438*beginningOfArch,-0.3869832456111908+thickness],
			[-0.19752629345211345*((1.0-(((0.27213155487437307*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.27213155487437307*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.27213155487437307*(endOfArch-beginningOfArch)+beginningOfArch,0.5039251400874212*archHeight+thickness],
			[0.01638198091137794*heelWidth,0.9001904296875*beginningOfArch,-0.42038393020629883+thickness],
			[0.29433275038196194*heelWidth,0.871279296875*beginningOfArch,-0.4691242277622223+thickness],
			[0.3067783373007218*((1.0-(((0.27039977650583524*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.27039977650583524*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.27039977650583524*(endOfArch-beginningOfArch)+beginningOfArch,0.1618028237269475*archHeight+thickness],
			[0.0934786016270395*((1.0-(((0.6348110246069637*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6348110246069637*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6348110246069637*(endOfArch-beginningOfArch)+beginningOfArch,0.26609108998225284*archHeight+thickness],
			[0.36387337943364784*((1.0-(((0.5577682683497299*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5577682683497299*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5577682683497299*(endOfArch-beginningOfArch)+beginningOfArch,0.14239255281595084*archHeight+thickness],
			[0.4692654687556725*((1.0-(((0.7127197642385223*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7127197642385223*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7127197642385223*(endOfArch-beginningOfArch)+beginningOfArch,-2.916714668273926],
			[0.3484995611887773*((1.0-(((0.7974037829740548*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7974037829740548*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7974037829740548*(endOfArch-beginningOfArch)+beginningOfArch,-2.918959856033325],
			[-0.42901507289460694*((1.0-(((0.9448365576473283*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9448365576473283*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9448365576473283*(endOfArch-beginningOfArch)+beginningOfArch,0.062380423912635215*archHeight+thickness],
			[-0.2989091252894677*((1.0-(((0.9434521522051023*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9434521522051023*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9434521522051023*(endOfArch-beginningOfArch)+beginningOfArch,0.0548938512802124*archHeight+thickness],
			[0.48415433206865865*heelWidth,0.5537627410888671*beginningOfArch,-1.7124804258346558],
			[0.30652197594746794*((1.0-(((0.10243239226164641*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.10243239226164641*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.10243239226164641*(endOfArch-beginningOfArch)+beginningOfArch,-2.9174869060516357],
			[0.3035131699855702*((1.0-(((0.27039977650583524*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.27039977650583524*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.27039977650583524*(endOfArch-beginningOfArch)+beginningOfArch,-2.914701223373413],
			[-0.09618390550152323*((1.0-(((0.08864174360110436*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.08864174360110436*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.08864174360110436*(endOfArch-beginningOfArch)+beginningOfArch,-2.9029932022094727],
			[-0.22067733563855235*((1.0-(((0.07769445725429205*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.07769445725429205*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.07769445725429205*(endOfArch-beginningOfArch)+beginningOfArch,-2.899080753326416],
			[-0.20656461995447317*((1.0-(((0.27213155487437307*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.27213155487437307*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.27213155487437307*(endOfArch-beginningOfArch)+beginningOfArch,-2.862699508666992],
			[-0.056396117295410546*((1.0-(((0.9384976610725309*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9384976610725309*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9384976610725309*(endOfArch-beginningOfArch)+beginningOfArch,-2.9110538959503174],
			[-0.17807807994143374*((1.0-(((0.9371462221498843*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9371462221498843*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9371462221498843*(endOfArch-beginningOfArch)+beginningOfArch,-2.9081599712371826],
			[-0.44189973915620084*((1.0-(((0.05906988073278357*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.05906988073278357*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.05906988073278357*(endOfArch-beginningOfArch)+beginningOfArch,0.2900898273174579*archHeight+thickness],
			[-0.3275163960285091*((1.0-(((0.06614831053180459*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.06614831053180459*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.06614831053180459*(endOfArch-beginningOfArch)+beginningOfArch,0.2643929628225473*archHeight+thickness],
			[-0.3177627228131055*((1.0-(((0.26960858003592786*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.26960858003592786*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.26960858003592786*(endOfArch-beginningOfArch)+beginningOfArch,0.5805099927462064*archHeight+thickness],
			[0.03409801361489256*((1.0-(((0.09161193282515914*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.09161193282515914*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.09161193282515914*(endOfArch-beginningOfArch)+beginningOfArch,0.19246479181142953*archHeight+thickness],
			[0.161263621264703*((1.0-(((0.09595838005160108*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.09595838005160108*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.09595838005160108*(endOfArch-beginningOfArch)+beginningOfArch,0.16209030151367188*archHeight+thickness],
			[0.1698394177207923*((1.0-(((0.27353470413773145*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.27353470413773145*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.27353470413773145*(endOfArch-beginningOfArch)+beginningOfArch,0.245817991403433*archHeight+thickness],
			[0.07478424167477278*((1.0-(((0.901860272442853*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.901860272442853*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.901860272442853*(endOfArch-beginningOfArch)+beginningOfArch,0.03802254108282236*archHeight+thickness],
			[0.21156828108091497*((1.0-(((0.8531128683207948*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8531128683207948*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8531128683207948*(endOfArch-beginningOfArch)+beginningOfArch,0.03149188481844389*archHeight+thickness],
			[-0.4892033650252696*((1.0-(((0.7396562364366319*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7396562364366319*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7396562364366319*(endOfArch-beginningOfArch)+beginningOfArch,-2.835261344909668],
			[0.49679111155172895*((1.0-(((0.02473864143277392*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.02473864143277392*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.02473864143277392*(endOfArch-beginningOfArch)+beginningOfArch,-1.7589225769042969],
			[-0.24506021315051663*heelWidth,0.19604934692382814*beginningOfArch,-3.1487932205200195],
			[0.46360220236523075*((1.0-(((0.40046296296296297*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.40046296296296297*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.40046296296296297*(endOfArch-beginningOfArch)+beginningOfArch,-2.916714668273926],
			[0.36359274969114574*((1.0-(((0.416041338885272*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.416041338885272*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.416041338885272*(endOfArch-beginningOfArch)+beginningOfArch,-2.9171228408813477],
			[0.3628474458309996*((1.0-(((0.5577682683497299*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5577682683497299*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5577682683497299*(endOfArch-beginningOfArch)+beginningOfArch,-2.9176278114318848],
			[0.21631846809098365*((1.0-(((0.43990966420114774*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.43990966420114774*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.43990966420114774*(endOfArch-beginningOfArch)+beginningOfArch,-2.9062511920928955],
			[0.07866628436569348*((1.0-(((0.45795280550733025*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.45795280550733025*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.45795280550733025*(endOfArch-beginningOfArch)+beginningOfArch,-2.8859174251556396],
			[0.08641933985734895*((1.0-(((0.6348110246069637*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6348110246069637*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6348110246069637*(endOfArch-beginningOfArch)+beginningOfArch,-2.8978662490844727],
			[0.2100477532128803*((1.0-(((0.861172334647473*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.861172334647473*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.861172334647473*(endOfArch-beginningOfArch)+beginningOfArch,-2.9163050651550293],
			[0.07289095658652567*((1.0-(((0.9099196445794753*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9099196445794753*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9099196445794753*(endOfArch-beginningOfArch)+beginningOfArch,-2.913438558578491],
			[-0.37432249192135836*((1.0-(((0.5017233012635031*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5017233012635031*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5017233012635031*(endOfArch-beginningOfArch)+beginningOfArch,0.7245710079486554*archHeight+thickness],
			[-0.26046369564343475*((1.0-(((0.49216498857663*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.49216498857663*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.49216498857663*(endOfArch-beginningOfArch)+beginningOfArch,0.6255723513089694*archHeight+thickness],
			[-0.2593195907459948*((1.0-(((0.7042253282335069*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7042253282335069*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7042253282335069*(endOfArch-beginningOfArch)+beginningOfArch,0.47712061955378604*archHeight+thickness],
			[-0.14476514358434892*((1.0-(((0.4812064465181327*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4812064465181327*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4812064465181327*(endOfArch-beginningOfArch)+beginningOfArch,0.5252121778634878*archHeight+thickness],
			[-0.028727750748016406*((1.0-(((0.4699263396086516*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4699263396086516*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4699263396086516*(endOfArch-beginningOfArch)+beginningOfArch,0.42487192153930664*archHeight+thickness],
			[-0.024699865289494305*((1.0-(((0.6658496621214314*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6658496621214314*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6658496621214314*(endOfArch-beginningOfArch)+beginningOfArch,0.3364858260521522*archHeight+thickness],
			[-0.1764328320097235*((1.0-(((0.929086755823206*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.929086755823206*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.929086755823206*(endOfArch-beginningOfArch)+beginningOfArch,0.050130018821129434*archHeight+thickness],
			[-0.054687216076703904*((1.0-(((0.9304381947458527*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9304381947458527*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9304381947458527*(endOfArch-beginningOfArch)+beginningOfArch,0.04349664082893959*archHeight+thickness],
			[-0.4868311728200605*heelWidth,0.8057822418212891*beginningOfArch,-2.9005894660949707+thickness],
			[-0.4671753013708357*((1.0-(((0.04964305736400463*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.04964305736400463*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.04964305736400463*(endOfArch-beginningOfArch)+beginningOfArch,-2.8781142234802246],
			[-0.46207169235887985*((1.0-(((0.2640120894820602*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2640120894820602*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2640120894820602*(endOfArch-beginningOfArch)+beginningOfArch,-2.823345184326172],
			[-0.38848575550219505*((1.0-(((0.7225645088855132*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7225645088855132*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7225645088855132*(endOfArch-beginningOfArch)+beginningOfArch,-2.8573408126831055],
			[-0.3845058260711704*((1.0-(((0.5017233012635031*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5017233012635031*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5017233012635031*(endOfArch-beginningOfArch)+beginningOfArch,-2.8287901878356934],
			[-0.11017982421382781*heelWidth,0.14049850463867186*beginningOfArch,-3.1487932205200195],
			[-0.2929210662841797*heelWidth,0.09584785461425781*beginningOfArch,-1.7621524333953857+thickness],
			[0.495665300507897*((1.0-(((0.6017127331392265*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6017127331392265*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6017127331392265*(endOfArch-beginningOfArch)+beginningOfArch,-1.7621524333953857],
			[0.48570671016178574*((1.0-(((0.46015892499758876*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.46015892499758876*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.46015892499758876*(endOfArch-beginningOfArch)+beginningOfArch,-1.7621524333953857],
			[0.48119354296338845*((1.0-(((0.3301984998914931*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3301984998914931*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3301984998914931*(endOfArch-beginningOfArch)+beginningOfArch,-1.7278984785079956],
			[-0.4698551239505891*heelWidth,0.38645530700683595*beginningOfArch,-1.7063078880310059+thickness],
			[0.48721366698690693*((1.0-(((0.19684393611955053*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.19684393611955053*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.19684393611955053*(endOfArch-beginningOfArch)+beginningOfArch,-1.7621524333953857],
			[0.01400661756915431*heelWidth,0.005230178833007812*beginningOfArch,-1.7621524333953857],
			[0.5025698446458385*heelWidth,0.7856752014160157*beginningOfArch,-1.7576305866241455],
			[0.15976038286762853*heelWidth,0.03566108703613281*beginningOfArch,-1.7621524333953857],
			[0.42656507799702303*heelWidth,0.5090457916259765*beginningOfArch,-3.1930594444274902],
			[0.3057870864868164*heelWidth,0.28031898498535157*beginningOfArch,-3.1487932205200195],
			[0.2954038804577243*heelWidth,0.8163377380371094*beginningOfArch,-2.9183220863342285],
			[0.1621482910648469*heelWidth,0.16688484191894531*beginningOfArch,-3.1487932205200195],
			[0.024832879343340473*heelWidth,0.11909622192382813*beginningOfArch,-3.148918390274048],
			[0.014699885922093545*heelWidth,0.7187632751464844*beginningOfArch,-2.9184138774871826],
			[0.15827037285134768*((1.0-(((0.09595838005160108*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.09595838005160108*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.09595838005160108*(endOfArch-beginningOfArch)+beginningOfArch,-2.911245822906494],
			[0.03072518305462667*((1.0-(((0.09161193282515914*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.09161193282515914*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.09161193282515914*(endOfArch-beginningOfArch)+beginningOfArch,-2.9069247245788574],
			[0.03294027380956103*((1.0-(((0.27121706362123843*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.27121706362123843*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.27121706362123843*(endOfArch-beginningOfArch)+beginningOfArch,-2.8862955570220947],
			[-0.14176094916559034*heelWidth,0.014085845947265625*beginningOfArch,-1.7621524333953857],
			[-0.19020557403564453*heelWidth,0.7366415405273438*beginningOfArch,-2.9184138774871826],
			[-0.3959723134194651*heelWidth,0.38419097900390625*beginningOfArch,-3.1488380432128906],
			[-0.44142541577739103*heelWidth,0.4683807373046875*beginningOfArch,-3.1939821243286133],
			[-0.4359175159085181*heelWidth,0.8076106262207031*beginningOfArch,-2.9162802696228027],
			[-0.33077470108183227*((1.0-(((0.06614831053180459*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.06614831053180459*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.06614831053180459*(endOfArch-beginningOfArch)+beginningOfArch,-2.8967506885528564],
			[-0.4454042402589556*((1.0-(((0.05205714849778163*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.05205714849778163*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.05205714849778163*(endOfArch-beginningOfArch)+beginningOfArch,-2.891284704208374],
			[-0.38368909759702546*((1.0-(((0.2667289074556327*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2667289074556327*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2667289074556327*(endOfArch-beginningOfArch)+beginningOfArch,-2.848206043243408],
			[-0.03895963102397638*((1.0-(((0.4699263396086516*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4699263396086516*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4699263396086516*(endOfArch-beginningOfArch)+beginningOfArch,-2.8713483810424805],
			[-0.15497976330461594*((1.0-(((0.4812064465181327*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4812064465181327*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4812064465181327*(endOfArch-beginningOfArch)+beginningOfArch,-2.857099771499634],
			[-0.14952530950121512*((1.0-(((0.6854760440779321*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6854760440779321*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6854760440779321*(endOfArch-beginningOfArch)+beginningOfArch,-2.8778812885284424],
			[-0.27066160298847264*((1.0-(((0.49216498857663*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.49216498857663*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.49216498857663*(endOfArch-beginningOfArch)+beginningOfArch,-2.842848300933838],
			[-0.47007731631238137*((1.0-(((0.5082087575653453*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5082087575653453*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5082087575653453*(endOfArch-beginningOfArch)+beginningOfArch,-2.8038511276245117],
			[-0.30033964511531*((1.0-(((0.9515116185317805*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9515116185317805*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9515116185317805*(endOfArch-beginningOfArch)+beginningOfArch,-2.9060864448547363],
			[-0.43032928427220557*((1.0-(((0.9528959297839507*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9528959297839507*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9528959297839507*(endOfArch-beginningOfArch)+beginningOfArch,-2.902822256088257],
			[-0.4496250767861643*heelWidth,0.4266851806640625*beginningOfArch,0.7004814147949219+thickness],
			[-0.3988256146830897*heelWidth,0.3165149688720703*beginningOfArch,0.39200088381767273+thickness],
			[-0.3186082532328944*heelWidth,0.8302010345458984*beginningOfArch,-0.36706075072288513+thickness],
			[-0.24613249686456495*heelWidth,0.12923904418945312*beginningOfArch,0.6089121103286743+thickness],
			[-0.10705009583503969*heelWidth,0.071544189453125*beginningOfArch,0.7875337600708008+thickness],
			[-0.05335066395421182*heelWidth,0.8934531402587891*beginningOfArch,-0.4149678349494934+thickness],
			[-0.21729703520164134*((1.0-(((0.07769445725429205*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.07769445725429205*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.07769445725429205*(endOfArch-beginningOfArch)+beginningOfArch,0.24770311208871695*archHeight+thickness],
			[-0.0928094667541752*((1.0-(((0.08864174360110436*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.08864174360110436*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.08864174360110436*(endOfArch-beginningOfArch)+beginningOfArch,0.22015142440795898*archHeight+thickness],
			[-0.07773888086928586*((1.0-(((0.2719523111979167*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2719523111979167*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2719523111979167*(endOfArch-beginningOfArch)+beginningOfArch,0.42083006638746995*archHeight+thickness],
			[0.029937290376232516*heelWidth,0.060702056884765626*beginningOfArch,0.8265379667282104+thickness],
			[0.17264612259403353*heelWidth,0.099788818359375*beginningOfArch,0.6948565244674683+thickness],
			[0.1608315283252347*heelWidth,0.8991781616210938*beginningOfArch,-0.43538200855255127+thickness],
			[0.31986934907974734*heelWidth,0.21694969177246093*beginningOfArch,0.3256847858428955+thickness],
			[0.44663586155060797*heelWidth,0.4612281799316406*beginningOfArch,0.030848324298858643+thickness],
			[0.4478291542299332*heelWidth,0.8667445373535156*beginningOfArch,0.7942805290222168+thickness],
			[0.3069549865373356*((1.0-(((0.10243243935667438*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.10243243935667438*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.10243243935667438*(endOfArch-beginningOfArch)+beginningOfArch,0.11931145191192627*archHeight+thickness],
			[0.42633780048148556*((1.0-(((0.10679169643072435*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.10679169643072435*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.10679169643072435*(endOfArch-beginningOfArch)+beginningOfArch,0.11743021928347074*archHeight+thickness],
			[0.4335528169187631*((1.0-(((0.2670035656587577*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2670035656587577*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2670035656587577*(endOfArch-beginningOfArch)+beginningOfArch,0.1342500356527475*archHeight+thickness],
			[0.08867568865090228*((1.0-(((0.45795280550733025*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.45795280550733025*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.45795280550733025*(endOfArch-beginningOfArch)+beginningOfArch,0.32349714866051305*archHeight+thickness],
			[0.22269189993394892*((1.0-(((0.43990966420114774*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.43990966420114774*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.43990966420114774*(endOfArch-beginningOfArch)+beginningOfArch,0.21060815224280724*archHeight+thickness],
			[0.22752335942697516*((1.0-(((0.5996787930712287*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5996787930712287*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5996787930712287*(endOfArch-beginningOfArch)+beginningOfArch,0.17949381241431603*archHeight+thickness],
			[0.36508468715103637*((1.0-(((0.416041338885272*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.416041338885272*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.416041338885272*(endOfArch-beginningOfArch)+beginningOfArch,0.14586501855116624*archHeight+thickness],
			[0.4632574321370929*((1.0-(((0.39507632785373265*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.39507632785373265*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.39507632785373265*(endOfArch-beginningOfArch)+beginningOfArch,0.11740080209878775*archHeight+thickness],
			[0.469233586002181*((1.0-(((0.5207528950255594*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5207528950255594*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5207528950255594*(endOfArch-beginningOfArch)+beginningOfArch,0.11740080209878775*archHeight+thickness],
			[0.34890144598452794*((1.0-(((0.7893443166473766*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7893443166473766*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7893443166473766*(endOfArch-beginningOfArch)+beginningOfArch,0.025509838874523457*archHeight+thickness],
			[0.4701979703108253*((1.0-(((0.6973123432677469*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6973123432677469*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6973123432677469*(endOfArch-beginningOfArch)+beginningOfArch,0.020358984286968525*archHeight+thickness],
			[-0.4990342355543567*heelWidth,0.5624913787841797*beginningOfArch,-1.7544007301330566+thickness],
			[-0.4082849564090852*heelWidth,0.22374969482421875*beginningOfArch,-1.7278984785079956+thickness],
			[0.301262209492345*heelWidth,0.134307861328125*beginningOfArch,-1.7358001470565796],
			[0.4122433200959236*heelWidth,0.3158489990234375*beginningOfArch,-1.7621524333953857],
			[0.42624465274374773*((1.0-(((0.10679169643072435*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.10679169643072435*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.10679169643072435*(endOfArch-beginningOfArch)+beginningOfArch,-2.918675422668457],
			[0.4334256997380787*((1.0-(((0.2670035656587577*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2670035656587577*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2670035656587577*(endOfArch-beginningOfArch)+beginningOfArch,-2.918808937072754],
			[-0.4934766830936555*heelWidth,0.5551905059814453*beginningOfArch,-2.6449990272521973],
			[0.4932739811558877*heelWidth,0.6416058349609375*beginningOfArch,0.6543385982513428+thickness],
			[-0.45014830558530744*heelWidth,0.32361396789550784*beginningOfArch,1.0790789127349854+thickness],
			[0.41365623474121094*heelWidth,0.33341156005859374*beginningOfArch,-2.6527504920959473],
			[-0.4956525371920678*heelWidth,0.5772076416015625*beginningOfArch,0.7562323808670044+thickness],
			[-0.4357303163563585*((1.0-(((0.9822643892264661*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9822643892264661*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9822643892264661*(endOfArch-beginningOfArch)+beginningOfArch,-2.907999038696289],
			[0.4928433818201865*heelWidth,0.6721815490722656*beginningOfArch,-2.648228645324707],
			[0.40576273395169166*heelWidth,0.30425376892089845*beginningOfArch,1.1260216236114502+thickness],
			[-0.4416638651201802*heelWidth,0.30447494506835937*beginningOfArch,-2.618496894836426],
			[0.4382139226597044*((1.0-(((0.30074969633125964*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.30074969633125964*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.30074969633125964*(endOfArch-beginningOfArch)+beginningOfArch,-2.918851852416992],
			[-0.38480279045797916*((1.0-(((0.32645755343967015*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.32645755343967015*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.32645755343967015*(endOfArch-beginningOfArch)+beginningOfArch,-2.8363027572631836],
			[-0.008645951747894287*heelWidth,0.11752822875976562*beginningOfArch,-3.148918390274048],
			[-0.009861692600181882*((1.0-(((0.4676600326726466*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4676600326726466*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4676600326726466*(endOfArch-beginningOfArch)+beginningOfArch,-2.8749380111694336],
			[-0.3747169961157942*((1.0-(((0.32645755343967015*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.32645755343967015*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.32645755343967015*(endOfArch-beginningOfArch)+beginningOfArch,0.6829966765183669*archHeight+thickness],
			[0.43830437923947824*((1.0-(((0.30074969633125964*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.30074969633125964*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.30074969633125964*(endOfArch-beginningOfArch)+beginningOfArch,0.13395293859335092*archHeight+thickness],
			[-0.0037108928926529424*heelWidth,0.05926231384277344*beginningOfArch,0.8316136002540588+thickness],
			[0.00037366463462920764*((1.0-(((0.4676600326726466*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4676600326726466*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4676600326726466*(endOfArch-beginningOfArch)+beginningOfArch,0.39959269303541917*archHeight+thickness],
			[-0.45678921714830867*((1.0-(((0.5348320478274499*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5348320478274499*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5348320478274499*(endOfArch-beginningOfArch)+beginningOfArch,0.7505605404193585*archHeight+thickness],
			[-0.4549992069032699*((1.0-(((0.14957131279839408*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.14957131279839408*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.14957131279839408*(endOfArch-beginningOfArch)+beginningOfArch,-2.863325595855713],
			[0.482775548449092*((1.0-(((0.19116352222583913*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.19116352222583913*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.19116352222583913*(endOfArch-beginningOfArch)+beginningOfArch,0.09105172524085411*archHeight+thickness],
			[0.4767030017173721*((1.0-(((0.3976782339590567*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3976782339590567*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3976782339590567*(endOfArch-beginningOfArch)+beginningOfArch,-2.6527504920959473],
			[-0.15818898908553586*heelWidth,0.023768768310546876*beginningOfArch,1.5380200147628784+thickness],
			[0.0867274038253292*heelWidth,0.022913360595703126*beginningOfArch,-2.6527504920959473],
			[-0.44949107897893675*((1.0-(((0.17242422221619405*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.17242422221619405*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.17242422221619405*(endOfArch-beginningOfArch)+beginningOfArch,0.47808419741117036*archHeight+thickness],
			[0.47607742038065715*((1.0-(((0.38268289448302467*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.38268289448302467*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.38268289448302467*(endOfArch-beginningOfArch)+beginningOfArch,0.09105172524085411*archHeight+thickness],
			[0.06997229206946588*heelWidth,0.014760360717773438*beginningOfArch,1.549237847328186+thickness],
			[0.10066222087115592*((1.0-(((0.31733147891951197*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.31733147891951197*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.31733147891951197*(endOfArch-beginningOfArch)+beginningOfArch,-2.8904261589050293],
			[-0.08019666204023684*((1.0-(((0.32086435953776044*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.32086435953776044*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.32086435953776044*(endOfArch-beginningOfArch)+beginningOfArch,-2.8695759773254395],
			[0.0015003323350815318*((1.0-(((0.17664977650583527*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.17664977650583527*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.17664977650583527*(endOfArch-beginningOfArch)+beginningOfArch,-2.895615816116333],
			[-0.07003745737016871*((1.0-(((0.32086435953776044*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.32086435953776044*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.32086435953776044*(endOfArch-beginningOfArch)+beginningOfArch,0.44826467220599836*archHeight+thickness],
			[0.11049592917250127*((1.0-(((0.31733147891951197*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.31733147891951197*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.31733147891951197*(endOfArch-beginningOfArch)+beginningOfArch,0.3032341003417969*archHeight+thickness],
			[0.007631542347539481*((1.0-(((0.17664977650583527*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.17664977650583527*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.17664977650583527*(endOfArch-beginningOfArch)+beginningOfArch,0.2858377970181979*archHeight+thickness],
			[0.4243729485930439*((1.0-(((0.5781118133921682*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5781118133921682*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5781118133921682*(endOfArch-beginningOfArch)+beginningOfArch,-2.918801784515381],
			[0.08743452666260638*((1.0-(((0.6884889955873843*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6884889955873843*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6884889955873843*(endOfArch-beginningOfArch)+beginningOfArch,-2.9026544094085693],
			[0.2526690302546854*((1.0-(((0.4351378075870467*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4351378075870467*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4351378075870467*(endOfArch-beginningOfArch)+beginningOfArch,-2.9108376502990723],
			[0.24574852700364488*((1.0-(((0.8478890878182871*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8478890878182871*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8478890878182871*(endOfArch-beginningOfArch)+beginningOfArch,-2.917834758758545],
			[-0.3887040896049493*((1.0-(((0.7787091290509259*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7787091290509259*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7787091290509259*(endOfArch-beginningOfArch)+beginningOfArch,0.4807785474337064*archHeight+thickness],
			[-0.08581519430204612*((1.0-(((0.7315462842399691*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7315462842399691*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7315462842399691*(endOfArch-beginningOfArch)+beginningOfArch,0.32933576290424055*archHeight+thickness],
			[-0.23151715374708606*((1.0-(((0.49002725106698497*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.49002725106698497*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.49002725106698497*(endOfArch-beginningOfArch)+beginningOfArch,0.6002852366520808*archHeight+thickness],
			[-0.26809588586002736*((1.0-(((0.9411019219292535*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9411019219292535*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9411019219292535*(endOfArch-beginningOfArch)+beginningOfArch,0.05254734937961285*archHeight+thickness],
			[0.4321485284079791*((1.0-(((-0.03899797981168017*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.03899797981168017*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.03899797981168017*(endOfArch-beginningOfArch)+beginningOfArch,-2.9177956581115723],
			[0.08785033603085038*((1.0-(((-0.059131104269145446*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.059131104269145446*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.059131104269145446*(endOfArch-beginningOfArch)+beginningOfArch,-2.9182467460632324],
			[0.2731616420130576*heelWidth,0.23989906311035156*beginningOfArch,-3.1487932205200195],
			[0.269909658256845*((1.0-(((0.10419271021713446*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.10419271021713446*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.10419271021713446*(endOfArch-beginningOfArch)+beginningOfArch,-2.9167327880859375],
			[-0.1370504677365044*((1.0-(((-0.06749565218701775*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.06749565218701775*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.06749565218701775*(endOfArch-beginningOfArch)+beginningOfArch,-2.9184138774871826],
			[-0.4405733166791505*((1.0-(((-0.07183545901451582*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.07183545901451582*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.07183545901451582*(endOfArch-beginningOfArch)+beginningOfArch,-2.9137351512908936],
			[-0.2812933767995527*heelWidth,0.22923782348632812*beginningOfArch,-3.1487932205200195],
			[-0.24920507970720257*((1.0-(((0.07468056384428048*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.07468056384428048*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.07468056384428048*(endOfArch-beginningOfArch)+beginningOfArch,-2.8983969688415527],
			[-0.0918573270590533*((1.0-(((0.7315462842399691*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7315462842399691*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7315462842399691*(endOfArch-beginningOfArch)+beginningOfArch,-2.890138626098633],
			[-0.3947053958307798*((1.0-(((0.7787091290509259*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7787091290509259*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7787091290509259*(endOfArch-beginningOfArch)+beginningOfArch,-2.868633508682251],
			[-0.24171830548572731*((1.0-(((0.49002725106698497*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.49002725106698497*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.49002725106698497*(endOfArch-beginningOfArch)+beginningOfArch,-2.8464393615722656],
			[-0.26956164288752327*((1.0-(((0.9491612940658758*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9491612940658758*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9491612940658758*(endOfArch-beginningOfArch)+beginningOfArch,-2.907109260559082],
			[-0.44828589373562444*((1.0-(((-0.0695413660120081*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.0695413660120081*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.0695413660120081*(endOfArch-beginningOfArch)+beginningOfArch,0.09645487711979793*archHeight+thickness],
			[-0.13492738434217402*((1.0-(((-0.04117019088179977*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.04117019088179977*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.04117019088179977*(endOfArch-beginningOfArch)+beginningOfArch,0.02550121683340806*archHeight+thickness],
			[-0.28320992377496534*heelWidth,0.16370635986328125*beginningOfArch,0.4991692006587982+thickness],
			[-0.24582314042469017*((1.0-(((0.07468056384428048*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.07468056384428048*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.07468056384428048*(endOfArch-beginningOfArch)+beginningOfArch,0.2525196075439453*archHeight+thickness],
			[0.09066767510418194*((1.0-(((-0.03180515618971837*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.03180515618971837*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.03180515618971837*(endOfArch-beginningOfArch)+beginningOfArch,0.01896351117354173*archHeight+thickness],
			[0.4486846111961712*((1.0-(((-0.034184397002797066*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.034184397002797066*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.034184397002797066*(endOfArch-beginningOfArch)+beginningOfArch,0.07516017326941857*archHeight+thickness],
			[0.28579093563941216*heelWidth,0.1755500030517578*beginningOfArch,0.4589778780937195+thickness],
			[0.27065532890121013*((1.0-(((0.10419271021713446*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.10419271021713446*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.10419271021713446*(endOfArch-beginningOfArch)+beginningOfArch,0.12434843870309684*archHeight+thickness],
			[0.09340329695653825*((1.0-(((0.6884889955873843*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6884889955873843*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6884889955873843*(endOfArch-beginningOfArch)+beginningOfArch,0.2412275901207557*archHeight+thickness],
			[0.42449431564746554*((1.0-(((0.5781118133921682*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5781118133921682*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5781118133921682*(endOfArch-beginningOfArch)+beginningOfArch,0.13429965422703669*archHeight+thickness],
			[0.2577332447199578*((1.0-(((0.4351378075870467*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4351378075870467*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4351378075870467*(endOfArch-beginningOfArch)+beginningOfArch,0.18543826616727388*archHeight+thickness],
			[0.2465735006319061*((1.0-(((0.8398297156816648*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8398297156816648*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8398297156816648*(endOfArch-beginningOfArch)+beginningOfArch,0.02804459287570073*archHeight+thickness],
			[-0.5105488623712662*((1.0-(((0.9567085548683449*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9567085548683449*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9567085548683449*(endOfArch-beginningOfArch)+beginningOfArch,0.0495831507902879*archHeight+thickness],
			[-0.4929603761242282*heelWidth,0.6749766540527343*beginningOfArch,-2.598489284515381],
			[0.49859563765987275*heelWidth,0.7720193481445312*beginningOfArch,0.8432984352111816+thickness],
			[0.4885179657671607*((1.0-(((0.7023373827522184*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7023373827522184*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7023373827522184*(endOfArch-beginningOfArch)+beginningOfArch,-2.6527504920959473],
			[-0.421433356500441*heelWidth,0.2575464630126953*beginningOfArch,1.1692322492599487+thickness],
			[0.36097231218891757*heelWidth,0.2254583740234375*beginningOfArch,-2.6527504920959473],
			[-0.49121050680837325*heelWidth,0.707601318359375*beginningOfArch,0.807415246963501+thickness],
			[0.4888543479355968*((1.0-(((0.6823440363377701*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6823440363377701*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6823440363377701*(endOfArch-beginningOfArch)+beginningOfArch,-0.44025367498397827+thickness+thickness],
			[0.49554649476082097*heelWidth,0.7979430389404297*beginningOfArch,-2.636601448059082],
			[0.3510597905805034*heelWidth,0.202398681640625*beginningOfArch,1.3822791576385498+thickness],
			[-0.40774579201975175*heelWidth,0.23820205688476562*beginningOfArch,-2.618496894836426],
			[0.38558523080574264*((1.0-(((0.30500049355589315*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.30500049355589315*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.30500049355589315*(endOfArch-beginningOfArch)+beginningOfArch,-2.91768741607666],
			[-0.3199045098784695*((1.0-(((0.32422685034481097*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.32422685034481097*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.32422685034481097*(endOfArch-beginningOfArch)+beginningOfArch,-2.8430280685424805],
			[-0.008563258955555578*heelWidth,0.3008741760253906*beginningOfArch,-2.9185609817504883],
			[-0.007795207250211798*((1.0-(((0.562842286663291*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.562842286663291*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.562842286663291*(endOfArch-beginningOfArch)+beginningOfArch,-2.8800148963928223],
			[-0.30981526709508694*((1.0-(((0.32422685034481097*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.32422685034481097*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.32422685034481097*(endOfArch-beginningOfArch)+beginningOfArch,0.6356343489426833*archHeight+thickness],
			[0.3866510882214346*((1.0-(((0.30500049355589315*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.30500049355589315*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.30500049355589315*(endOfArch-beginningOfArch)+beginningOfArch,0.1419741832292997*archHeight+thickness],
			[-0.0072832665135783535*heelWidth,0.3761299133300781*beginningOfArch,-2.156299114227295+thickness],
			[0.0012825328400725168*((1.0-(((0.562842286663291*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.562842286663291*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.562842286663291*(endOfArch-beginningOfArch)+beginningOfArch,0.372135749230018*archHeight+thickness],
			[-0.4653095654299305*((1.0-(((0.6507988447024499*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6507988447024499*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6507988447024499*(endOfArch-beginningOfArch)+beginningOfArch,0.666590323814979*archHeight+thickness],
			[-0.4633675226698188*((1.0-(((0.03821634363245081*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.03821634363245081*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.03821634363245081*(endOfArch-beginningOfArch)+beginningOfArch,-2.889842987060547],
			[0.4865232060774063*((1.0-(((0.10927850228768808*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.10927850228768808*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.10927850228768808*(endOfArch-beginningOfArch)+beginningOfArch,0.09105172524085411*archHeight+thickness],
			[0.4799768129582592*((1.0-(((0.46140270468629435*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.46140270468629435*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.46140270468629435*(endOfArch-beginningOfArch)+beginningOfArch,-2.6527504920959473],
			[-0.23356140813519877*heelWidth,0.0578875732421875*beginningOfArch,1.4915357828140259+thickness],
			[0.16007157294980942*heelWidth,0.045577468872070315*beginningOfArch,-2.6527504920959473],
			[-0.4590714382529554*((1.0-(((0.05717496518735533*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.05717496518735533*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.05717496518735533*(endOfArch-beginningOfArch)+beginningOfArch,0.27706480026245117*archHeight+thickness],
			[0.47861255995179586*((1.0-(((0.44820083806544175*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.44820083806544175*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.44820083806544175*(endOfArch-beginningOfArch)+beginningOfArch,0.09105172524085411*archHeight+thickness],
			[0.1430271210209016*heelWidth,0.0331793212890625*beginningOfArch,1.5216509103775024+thickness],
			[0.16874621528213515*((1.0-(((0.3153704419548129*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3153704419548129*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3153704419548129*(endOfArch-beginningOfArch)+beginningOfArch,-2.8994996547698975],
			[-0.13976294994230085*((1.0-(((0.3222747614354263*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3222747614354263*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3222747614354263*(endOfArch-beginningOfArch)+beginningOfArch,-2.8628807067871094],
			[-0.0017766326989212737*((1.0-(((0.0908011919186439*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.0908011919186439*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.0908011919186439*(endOfArch-beginningOfArch)+beginningOfArch,-2.9062013626098633],
			[-0.025058950843354*((1.0-(((0.9341545575930749*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9341545575930749*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9341545575930749*(endOfArch-beginningOfArch)+beginningOfArch,-2.912076473236084],
			[-0.12960594213790758*((1.0-(((0.3222747614354263*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3222747614354263*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3222747614354263*(endOfArch-beginningOfArch)+beginningOfArch,0.49541480724628156*archHeight+thickness],
			[0.17690573424416384*((1.0-(((0.3153704419548129*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3153704419548129*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3153704419548129*(endOfArch-beginningOfArch)+beginningOfArch,0.2487942989055927*archHeight+thickness],
			[0.0015966356097232193*((1.0-(((0.09080123901367188*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.09080123901367188*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.09080123901367188*(endOfArch-beginningOfArch)+beginningOfArch,0.19756034704355094*archHeight+thickness],
			[-0.023313573113237097*((1.0-(((0.9260950912663966*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9260950912663966*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9260950912663966*(endOfArch-beginningOfArch)+beginningOfArch,0.04115016185320341*archHeight+thickness],
			[0.36359667098453324*((1.0-(((0.6013517026548032*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6013517026548032*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6013517026548032*(endOfArch-beginningOfArch)+beginningOfArch,-2.918395519256592],
			[0.15350336926180866*((1.0-(((0.6689267570589795*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6689267570589795*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6689267570589795*(endOfArch-beginningOfArch)+beginningOfArch,-2.907580614089966],
			[0.25365273479017886*((1.0-(((0.5131661685896508*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5131661685896508*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5131661685896508*(endOfArch-beginningOfArch)+beginningOfArch,-2.9118449687957764],
			[-0.3227865864435357*((1.0-(((0.768705674159674*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.768705674159674*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.768705674159674*(endOfArch-beginningOfArch)+beginningOfArch,0.44743178440974307*archHeight+thickness],
			[-0.14508546179770337*((1.0-(((0.7406333640769676*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7406333640769676*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7406333640769676*(endOfArch-beginningOfArch)+beginningOfArch,0.3585686683654785*archHeight+thickness],
			[-0.22993058407511663*((1.0-(((0.5964815116222993*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5964815116222993*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5964815116222993*(endOfArch-beginningOfArch)+beginningOfArch,0.5517941621633676*archHeight+thickness],
			[0.3713127802049071*((1.0-(((-0.045691454852068866*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.045691454852068866*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.045691454852068866*(endOfArch-beginningOfArch)+beginningOfArch,-2.918320894241333],
			[0.15705376127526055*((1.0-(((-0.054566654158227236*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.054566654158227236*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.054566654158227236*(endOfArch-beginningOfArch)+beginningOfArch,-2.918261766433716],
			[0.26992065675797*heelWidth,0.4728863525390625*beginningOfArch,-2.918552875518799],
			[0.2702831701591122*((1.0-(((0.1904349621431327*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.1904349621431327*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.1904349621431327*(endOfArch-beginningOfArch)+beginningOfArch,-2.9148879051208496],
			[-0.20110324554147183*((1.0-(((-0.07070984075098861*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.07070984075098861*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.07070984075098861*(endOfArch-beginningOfArch)+beginningOfArch,-2.9181931018829346],
			[-0.38921704956169945*((1.0-(((-0.07082136177722319*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.07082136177722319*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.07082136177722319*(endOfArch-beginningOfArch)+beginningOfArch,-2.9181580543518066],
			[-0.26985340733681956*heelWidth,0.4396659851074219*beginningOfArch,-2.91841459274292],
			[-0.24059721651445612*((1.0-(((0.16755968258704668*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.16755968258704668*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.16755968258704668*(endOfArch-beginningOfArch)+beginningOfArch,-2.8804636001586914],
			[-0.1511196769737663*((1.0-(((0.7406333640769676*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7406333640769676*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7406333640769676*(endOfArch-beginningOfArch)+beginningOfArch,-2.8859875202178955],
			[-0.32879650299523777*((1.0-(((0.7687057683497299*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7687057683497299*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7687057683497299*(endOfArch-beginningOfArch)+beginningOfArch,-2.873368740081787],
			[-0.238963387392942*((1.0-(((0.5964814174322435*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5964814174322435*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5964814174322435*(endOfArch-beginningOfArch)+beginningOfArch,-2.8545029163360596],
			[-0.3887437346674391*((1.0-(((-0.06770343545042438*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.06770343545042438*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.06770343545042438*(endOfArch-beginningOfArch)+beginningOfArch,0.038367700118284956*archHeight+thickness],
			[-0.19850352571533475*((1.0-(((-0.0472951818395544*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.0472951818395544*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.0472951818395544*(endOfArch-beginningOfArch)+beginningOfArch,0.028056704081021823*archHeight+thickness],
			[-0.2640859849991337*heelWidth,0.38629707336425784*beginningOfArch,-2.2506637573242188+thickness],
			[-0.23445725896054256*((1.0-(((0.16755968258704668*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.16755968258704668*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.16755968258704668*(endOfArch-beginningOfArch)+beginningOfArch,0.39254188537597656*archHeight+thickness],
			[0.15999942494753802*((1.0-(((-0.03086848317840953*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.03086848317840953*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.03086848317840953*(endOfArch-beginningOfArch)+beginningOfArch,0.01638525495162377*archHeight+thickness],
			[0.373279964948658*((1.0-(((-0.04267304031937211*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.04267304031937211*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.04267304031937211*(endOfArch-beginningOfArch)+beginningOfArch,0.00878146978525015*archHeight+thickness],
			[0.27604272288660847*heelWidth,0.4252434539794922*beginningOfArch,-2.270986557006836+thickness],
			[0.27244349093321907*((1.0-(((0.1904349621431327*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.1904349621431327*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.1904349621431327*(endOfArch-beginningOfArch)+beginningOfArch,0.15745874551626352*archHeight+thickness],
			[0.15828573111543903*((1.0-(((0.6689267570589795*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6689267570589795*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6689267570589795*(endOfArch-beginningOfArch)+beginningOfArch,0.20684187228863055*archHeight+thickness],
			[0.3640285435038421*((1.0-(((0.6013517026548032*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6013517026548032*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6013517026548032*(endOfArch-beginningOfArch)+beginningOfArch,0.13710105419158936*archHeight+thickness],
			[0.2576833545052503*((1.0-(((0.5131661685896508*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5131661685896508*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5131661685896508*(endOfArch-beginningOfArch)+beginningOfArch,0.17756841732905462*archHeight+thickness],
			[0.40597380779565023*((1.0-(((0.8041167082609953*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8041167082609953*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8041167082609953*(endOfArch-beginningOfArch)+beginningOfArch,-2.91525936126709],
			[0.3438551992348328*((1.0-(((0.8417203926745757*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8417203926745757*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8417203926745757*(endOfArch-beginningOfArch)+beginningOfArch,-2.9152755737304688],
			[0.38125203105231237*((1.0-(((0.7793219295548804*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7793219295548804*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7793219295548804*(endOfArch-beginningOfArch)+beginningOfArch,-2.918959856033325],
			[-0.43029931776871577*((1.0-(((0.9786209294825424*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9786209294825424*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9786209294825424*(endOfArch-beginningOfArch)+beginningOfArch,-0.9753670692443848+thickness+thickness],
			[-0.3678758811181728*((1.0-(((0.9775383089795525*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9775383089795525*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9775383089795525*(endOfArch-beginningOfArch)+beginningOfArch,-1.0042743682861328+thickness+thickness],
			[-0.3953143711491379*((1.0-(((0.9420927071277007*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9420927071277007*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9420927071277007*(endOfArch-beginningOfArch)+beginningOfArch,0.059341636987832874*archHeight+thickness],
			[0.36965837023926373*((1.0-(((0.15039269718123072*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.15039269718123072*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.15039269718123072*(endOfArch-beginningOfArch)+beginningOfArch,-2.9182443618774414],
			[0.40073653461771824*((1.0-(((0.10434864185474536*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.10434864185474536*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.10434864185474536*(endOfArch-beginningOfArch)+beginningOfArch,-2.9183926582336426],
			[0.4082761554025001*((1.0-(((0.2679292655285494*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2679292655285494*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2679292655285494*(endOfArch-beginningOfArch)+beginningOfArch,-2.9184207916259766],
			[-0.09033951738035934*((1.0-(((0.12990668967918115*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.12990668967918115*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.12990668967918115*(endOfArch-beginningOfArch)+beginningOfArch,-2.897696018218994],
			[-0.152055817388577*((1.0-(((0.12664347519109279*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.12664347519109279*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.12664347519109279*(endOfArch-beginningOfArch)+beginningOfArch,-2.894914150238037],
			[-0.12875595935698417*((1.0-(((0.08673453625337577*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.08673453625337577*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.08673453625337577*(endOfArch-beginningOfArch)+beginningOfArch,-2.902269124984741],
			[-0.11662479848573168*((1.0-(((0.2720813515745563*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2720813515745563*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2720813515745563*(endOfArch-beginningOfArch)+beginningOfArch,-2.871983051300049],
			[-0.13498704720265328*((1.0-(((0.9652717496141975*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9652717496141975*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9652717496141975*(endOfArch-beginningOfArch)+beginningOfArch,-2.910341739654541],
			[-0.1489547104877663*((1.0-(((0.9345682403187693*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9345682403187693*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9345682403187693*(endOfArch-beginningOfArch)+beginningOfArch,-2.9091827869415283],
			[-0.3674865748384228*((1.0-(((0.1060588507004726*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.1060588507004726*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.1060588507004726*(endOfArch-beginningOfArch)+beginningOfArch,0.34809622397789586*archHeight+thickness],
			[-0.3179242268482337*((1.0-(((0.11060450989523052*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.11060450989523052*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.11060450989523052*(endOfArch-beginningOfArch)+beginningOfArch,0.3361552311823918*archHeight+thickness],
			[-0.35745705294348457*((1.0-(((0.06290124963831019*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.06290124963831019*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.06290124963831019*(endOfArch-beginningOfArch)+beginningOfArch,0.268526370708759*archHeight+thickness],
			[-0.34557427216903164*((1.0-(((0.2574811393831983*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2574811393831983*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2574811393831983*(endOfArch-beginningOfArch)+beginningOfArch,0.570651677938608*archHeight+thickness],
			[0.09869419051592862*((1.0-(((0.13401092717676988*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.13401092717676988*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.13401092717676988*(endOfArch-beginningOfArch)+beginningOfArch,0.21450413190401518*archHeight+thickness],
			[0.1651021454444858*((1.0-(((0.13870083844220196*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.13870083844220196*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.13870083844220196*(endOfArch-beginningOfArch)+beginningOfArch,0.1889806160560021*archHeight+thickness],
			[0.12807377602361614*((1.0-(((0.09439925205560377*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.09439925205560377*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.09439925205560377*(endOfArch-beginningOfArch)+beginningOfArch,0.16916854564960188*archHeight+thickness],
			[0.13530715938883636*((1.0-(((0.27175102704837*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.27175102704837*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.27175102704837*(endOfArch-beginningOfArch)+beginningOfArch,0.2687389300419734*archHeight+thickness],
			[0.0783101364202825*((1.0-(((0.9378446414146895*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9378446414146895*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9378446414146895*(endOfArch-beginningOfArch)+beginningOfArch,-1.1663422584533691+thickness+thickness],
			[0.14503767222842637*((1.0-(((0.9183843165268133*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9183843165268133*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9183843165268133*(endOfArch-beginningOfArch)+beginningOfArch,-1.191886067390442+thickness+thickness],
			[0.10657579156865485*((1.0-(((0.8917764734338831*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8917764734338831*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8917764734338831*(endOfArch-beginningOfArch)+beginningOfArch,0.035719823378783*archHeight+thickness],
			[0.4214942637072917*((1.0-(((0.44272999704619986*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.44272999704619986*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.44272999704619986*(endOfArch-beginningOfArch)+beginningOfArch,-2.9186959266662598],
			[0.36131434244209004*((1.0-(((0.4541442305953414*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4541442305953414*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4541442305953414*(endOfArch-beginningOfArch)+beginningOfArch,-2.917088747024536],
			[0.3972482627466917*((1.0-(((0.412289278006848*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.412289278006848*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.412289278006848*(endOfArch-beginningOfArch)+beginningOfArch,-2.918262481689453],
			[0.3960540818185091*((1.0-(((0.5484829184449749*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5484829184449749*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5484829184449749*(endOfArch-beginningOfArch)+beginningOfArch,-2.918395519256592],
			[0.14342573787815244*((1.0-(((0.4945697548948688*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4945697548948688*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4945697548948688*(endOfArch-beginningOfArch)+beginningOfArch,-2.8957080841064453],
			[0.07778390893710785*((1.0-(((0.5043870902355806*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5043870902355806*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5043870902355806*(endOfArch-beginningOfArch)+beginningOfArch,-2.8866634368896484],
			[0.10996737107210694*((1.0-(((0.45509828167197147*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.45509828167197147*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.45509828167197147*(endOfArch-beginningOfArch)+beginningOfArch,-2.8901734352111816],
			[0.11749446339078719*((1.0-(((0.6276363796657987*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6276363796657987*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6276363796657987*(endOfArch-beginningOfArch)+beginningOfArch,-2.900912284851074],
			[0.13860558689450492*((1.0-(((0.9239737428264854*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9239737428264854*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9239737428264854*(endOfArch-beginningOfArch)+beginningOfArch,-2.913383722305298],
			[0.07217793358604983*((1.0-(((0.942904719599971*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.942904719599971*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.942904719599971*(endOfArch-beginningOfArch)+beginningOfArch,-2.9127628803253174],
			[0.10464371450443662*((1.0-(((0.8998359397605613*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8998359397605613*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8998359397605613*(endOfArch-beginningOfArch)+beginningOfArch,-2.914442300796509],
			[-0.375764341670725*((1.0-(((0.560814939899209*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.560814939899209*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.560814939899209*(endOfArch-beginningOfArch)+beginningOfArch,0.7101330390343299*archHeight+thickness],
			[-0.31677979639688225*((1.0-(((0.555151856975791*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.555151856975791*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.555151856975791*(endOfArch-beginningOfArch)+beginningOfArch,0.6602625480064979*archHeight+thickness],
			[-0.34612964229278265*((1.0-(((0.5004516413182388*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5004516413182388*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5004516413182388*(endOfArch-beginningOfArch)+beginningOfArch,0.6999208010160006*archHeight+thickness],
			[-0.3489672949405464*((1.0-(((0.7182941201292439*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7182941201292439*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7182941201292439*(endOfArch-beginningOfArch)+beginningOfArch,0.5292846239530123*archHeight+thickness],
			[-0.14467073273388228*((1.0-(((0.5346429141951196*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5346429141951196*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5346429141951196*(endOfArch-beginningOfArch)+beginningOfArch,0.5140998913691595*archHeight+thickness],
			[-0.08695516538710336*((1.0-(((0.5277890805844907*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5277890805844907*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5277890805844907*(endOfArch-beginningOfArch)+beginningOfArch,0.4657183793874887*archHeight+thickness],
			[-0.11573409859261226*((1.0-(((0.47906870900848764*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.47906870900848764*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.47906870900848764*(endOfArch-beginningOfArch)+beginningOfArch,0.4999250632065993*archHeight+thickness],
			[-0.11338999808177276*((1.0-(((0.6810500533492477*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6810500533492477*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6810500533492477*(endOfArch-beginningOfArch)+beginningOfArch,0.3871580637418307*archHeight+thickness],
			[-0.1744828181665693*((1.0-(((0.9653649977695795*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9653649977695795*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9653649977695795*(endOfArch-beginningOfArch)+beginningOfArch,-1.0662329196929932+thickness+thickness],
			[-0.11806454026884226*((1.0-(((0.9628631215036652*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9628631215036652*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9628631215036652*(endOfArch-beginningOfArch)+beginningOfArch,-1.0914329290390015+thickness+thickness],
			[-0.14727590461384976*((1.0-(((0.9265087739920911*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9265087739920911*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9265087739920911*(endOfArch-beginningOfArch)+beginningOfArch,0.04778351692052988*archHeight+thickness],
			[-0.14642397049934633*heelWidth,0.14728927612304688*beginningOfArch,-3.1487932205200195],
			[-0.5016814201108871*heelWidth,0.6133052825927734*beginningOfArch,-1.7414814233779907+thickness],
			[-0.4630269776797901*((1.0-(((0.09654730337637442*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.09654730337637442*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.09654730337637442*(endOfArch-beginningOfArch)+beginningOfArch,-2.8671679496765137],
			[-0.3855248963043726*((1.0-(((0.560814939899209*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.560814939899209*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.560814939899209*(endOfArch-beginningOfArch)+beginningOfArch,-2.8309264183044434],
			[-0.4288406987344065*heelWidth,0.2615669250488281*beginningOfArch,-1.70375657081604+thickness],
			[-0.47375961870297717*((1.0-(((0.5693224683220004*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5693224683220004*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5693224683220004*(endOfArch-beginningOfArch)+beginningOfArch,-2.8063926696777344],
			[-0.47949960154871785*heelWidth,0.4283148956298828*beginningOfArch,-1.7072712182998657+thickness],
			[-0.4874512057034214*((1.0-(((-0.0788828060950762*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.0788828060950762*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.0788828060950762*(endOfArch-beginningOfArch)+beginningOfArch,-2.899048089981079+thickness],
			[-0.1814320933434271*heelWidth,0.0235772705078125*beginningOfArch,-1.7621524333953857],
			[-0.46985261675581114*((1.0-(((0.6253042338806906*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6253042338806906*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6253042338806906*(endOfArch-beginningOfArch)+beginningOfArch,-2.8238039016723633],
			[-0.49538408030047604*((1.0-(((0.7950474303445698*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7950474303445698*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7950474303445698*(endOfArch-beginningOfArch)+beginningOfArch,-2.846808910369873],
			[0.48296639118106943*((1.0-(((0.43000002260561343*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.43000002260561343*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.43000002260561343*(endOfArch-beginningOfArch)+beginningOfArch,-1.7621524333953857],
			[0.48991142043526353*((1.0-(((0.16005155775282118*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.16005155775282118*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.16005155775282118*(endOfArch-beginningOfArch)+beginningOfArch,-1.7621524333953857],
			[0.47395518518263297*heelWidth,0.49586814880371094*beginningOfArch,-1.7278984785079956],
			[0.12226967657766034*heelWidth,0.02102210998535156*beginningOfArch,-1.7621524333953857],
			[0.26996695610784716*heelWidth,0.09921531677246094*beginningOfArch,-1.7621524333953857],
			[-0.21483613598731258*heelWidth,0.05107635498046875*beginningOfArch,-2.6527504920959473],
			[-0.32734049520184916*heelWidth,0.1256134796142578*beginningOfArch,-1.7621524333953857+thickness],
			[0.4308924521169355*heelWidth,0.5843746185302734*beginningOfArch,-3.1509315967559814],
			[0.3722117331720168*heelWidth,0.4815196990966797*beginningOfArch,-3.148167848587036],
			[0.40036847514490925*heelWidth,0.4498061370849609*beginningOfArch,-3.1930594444274902],
			[0.4022254943847656*heelWidth,0.8365846252441407*beginningOfArch,-2.91833233833313],
			[0.16258173604165355*heelWidth,0.2516025543212891*beginningOfArch,-3.148167848587036],
			[0.0901147396333756*heelWidth,0.22522377014160155*beginningOfArch,-3.148167848587036],
			[0.1250665034017255*heelWidth,0.15082305908203125*beginningOfArch,-3.1487932205200195],
			[0.12233228068197927*heelWidth,0.7470219421386719*beginningOfArch,-2.9184138774871826],
			[0.16137568916060632*((1.0-(((0.13870083844220196*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.13870083844220196*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.13870083844220196*(endOfArch-beginningOfArch)+beginningOfArch,-2.9096267223358154],
			[0.0941550089236969*((1.0-(((0.1340108800817419*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.1340108800817419*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.1340108800817419*(endOfArch-beginningOfArch)+beginningOfArch,-2.9059855937957764],
			[0.12480811078293796*((1.0-(((0.09439925205560377*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.09439925205560377*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.09439925205560377*(endOfArch-beginningOfArch)+beginningOfArch,-2.9102351665496826],
			[0.12686930737143232*((1.0-(((0.27175102704837*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.27175102704837*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.27175102704837*(endOfArch-beginningOfArch)+beginningOfArch,-2.8963422775268555],
			[-0.09778277335628387*heelWidth,0.2212567901611328*beginningOfArch,-3.148167848587036],
			[-0.16462087631225586*heelWidth,0.23720161437988282*beginningOfArch,-3.148167848587036],
			[-0.022890563934080062*heelWidth,0.0038007354736328126*beginningOfArch,-1.7621524333953857],
			[-0.15902959146807272*heelWidth,0.731737060546875*beginningOfArch,-2.9184138774871826],
			[-0.3771874212449597*heelWidth,0.44099227905273436*beginningOfArch,-3.148212432861328],
			[-0.44235281790456465*heelWidth,0.5338091278076171*beginningOfArch,-3.181063175201416],
			[-0.42383313948108303*heelWidth,0.4119925689697266*beginningOfArch,-3.1952738761901855],
			[-0.41286363909321444*heelWidth,0.7962847900390625*beginningOfArch,-2.9182674884796143],
			[-0.32237971100300694*((1.0-(((0.11060450989523052*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.11060450989523052*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.11060450989523052*(endOfArch-beginningOfArch)+beginningOfArch,-2.8887829780578613],
			[-0.3719452404379188*((1.0-(((0.1060588507004726*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.1060588507004726*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.1060588507004726*(endOfArch-beginningOfArch)+beginningOfArch,-2.887087345123291],
			[-0.3607170777508565*((1.0-(((0.06290124963831019*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.06290124963831019*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.06290124963831019*(endOfArch-beginningOfArch)+beginningOfArch,-2.8961637020111084],
			[-0.3540964459455204*((1.0-(((0.2574811393831983*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2574811393831983*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2574811393831983*(endOfArch-beginningOfArch)+beginningOfArch,-2.853635311126709],
			[-0.0967636191645667*((1.0-(((0.5277890805844907*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5277890805844907*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5277890805844907*(endOfArch-beginningOfArch)+beginningOfArch,-2.865633964538574],
			[-0.15446920446611698*((1.0-(((0.5346429141951196*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5346429141951196*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5346429141951196*(endOfArch-beginningOfArch)+beginningOfArch,-2.8587636947631836],
			[-0.12595198051797946*((1.0-(((0.47906870900848764*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.47906870900848764*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.47906870900848764*(endOfArch-beginningOfArch)+beginningOfArch,-2.8606905937194824],
			[-0.12055754090806854*((1.0-(((0.6810500533492477*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6810500533492477*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6810500533492477*(endOfArch-beginningOfArch)+beginningOfArch,-2.880668878555298],
			[-0.32654859011992027*((1.0-(((0.555151856975791*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.555151856975791*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.555151856975791*(endOfArch-beginningOfArch)+beginningOfArch,-2.838008403778076],
			[-0.4624651568152553*((1.0-(((0.32271396966628085*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.32271396966628085*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.32271396966628085*(endOfArch-beginningOfArch)+beginningOfArch,-2.811656951904297],
			[-0.35631493757502486*((1.0-(((0.5004516413182388*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5004516413182388*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5004516413182388*(endOfArch-beginningOfArch)+beginningOfArch,-2.8322906494140625],
			[-0.3560962794598122*((1.0-(((0.7182941201292439*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7182941201292439*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7182941201292439*(endOfArch-beginningOfArch)+beginningOfArch,-2.8604867458343506],
			[-0.3734989962039574*((1.0-(((0.9813304006317516*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9813304006317516*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9813304006317516*(endOfArch-beginningOfArch)+beginningOfArch,-2.908860683441162],
			[0.3493543620108705*((1.0-(((0.8352359724633488*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8352359724633488*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8352359724633488*(endOfArch-beginningOfArch)+beginningOfArch,-1.268064260482788+thickness+thickness],
			[-0.39666709441654235*((1.0-(((0.9501521734543789*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9501521734543789*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9501521734543789*(endOfArch-beginningOfArch)+beginningOfArch,-2.904146671295166],
			[-0.45326014487974103*heelWidth,0.4950538635253906*beginningOfArch,0.37263721227645874+thickness],
			[-0.3763651078747165*heelWidth,0.3341164398193359*beginningOfArch,-1.0741541385650635+thickness],
			[-0.42882104073801347*heelWidth,0.3549150848388672*beginningOfArch,0.8547154664993286+thickness],
			[-0.4126937927738313*heelWidth,0.8014189910888672*beginningOfArch,0.24025839567184448+thickness],
			[-0.16137366141042403*heelWidth,0.16078392028808594*beginningOfArch,-0.733939528465271+thickness],
			[-0.09361454748338269*heelWidth,0.14787887573242187*beginningOfArch,-0.6958078145980835+thickness],
			[-0.14374054631879252*heelWidth,0.07888656616210937*beginningOfArch,0.7646340727806091+thickness],
			[-0.1569725005857406*heelWidth,0.8796536254882813*beginningOfArch,-0.3921249210834503+thickness],
			[-0.14743622819407662*((1.0-(((0.12664347519109279*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.12664347519109279*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.12664347519109279*(endOfArch-beginningOfArch)+beginningOfArch,0.29245970799372745*archHeight+thickness],
			[-0.08572232475796715*((1.0-(((0.12990668967918115*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.12990668967918115*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.12990668967918115*(endOfArch-beginningOfArch)+beginningOfArch,0.2728703205402081*archHeight+thickness],
			[-0.12538051207541137*((1.0-(((0.08673453625337577*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.08673453625337577*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.08673453625337577*(endOfArch-beginningOfArch)+beginningOfArch,0.2252516379723182*archHeight+thickness],
			[-0.10758641660916324*((1.0-(((0.2720813515745563*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2720813515745563*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2720813515745563*(endOfArch-beginningOfArch)+beginningOfArch,0.43854856491088867*archHeight+thickness],
			[0.09389011321529266*heelWidth,0.15442108154296874*beginningOfArch,-0.712910532951355+thickness],
			[0.16700303169988817*heelWidth,0.17851760864257812*beginningOfArch,-0.783180832862854+thickness],
			[0.13467439528434508*heelWidth,0.08367233276367188*beginningOfArch,0.7475382685661316+thickness],
			[0.124460389537196*heelWidth,0.903564453125*beginningOfArch,-0.43025141954421997+thickness],
			[0.37705101505402594*heelWidth,0.37829994201660155*beginningOfArch,-1.2554173469543457+thickness],
			[0.450996829617408*heelWidth,0.5512332153320313*beginningOfArch,0.15403509140014648+thickness],
			[0.4161288046067761*heelWidth,0.3886198425292969*beginningOfArch,-0.12047863006591797+thickness],
			[0.4080005461169827*heelWidth,0.8431654357910157*beginningOfArch,-0.077800452709198+thickness],
			[0.3701209712947168*((1.0-(((0.15039269718123072*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.15039269718123072*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.15039269718123072*(endOfArch-beginningOfArch)+beginningOfArch,0.13313478689927322*archHeight+thickness],
			[0.42576819986898845*((1.0-(((0.15265627260561343*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.15265627260561343*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.15265627260561343*(endOfArch-beginningOfArch)+beginningOfArch,0.13135545070354754*archHeight+thickness],
			[0.40086702224016196*((1.0-(((0.10434864185474536*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.10434864185474536*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.10434864185474536*(endOfArch-beginningOfArch)+beginningOfArch,0.11603786395146297*archHeight+thickness],
			[0.40873037946378954*((1.0-(((0.2679292655285494*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2679292655285494*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2679292655285494*(endOfArch-beginningOfArch)+beginningOfArch,0.1369237624681913*archHeight+thickness],
			[0.08737745519130988*((1.0-(((0.5043870902355806*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5043870902355806*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5043870902355806*(endOfArch-beginningOfArch)+beginningOfArch,0.31851882200974685*archHeight+thickness],
			[0.15165582799615412*((1.0-(((0.4945697548948688*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4945697548948688*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4945697548948688*(endOfArch-beginningOfArch)+beginningOfArch,0.26414089936476487*archHeight+thickness],
			[0.1196111903162379*((1.0-(((0.45509828167197147*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.45509828167197147*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.45509828167197147*(endOfArch-beginningOfArch)+beginningOfArch,0.29660866810725284*archHeight+thickness],
			[0.12415759093420933*((1.0-(((0.6276363796657987*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6276363796657987*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6276363796657987*(endOfArch-beginningOfArch)+beginningOfArch,0.24474221009474534*archHeight+thickness],
			[0.3627977367851647*((1.0-(((0.4541442305953414*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4541442305953414*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4541442305953414*(endOfArch-beginningOfArch)+beginningOfArch,0.14610612392425537*archHeight+thickness],
			[0.42170659874342775*((1.0-(((0.44272999704619986*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.44272999704619986*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.44272999704619986*(endOfArch-beginningOfArch)+beginningOfArch,0.13502819721515363*archHeight+thickness],
			[0.39781689430556333*((1.0-(((0.412289278006848*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.412289278006848*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.412289278006848*(endOfArch-beginningOfArch)+beginningOfArch,0.13801317948561448*archHeight+thickness],
			[0.3964894224920538*((1.0-(((0.5484829184449749*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5484829184449749*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5484829184449749*(endOfArch-beginningOfArch)+beginningOfArch,0.13710105419158936*archHeight+thickness],
			[0.41110116977190264*((1.0-(((0.7968804630232446*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7968804630232446*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7968804630232446*(endOfArch-beginningOfArch)+beginningOfArch,-1.266524314880371+thickness+thickness],
			[0.38169285068751907*((1.0-(((0.7712624632282021*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7712624632282021*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7712624632282021*(endOfArch-beginningOfArch)+beginningOfArch,0.025509838874523457*archHeight+thickness],
			[0.3877421655962544*heelWidth,0.2591423034667969*beginningOfArch,-1.7621524333953857],
			[-0.1385603104868243*heelWidth,0.023762664794921874*beginningOfArch,-2.6527504920959473],
			[0.4256387045161737*((1.0-(((0.15265627260561343*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.15265627260561343*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.15265627260561343*(endOfArch-beginningOfArch)+beginningOfArch,-2.918759346008301],
			[0.4942889200586584*((1.0-(((0.5564850230275848*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5564850230275848*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5564850230275848*(endOfArch-beginningOfArch)+beginningOfArch,-1.7621524333953857],
			[-0.4629063677939074*((1.0-(((0.5074104968412423*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5074104968412423*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5074104968412423*(endOfArch-beginningOfArch)+beginningOfArch,-2.813636302947998],
			[0.4814212844683566*((1.0-(((0.2964663093472705*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2964663093472705*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2964663093472705*(endOfArch-beginningOfArch)+beginningOfArch,-1.7278984785079956],
			[0.48549483852473924*((1.0-(((0.1291258070203993*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.1291258070203993*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.1291258070203993*(endOfArch-beginningOfArch)+beginningOfArch,-2.6527504920959473],
			[0.5025642764183783*heelWidth,0.727950439453125*beginningOfArch,-1.7589225769042969+thickness],
			[0.48151260693579057*((1.0-(((0.20725683518397955*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.20725683518397955*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.20725683518397955*(endOfArch-beginningOfArch)+beginningOfArch,-2.6527504920959473],
			[0.49977843026974617*((1.0-(((-0.019888607072241514*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.019888607072241514*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.019888607072241514*(endOfArch-beginningOfArch)+beginningOfArch,-1.7576305866241455],
			[-0.028865205828314547*((1.0-(((0.17647326434100116*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.17647326434100116*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.17647326434100116*(endOfArch-beginningOfArch)+beginningOfArch,-2.89326810836792],
			[-0.4281277843609454*((1.0-(((0.15856914755738813*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.15856914755738813*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.15856914755738813*(endOfArch-beginningOfArch)+beginningOfArch,0.4605386807368352*archHeight+thickness],
			[0.09889937559618997*((1.0-(((0.17894791968074847*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.17894791968074847*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.17894791968074847*(endOfArch-beginningOfArch)+beginningOfArch,0.2482454593365009*archHeight+thickness],
			[0.4224722766876442*((1.0-(((0.4739848949291088*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4739848949291088*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4739848949291088*(endOfArch-beginningOfArch)+beginningOfArch,-2.918694019317627],
			[0.14627655904964365*((1.0-(((0.5338422987196181*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5338422987196181*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5338422987196181*(endOfArch-beginningOfArch)+beginningOfArch,-2.8974363803863525],
			[-0.4371511322700543*((1.0-(((0.631175759397907*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.631175759397907*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.631175759397907*(endOfArch-beginningOfArch)+beginningOfArch,0.6932896834153396*archHeight+thickness],
			[-0.20079832649687118*((1.0-(((0.5920961168077257*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5920961168077257*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5920961168077257*(endOfArch-beginningOfArch)+beginningOfArch,0.5311654164240911*archHeight+thickness],
			[0.4786463399087229*heelWidth,0.7652980041503906*beginningOfArch,-2.957176685333252],
			[0.2355464966066422*heelWidth,0.4498774719238281*beginningOfArch,-2.918552875518799],
			[0.23471639133395183*((1.0-(((0.18992134376808448*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.18992134376808448*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.18992134376808448*(endOfArch-beginningOfArch)+beginningOfArch,-2.911647081375122],
			[-0.1088286292168402*heelWidth,0.3801026916503906*beginningOfArch,-2.91841459274292],
			[-0.3842282449045489*heelWidth,0.5747843170166016*beginningOfArch,-2.91841459274292],
			[-0.2699020190788851*((1.0-(((0.16669765519507138*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.16669765519507138*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.16669765519507138*(endOfArch-beginningOfArch)+beginningOfArch,-2.878155469894409],
			[-0.09428325469085105*((1.0-(((0.576080322265625*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.576080322265625*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.576080322265625*(endOfArch-beginningOfArch)+beginningOfArch,-2.870195150375366],
			[-0.3249513156521539*((1.0-(((0.6079127935715664*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6079127935715664*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6079127935715664*(endOfArch-beginningOfArch)+beginningOfArch,-2.8446574211120605],
			[-0.4858746067170174*heelWidth,0.6773802185058594*beginningOfArch,0.97532057762146+thickness],
			[-0.23139892085905997*heelWidth,0.37943687438964846*beginningOfArch,-2.2350873947143555+thickness],
			[-0.14413515132265112*((1.0-(((0.17457382767288773*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.17457382767288773*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.17457382767288773*(endOfArch-beginningOfArch)+beginningOfArch,0.35579439309927136*archHeight+thickness],
			[0.09320469825498519*heelWidth,0.3845691680908203*beginningOfArch,-2.2148995399475098+thickness],
			[0.3782274184688445*heelWidth,0.4933579254150391*beginningOfArch,-2.0305843353271484+thickness],
			[0.36860906288207496*((1.0-(((0.19235851146556712*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.19235851146556712*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.19235851146556712*(endOfArch-beginningOfArch)+beginningOfArch,0.1416263855420626*archHeight+thickness],
			[0.030451742412355286*((1.0-(((0.5562706464602624*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5562706464602624*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5562706464602624*(endOfArch-beginningOfArch)+beginningOfArch,0.3516414715693547*archHeight+thickness],
			[0.29257771544602107*((1.0-(((0.5040301099235629*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5040301099235629*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5040301099235629*(endOfArch-beginningOfArch)+beginningOfArch,0.16614913940429688*archHeight+thickness],
			[0.42330030675901076*((1.0-(((0.6293476246021412*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6293476246021412*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6293476246021412*(endOfArch-beginningOfArch)+beginningOfArch,-2.91884708404541],
			[0.29267556768663056*((1.0-(((0.689480440116223*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.689480440116223*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.689480440116223*(endOfArch-beginningOfArch)+beginningOfArch,-2.9179468154907227],
			[-0.4674532671429019*((1.0-(((0.8566158906913098*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8566158906913098*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8566158906913098*(endOfArch-beginningOfArch)+beginningOfArch,0.39880767235389125*archHeight+thickness],
			[-0.3330785686071892*((1.0-(((0.8296504079559703*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8296504079559703*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8296504079559703*(endOfArch-beginningOfArch)+beginningOfArch,0.37746697205763596*archHeight+thickness],
			[0.49684942922284525*heelWidth,0.6590072631835937*beginningOfArch,-0.010916173458099365+thickness],
			[0.3724459493697266*((1.0-(((0.004593460648148148*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.004593460648148148*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.004593460648148148*(endOfArch-beginningOfArch)+beginningOfArch,-2.917654514312744],
			[0.3675244534585206*((1.0-(((0.19235851146556712*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.19235851146556712*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.19235851146556712*(endOfArch-beginningOfArch)+beginningOfArch,-2.917637825012207],
			[-0.04872581847776141*((1.0-(((-0.00788738109447338*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.00788738109447338*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.00788738109447338*(endOfArch-beginningOfArch)+beginningOfArch,-2.9124350547790527],
			[-0.18481576348829606*((1.0-(((-0.010179496105806327*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.010179496105806327*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.010179496105806327*(endOfArch-beginningOfArch)+beginningOfArch,-2.910888195037842],
			[-0.15026835288718118*((1.0-(((0.17457382767288773*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.17457382767288773*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.17457382767288773*(endOfArch-beginningOfArch)+beginningOfArch,-2.8856818675994873],
			[-0.09811596453181329*((1.0-(((0.7992615876374422*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7992615876374422*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7992615876374422*(endOfArch-beginningOfArch)+beginningOfArch,-2.8966691493988037],
			[-0.21761957459508371*((1.0-(((0.8144184630594136*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8144184630594136*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8144184630594136*(endOfArch-beginningOfArch)+beginningOfArch,-2.890292167663574],
			[-0.42533127258468817*((1.0-(((-0.027103659547405477*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.027103659547405477*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.027103659547405477*(endOfArch-beginningOfArch)+beginningOfArch,0.13044787370241606*archHeight+thickness],
			[-0.30075486510060223*((1.0-(((-0.01420663904260706*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.01420663904260706*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.01420663904260706*(endOfArch-beginningOfArch)+beginningOfArch,0.10523880445040189*archHeight+thickness],
			[-0.2637612152182486*((1.0-(((0.16669765519507138*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.16669765519507138*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.16669765519507138*(endOfArch-beginningOfArch)+beginningOfArch,0.4087952467111441*archHeight+thickness],
			[0.09277272289556364*((1.0-(((0.007993439097463348*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.007993439097463348*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.007993439097463348*(endOfArch-beginningOfArch)+beginningOfArch,0.07478175713465764*archHeight+thickness],
			[0.22702967810608476*((1.0-(((0.013811747233072916*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.013811747233072916*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.013811747233072916*(endOfArch-beginningOfArch)+beginningOfArch,0.06117759301112248*archHeight+thickness],
			[0.23784028776557203*((1.0-(((0.18992134376808448*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.18992134376808448*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.18992134376808448*(endOfArch-beginningOfArch)+beginningOfArch,0.17624631294837365*archHeight+thickness],
			[0.02779699868391234*((1.0-(((0.7774580967279128*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7774580967279128*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7774580967279128*(endOfArch-beginningOfArch)+beginningOfArch,0.24220037460327148*archHeight+thickness],
			[0.15391272808594955*((1.0-(((0.7372234956717786*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7372234956717786*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7372234956717786*(endOfArch-beginningOfArch)+beginningOfArch,0.19544065915621245*archHeight+thickness],
			[-0.4755067913006732*((1.0-(((0.6369549786603009*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6369549786603009*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6369549786603009*(endOfArch-beginningOfArch)+beginningOfArch,0.6243552428025466*archHeight+thickness],
			[0.492742434674996*((1.0-(((0.10933402732566551*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.10933402732566551*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.10933402732566551*(endOfArch-beginningOfArch)+beginningOfArch,0.02254417767891517*archHeight+thickness],
			[-0.2038691274581417*heelWidth,0.0721216583251953*beginningOfArch,-2.9952878952026367],
			[0.4318433762367734*((1.0-(((0.33668141306182486*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.33668141306182486*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.33668141306182486*(endOfArch-beginningOfArch)+beginningOfArch,-2.918808937072754],
			[0.3014500459737006*((1.0-(((0.34640926784939235*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.34640926784939235*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.34640926784939235*(endOfArch-beginningOfArch)+beginningOfArch,-2.914249897003174],
			[0.28921762182265*((1.0-(((0.5040301099235629*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5040301099235629*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5040301099235629*(endOfArch-beginningOfArch)+beginningOfArch,-2.9139444828033447],
			[0.1556944208381227*((1.0-(((0.35939628695264275*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.35939628695264275*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.35939628695264275*(endOfArch-beginningOfArch)+beginningOfArch,-2.8972878456115723],
			[0.028105497147188536*((1.0-(((0.36654060269579475*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.36654060269579475*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.36654060269579475*(endOfArch-beginningOfArch)+beginningOfArch,-2.880255937576294],
			[0.021365171879914595*((1.0-(((0.5562706464602624*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5562706464602624*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5562706464602624*(endOfArch-beginningOfArch)+beginningOfArch,-2.882925033569336],
			[0.14981731207256138*((1.0-(((0.7372234956717786*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7372234956717786*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7372234956717786*(endOfArch-beginningOfArch)+beginningOfArch,-2.9096920490264893],
			[0.023176738360041096*((1.0-(((0.7774580967279128*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7774580967279128*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7774580967279128*(endOfArch-beginningOfArch)+beginningOfArch,-2.903032064437866],
			[-0.4271193994641305*((1.0-(((0.39353245864679787*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.39353245864679787*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.39353245864679787*(endOfArch-beginningOfArch)+beginningOfArch,0.7533262692964994*archHeight+thickness],
			[-0.31715474248209*((1.0-(((0.3808966742621528*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3808966742621528*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3808966742621528*(endOfArch-beginningOfArch)+beginningOfArch,0.6639597966120794*archHeight+thickness],
			[-0.3159336267405917*((1.0-(((0.6079127935715664*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6079127935715664*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6079127935715664*(endOfArch-beginningOfArch)+beginningOfArch,0.6211291093092698*archHeight+thickness],
			[-0.19775300447747743*((1.0-(((0.376672061873071*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.376672061873071*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.376672061873071*(endOfArch-beginningOfArch)+beginningOfArch,0.5674068744365985*archHeight+thickness],
			[-0.07967608736511629*((1.0-(((0.3716827204198013*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3716827204198013*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3716827204198013*(endOfArch-beginningOfArch)+beginningOfArch,0.46766284795907825*archHeight+thickness],
			[-0.08522325200438122*((1.0-(((0.576080322265625*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.576080322265625*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.576080322265625*(endOfArch-beginningOfArch)+beginningOfArch,0.4412868573115422*archHeight+thickness],
			[-0.21302364682306718*((1.0-(((0.8144186514395254*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8144186514395254*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8144186514395254*(endOfArch-beginningOfArch)+beginningOfArch,0.3319166623629056*archHeight+thickness],
			[-0.09351009002835962*((1.0-(((0.7992615876374422*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7992615876374422*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7992615876374422*(endOfArch-beginningOfArch)+beginningOfArch,0.28700912915743315*archHeight+thickness],
			[-0.4968891143798828*heelWidth,0.6867389678955078*beginningOfArch,0.10332569479942322+thickness],
			[-0.4789269824230532*((1.0-(((-0.028893977035710842*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.028893977035710842*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.028893977035710842*(endOfArch-beginningOfArch)+beginningOfArch,0.08408807791196383*archHeight+thickness],
			[-0.4591724965699191*((1.0-(((0.1566902443214699*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.1566902443214699*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.1566902443214699*(endOfArch-beginningOfArch)+beginningOfArch,0.3909602532019982*archHeight+thickness],
			[-0.44450597841425654*((1.0-(((0.6213610613787616*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6213610613787616*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6213610613787616*(endOfArch-beginningOfArch)+beginningOfArch,-2.8293981552124023],
			[-0.43646689687421003*((1.0-(((0.38341004171489196*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.38341004171489196*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.38341004171489196*(endOfArch-beginningOfArch)+beginningOfArch,-2.822549819946289],
			[-0.50098121860614*((1.0-(((0.858581448778694*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.858581448778694*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.858581448778694*(endOfArch-beginningOfArch)+beginningOfArch,0.3095507254967323*archHeight+thickness],
			[-0.053640434818883094*heelWidth,0.040680160522460936*beginningOfArch,-2.9952878952026367],
			[-0.22623668178435294*heelWidth,0.047661666870117185*beginningOfArch,0.5139156579971313+thickness],
			[0.4960507764911166*((1.0-(((0.6881351235472126*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6881351235472126*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6881351235472126*(endOfArch-beginningOfArch)+beginningOfArch,-1.3462092876434326+thickness+thickness],
			[0.49108400146584397*((1.0-(((0.5154763680917246*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5154763680917246*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5154763680917246*(endOfArch-beginningOfArch)+beginningOfArch,0.02254417767891517*archHeight+thickness],
			[0.48108414320218745*((1.0-(((0.39129732861930944*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.39129732861930944*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.39129732861930944*(endOfArch-beginningOfArch)+beginningOfArch,0.02254417767891517*archHeight+thickness],
			[-0.4490040502240581*heelWidth,0.3111766815185547*beginningOfArch,0.2702801823616028+thickness],
			[0.48368808536666275*((1.0-(((0.2562782381787712*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2562782381787712*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2562782381787712*(endOfArch-beginningOfArch)+beginningOfArch,0.01990927182711088*archHeight+thickness],
			[0.07926271038670693*heelWidth,0.012201995849609374*beginningOfArch,0.5330115556716919+thickness],
			[0.4994337328018681*heelWidth,0.8960240173339844*beginningOfArch,0.2635437548160553+thickness],
			[0.22776786742671842*heelWidth,0.07048667907714844*beginningOfArch,0.4790157675743103+thickness],
			[0.4616140857819588*heelWidth,0.49822647094726563*beginningOfArch,-2.9267807006835938],
			[0.3629787198958858*heelWidth,0.26091636657714845*beginningOfArch,-2.9952878952026367],
			[0.37006427395728325*heelWidth,0.6109038543701172*beginningOfArch,-2.9184141159057617],
			[0.23525116520543252*heelWidth,0.11178054809570312*beginningOfArch,-2.9952878952026367],
			[0.08846263731679609*heelWidth,0.04803184509277344*beginningOfArch,-2.9952878952026367],
			[0.0884448020688949*heelWidth,0.3841547393798828*beginningOfArch,-2.918552875518799],
			[0.22431830845376483*((1.0-(((0.008975087860484182*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.008975087860484182*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.008975087860484182*(endOfArch-beginningOfArch)+beginningOfArch,-2.915642261505127],
			[0.09028209648765159*((1.0-(((0.002606851083260995*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.002606851083260995*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.002606851083260995*(endOfArch-beginningOfArch)+beginningOfArch,-2.9137933254241943],
			[0.09287463580015269*((1.0-(((0.17894791968074847*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.17894791968074847*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.17894791968074847*(endOfArch-beginningOfArch)+beginningOfArch,-2.900956153869629],
			[-0.06950039248312673*heelWidth,0.005919723510742187*beginningOfArch,0.5406792759895325+thickness],
			[-0.23735775486115487*heelWidth,0.42148040771484374*beginningOfArch,-2.91841459274292],
			[-0.350174811578566*heelWidth,0.20703025817871093*beginningOfArch,-2.9952878952026367],
			[-0.4704153307022587*heelWidth,0.43828697204589845*beginningOfArch,-2.9267807006835938],
			[-0.4796302241663779*heelWidth,0.668809814453125*beginningOfArch,-2.9410271644592285],
			[-0.3025825868026227*((1.0-(((-0.018446745695891203*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.018446745695891203*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.018446745695891203*(endOfArch-beginningOfArch)+beginningOfArch,-2.9095664024353027],
			[-0.425433344225296*((1.0-(((-0.02821839885947145*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.02821839885947145*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.02821839885947145*(endOfArch-beginningOfArch)+beginningOfArch,-2.9081552028656006],
			[-0.43420031150807475*((1.0-(((0.15112375330041955*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.15112375330041955*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.15112375330041955*(endOfArch-beginningOfArch)+beginningOfArch,-2.8688793182373047],
			[-0.09013600670211516*((1.0-(((0.3716827204198013*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3716827204198013*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3716827204198013*(endOfArch-beginningOfArch)+beginningOfArch,-2.8660924434661865],
			[-0.2082049812270445*((1.0-(((0.376672061873071*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.376672061873071*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.376672061873071*(endOfArch-beginningOfArch)+beginningOfArch,-2.851928472518921],
			[-0.20983697267492787*((1.0-(((0.5920961168077257*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5920961168077257*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5920961168077257*(endOfArch-beginningOfArch)+beginningOfArch,-2.8574321269989014],
			[-0.32753588444142256*((1.0-(((0.3808966742621528*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3808966742621528*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3808966742621528*(endOfArch-beginningOfArch)+beginningOfArch,-2.8382768630981445],
			[-0.4605350348134406*((1.0-(((0.39445420253423996*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.39445420253423996*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.39445420253423996*(endOfArch-beginningOfArch)+beginningOfArch,0.696769274198092*archHeight+thickness],
			[-0.3376645457164417*((1.0-(((0.8296504079559703*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8296504079559703*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8296504079559703*(endOfArch-beginningOfArch)+beginningOfArch,-2.883823871612549],
			[-0.4703420035682896*((1.0-(((0.8475051691502701*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8475051691502701*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8475051691502701*(endOfArch-beginningOfArch)+beginningOfArch,-2.874331474304199],
			[-0.4784834461827432*heelWidth,0.4391287231445313*beginningOfArch,1.2331138849258423+thickness],
			[-0.3595003312633884*heelWidth,0.1931414794921875*beginningOfArch,1.7100801467895508+thickness],
			[-0.38470394380630984*heelWidth,0.45307228088378904*beginningOfArch,-1.853806495666504+thickness],
			[-0.21185791877008253*heelWidth,0.05209518432617188*beginningOfArch,1.9375351667404175+thickness],
			[-0.05817660977763514*heelWidth,0.01515380859375*beginningOfArch,1.9966779947280884+thickness],
			[-0.10453128814697266*heelWidth,0.37256202697753904*beginningOfArch,-2.210777759552002+thickness],
			[-0.1821187864540569*((1.0-(((-0.004844382957175926*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.004844382957175926*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.004844382957175926*(endOfArch-beginningOfArch)+beginningOfArch,0.09571684323824368*archHeight+thickness],
			[-0.04669133095013344*((1.0-(((0.001643993236400463*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.001643993236400463*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.001643993236400463*(endOfArch-beginningOfArch)+beginningOfArch,0.08465212125044602*archHeight+thickness],
			[-0.022733827495154676*((1.0-(((0.17647326434100116*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.17647326434100116*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.17647326434100116*(endOfArch-beginningOfArch)+beginningOfArch,0.302370181450477*archHeight+thickness],
			[0.08824380751579039*heelWidth,0.021020736694335938*beginningOfArch,1.9869517087936401+thickness],
			[0.23911577655423072*heelWidth,0.08401199340820313*beginningOfArch,1.884774088859558+thickness],
			[0.24131368821667087*heelWidth,0.4126243591308594*beginningOfArch,-2.2530131340026855+thickness],
			[0.37216577222270353*heelWidth,0.23598121643066405*beginningOfArch,1.6389362812042236+thickness],
			[0.472678215272965*heelWidth,0.4760643768310547*beginningOfArch,1.226785659790039+thickness],
			[0.49471353715465916*heelWidth,0.7542977905273438*beginningOfArch,1.1541328430175781+thickness],
			[0.3727962430149641*((1.0-(((0.005535361207561728*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.005535361207561728*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.005535361207561728*(endOfArch-beginningOfArch)+beginningOfArch,0.05009012038891132*archHeight+thickness],
			[0.4769220413148212*((1.0-(((0.016915309576340663*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.016915309576340663*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.016915309576340663*(endOfArch-beginningOfArch)+beginningOfArch,0.10340033127711369*archHeight+thickness],
			[0.46907820445664283*((1.0-(((0.19264889940803434*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.19264889940803434*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.19264889940803434*(endOfArch-beginningOfArch)+beginningOfArch,0.1174007929288424*archHeight+thickness],
			[0.038573589269611575*((1.0-(((0.36654060269579475*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.36654060269579475*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.36654060269579475*(endOfArch-beginningOfArch)+beginningOfArch,0.36792102226844203*archHeight+thickness],
			[0.1644969761376422*((1.0-(((0.35939628695264275*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.35939628695264275*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.35939628695264275*(endOfArch-beginningOfArch)+beginningOfArch,0.2610023205096905*archHeight+thickness],
			[0.15360758866461394*((1.0-(((0.5338422987196181*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5338422987196181*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5338422987196181*(endOfArch-beginningOfArch)+beginningOfArch,0.25405073165893555*archHeight+thickness],
			[0.30503622576882444*((1.0-(((0.34640926784939235*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.34640926784939235*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.34640926784939235*(endOfArch-beginningOfArch)+beginningOfArch,0.16491548831646258*archHeight+thickness],
			[0.4319691967684005*((1.0-(((0.33668141306182486*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.33668141306182486*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.33668141306182486*(endOfArch-beginningOfArch)+beginningOfArch,0.1342500356527475*archHeight+thickness],
			[0.4226835030234399*((1.0-(((0.4739848949291088*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4739848949291088*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4739848949291088*(endOfArch-beginningOfArch)+beginningOfArch,0.1350423556107741*archHeight+thickness],
			[0.2931227071775736*((1.0-(((0.689480440116223*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.689480440116223*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.689480440116223*(endOfArch-beginningOfArch)+beginningOfArch,0.13941132105313814*archHeight+thickness],
			[0.42338638304051607*((1.0-(((0.6293476246021412*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6293476246021412*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6293476246021412*(endOfArch-beginningOfArch)+beginningOfArch,0.1339883804321289*archHeight+thickness],
			[-0.4895769242317446*heelWidth,0.48035354614257814*beginningOfArch,0.13481968641281128+thickness],
			[-0.3620544249011624*heelWidth,0.1653101348876953*beginningOfArch,0.41726112365722656+thickness],
			[0.3557021233343309*heelWidth,0.20570747375488282*beginningOfArch,0.3581770658493042+thickness],
			[0.45241728136616366*heelWidth,0.42239044189453123*beginningOfArch,0.15745759010314941+thickness],
			[0.4735230929721376*((1.0-(((0.023128556616512346*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.023128556616512346*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.023128556616512346*(endOfArch-beginningOfArch)+beginningOfArch,-2.9791393280029297],
			[0.468652182855463*((1.0-(((0.19917919017650462*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.19917919017650462*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.19917919017650462*(endOfArch-beginningOfArch)+beginningOfArch,-2.9952878952026367],
			[-0.05922463189291684*((1.0-(((0.1761909767433449*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.1761909767433449*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.1761909767433449*(endOfArch-beginningOfArch)+beginningOfArch,-2.8915562629699707],
			[-0.08948762095986222*((1.0-(((0.17593468560112846*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.17593468560112846*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.17593468560112846*(endOfArch-beginningOfArch)+beginningOfArch,-2.889742374420166],
			[-0.08930918702253043*((1.0-(((0.22324399594907407*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.22324399594907407*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.22324399594907407*(endOfArch-beginningOfArch)+beginningOfArch,-2.881666660308838],
			[-0.40063187634462594*((1.0-(((0.1572156364535108*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.1572156364535108*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.1572156364535108*(endOfArch-beginningOfArch)+beginningOfArch,0.45093312630286586*archHeight+thickness],
			[-0.3711720875636743*((1.0-(((0.15715667347849152*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.15715667347849152*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.15715667347849152*(endOfArch-beginningOfArch)+beginningOfArch,0.43015846839317906*archHeight+thickness],
			[-0.37414086334125785*((1.0-(((0.2099923969786844*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2099923969786844*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2099923969786844*(endOfArch-beginningOfArch)+beginningOfArch,0.518736509176401*archHeight+thickness],
			[0.07215344584208178*((1.0-(((0.27106975037374614*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.27106975037374614*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.27106975037374614*(endOfArch-beginningOfArch)+beginningOfArch,0.3155968372638409*archHeight+thickness],
			[0.09977702923983357*((1.0-(((0.2249168113425926*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2249168113425926*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2249168113425926*(endOfArch-beginningOfArch)+beginningOfArch,0.2735101259671725*archHeight+thickness],
			[0.10318078216033484*((1.0-(((0.2714256004050926*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2714256004050926*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2714256004050926*(endOfArch-beginningOfArch)+beginningOfArch,0.29297381180983323*archHeight+thickness],
			[0.44908446649234773*((1.0-(((0.5327046712239584*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5327046712239584*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5327046712239584*(endOfArch-beginningOfArch)+beginningOfArch,-2.9185404777526855],
			[0.42312866203499994*((1.0-(((0.5059007244345582*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5059007244345582*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5059007244345582*(endOfArch-beginningOfArch)+beginningOfArch,-2.9186899662017822],
			[0.42404004324504396*((1.0-(((0.5397365240403164*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5397365240403164*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5397365240403164*(endOfArch-beginningOfArch)+beginningOfArch,-2.9187116622924805],
			[0.18808568699374864*((1.0-(((0.6094855791256751*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6094855791256751*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6094855791256751*(endOfArch-beginningOfArch)+beginningOfArch,-2.90753173828125],
			[0.14953406312529655*((1.0-(((0.5743443995346258*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5743443995346258*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5743443995346258*(endOfArch-beginningOfArch)+beginningOfArch,-2.900566339492798],
			[0.15229778694568297*((1.0-(((0.618584903669946*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.618584903669946*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.618584903669946*(endOfArch-beginningOfArch)+beginningOfArch,-2.9040322303771973],
			[-0.4077417562772932*((1.0-(((0.6199493408203125*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6199493408203125*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6199493408203125*(endOfArch-beginningOfArch)+beginningOfArch,0.688850842989408*archHeight+thickness],
			[-0.3764076019147018*((1.0-(((0.6150186797718943*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6150186797718943*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6150186797718943*(endOfArch-beginningOfArch)+beginningOfArch,0.6674481905423678*archHeight+thickness],
			[-0.3780263374305712*((1.0-(((0.6686119738920235*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6686119738920235*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6686119738920235*(endOfArch-beginningOfArch)+beginningOfArch,0.6143485949589655*archHeight+thickness],
			[-0.17207789882082278*((1.0-(((0.5882660665629823*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5882660665629823*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5882660665629823*(endOfArch-beginningOfArch)+beginningOfArch,0.5079850783714881*archHeight+thickness],
			[-0.14328499597760455*((1.0-(((0.5842955789448302*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5842955789448302*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5842955789448302*(endOfArch-beginningOfArch)+beginningOfArch,0.48509594110342175*archHeight+thickness],
			[-0.142137932900733*((1.0-(((0.6338414321711034*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6338414321711034*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6338414321711034*(endOfArch-beginningOfArch)+beginningOfArch,0.4489565996023325*archHeight+thickness],
			[0.4570486314835087*heelWidth,0.7208744812011719*beginningOfArch,-3.150790214538574],
			[0.43132911189909906*heelWidth,0.6795094299316407*beginningOfArch,-2.9184141159057617],
			[0.43096942286337575*heelWidth,0.7717922973632813*beginningOfArch,-2.9184134006500244],
			[0.19901403304069273*heelWidth,0.4273973083496094*beginningOfArch,-2.918552875518799],
			[0.16170014104535502*heelWidth,0.4092322540283203*beginningOfArch,-2.918552875518799],
			[0.1601744621030746*heelWidth,0.5835089111328124*beginningOfArch,-2.9184138774871826],
			[0.197691182228082*((1.0-(((0.1871565830560378*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.1871565830560378*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.1871565830560378*(endOfArch-beginningOfArch)+beginningOfArch,-2.9089274406433105],
			[0.1609340126483169*((1.0-(((0.18376621199242862*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.18376621199242862*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.18376621199242862*(endOfArch-beginningOfArch)+beginningOfArch,-2.90609073638916],
			[0.1603194555957527*((1.0-(((0.22885508596161266*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.22885508596161266*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.22885508596161266*(endOfArch-beginningOfArch)+beginningOfArch,-2.9026525020599365],
			[-0.09067863033663842*heelWidth,0.7294876098632812*beginningOfArch,-2.9184138774871826],
			[-0.1172552724038401*heelWidth,0.5553422546386719*beginningOfArch,-2.9184138774871826],
			[-0.12549232667492283*heelWidth,0.7314635467529297*beginningOfArch,-2.9184138774871826],
			[-0.3514719932310043*heelWidth,0.7868495941162109*beginningOfArch,-2.9182727336883545],
			[-0.38394663410802043*heelWidth,0.6888175964355469*beginningOfArch,-2.9184138774871826],
			[-0.38352744810042844*heelWidth,0.793797607421875*beginningOfArch,-2.918271064758301],
			[-0.2972902789615217*((1.0-(((0.16544817700798128*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.16544817700798128*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.16544817700798128*(endOfArch-beginningOfArch)+beginningOfArch,-2.877017021179199],
			[-0.3235524278900042*((1.0-(((0.16176374458972317*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.16176374458972317*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.16176374458972317*(endOfArch-beginningOfArch)+beginningOfArch,-2.877446413040161],
			[-0.3256852571179781*((1.0-(((0.2141620965651524*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2141620965651524*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2141620965651524*(endOfArch-beginningOfArch)+beginningOfArch,-2.8647499084472656],
			[-0.06155063679358151*((1.0-(((0.6713181483892747*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6713181483892747*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6713181483892747*(endOfArch-beginningOfArch)+beginningOfArch,-2.8855013847351074],
			[-0.09211394165033843*((1.0-(((0.6249099543065201*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6249099543065201*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6249099543065201*(endOfArch-beginningOfArch)+beginningOfArch,-2.8762128353118896],
			[-0.09102211326049786*((1.0-(((0.6763089026933835*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6763089026933835*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6763089026933835*(endOfArch-beginningOfArch)+beginningOfArch,-2.883035182952881],
			[-0.29585026071305837*((1.0-(((0.7089335123697916*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7089335123697916*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7089335123697916*(endOfArch-beginningOfArch)+beginningOfArch,-2.86551570892334],
			[-0.32449801684519725*((1.0-(((0.6604381608374325*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6604381608374325*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6604381608374325*(endOfArch-beginningOfArch)+beginningOfArch,-2.853168487548828],
			[-0.32551542479058104*((1.0-(((0.7136488549503279*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7136488549503279*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7136488549503279*(endOfArch-beginningOfArch)+beginningOfArch,-2.862987995147705],
			[-0.4731784020700762*heelWidth,0.6475247192382813*beginningOfArch,0.946142852306366+thickness],
			[-0.4513882360150737*heelWidth,0.5938320922851562*beginningOfArch,0.3467678427696228+thickness],
			[-0.4467295369794292*heelWidth,0.7095240783691407*beginningOfArch,0.5289209485054016+thickness],
			[-0.20007373440650203*heelWidth,0.37402687072753904*beginningOfArch,-2.2260875701904297+thickness],
			[-0.16950191990021737*heelWidth,0.3740695953369141*beginningOfArch,-2.2194552421569824+thickness],
			[-0.17534309817898658*heelWidth,0.7375244140625*beginningOfArch,-1.6242318153381348+thickness],
			[-0.16754357916210633*((1.0-(((0.2723202175564236*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2723202175564236*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2723202175564236*(endOfArch-beginningOfArch)+beginningOfArch,0.4819801403925969*archHeight+thickness],
			[-0.14184111595484122*((1.0-(((0.22283370406539352*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.22283370406539352*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.22283370406539352*(endOfArch-beginningOfArch)+beginningOfArch,0.4121982134305514*archHeight+thickness],
			[-0.13756739537304077*((1.0-(((0.2724051769868827*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2724051769868827*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2724051769868827*(endOfArch-beginningOfArch)+beginningOfArch,0.4604964256286621*archHeight+thickness],
			[0.052673109116092805*heelWidth,0.9028680419921875*beginningOfArch,-0.42147400975227356+thickness],
			[0.09299914298519012*heelWidth,0.7764048767089844*beginningOfArch,-1.6322674751281738+thickness],
			[0.08867772932975523*heelWidth,0.9040298461914062*beginningOfArch,-0.42449939250946045+thickness],
			[0.3305879408313382*heelWidth,0.8556747436523438*beginningOfArch,-0.4797290563583374+thickness],
			[0.3746055172335717*heelWidth,0.7002067565917969*beginningOfArch,-1.466723918914795+thickness],
			[0.37020569462930003*heelWidth,0.8389939117431641*beginningOfArch,-0.41382163763046265+thickness],
			[0.3424337524203632*((1.0-(((0.26949658805941357*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.26949658805941357*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.26949658805941357*(endOfArch-beginningOfArch)+beginningOfArch,0.1517691337145292*archHeight+thickness],
			[0.3706471016028864*((1.0-(((0.23156041274836034*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.23156041274836034*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.23156041274836034*(endOfArch-beginningOfArch)+beginningOfArch,0.1437070186321552*archHeight+thickness],
			[0.3767992186412718*((1.0-(((0.2688769116813754*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2688769116813754*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2688769116813754*(endOfArch-beginningOfArch)+beginningOfArch,0.14375668305617112*archHeight+thickness],
			[0.059500587218356604*((1.0-(((0.5514049765504436*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5514049765504436*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5514049765504436*(endOfArch-beginningOfArch)+beginningOfArch,0.32831767889169544*archHeight+thickness],
			[0.08927622281433087*((1.0-(((0.5462135974271798*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5462135974271798*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5462135974271798*(endOfArch-beginningOfArch)+beginningOfArch,0.3044917400066669*archHeight+thickness],
			[0.09166789858350548*((1.0-(((0.5885897977852527*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5885897977852527*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5885897977852527*(endOfArch-beginningOfArch)+beginningOfArch,0.28651105440579927*archHeight+thickness],
			[0.3281071960626411*((1.0-(((0.4958188092267072*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4958188092267072*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4958188092267072*(endOfArch-beginningOfArch)+beginningOfArch,0.15468505712655875*archHeight+thickness],
			[0.36269443710948296*((1.0-(((0.4877217610677083*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4877217610677083*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4877217610677083*(endOfArch-beginningOfArch)+beginningOfArch,0.14589412395770734*archHeight+thickness],
			[0.36322615868939157*((1.0-(((0.5213564649040316*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5213564649040316*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5213564649040316*(endOfArch-beginningOfArch)+beginningOfArch,0.14455724679506743*archHeight+thickness],
			[0.44314517301118705*((1.0-(((0.7324336487569927*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7324336487569927*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7324336487569927*(endOfArch-beginningOfArch)+beginningOfArch,-2.918585777282715],
			[0.4188326285633416*((1.0-(((0.6913312747154707*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6913312747154707*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6913312747154707*(endOfArch-beginningOfArch)+beginningOfArch,-2.9189372062683105],
			[0.4129697705761585*((1.0-(((0.7551667955186632*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7551667955186632*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7551667955186632*(endOfArch-beginningOfArch)+beginningOfArch,-2.918959856033325],
			[0.31502342702179204*((1.0-(((0.8156147709599247*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8156147709599247*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8156147709599247*(endOfArch-beginningOfArch)+beginningOfArch,-2.918869972229004],
			[0.28692932815755345*((1.0-(((0.7599462815272955*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7599462815272955*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7599462815272955*(endOfArch-beginningOfArch)+beginningOfArch,-2.9183342456817627],
			[0.2806970585485135*((1.0-(((0.8319129472897376*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8319129472897376*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8319129472897376*(endOfArch-beginningOfArch)+beginningOfArch,-2.9184648990631104],
			[-0.4354531991626074*((1.0-(((0.844506628719377*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.844506628719377*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.844506628719377*(endOfArch-beginningOfArch)+beginningOfArch,0.4117715908930852*archHeight+thickness],
			[-0.40053298298826556*((1.0-(((0.8379607024016203*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8379607024016203*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8379607024016203*(endOfArch-beginningOfArch)+beginningOfArch,0.40247220259446365*archHeight+thickness],
			[-0.4134299654472739*((1.0-(((0.9009391878858025*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9009391878858025*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9009391878858025*(endOfArch-beginningOfArch)+beginningOfArch,0.2085407697237455*archHeight+thickness],
			[-0.30269023310459886*((1.0-(((0.8254390763647762*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8254390763647762*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8254390763647762*(endOfArch-beginningOfArch)+beginningOfArch,0.3645005226135254*archHeight+thickness],
			[-0.2728750985996063*((1.0-(((0.8213904110001929*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8213904110001929*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8213904110001929*(endOfArch-beginningOfArch)+beginningOfArch,0.3526758780846229*archHeight+thickness],
			[-0.28458079947473913*((1.0-(((0.8893867775245949*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8893867775245949*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8893867775245949*(endOfArch-beginningOfArch)+beginningOfArch,0.1766796478858361*archHeight+thickness],
			[0.48392415815784084*heelWidth,0.5477452087402344*beginningOfArch,-0.7841595411300659+thickness],
			[0.4901697097286101*heelWidth,0.5981465911865235*beginningOfArch,0.03741598129272461+thickness],
			[0.481552000968687*heelWidth,0.5397256469726562*beginningOfArch,0.0922711193561554+thickness],
			[0.3370385631029189*((1.0-(((0.006509710241247107*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.006509710241247107*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.006509710241247107*(endOfArch-beginningOfArch)+beginningOfArch,-2.9175455570220947],
			[0.29956497517177766*((1.0-(((0.009556994026089892*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.009556994026089892*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.009556994026089892*(endOfArch-beginningOfArch)+beginningOfArch,-2.917239189147949],
			[0.3032233449196255*((1.0-(((0.05723468168282214*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.05723468168282214*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.05723468168282214*(endOfArch-beginningOfArch)+beginningOfArch,-2.917470932006836],
			[0.33601538406844406*((1.0-(((0.19147218303915894*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.19147218303915894*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.19147218303915894*(endOfArch-beginningOfArch)+beginningOfArch,-2.9171524047851562],
			[0.303442483524397*((1.0-(((0.19089442123601466*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.19089442123601466*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.19089442123601466*(endOfArch-beginningOfArch)+beginningOfArch,-2.9162185192108154],
			[0.3012615879385653*((1.0-(((0.23148035120081017*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.23148035120081017*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.23148035120081017*(endOfArch-beginningOfArch)+beginningOfArch,-2.915243148803711],
			[-0.0850965482567111*((1.0-(((-0.004752076702353395*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.004752076702353395*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.004752076702353395*(endOfArch-beginningOfArch)+beginningOfArch,-2.9120824337005615],
			[-0.11972237900746467*((1.0-(((-0.005412961229865934*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.005412961229865934*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.005412961229865934*(endOfArch-beginningOfArch)+beginningOfArch,-2.911752223968506],
			[-0.10586318682035512*((1.0-(((0.045741375581717786*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.045741375581717786*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.045741375581717786*(endOfArch-beginningOfArch)+beginningOfArch,-2.907874584197998],
			[-0.21458125627718483*((1.0-(((-0.013304533781828705*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.013304533781828705*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.013304533781828705*(endOfArch-beginningOfArch)+beginningOfArch,-2.910615921020508],
			[-0.24373850497413851*((1.0-(((-0.016225744176793983*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.016225744176793983*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.016225744176793983*(endOfArch-beginningOfArch)+beginningOfArch,-2.910324811935425],
			[-0.23028535151421317*((1.0-(((0.03380481107735339*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.03380481107735339*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.03380481107735339*(endOfArch-beginningOfArch)+beginningOfArch,-2.9053430557250977],
			[-0.18067015753187265*((1.0-(((0.1723224969557774*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.1723224969557774*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.1723224969557774*(endOfArch-beginningOfArch)+beginningOfArch,-2.8839709758758545],
			[-0.21084140861914796*((1.0-(((0.1699364744586709*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.1699364744586709*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.1699364744586709*(endOfArch-beginningOfArch)+beginningOfArch,-2.8821611404418945],
			[-0.2097356042999528*((1.0-(((0.22033107427903165*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.22033107427903165*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.22033107427903165*(endOfArch-beginningOfArch)+beginningOfArch,-2.87190318107605],
			[-0.08926149485916904*((1.0-(((0.9376845183195891*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9376845183195891*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9376845183195891*(endOfArch-beginningOfArch)+beginningOfArch,-2.9104702472686768],
			[-0.10742314149011374*((1.0-(((0.8685508068696952*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8685508068696952*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8685508068696952*(endOfArch-beginningOfArch)+beginningOfArch,-2.9036407470703125],
			[-0.11995124309695603*((1.0-(((0.937471083652826*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.937471083652826*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.937471083652826*(endOfArch-beginningOfArch)+beginningOfArch,-2.909855365753174],
			[-0.2067747630301307*((1.0-(((0.9424755897051023*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9424755897051023*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9424755897051023*(endOfArch-beginningOfArch)+beginningOfArch,-2.907870292663574],
			[-0.22722267982072838*((1.0-(((0.8794176078137056*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8794176078137056*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8794176078137056*(endOfArch-beginningOfArch)+beginningOfArch,-2.8992691040039062],
			[-0.23723862426296247*((1.0-(((0.9454852445625964*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9454852445625964*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9454852445625964*(endOfArch-beginningOfArch)+beginningOfArch,-2.907419204711914],
			[-0.41539284804527044*((1.0-(((0.06001267609772859*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.06001267609772859*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.06001267609772859*(endOfArch-beginningOfArch)+beginningOfArch,0.28716164368849534*archHeight+thickness],
			[-0.40513749237859326*((1.0-(((0.017219166696807484*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.017219166696807484*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.017219166696807484*(endOfArch-beginningOfArch)+beginningOfArch,0.2031543071453388*archHeight+thickness],
			[-0.3865017091545476*((1.0-(((0.062460628556616514*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.062460628556616514*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.062460628556616514*(endOfArch-beginningOfArch)+beginningOfArch,0.28020796409020055*archHeight+thickness],
			[-0.30084540979285557*((1.0-(((0.07102306978202161*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.07102306978202161*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.07102306978202161*(endOfArch-beginningOfArch)+beginningOfArch,0.26413352672870344*archHeight+thickness],
			[-0.28460792202623936*((1.0-(((0.03009108555169753*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.03009108555169753*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.03009108555169753*(endOfArch-beginningOfArch)+beginningOfArch,0.18685029103205755*archHeight+thickness],
			[-0.27348770231218544*((1.0-(((0.07325603343822339*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.07325603343822339*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.07325603343822339*(endOfArch-beginningOfArch)+beginningOfArch,0.25956355608426607*archHeight+thickness],
			[-0.2871638117880955*((1.0-(((0.2704183319468557*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2704183319468557*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2704183319468557*(endOfArch-beginningOfArch)+beginningOfArch,0.5642844713651217*archHeight+thickness],
			[-0.26166473942118007*((1.0-(((0.21780866458092207*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.21780866458092207*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.21780866458092207*(endOfArch-beginningOfArch)+beginningOfArch,0.48076813037578875*archHeight+thickness],
			[-0.25727912897705757*((1.0-(((0.2706228185583044*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2706228185583044*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2706228185583044*(endOfArch-beginningOfArch)+beginningOfArch,0.5435488040630634*archHeight+thickness],
			[0.0653673733810786*((1.0-(((0.09244848180700231*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.09244848180700231*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.09244848180700231*(endOfArch-beginningOfArch)+beginningOfArch,0.18471745344308707*archHeight+thickness],
			[0.09419761688589973*((1.0-(((0.05278514344015239*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.05278514344015239*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.05278514344015239*(endOfArch-beginningOfArch)+beginningOfArch,0.13394948152395394*archHeight+thickness],
			[0.09660063804325213*((1.0-(((0.09332336614161361*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.09332336614161361*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.09332336614161361*(endOfArch-beginningOfArch)+beginningOfArch,0.17757676197932318*archHeight+thickness],
			[0.19695364023000025*((1.0-(((0.09927019660855517*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.09927019660855517*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.09927019660855517*(endOfArch-beginningOfArch)+beginningOfArch,0.14925611019134521*archHeight+thickness],
			[0.2291750507163459*((1.0-(((0.05879701214072145*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.05879701214072145*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.05879701214072145*(endOfArch-beginningOfArch)+beginningOfArch,0.10813449896298923*archHeight+thickness],
			[0.23370915431179382*((1.0-(((0.10212924156659915*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.10212924156659915*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.10212924156659915*(endOfArch-beginningOfArch)+beginningOfArch,0.13674322458413932*archHeight+thickness],
			[0.20448651945313903*((1.0-(((0.27295458758318863*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.27295458758318863*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.27295458758318863*(endOfArch-beginningOfArch)+beginningOfArch,0.2189337657048152*archHeight+thickness],
			[0.23684078653412632*((1.0-(((0.23162201304494598*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.23162201304494598*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.23162201304494598*(endOfArch-beginningOfArch)+beginningOfArch,0.1875771742600661*archHeight+thickness],
			[0.23891699110294679*((1.0-(((0.27216160150221835*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.27216160150221835*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.27216160150221835*(endOfArch-beginningOfArch)+beginningOfArch,0.19426705287053034*archHeight+thickness],
			[0.057881169963213165*((1.0-(((0.7687905394000771*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7687905394000771*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7687905394000771*(endOfArch-beginningOfArch)+beginningOfArch,0.22995482958280122*archHeight+thickness],
			[0.08853277330154691*((1.0-(((0.7590245376398534*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7590245376398534*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7590245376398534*(endOfArch-beginningOfArch)+beginningOfArch,0.21833192385160005*archHeight+thickness],
			[0.08189562453282204*((1.0-(((0.8372685938705633*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8372685938705633*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8372685938705633*(endOfArch-beginningOfArch)+beginningOfArch,0.10187932161184457*archHeight+thickness],
			[0.18844515211653712*((1.0-(((0.7264963785807291*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7264963785807291*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7264963785807291*(endOfArch-beginningOfArch)+beginningOfArch,0.1784659349001371*archHeight+thickness],
			[0.2235577106175111*((1.0-(((0.7150423026379243*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7150423026379243*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7150423026379243*(endOfArch-beginningOfArch)+beginningOfArch,0.1619140735039344*archHeight+thickness],
			[0.21757546202961425*((1.0-(((0.7903286969220197*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7903286969220197*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7903286969220197*(endOfArch-beginningOfArch)+beginningOfArch,0.079666229394766*archHeight+thickness],
			[-0.49176051669435855*((1.0-(((0.7415959864486883*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7415959864486883*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7415959864486883*(endOfArch-beginningOfArch)+beginningOfArch,0.4187194017263559*archHeight+thickness],
			[-0.480908714750761*((1.0-(((0.6929664140866126*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6929664140866126*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6929664140866126*(endOfArch-beginningOfArch)+beginningOfArch,0.5582988445575421*archHeight+thickness],
			[-0.48701913728117757*((1.0-(((0.7485183904200424*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7485183904200424*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7485183904200424*(endOfArch-beginningOfArch)+beginningOfArch,0.48361451809222883*archHeight+thickness],
			[0.4998530514972944*((1.0-(((0.01910682960792824*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.01910682960792824*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.01910682960792824*(endOfArch-beginningOfArch)+beginningOfArch,-0.7338930368423462+thickness+thickness],
			[0.4948064991637231*((1.0-(((0.06363136385693963*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.06363136385693963*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.06363136385693963*(endOfArch-beginningOfArch)+beginningOfArch,0.02254417767891517*archHeight+thickness],
			[0.49736859724632176*((1.0-(((0.01789738219461323*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.01789738219461323*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.01789738219461323*(endOfArch-beginningOfArch)+beginningOfArch,0.022494485745063193*archHeight+thickness],
			[-0.24022985273791897*heelWidth,0.09458381652832032*beginningOfArch,-2.9952878952026367],
			[-0.27690687487202303*heelWidth,0.12439872741699219*beginningOfArch,-2.9952878952026367],
			[-0.2625127915413149*heelWidth,0.1514905548095703*beginningOfArch,-3.1652655601501465],
			[0.44574796311483184*((1.0-(((0.4040939896195023*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4040939896195023*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4040939896195023*(endOfArch-beginningOfArch)+beginningOfArch,-2.9185423851013184],
			[0.42609878545015567*((1.0-(((0.3727412282684703*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3727412282684703*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3727412282684703*(endOfArch-beginningOfArch)+beginningOfArch,-2.918722629547119],
			[0.42327664745239035*((1.0-(((0.4080330177589699*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4080330177589699*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4080330177589699*(endOfArch-beginningOfArch)+beginningOfArch,-2.9186999797821045],
			[0.32749277483933087*((1.0-(((0.42214372422960067*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.42214372422960067*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.42214372422960067*(endOfArch-beginningOfArch)+beginningOfArch,-2.9156272411346436],
			[0.2935790243738897*((1.0-(((0.3876082808883102*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3876082808883102*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3876082808883102*(endOfArch-beginningOfArch)+beginningOfArch,-2.9136769771575928],
			[0.2900341537924079*((1.0-(((0.4284620873722029*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4284620873722029*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4284620873722029*(endOfArch-beginningOfArch)+beginningOfArch,-2.9135196208953857],
			[0.32914283087315305*((1.0-(((0.5692214023919753*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5692214023919753*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5692214023919753*(endOfArch-beginningOfArch)+beginningOfArch,-2.9171409606933594],
			[0.2920306437013602*((1.0-(((0.5403016643759645*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5403016643759645*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5403016643759645*(endOfArch-beginningOfArch)+beginningOfArch,-2.9149420261383057],
			[0.29476143157680096*((1.0-(((0.5800737922574267*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5800737922574267*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5800737922574267*(endOfArch-beginningOfArch)+beginningOfArch,-2.916123867034912],
			[0.1800924620924528*((1.0-(((0.4454241152162905*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4454241152162905*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4454241152162905*(endOfArch-beginningOfArch)+beginningOfArch,-2.900996208190918],
			[0.14780305019323653*((1.0-(((0.40516040943287035*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.40516040943287035*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.40516040943287035*(endOfArch-beginningOfArch)+beginningOfArch,-2.8958542346954346],
			[0.1445998804898433*((1.0-(((0.4503089057074653*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4503089057074653*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4503089057074653*(endOfArch-beginningOfArch)+beginningOfArch,-2.8954503536224365],
			[0.0484874917181132*((1.0-(((0.46140468267746915*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.46140468267746915*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.46140468267746915*(endOfArch-beginningOfArch)+beginningOfArch,-2.882106304168701],
			[0.021588288716263664*((1.0-(((0.41578080919053817*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.41578080919053817*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.41578080919053817*(endOfArch-beginningOfArch)+beginningOfArch,-2.878584384918213],
			[0.0192084773306152*((1.0-(((0.46441565619574654*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.46441565619574654*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.46441565619574654*(endOfArch-beginningOfArch)+beginningOfArch,-2.8784756660461426],
			[0.05608165377348397*((1.0-(((0.6436596152223186*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6436596152223186*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6436596152223186*(endOfArch-beginningOfArch)+beginningOfArch,-2.8954362869262695],
			[0.024270572715125432*((1.0-(((0.6023105574242863*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6023105574242863*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6023105574242863*(endOfArch-beginningOfArch)+beginningOfArch,-2.8876659870147705],
			[0.026614569810889565*((1.0-(((0.652054680718316*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.652054680718316*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.652054680718316*(endOfArch-beginningOfArch)+beginningOfArch,-2.8929827213287354],
			[0.17419724379091744*((1.0-(((0.8749027016722126*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8749027016722126*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8749027016722126*(endOfArch-beginningOfArch)+beginningOfArch,-2.915616035461426],
			[0.14469997774257357*((1.0-(((0.8116650993441358*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8116650993441358*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8116650993441358*(endOfArch-beginningOfArch)+beginningOfArch,-2.9124746322631836],
			[0.1390565835423559*((1.0-(((0.8876524560245467*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8876524560245467*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8876524560245467*(endOfArch-beginningOfArch)+beginningOfArch,-2.914945602416992],
			[0.04041899374509879*((1.0-(((0.9179533028308257*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9179533028308257*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9179533028308257*(endOfArch-beginningOfArch)+beginningOfArch,-2.9129652976989746],
			[0.016163276766830298*((1.0-(((0.8506850254388503*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8506850254388503*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8506850254388503*(endOfArch-beginningOfArch)+beginningOfArch,-2.908006191253662],
			[0.008131177250020674*((1.0-(((0.9254344422140239*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9254344422140239*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9254344422140239*(endOfArch-beginningOfArch)+beginningOfArch,-2.91245436668396],
			[-0.4023854241533399*((1.0-(((0.38740078019507135*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.38740078019507135*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.38740078019507135*(endOfArch-beginningOfArch)+beginningOfArch,0.7377672929030198*archHeight+thickness],
			[-0.37512121832175355*((1.0-(((0.3855472140842014*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3855472140842014*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3855472140842014*(endOfArch-beginningOfArch)+beginningOfArch,0.7146927760197566*archHeight+thickness],
			[-0.3747806151556339*((1.0-(((0.4429828973464024*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4429828973464024*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4429828973464024*(endOfArch-beginningOfArch)+beginningOfArch,0.7289001758282001*archHeight+thickness],
			[-0.2864880215944028*((1.0-(((0.38037825219425153*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.38037825219425153*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.38037825219425153*(endOfArch-beginningOfArch)+beginningOfArch,0.6418062356802133*archHeight+thickness],
			[-0.2566738899634039*((1.0-(((0.37937173725646217*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.37937173725646217*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.37937173725646217*(endOfArch-beginningOfArch)+beginningOfArch,0.6172436934251052*archHeight+thickness],
			[-0.2603142419910525*((1.0-(((0.4358641071084105*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4358641071084105*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4358641071084105*(endOfArch-beginningOfArch)+beginningOfArch,0.6295469724214994*archHeight+thickness],
			[-0.28724363715847656*((1.0-(((0.6042486120153356*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6042486120153356*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6042486120153356*(endOfArch-beginningOfArch)+beginningOfArch,0.5978642610403208*archHeight+thickness],
			[-0.25858373820483194*((1.0-(((0.600311373486931*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.600311373486931*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.600311373486931*(endOfArch-beginningOfArch)+beginningOfArch,0.5749745002159705*archHeight+thickness],
			[-0.2581188549386849*((1.0-(((0.651704482090326*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.651704482090326*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.651704482090326*(endOfArch-beginningOfArch)+beginningOfArch,0.5298916009756235*archHeight+thickness],
			[-0.16822729476873138*((1.0-(((0.3757743364498939*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3757743364498939*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3757743364498939*(endOfArch-beginningOfArch)+beginningOfArch,0.5426855087280273*archHeight+thickness],
			[-0.13868960800820457*((1.0-(((0.374638592755353*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.374638592755353*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.374638592755353*(endOfArch-beginningOfArch)+beginningOfArch,0.5175010974590595*archHeight+thickness],
			[-0.14355899717988754*((1.0-(((0.4279300077461902*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4279300077461902*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4279300077461902*(endOfArch-beginningOfArch)+beginningOfArch,0.527987736922044*archHeight+thickness],
			[-0.05010991784471883*((1.0-(((0.3706141342351466*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3706141342351466*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3706141342351466*(endOfArch-beginningOfArch)+beginningOfArch,0.44294049189640927*archHeight+thickness],
			[-0.020529553737206538*((1.0-(((0.3694444821204668*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3694444821204668*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3694444821204668*(endOfArch-beginningOfArch)+beginningOfArch,0.4177563740656926*archHeight+thickness],
			[-0.026530964521731107*((1.0-(((0.41984614619502314*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.41984614619502314*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.41984614619502314*(endOfArch-beginningOfArch)+beginningOfArch,0.4264320226816031*archHeight+thickness],
			[-0.056386332544417245*((1.0-(((0.5721217025945216*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5721217025945216*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5721217025945216*(endOfArch-beginningOfArch)+beginningOfArch,0.41811447877150315*archHeight+thickness],
			[-0.02753007714612502*((1.0-(((0.567572511272666*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.567572511272666*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.567572511272666*(endOfArch-beginningOfArch)+beginningOfArch,0.3952608108520508*archHeight+thickness],
			[-0.025613077504831258*((1.0-(((0.6151855845510223*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6151855845510223*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6151855845510223*(endOfArch-beginningOfArch)+beginningOfArch,0.36806506377000076*archHeight+thickness],
			[-0.18339401866376195*((1.0-(((0.8102761727792246*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8102761727792246*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8102761727792246*(endOfArch-beginningOfArch)+beginningOfArch,0.3194894057053786*archHeight+thickness],
			[-0.15360995278186385*((1.0-(((0.8062334413881656*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8062334413881656*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8062334413881656*(endOfArch-beginningOfArch)+beginningOfArch,0.3077683448791504*archHeight+thickness],
			[-0.16417022673140286*((1.0-(((0.8766533180519387*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8766533180519387*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8766533180519387*(endOfArch-beginningOfArch)+beginningOfArch,0.15066608098837045*archHeight+thickness],
			[-0.06369835573875723*((1.0-(((0.7949482482156636*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7949482482156636*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7949482482156636*(endOfArch-beginningOfArch)+beginningOfArch,0.2745818358201247*archHeight+thickness],
			[-0.03357208683694011*((1.0-(((0.790072782540027*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.790072782540027*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.790072782540027*(endOfArch-beginningOfArch)+beginningOfArch,0.26286473641028774*archHeight+thickness],
			[-0.04299694515693083*((1.0-(((0.8662766821590471*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8662766821590471*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8662766821590471*(endOfArch-beginningOfArch)+beginningOfArch,0.12273039267613338*archHeight+thickness],
			[-0.48741617510395663*heelWidth,0.812176513671875*beginningOfArch,-0.5682029724121094+thickness],
			[-0.4909553835468908*heelWidth,0.7549647521972657*beginningOfArch,0.23547998070716858+thickness],
			[-0.48487100293559415*heelWidth,0.8230189514160157*beginningOfArch,0.3703724443912506+thickness],
			[-0.4698383515295045*((1.0-(((0.052686997401861495*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.052686997401861495*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.052686997401861495*(endOfArch-beginningOfArch)+beginningOfArch,0.12712493309607872*archHeight+thickness],
			[-0.47251499998284674*((1.0-(((0.010419021418065201*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.010419021418065201*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.010419021418065201*(endOfArch-beginningOfArch)+beginningOfArch,0.13883588864253119*archHeight+thickness],
			[-0.4670213588591423*((1.0-(((0.054034291962046684*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.054034291962046684*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.054034291962046684*(endOfArch-beginningOfArch)+beginningOfArch,0.20778223184438852*archHeight+thickness],
			[-0.4633974026816227*((1.0-(((0.26568509325569056*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.26568509325569056*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.26568509325569056*(endOfArch-beginningOfArch)+beginningOfArch,0.5064125794630784*archHeight+thickness],
			[-0.4584859168973603*((1.0-(((0.21535680323471257*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.21535680323471257*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.21535680323471257*(endOfArch-beginningOfArch)+beginningOfArch,0.49660671674288237*archHeight+thickness],
			[-0.4582434433644033*((1.0-(((0.27378289493513697*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.27378289493513697*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.27378289493513697*(endOfArch-beginningOfArch)+beginningOfArch,0.5902377642118014*archHeight+thickness],
			[-0.4229593810613701*((1.0-(((0.7280085057388117*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7280085057388117*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7280085057388117*(endOfArch-beginningOfArch)+beginningOfArch,-2.854260206222534],
			[-0.4486108988430843*((1.0-(((0.6773485725308642*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6773485725308642*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6773485725308642*(endOfArch-beginningOfArch)+beginningOfArch,-2.8389978408813477],
			[-0.45415578830702974*((1.0-(((0.7332992553710938*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7332992553710938*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7332992553710938*(endOfArch-beginningOfArch)+beginningOfArch,-2.850131034851074],
			[-0.41394129545651637*((1.0-(((0.5037072264117959*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5037072264117959*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5037072264117959*(endOfArch-beginningOfArch)+beginningOfArch,-2.824824810028076],
			[-0.4382739806283542*((1.0-(((0.4443498776282793*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4443498776282793*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4443498776282793*(endOfArch-beginningOfArch)+beginningOfArch,-2.8197269439697266],
			[-0.44034609415229253*((1.0-(((0.5055020179277585*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5055020179277585*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5055020179277585*(endOfArch-beginningOfArch)+beginningOfArch,-2.819809913635254],
			[-0.5093175924230533*((1.0-(((0.9108167106722608*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9108167106722608*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9108167106722608*(endOfArch-beginningOfArch)+beginningOfArch,0.17844035075261042*archHeight+thickness],
			[-0.09208242354854461*heelWidth,0.04376129150390625*beginningOfArch,-2.9952878952026367],
			[-0.13056155174009262*heelWidth,0.04904747009277344*beginningOfArch,-2.9952878952026367],
			[-0.12161534832369897*heelWidth,0.08393058776855469*beginningOfArch,-3.1652655601501465],
			[-0.29497814178466797*heelWidth,0.09403526306152343*beginningOfArch,-0.67539381980896+thickness],
			[-0.26286355910762665*heelWidth,0.07204826354980469*beginningOfArch,0.49225690960884094+thickness],
			[-0.2983833743679908*heelWidth,0.09998580932617188*beginningOfArch,0.4718095660209656+thickness],
			[0.49812901750463073*((1.0-(((0.5996291549117477*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5996291549117477*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5996291549117477*(endOfArch-beginningOfArch)+beginningOfArch,-0.7345390319824219+thickness+thickness],
			[0.4961466853353471*((1.0-(((0.6417388916015625*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6417388916015625*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6417388916015625*(endOfArch-beginningOfArch)+beginningOfArch,0.02254417767891517*archHeight+thickness],
			[0.4953336068155451*((1.0-(((0.5935595477068866*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5935595477068866*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5935595477068866*(endOfArch-beginningOfArch)+beginningOfArch,0.02254417767891517*archHeight+thickness],
			[0.48768414399722865*((1.0-(((0.458929744767554*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.458929744767554*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.458929744767554*(endOfArch-beginningOfArch)+beginningOfArch,-0.7345390319824219+thickness+thickness],
			[0.4879409810360092*((1.0-(((0.48504064112533757*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.48504064112533757*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.48504064112533757*(endOfArch-beginningOfArch)+beginningOfArch,0.02254417767891517*archHeight+thickness],
			[0.48486603911040077*((1.0-(((0.4554324679904514*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4554324679904514*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4554324679904514*(endOfArch-beginningOfArch)+beginningOfArch,0.02254417767891517*archHeight+thickness],
			[0.4824012662213695*((1.0-(((0.3267385223765432*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3267385223765432*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3267385223765432*(endOfArch-beginningOfArch)+beginningOfArch,-0.727688193321228+thickness+thickness],
			[0.4804797263994675*((1.0-(((0.35659008261598185*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.35659008261598185*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.35659008261598185*(endOfArch-beginningOfArch)+beginningOfArch,0.02254417767891517*archHeight+thickness],
			[0.48050725492947155*((1.0-(((0.32206330475983797*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.32206330475983797*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.32206330475983797*(endOfArch-beginningOfArch)+beginningOfArch,0.02201719696705158*archHeight+thickness],
			[-0.4716756266932334*heelWidth,0.3898694610595703*beginningOfArch,-0.7324597835540771+thickness],
			[-0.46117244228239984*heelWidth,0.3541168975830078*beginningOfArch,0.25474828481674194+thickness],
			[-0.4721715988651399*heelWidth,0.3974482727050781*beginningOfArch,0.22362828254699707+thickness],
			[0.4897914968674053*((1.0-(((0.19127796314380788*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.19127796314380788*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.19127796314380788*(endOfArch-beginningOfArch)+beginningOfArch,-0.7345390319824219+thickness+thickness],
			[0.4854093200879199*((1.0-(((0.22505988603756752*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.22505988603756752*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.22505988603756752*(endOfArch-beginningOfArch)+beginningOfArch,0.022017203844510592*archHeight+thickness],
			[0.4879729554088862*((1.0-(((0.19053998405550732*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.19053998405550732*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.19053998405550732*(endOfArch-beginningOfArch)+beginningOfArch,0.02254417767891517*archHeight+thickness],
			[0.011649520166458623*heelWidth,0.0026837158203125*beginningOfArch,-0.6598529815673828+thickness],
			[0.0432649427844632*heelWidth,0.007626495361328125*beginningOfArch,0.537647545337677+thickness],
			[0.006890932398457681*heelWidth,0.005059356689453125*beginningOfArch,0.5399441123008728+thickness],
			[0.5039913731236612*heelWidth,0.7815470886230469*beginningOfArch,-0.7419703006744385+thickness],
			[0.5010664232315556*heelWidth,0.8367024993896485*beginningOfArch,0.256186842918396+thickness],
			[0.5019704141924458*heelWidth,0.7784898376464844*beginningOfArch,0.18879899382591248+thickness],
			[0.15785886395362117*heelWidth,0.03265518188476563*beginningOfArch,-0.6691157817840576+thickness],
			[0.19042088908533897*heelWidth,0.05011314392089844*beginningOfArch,0.49863913655281067+thickness],
			[0.15277105762112525*heelWidth,0.03316963195800781*beginningOfArch,0.5119664072990417+thickness],
			[0.44112334712859125*heelWidth,0.44013008117675784*beginningOfArch,-2.9884376525878906],
			[0.4174550271803333*heelWidth,0.37930740356445314*beginningOfArch,-2.9952878952026367],
			[0.42211391079810356*heelWidth,0.4368578338623047*beginningOfArch,-3.1652655601501465],
			[0.33374521809239543*heelWidth,0.21407218933105468*beginningOfArch,-2.9952878952026367],
			[0.3030126633182649*heelWidth,0.17341453552246094*beginningOfArch,-2.9952878952026367],
			[0.3045242063460811*heelWidth,0.2154351806640625*beginningOfArch,-3.1652655601501465],
			[0.3370987061531313*heelWidth,0.5638008117675781*beginningOfArch,-2.91841459274292],
			[0.30347479543378275*heelWidth,0.517913818359375*beginningOfArch,-2.91841459274292],
			[0.2992152552450857*heelWidth,0.6697178649902343*beginningOfArch,-2.9184141159057617],
			[0.19829004041610226*heelWidth,0.08958747863769531*beginningOfArch,-2.9952878952026367],
			[0.1608544934180475*heelWidth,0.07150993347167969*beginningOfArch,-2.9952878952026367],
			[0.1616178943264869*heelWidth,0.10763481140136719*beginningOfArch,-3.1652655601501465],
			[0.05298009995491274*heelWidth,0.04245124816894531*beginningOfArch,-2.9952878952026367],
			[0.01778444936198573*heelWidth,0.03961959838867188*beginningOfArch,-2.9952878952026367],
			[0.02075862499975389*heelWidth,0.071585693359375*beginningOfArch,-3.1657819747924805],
			[0.05409083827849357*heelWidth,0.3720355987548828*beginningOfArch,-2.918553352355957],
			[0.021300054365588773*heelWidth,0.3428759002685547*beginningOfArch,-2.9185564517974854],
			[0.018100884652906848*heelWidth,0.5223158264160156*beginningOfArch,-2.9184141159057617],
			[0.1897665986099359*((1.0-(((0.0063193521381896215*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.0063193521381896215*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.0063193521381896215*(endOfArch-beginningOfArch)+beginningOfArch,-2.915142059326172],
			[0.15612102579380294*((1.0-(((0.0048971293885030865*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.0048971293885030865*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.0048971293885030865*(endOfArch-beginningOfArch)+beginningOfArch,-2.9146876335144043],
			[0.15667192007665853*((1.0-(((0.05390732376663773*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.05390732376663773*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.05390732376663773*(endOfArch-beginningOfArch)+beginningOfArch,-2.913161039352417],
			[0.05596014443013175*((1.0-(((0.0009555581175250771*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.0009555581175250771*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.0009555581175250771*(endOfArch-beginningOfArch)+beginningOfArch,-2.9135172367095947],
			[0.021338099168086717*((1.0-(((-0.0013267611279899692*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.0013267611279899692*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.0013267611279899692*(endOfArch-beginningOfArch)+beginningOfArch,-2.9132251739501953],
			[0.026489656289887035*((1.0-(((0.05004458957248264*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.05004458957248264*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.05004458957248264*(endOfArch-beginningOfArch)+beginningOfArch,-2.910433769226074],
			[0.062034171687752375*((1.0-(((0.1779579821928048*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.1779579821928048*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.1779579821928048*(endOfArch-beginningOfArch)+beginningOfArch,-2.89915132522583],
			[0.03178478333159204*((1.0-(((0.17727877769941164*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.17727877769941164*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.17727877769941164*(endOfArch-beginningOfArch)+beginningOfArch,-2.897325038909912],
			[0.030957795873080986*((1.0-(((0.22371259147738232*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.22371259147738232*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.22371259147738232*(endOfArch-beginningOfArch)+beginningOfArch,-2.891427516937256],
			[-0.14468585291216451*heelWidth,0.012637481689453126*beginningOfArch,-0.6605637073516846+thickness],
			[-0.1094102628769413*heelWidth,0.009694061279296874*beginningOfArch,0.5379250645637512+thickness],
			[-0.14933990663097751*heelWidth,0.016497726440429687*beginningOfArch,0.5337924361228943+thickness],
			[-0.22016411442910472*heelWidth,0.7364897918701172*beginningOfArch,-2.9184138774871826],
			[-0.24428855219194967*heelWidth,0.5833796691894532*beginningOfArch,-2.9184141159057617],
			[-0.2507345753331338*heelWidth,0.7416899108886719*beginningOfArch,-2.9184138774871826],
			[-0.38056724302230344*heelWidth,0.24568115234375*beginningOfArch,-2.9952878952026367],
			[-0.4070055869317824*heelWidth,0.2779712677001953*beginningOfArch,-2.9884376525878906],
			[-0.40324371091781125*heelWidth,0.3253309631347656*beginningOfArch,-3.165449619293213],
			[-0.46221622343986263*heelWidth,0.5070645904541016*beginningOfArch,-3.1589903831481934],
			[-0.4753407201459331*heelWidth,0.48359146118164065*beginningOfArch,-2.9871459007263184],
			[-0.4792223284321447*heelWidth,0.5352481842041016*beginningOfArch,-2.987536907196045],
			[-0.45551478478216356*heelWidth,0.8107218933105469*beginningOfArch,-2.9158358573913574],
			[-0.475059078585717*heelWidth,0.7404889678955078*beginningOfArch,-2.9154775142669678],
			[-0.471099115187122*heelWidth,0.8113127899169922*beginningOfArch,-2.9139809608459473],
			[-0.33455566400041714*((1.0-(((-0.01946724785698785*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.01946724785698785*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.01946724785698785*(endOfArch-beginningOfArch)+beginningOfArch,-2.90932035446167],
			[-0.3664576120480429*((1.0-(((-0.022335146680290317*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.022335146680290317*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.022335146680290317*(endOfArch-beginningOfArch)+beginningOfArch,-2.909026861190796],
			[-0.3465805289030514*((1.0-(((0.023789394048996913*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.023789394048996913*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.023789394048996913*(endOfArch-beginningOfArch)+beginningOfArch,-2.9032986164093018],
			[-0.44686408176690695*((1.0-(((-0.03060432716652199*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.03060432716652199*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.03060432716652199*(endOfArch-beginningOfArch)+beginningOfArch,-2.907785177230835],
			[-0.4644375862600187*((1.0-(((-0.03736905698423033*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.03736905698423033*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.03736905698423033*(endOfArch-beginningOfArch)+beginningOfArch,-2.9067881107330322],
			[-0.4547750342419285*((1.0-(((0.005396996015383873*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.005396996015383873*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.005396996015383873*(endOfArch-beginningOfArch)+beginningOfArch,-2.8999738693237305],
			[-0.4121889510027314*((1.0-(((0.2686043256594811*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2686043256594811*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2686043256594811*(endOfArch-beginningOfArch)+beginningOfArch,-2.844180107116699],
			[-0.43548641537011007*((1.0-(((0.20808806242766203*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.20808806242766203*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.20808806242766203*(endOfArch-beginningOfArch)+beginningOfArch,-2.8536300659179688],
			[-0.4360605602982048*((1.0-(((0.2676173080632716*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2676173080632716*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2676173080632716*(endOfArch-beginningOfArch)+beginningOfArch,-2.839639186859131],
			[-0.0679775119905618*((1.0-(((0.47317062189549575*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.47317062189549575*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.47317062189549575*(endOfArch-beginningOfArch)+beginningOfArch,-2.8678107261657715],
			[-0.09555984260438845*((1.0-(((0.42392024287471064*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.42392024287471064*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.42392024287471064*(endOfArch-beginningOfArch)+beginningOfArch,-2.864163637161255],
			[-0.09695226634674267*((1.0-(((0.47608156557436343*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.47608156557436343*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.47608156557436343*(endOfArch-beginningOfArch)+beginningOfArch,-2.864230155944824],
			[-0.18393129635988636*((1.0-(((0.4841935899522569*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4841935899522569*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4841935899522569*(endOfArch-beginningOfArch)+beginningOfArch,-2.853559970855713],
			[-0.21244251846194218*((1.0-(((0.4318971045223283*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4318971045223283*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4318971045223283*(endOfArch-beginningOfArch)+beginningOfArch,-2.8497419357299805],
			[-0.2128178400876959*((1.0-(((0.4870402018229167*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4870402018229167*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4870402018229167*(endOfArch-beginningOfArch)+beginningOfArch,-2.8499789237976074],
			[-0.17898119937437246*((1.0-(((0.6902171947337963*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6902171947337963*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6902171947337963*(endOfArch-beginningOfArch)+beginningOfArch,-2.8755147457122803],
			[-0.20837683734379445*((1.0-(((0.6427729100356867*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6427729100356867*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6427729100356867*(endOfArch-beginningOfArch)+beginningOfArch,-2.864719867706299],
			[-0.20827444745724405*((1.0-(((0.6950581868489584*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6950581868489584*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6950581868489584*(endOfArch-beginningOfArch)+beginningOfArch,-2.8730480670928955],
			[-0.2994240444121024*((1.0-(((0.4951186003508391*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4951186003508391*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4951186003508391*(endOfArch-beginningOfArch)+beginningOfArch,-2.839320182800293],
			[-0.32889392294922215*((1.0-(((0.4395771733036748*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4395771733036748*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4395771733036748*(endOfArch-beginningOfArch)+beginningOfArch,-2.835477828979492],
			[-0.32785675182382434*((1.0-(((0.497797930682147*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.497797930682147*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.497797930682147*(endOfArch-beginningOfArch)+beginningOfArch,-2.835784912109375],
			[-0.47197458487132604*((1.0-(((0.5104962572639371*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5104962572639371*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5104962572639371*(endOfArch-beginningOfArch)+beginningOfArch,0.6365591195913461*archHeight+thickness],
			[-0.46332058852861535*((1.0-(((0.45691614975163963*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.45691614975163963*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.45691614975163963*(endOfArch-beginningOfArch)+beginningOfArch,0.708308586707482*archHeight+thickness],
			[-0.4668187660709102*((1.0-(((0.5189252311800733*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5189252311800733*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5189252311800733*(endOfArch-beginningOfArch)+beginningOfArch,0.7023123961228591*archHeight+thickness],
			[-0.3329107786012209*((1.0-(((0.9493958273051698*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9493958273051698*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9493958273051698*(endOfArch-beginningOfArch)+beginningOfArch,-2.905416488647461],
			[-0.3497689270119128*((1.0-(((0.8902872344593943*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8902872344593943*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8902872344593943*(endOfArch-beginningOfArch)+beginningOfArch,-2.894794225692749],
			[-0.36479485224676017*((1.0-(((0.9498202476972415*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9498202476972415*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9498202476972415*(endOfArch-beginningOfArch)+beginningOfArch,-2.904752254486084],
			[-0.4613533607393936*((1.0-(((0.9530762095510223*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9530762095510223*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9530762095510223*(endOfArch-beginningOfArch)+beginningOfArch,-2.901904344558716],
			[-0.47866161081938247*((1.0-(((0.9023509084442516*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9023509084442516*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9023509084442516*(endOfArch-beginningOfArch)+beginningOfArch,-2.887521505355835],
			[-0.48808588317347923*((1.0-(((0.95304795253424*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.95304795253424*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.95304795253424*(endOfArch-beginningOfArch)+beginningOfArch,-2.899534225463867],
			[-0.4668683390463552*heelWidth,0.39441909790039065*beginningOfArch,1.3738830089569092+thickness],
			[-0.45286566211331275*heelWidth,0.3455354309082031*beginningOfArch,1.453986406326294+thickness],
			[-0.4541673352641444*heelWidth,0.3795439147949219*beginningOfArch,1.3736116886138916+thickness],
			[-0.3619860679872574*heelWidth,0.2664521789550781*beginningOfArch,0.21266552805900574+thickness],
			[-0.34430943765947897*heelWidth,0.20049064636230468*beginningOfArch,1.5358463525772095+thickness],
			[-0.3223228454589844*heelWidth,0.21214576721191405*beginningOfArch,0.3543894290924072+thickness],
			[-0.3438634257162771*heelWidth,0.42116943359375*beginningOfArch,-2.253390312194824+thickness],
			[-0.30155326474097466*heelWidth,0.401654052734375*beginningOfArch,-2.2727723121643066+thickness],
			[-0.3081394933885144*heelWidth,0.6914561462402343*beginningOfArch,-1.6192716360092163+thickness],
			[-0.21201178335374402*heelWidth,0.10700706481933593*beginningOfArch,0.6767997741699219+thickness],
			[-0.19435124243459395*heelWidth,0.06095405578613281*beginningOfArch,1.79889714717865+thickness],
			[-0.17821018157466764*heelWidth,0.09069915771484376*beginningOfArch,0.7292357683181763+thickness],
			[-0.07124173256658739*heelWidth,0.06656997680664062*beginningOfArch,0.802570104598999+thickness],
			[-0.044525357984727426*heelWidth,0.02846946716308594*beginningOfArch,1.860095500946045+thickness],
			[-0.03646460271650745*heelWidth,0.06239227294921875*beginningOfArch,0.8162851333618164+thickness],
			[-0.07050864158138152*heelWidth,0.3731401062011719*beginningOfArch,-2.207149028778076+thickness],
			[-0.03771750388606902*heelWidth,0.37234596252441404*beginningOfArch,-2.200230598449707+thickness],
			[-0.04470821734397642*heelWidth,0.7691191101074218*beginningOfArch,-1.6260552406311035+thickness],
			[-0.18739362895089506*((1.0-(((0.0808118184407552*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.0808118184407552*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.0808118184407552*(endOfArch-beginningOfArch)+beginningOfArch,0.24003854164710411*archHeight+thickness],
			[-0.16813654277495954*((1.0-(((0.04140321708019869*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.04140321708019869*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.04140321708019869*(endOfArch-beginningOfArch)+beginningOfArch,0.16995661075298601*archHeight+thickness],
			[-0.1566704107289924*((1.0-(((0.08400820508415316*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.08400820508415316*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.08400820508415316*(endOfArch-beginningOfArch)+beginningOfArch,0.23301080557016227*archHeight+thickness],
			[-0.0613665910193124*((1.0-(((0.08956537128966531*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.08956537128966531*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.08956537128966531*(endOfArch-beginningOfArch)+beginningOfArch,0.21238253666804388*archHeight+thickness],
			[-0.03714563293435566*((1.0-(((0.048869191864390434*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.048869191864390434*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.048869191864390434*(endOfArch-beginningOfArch)+beginningOfArch,0.15183966893416184*archHeight+thickness],
			[-0.0298236814606079*((1.0-(((0.09025262903284144*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.09025262903284144*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.09025262903284144*(endOfArch-beginningOfArch)+beginningOfArch,0.20532773091242865*archHeight+thickness],
			[-0.04775504008549557*((1.0-(((0.2715604805652006*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2715604805652006*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2715604805652006*(endOfArch-beginningOfArch)+beginningOfArch,0.3988827558664175*archHeight+thickness],
			[-0.02146997914556026*((1.0-(((0.2232659422321084*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2232659422321084*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2232659422321084*(endOfArch-beginningOfArch)+beginningOfArch,0.34343404036301833*archHeight+thickness],
			[-0.017785554183956366*((1.0-(((0.27133922812379435*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.27133922812379435*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.27133922812379435*(endOfArch-beginningOfArch)+beginningOfArch,0.37740131524892956*archHeight+thickness],
			[0.06370339470524941*heelWidth,0.0661981201171875*beginningOfArch,0.8034259080886841+thickness],
			[0.09893109721522178*heelWidth,0.0369305419921875*beginningOfArch,1.8440897464752197+thickness],
			[0.09867505104311051*heelWidth,0.07358558654785156*beginningOfArch,0.7789582014083862+thickness],
			[0.21110365467686806*heelWidth,0.12037483215332032*beginningOfArch,0.6322848796844482+thickness],
			[0.2513235768964214*heelWidth,0.10693595886230468*beginningOfArch,1.711981177330017+thickness],
			[0.24932029170374717*heelWidth,0.14534500122070312*beginningOfArch,0.5514565110206604+thickness],
			[0.19597148895263672*heelWidth,0.8954660034179688*beginningOfArch,-0.44160184264183044+thickness],
			[0.23905232644850208*heelWidth,0.7612730407714844*beginningOfArch,-1.6375946998596191+thickness],
			[0.23010281593568863*heelWidth,0.8904705810546875*beginningOfArch,-0.44830405712127686+thickness],
			[0.35290844209732547*heelWidth,0.26921562194824217*beginningOfArch,0.1681337058544159+thickness],
			[0.3871031730405746*heelWidth,0.2805696105957031*beginningOfArch,1.3845264911651611+thickness],
			[0.38519185589205834*heelWidth,0.3281122589111328*beginningOfArch,-0.022366702556610107+thickness],
			[0.4760708962717364*heelWidth,0.5430146026611328*beginningOfArch,0.978611946105957+thickness],
			[0.48176990016814203*heelWidth,0.534578857421875*beginningOfArch,1.1324793100357056+thickness],
			[0.4890595405332504*heelWidth,0.6017231750488281*beginningOfArch,1.0458571910858154+thickness],
			[0.4799263861871535*heelWidth,0.8839460754394531*beginningOfArch,1.377370834350586+thickness],
			[0.4939363541141633*heelWidth,0.8255062866210937*beginningOfArch,1.3495938777923584+thickness],
			[0.49212544964205834*heelWidth,0.8936781311035156*beginningOfArch,1.4218809604644775+thickness],
			[0.3401079135161174*((1.0-(((0.10232266084647473*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.10232266084647473*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.10232266084647473*(endOfArch-beginningOfArch)+beginningOfArch,0.11629951000213623*archHeight+thickness],
			[0.3720443586683672*((1.0-(((0.054265622739438656*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.054265622739438656*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.054265622739438656*(endOfArch-beginningOfArch)+beginningOfArch,0.09134351290189303*archHeight+thickness],
			[0.3713311065553513*((1.0-(((0.10289754985291281*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.10289754985291281*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.10289754985291281*(endOfArch-beginningOfArch)+beginningOfArch,0.1159363709963285*archHeight+thickness],
			[0.45022961813306034*((1.0-(((0.10805925910855517*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.10805925910855517*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.10805925910855517*(endOfArch-beginningOfArch)+beginningOfArch,0.11744354321406437*archHeight+thickness],
			[0.4717596366402316*((1.0-(((0.06252910472728589*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.06252910472728589*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.06252910472728589*(endOfArch-beginningOfArch)+beginningOfArch,0.10412047459528996*archHeight+thickness],
			[0.4702576970688538*((1.0-(((0.10896593258704668*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.10896593258704668*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.10896593258704668*(endOfArch-beginningOfArch)+beginningOfArch,0.11475465847895695*archHeight+thickness],
			[0.45299572150840484*((1.0-(((0.2645788310486593*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2645788310486593*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2645788310486593*(endOfArch-beginningOfArch)+beginningOfArch,0.13072385237767145*archHeight+thickness],
			[0.46790844077181637*((1.0-(((0.2284218117042824*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2284218117042824*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2284218117042824*(endOfArch-beginningOfArch)+beginningOfArch,0.1174007929288424*archHeight+thickness],
			[0.46825926729155265*((1.0-(((0.2616055335527585*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2616055335527585*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2616055335527585*(endOfArch-beginningOfArch)+beginningOfArch,0.11687381450946514*archHeight+thickness],
			[0.06835232367372936*((1.0-(((0.36544215826340665*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.36544215826340665*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.36544215826340665*(endOfArch-beginningOfArch)+beginningOfArch,0.34304486788236177*archHeight+thickness],
			[0.09893581086151858*((1.0-(((0.3640291190441744*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3640291190441744*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3640291190441744*(endOfArch-beginningOfArch)+beginningOfArch,0.3169769507188063*archHeight+thickness],
			[0.0918241738092219*((1.0-(((0.4113567022629726*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4113567022629726*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4113567022629726*(endOfArch-beginningOfArch)+beginningOfArch,0.32392080013568586*archHeight+thickness],
			[0.19886121815610672*((1.0-(((0.35698342028959296*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.35698342028959296*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.35698342028959296*(endOfArch-beginningOfArch)+beginningOfArch,0.23181742888230544*archHeight+thickness],
			[0.23365142034848055*((1.0-(((0.35389944947796104*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.35389944947796104*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.35389944947796104*(endOfArch-beginningOfArch)+beginningOfArch,0.20431415851299578*archHeight+thickness],
			[0.2259745879192305*((1.0-(((0.3971521824966242*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3971521824966242*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3971521824966242*(endOfArch-beginningOfArch)+beginningOfArch,0.20994153389563927*archHeight+thickness],
			[0.1879148892017145*((1.0-(((0.5274001698435089*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5274001698435089*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5274001698435089*(endOfArch-beginningOfArch)+beginningOfArch,0.2263185060941256*archHeight+thickness],
			[0.22276459211082308*((1.0-(((0.5203203742886767*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5203203742886767*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5203203742886767*(endOfArch-beginningOfArch)+beginningOfArch,0.20067060910738432*archHeight+thickness],
			[0.22532081954013286*((1.0-(((0.5581902398003472*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5581902398003472*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5581902398003472*(endOfArch-beginningOfArch)+beginningOfArch,0.1904925933251014*archHeight+thickness],
			[0.34130542811916753*((1.0-(((0.34407278932171104*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.34407278932171104*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.34407278932171104*(endOfArch-beginningOfArch)+beginningOfArch,0.15332546600928673*archHeight+thickness],
			[0.37604199037768843*((1.0-(((0.3418445351683063*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3418445351683063*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3418445351683063*(endOfArch-beginningOfArch)+beginningOfArch,0.14406795685107893*archHeight+thickness],
			[0.3686746505003324*((1.0-(((0.3791331538447627*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3791331538447627*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3791331538447627*(endOfArch-beginningOfArch)+beginningOfArch,0.14546865683335525*archHeight+thickness],
			[0.4510847042634906*((1.0-(((0.33255400481047453*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.33255400481047453*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.33255400481047453*(endOfArch-beginningOfArch)+beginningOfArch,0.13072385237767145*archHeight+thickness],
			[0.4660241862027006*((1.0-(((0.3250800238715278*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3250800238715278*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3250800238715278*(endOfArch-beginningOfArch)+beginningOfArch,0.11687381450946514*archHeight+thickness],
			[0.46369316954667356*((1.0-(((0.36011684088059415*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.36011684088059415*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.36011684088059415*(endOfArch-beginningOfArch)+beginningOfArch,0.11740080209878775*archHeight+thickness],
			[0.44587606889133974*((1.0-(((0.4681839177637924*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4681839177637924*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4681839177637924*(endOfArch-beginningOfArch)+beginningOfArch,0.13087949386009803*archHeight+thickness],
			[0.4643268259573073*((1.0-(((0.45993531780478397*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.45993531780478397*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.45993531780478397*(endOfArch-beginningOfArch)+beginningOfArch,0.1174007929288424*archHeight+thickness],
			[0.46659024237538577*((1.0-(((0.4899428567768615*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4899428567768615*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4899428567768615*(endOfArch-beginningOfArch)+beginningOfArch,0.11740080209878775*archHeight+thickness],
			[0.32687311720560364*((1.0-(((0.6765561515902295*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6765561515902295*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6765561515902295*(endOfArch-beginningOfArch)+beginningOfArch,0.13582004033602202*archHeight+thickness],
			[0.3601815014895589*((1.0-(((0.6621905668282214*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6621905668282214*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6621905668282214*(endOfArch-beginningOfArch)+beginningOfArch,0.13492217430701622*archHeight+thickness],
			[0.35456018743790924*((1.0-(((0.7320192125108507*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7320192125108507*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7320192125108507*(endOfArch-beginningOfArch)+beginningOfArch,0.07580439861004169*archHeight+thickness],
			[0.4497536056785835*((1.0-(((0.6164857840832368*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6164857840832368*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6164857840832368*(endOfArch-beginningOfArch)+beginningOfArch,0.13073094074542707*archHeight+thickness],
			[0.4715611103210309*((1.0-(((0.6008645516854746*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6008645516854746*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6008645516854746*(endOfArch-beginningOfArch)+beginningOfArch,0.1174007929288424*archHeight+thickness],
			[0.4709891446996106*((1.0-(((0.6545591001157407*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6545591001157407*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6545591001157407*(endOfArch-beginningOfArch)+beginningOfArch,0.08506894111633301*archHeight+thickness],
			[-0.5003756553896012*heelWidth,0.5659092712402344*beginningOfArch,-0.770111083984375+thickness],
			[-0.4951512121385144*heelWidth,0.5222943115234375*beginningOfArch,0.12349206209182739+thickness],
			[-0.4991811013990833*heelWidth,0.5692675018310547*beginningOfArch,0.10217320919036865+thickness],
			[-0.4100785101613691*heelWidth,0.2257701873779297*beginningOfArch,-0.6974654197692871+thickness],
			[-0.38942767727759575*heelWidth,0.20114341735839844*beginningOfArch,0.3831998407840729+thickness],
			[-0.41366331038936494*heelWidth,0.23651626586914062*beginningOfArch,0.34945130348205566+thickness],
			[0.2999332489505891*heelWidth,0.12881736755371093*beginningOfArch,-0.6947115659713745+thickness],
			[0.3266178254158266*heelWidth,0.16401176452636718*beginningOfArch,0.398404985666275+thickness],
			[0.2960727753177766*heelWidth,0.1270952606201172*beginningOfArch,0.4270877242088318+thickness],
			[0.4107425751224641*heelWidth,0.3096321105957031*beginningOfArch,-0.7420859336853027+thickness],
			[0.43153301362068425*heelWidth,0.36515716552734373*beginningOfArch,0.2145974040031433+thickness],
			[0.4083893683648879*heelWidth,0.3073884582519531*beginningOfArch,0.2658191919326782+thickness],
			[0.45368737363822387*((1.0-(((0.014380372600790895*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.014380372600790895*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.014380372600790895*(endOfArch-beginningOfArch)+beginningOfArch,-2.9180846214294434],
			[0.4298679137646709*((1.0-(((0.009694746982904128*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.009694746982904128*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.009694746982904128*(endOfArch-beginningOfArch)+beginningOfArch,-2.9181060791015625],
			[0.42783920670453407*((1.0-(((0.058322765209056715*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.058322765209056715*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.058322765209056715*(endOfArch-beginningOfArch)+beginningOfArch,-2.9184372425079346],
			[0.4501295519358102*((1.0-(((0.19408237786940585*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.19408237786940585*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.19408237786940585*(endOfArch-beginningOfArch)+beginningOfArch,-2.9185423851013184],
			[0.426647077257318*((1.0-(((0.1930034307785976*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.1930034307785976*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.1930034307785976*(endOfArch-beginningOfArch)+beginningOfArch,-2.918715476989746],
			[0.42874217705040496*((1.0-(((0.23100205409673996*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.23100205409673996*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.23100205409673996*(endOfArch-beginningOfArch)+beginningOfArch,-2.918722629547119],
			[-0.029132891252231344*((1.0-(((0.22326584804205246*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.22326584804205246*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.22326584804205246*(endOfArch-beginningOfArch)+beginningOfArch,-2.8865487575531006],
			[-0.05679413469026506*((1.0-(((0.2715604805652006*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2715604805652006*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2715604805652006*(endOfArch-beginningOfArch)+beginningOfArch,-2.8776156902313232],
			[-0.026824957831673376*((1.0-(((0.27133922812379435*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.27133922812379435*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.27133922812379435*(endOfArch-beginningOfArch)+beginningOfArch,-2.8806662559509277],
			[-0.4282257742149147*((1.0-(((0.21718041690779322*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.21718041690779322*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.21718041690779322*(endOfArch-beginningOfArch)+beginningOfArch,0.5628029016348032*archHeight+thickness],
			[-0.40324822408435607*((1.0-(((0.27018831983024694*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.27018831983024694*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.27018831983024694*(endOfArch-beginningOfArch)+beginningOfArch,0.6323985319871169*archHeight+thickness],
			[-0.4276044482436969*((1.0-(((0.2772096233603395*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2772096233603395*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2772096233603395*(endOfArch-beginningOfArch)+beginningOfArch,0.6528937266423152*archHeight+thickness],
			[0.03862017845169001*((1.0-(((0.22371259147738232*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.22371259147738232*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.22371259147738232*(endOfArch-beginningOfArch)+beginningOfArch,0.3090779231144832*archHeight+thickness],
			[0.03791538721105074*((1.0-(((0.17727877769941164*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.17727877769941164*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.17727877769941164*(endOfArch-beginningOfArch)+beginningOfArch,0.2738015835101788*archHeight+thickness],
			[0.06814922611741052*((1.0-(((0.1779579821928048*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.1779579821928048*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.1779579821928048*(endOfArch-beginningOfArch)+beginningOfArch,0.2609424957862267*archHeight+thickness],
			[0.4671765335975987*((1.0-(((0.4949593249662423*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4949593249662423*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4949593249662423*(endOfArch-beginningOfArch)+beginningOfArch,-2.916714668273926],
			[0.4649161481446022*((1.0-(((0.46472403443889854*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.46472403443889854*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.46472403443889854*(endOfArch-beginningOfArch)+beginningOfArch,-2.916714668273926],
			[0.44594796732486136*((1.0-(((0.4689655068479938*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4689655068479938*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4689655068479938*(endOfArch-beginningOfArch)+beginningOfArch,-2.918541431427002],
			[0.2212710916302346*((1.0-(((0.5581902398003472*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5581902398003472*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5581902398003472*(endOfArch-beginningOfArch)+beginningOfArch,-2.908994674682617],
			[0.21769026487089033*((1.0-(((0.5203203742886767*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5203203742886767*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5203203742886767*(endOfArch-beginningOfArch)+beginningOfArch,-2.9073784351348877],
			[0.18171420595322077*((1.0-(((0.5274001698435089*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5274001698435089*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5274001698435089*(endOfArch-beginningOfArch)+beginningOfArch,-2.9025003910064697],
			[-0.44221217482515124*((1.0-(((0.6867351767457561*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6867351767457561*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6867351767457561*(endOfArch-beginningOfArch)+beginningOfArch,0.6306749490591196*archHeight+thickness],
			[-0.4161373884363374*((1.0-(((0.7295551064573689*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7295551064573689*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7295551064573689*(endOfArch-beginningOfArch)+beginningOfArch,0.5662924693180964*archHeight+thickness],
			[-0.4487794047779094*((1.0-(((0.7425546528380594*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7425546528380594*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7425546528380594*(endOfArch-beginningOfArch)+beginningOfArch,0.5605357977060171*archHeight+thickness],
			[-0.20020409427767624*((1.0-(((0.6427729100356867*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6427729100356867*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6427729100356867*(endOfArch-beginningOfArch)+beginningOfArch,0.4894241186288687*archHeight+thickness],
			[-0.17182316497745612*((1.0-(((0.6902171947337963*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6902171947337963*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6902171947337963*(endOfArch-beginningOfArch)+beginningOfArch,0.42345391787015474*archHeight+thickness],
			[-0.20112143868696297*((1.0-(((0.6950581868489584*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6950581868489584*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6950581868489584*(endOfArch-beginningOfArch)+beginningOfArch,0.440824765425462*archHeight+thickness],
			[0.477256590320218*heelWidth,0.8313737487792969*beginningOfArch,-2.9494247436523438],
			[0.45513091548796625*heelWidth,0.8775700378417969*beginningOfArch,-2.917731761932373],
			[0.47564927993282197*heelWidth,0.8971665191650391*beginningOfArch,-2.9494247436523438],
			[0.23126357601534936*heelWidth,0.6135409545898437*beginningOfArch,-2.9184141159057617],
			[0.1927666356486659*heelWidth,0.764956283569336*beginningOfArch,-2.9184141159057617],
			[0.2266733261846727*heelWidth,0.7758737182617188*beginningOfArch,-2.9184141159057617],
			[0.23260378897754122*((1.0-(((0.23162201304494598*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.23162201304494598*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.23162201304494598*(endOfArch-beginningOfArch)+beginningOfArch,-2.909954786300659],
			[0.19815872147526253*((1.0-(((0.27295458758318863*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.27295458758318863*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.27295458758318863*(endOfArch-beginningOfArch)+beginningOfArch,-2.9046430587768555],
			[0.23378557927425997*((1.0-(((0.27216160150221835*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.27216160150221835*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.27216160150221835*(endOfArch-beginningOfArch)+beginningOfArch,-2.909008264541626],
			[-0.04824229594199888*heelWidth,0.5215317535400391*beginningOfArch,-2.9184141159057617],
			[-0.04113311921396563*heelWidth,0.3422763061523437*beginningOfArch,-2.91841459274292],
			[-0.07483716164865802*heelWidth,0.3704065704345703*beginningOfArch,-2.91841459274292],
			[-0.3133004096246535*heelWidth,0.6350756072998047*beginningOfArch,-2.9184138774871826],
			[-0.3074778279950542*heelWidth,0.48377159118652346*beginningOfArch,-2.91841459274292],
			[-0.3459664621660786*heelWidth,0.5298796844482422*beginningOfArch,-2.91841459274292],
			[-0.26933415598623595*((1.0-(((0.21780866458092207*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.21780866458092207*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.21780866458092207*(endOfArch-beginningOfArch)+beginningOfArch,-2.86704683303833],
			[-0.29619150217114276*((1.0-(((0.2704183319468557*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2704183319468557*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2704183319468557*(endOfArch-beginningOfArch)+beginningOfArch,-2.854140281677246],
			[-0.26631956291973846*((1.0-(((0.2706228185583044*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2706228185583044*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2706228185583044*(endOfArch-beginningOfArch)+beginningOfArch,-2.8570728302001953],
			[-0.03381887169531751*((1.0-(((0.6151855845510223*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6151855845510223*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6151855845510223*(endOfArch-beginningOfArch)+beginningOfArch,-2.881953239440918],
			[-0.03660146955768812*((1.0-(((0.567572511272666*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.567572511272666*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.567572511272666*(endOfArch-beginningOfArch)+beginningOfArch,-2.8767309188842773],
			[-0.06545164530561193*((1.0-(((0.5721217025945216*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5721217025945216*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5721217025945216*(endOfArch-beginningOfArch)+beginningOfArch,-2.873485803604126],
			[-0.2662809165490232*((1.0-(((0.651704482090326*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.651704482090326*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.651704482090326*(endOfArch-beginningOfArch)+beginningOfArch,-2.858973503112793],
			[-0.267611479083575*((1.0-(((0.600311373486931*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.600311373486931*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.600311373486931*(endOfArch-beginningOfArch)+beginningOfArch,-2.8512113094329834],
			[-0.29626612615620923*((1.0-(((0.6042486120153356*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6042486120153356*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6042486120153356*(endOfArch-beginningOfArch)+beginningOfArch,-2.847960948944092],
			[-0.4810070222423923*heelWidth,0.7539826202392578*beginningOfArch,1.1310776472091675+thickness],
			[-0.465744387718939*heelWidth,0.817579345703125*beginningOfArch,1.2467541694641113+thickness],
			[-0.4766427624610163*heelWidth,0.8279542541503906*beginningOfArch,1.4263797998428345+thickness],
			[-0.23658818583334645*heelWidth,0.7200302124023438*beginningOfArch,-1.621620535850525+thickness],
			[-0.21746489309495495*heelWidth,0.8629651641845704*beginningOfArch,-0.38109272718429565+thickness],
			[-0.2477094281104303*heelWidth,0.853944091796875*beginningOfArch,-0.3767726421356201+thickness],
			[-0.20206920088336214*((1.0-(((0.22033107427903165*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.22033107427903165*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.22033107427903165*(endOfArch-beginningOfArch)+beginningOfArch,0.4465698462266188*archHeight+thickness],
			[-0.2047037570173733*((1.0-(((0.1699364744586709*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.1699364744586709*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.1699364744586709*(endOfArch-beginningOfArch)+beginningOfArch,0.38058842145479643*archHeight+thickness],
			[-0.17453477415176205*((1.0-(((0.1723224969557774*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.1723224969557774*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.1723224969557774*(endOfArch-beginningOfArch)+beginningOfArch,0.3678423441373385*archHeight+thickness],
			[0.021600061847317602*heelWidth,0.7753697967529297*beginningOfArch,-1.6264514923095703+thickness],
			[0.02455461025238037*heelWidth,0.37846649169921875*beginningOfArch,-2.2011566162109375+thickness],
			[0.05839432054950345*heelWidth,0.3809064483642578*beginningOfArch,-2.2093100547790527+thickness],
			[0.3015009357083228*heelWidth,0.7392727661132813*beginningOfArch,-1.6424434185028076+thickness],
			[0.30826088689988657*heelWidth,0.4451401519775391*beginningOfArch,-2.294304370880127+thickness],
			[0.33932393597018334*heelWidth,0.4636801147460938*beginningOfArch,-2.2959461212158203+thickness],
			[0.30389700819952026*((1.0-(((0.23148035120081017*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.23148035120081017*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.23148035120081017*(endOfArch-beginningOfArch)+beginningOfArch,0.15745225319495568*archHeight+thickness],
			[0.30519010453845224*((1.0-(((0.19089442123601466*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.19089442123601466*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.19089442123601466*(endOfArch-beginningOfArch)+beginningOfArch,0.14975324960855338*archHeight+thickness],
			[0.33739835586522343*((1.0-(((0.19147218303915894*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.19147218303915894*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.19147218303915894*(endOfArch-beginningOfArch)+beginningOfArch,0.14436662197113037*archHeight+thickness],
			[0.03249190187182129*((1.0-(((0.6023105574242863*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6023105574242863*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6023105574242863*(endOfArch-beginningOfArch)+beginningOfArch,0.3278345328110915*archHeight+thickness],
			[0.0632659897902977*((1.0-(((0.6436597094123746*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6436597094123746*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6436597094123746*(endOfArch-beginningOfArch)+beginningOfArch,0.2831701865563026*archHeight+thickness],
			[0.03381246090188454*((1.0-(((0.65205458652826*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.65205458652826*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.65205458652826*(endOfArch-beginningOfArch)+beginningOfArch,0.30044273229745716*archHeight+thickness],
			[0.2945641911046689*((1.0-(((0.5403016643759645*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5403016643759645*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5403016643759645*(endOfArch-beginningOfArch)+beginningOfArch,0.15906620025634766*archHeight+thickness],
			[0.3304453870661962*((1.0-(((0.5692214023919753*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5692214023919753*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5692214023919753*(endOfArch-beginningOfArch)+beginningOfArch,0.14543349009293777*archHeight+thickness],
			[0.29639945488223457*((1.0-(((0.5800737922574267*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5800737922574267*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5800737922574267*(endOfArch-beginningOfArch)+beginningOfArch,0.15102459834172174*archHeight+thickness],
			[0.4712199274024672*((1.0-(((0.6600300353250386*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6600300353250386*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6600300353250386*(endOfArch-beginningOfArch)+beginningOfArch,-2.916714668273926],
			[0.4717383470200399*((1.0-(((0.609154972029321*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.609154972029321*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.609154972029321*(endOfArch-beginningOfArch)+beginningOfArch,-2.916714668273926],
			[0.4497638779726444*((1.0-(((0.6179220882462867*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6179220882462867*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6179220882462867*(endOfArch-beginningOfArch)+beginningOfArch,-2.9185631275177],
			[0.3546756571746101*((1.0-(((0.7290993207766686*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7290993207766686*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7290993207766686*(endOfArch-beginningOfArch)+beginningOfArch,-2.918914794921875],
			[0.35999313450151493*((1.0-(((0.6621905668282214*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6621905668282214*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6621905668282214*(endOfArch-beginningOfArch)+beginningOfArch,-2.9187116622924805],
			[0.3266283938787474*((1.0-(((0.6765561515902295*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6765561515902295*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6765561515902295*(endOfArch-beginningOfArch)+beginningOfArch,-2.9185585975646973],
			[-0.4769241888409636*((1.0-(((0.9154061211480035*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9154061211480035*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9154061211480035*(endOfArch-beginningOfArch)+beginningOfArch,0.18774846883920523*archHeight+thickness],
			[-0.46035289157337644*((1.0-(((0.9465151186342593*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9465151186342593*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9465151186342593*(endOfArch-beginningOfArch)+beginningOfArch,0.06184212978069599*archHeight+thickness],
			[-0.48824024728057264*((1.0-(((0.9538507343810282*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9538507343810282*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9538507343810282*(endOfArch-beginningOfArch)+beginningOfArch,0.054085731506347656*archHeight+thickness],
			[-0.3464387300918201*((1.0-(((0.8943306251808449*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8943306251808449*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8943306251808449*(endOfArch-beginningOfArch)+beginningOfArch,0.1915001135606032*archHeight+thickness],
			[-0.3314921329340046*((1.0-(((0.9413362667884355*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9413362667884355*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9413362667884355*(endOfArch-beginningOfArch)+beginningOfArch,0.05642924858973576*archHeight+thickness],
			[-0.3634061250386994*((1.0-(((0.9417607813705633*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9417607813705633*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9417607813705633*(endOfArch-beginningOfArch)+beginningOfArch,0.057952358172490046*archHeight+thickness],
			[0.4924230267924647*heelWidth,0.6093406677246094*beginningOfArch,-1.755301594734192],
			[0.4983488205940493*heelWidth,0.6674874114990235*beginningOfArch,-1.7615063190460205],
			[0.4991572595411731*heelWidth,0.665081787109375*beginningOfArch,-0.8128911256790161+thickness],
			[0.37200678665500275*((1.0-(((0.054265622739438656*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.054265622739438656*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.054265622739438656*(endOfArch-beginningOfArch)+beginningOfArch,-2.917992353439331],
			[0.3398483373232756*((1.0-(((0.10232266084647473*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.10232266084647473*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.10232266084647473*(endOfArch-beginningOfArch)+beginningOfArch,-2.918011426925659],
			[0.3711259641382397*((1.0-(((0.10289754985291281*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.10289754985291281*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.10289754985291281*(endOfArch-beginningOfArch)+beginningOfArch,-2.9182076454162598],
			[0.3693499150541527*((1.0-(((0.23156041274836034*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.23156041274836034*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.23156041274836034*(endOfArch-beginningOfArch)+beginningOfArch,-2.917421340942383],
			[0.34019758802747097*((1.0-(((0.26949658805941357*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.26949658805941357*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.26949658805941357*(endOfArch-beginningOfArch)+beginningOfArch,-2.9162497520446777],
			[0.3755094561000422*((1.0-(((0.2688769116813754*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2688769116813754*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2688769116813754*(endOfArch-beginningOfArch)+beginningOfArch,-2.917428493499756],
			[-0.03960287856539526*((1.0-(((0.04725477430555555*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.04725477430555555*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.04725477430555555*(endOfArch-beginningOfArch)+beginningOfArch,-2.9091732501983643],
			[-0.06474052285553925*((1.0-(((0.08956537128966531*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.08956537128966531*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.08956537128966531*(endOfArch-beginningOfArch)+beginningOfArch,-2.9040966033935547],
			[-0.033197240878940666*((1.0-(((0.09025262903284144*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.09025262903284144*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.09025262903284144*(endOfArch-beginningOfArch)+beginningOfArch,-2.9050984382629395],
			[-0.17061334474056125*((1.0-(((0.040579619231047456*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.040579619231047456*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.040579619231047456*(endOfArch-beginningOfArch)+beginningOfArch,-2.9065966606140137],
			[-0.1907722516401382*((1.0-(((0.0808118184407552*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.0808118184407552*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.0808118184407552*(endOfArch-beginningOfArch)+beginningOfArch,-2.9001693725585938],
			[-0.1600473148678956*((1.0-(((0.08400820508415316*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.08400820508415316*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.08400820508415316*(endOfArch-beginningOfArch)+beginningOfArch,-2.901167154312134],
			[-0.14950456407884416*((1.0-(((0.22283360987533757*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.22283360987533757*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.22283360987533757*(endOfArch-beginningOfArch)+beginningOfArch,-2.876784086227417],
			[-0.17658162747020337*((1.0-(((0.2723202175564236*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2723202175564236*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2723202175564236*(endOfArch-beginningOfArch)+beginningOfArch,-2.8658156394958496],
			[-0.14660532504402907*((1.0-(((0.2724051769868827*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2724051769868827*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2724051769868827*(endOfArch-beginningOfArch)+beginningOfArch,-2.8688666820526123],
			[-0.046156661780367265*((1.0-(((0.8628125602816358*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8628125602816358*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8628125602816358*(endOfArch-beginningOfArch)+beginningOfArch,-2.9058523178100586],
			[-0.0381840159959649*((1.0-(((0.790072782540027*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.790072782540027*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.790072782540027*(endOfArch-beginningOfArch)+beginningOfArch,-2.900097608566284],
			[-0.06830707039189644*((1.0-(((0.7949482482156636*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7949482482156636*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7949482482156636*(endOfArch-beginningOfArch)+beginningOfArch,-2.8984336853027344],
			[-0.1674050306789865*((1.0-(((0.8729551338855132*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8729551338855132*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8729551338855132*(endOfArch-beginningOfArch)+beginningOfArch,-2.901407241821289],
			[-0.15821124401190806*((1.0-(((0.8062334413881656*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8062334413881656*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8062334413881656*(endOfArch-beginningOfArch)+beginningOfArch,-2.893721103668213],
			[-0.18799266999537603*((1.0-(((0.8102761727792246*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8102761727792246*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8102761727792246*(endOfArch-beginningOfArch)+beginningOfArch,-2.892056941986084],
			[-0.4532411343907945*((1.0-(((0.012904555709273726*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.012904555709273726*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.012904555709273726*(endOfArch-beginningOfArch)+beginningOfArch,0.21970242720383865*archHeight+thickness],
			[-0.468506285235153*((1.0-(((-0.027315163318021796*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.027315163318021796*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.027315163318021796*(endOfArch-beginningOfArch)+beginningOfArch,0.17464182927058294*archHeight+thickness],
			[-0.45067088443499836*((1.0-(((-0.026846332314573687*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.026846332314573687*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.026846332314573687*(endOfArch-beginningOfArch)+beginningOfArch,0.16300909335796648*archHeight+thickness],
			[-0.34412692724776145*((1.0-(((0.024118870864679783*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.024118870864679783*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.024118870864679783*(endOfArch-beginningOfArch)+beginningOfArch,0.1932375614459698*archHeight+thickness],
			[-0.36436829669355797*((1.0-(((-0.020950929618176118*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.020950929618176118*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.020950929618176118*(endOfArch-beginningOfArch)+beginningOfArch,0.10925428683941181*archHeight+thickness],
			[-0.33239353526217486*((1.0-(((-0.017257360764491705*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.017257360764491705*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.017257360764491705*(endOfArch-beginningOfArch)+beginningOfArch,0.10725454183725211*archHeight+thickness],
			[-0.3182635568349507*((1.0-(((0.2141620965651524*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2141620965651524*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2141620965651524*(endOfArch-beginningOfArch)+beginningOfArch,0.4982151618370643*archHeight+thickness],
			[-0.317673036745351*((1.0-(((0.16176374458972317*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.16176374458972317*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.16176374458972317*(endOfArch-beginningOfArch)+beginningOfArch,0.4150317632235013*archHeight+thickness],
			[-0.2911964519753119*((1.0-(((0.16544817700798128*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.16544817700798128*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.16544817700798128*(endOfArch-beginningOfArch)+beginningOfArch,0.417051021869366*archHeight+thickness],
			[0.028936741963698758*((1.0-(((0.050868187421633876*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.050868187421633876*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.050868187421633876*(endOfArch-beginningOfArch)+beginningOfArch,0.1429344232265766*archHeight+thickness],
			[0.02396752656031489*((1.0-(((0.0049153551643277395*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.0049153551643277395*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.0049153551643277395*(endOfArch-beginningOfArch)+beginningOfArch,0.07919260171743539*archHeight+thickness],
			[0.05870940828263979*((1.0-(((0.006544466371889468*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.006544466371889468*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.006544466371889468*(endOfArch-beginningOfArch)+beginningOfArch,0.07717804725353535*archHeight+thickness],
			[0.158933268277306*((1.0-(((0.05473096871081694*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.05473096871081694*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.05473096871081694*(endOfArch-beginningOfArch)+beginningOfArch,0.12375288743239182*archHeight+thickness],
			[0.1589037678181305*((1.0-(((0.010173891797477816*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.010173891797477816*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.010173891797477816*(endOfArch-beginningOfArch)+beginningOfArch,0.06855187507776114*archHeight+thickness],
			[0.19247916753742672*((1.0-(((0.011658279984085649*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.011658279984085649*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.011658279984085649*(endOfArch-beginningOfArch)+beginningOfArch,0.06544349743769719*archHeight+thickness],
			[0.16668407344192188*((1.0-(((0.22885508596161266*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.22885508596161266*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.22885508596161266*(endOfArch-beginningOfArch)+beginningOfArch,0.23164719801682693*archHeight+thickness],
			[0.16596075298731963*((1.0-(((0.18376611780237267*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.18376611780237267*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.18376611780237267*(endOfArch-beginningOfArch)+beginningOfArch,0.2124627186701848*archHeight+thickness],
			[0.20178728246988156*((1.0-(((0.1871565830560378*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.1871565830560378*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.1871565830560378*(endOfArch-beginningOfArch)+beginningOfArch,0.19365299665010893*archHeight+thickness],
			[0.01930430834368042*((1.0-(((0.8540451614945023*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8540451614945023*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8540451614945023*(endOfArch-beginningOfArch)+beginningOfArch,0.11155200004577637*archHeight+thickness],
			[0.042273335099862634*((1.0-(((0.9098938365041473*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9098938365041473*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9098938365041473*(endOfArch-beginningOfArch)+beginningOfArch,0.03910874403440035*archHeight+thickness],
			[0.00994085764366571*((1.0-(((0.9173749758873457*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9173749758873457*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9173749758873457*(endOfArch-beginningOfArch)+beginningOfArch,0.04028122700177706*archHeight+thickness],
			[0.14756107826049436*((1.0-(((0.8148276246624229*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8148276246624229*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8148276246624229*(endOfArch-beginningOfArch)+beginningOfArch,0.09296998610863319*archHeight+thickness],
			[0.17597716275812322*((1.0-(((0.8668433295355903*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8668433295355903*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8668433295355903*(endOfArch-beginningOfArch)+beginningOfArch,0.033046795771672174*archHeight+thickness],
			[0.14098790688608462*((1.0-(((0.8795929896978685*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8795929896978685*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8795929896978685*(endOfArch-beginningOfArch)+beginningOfArch,0.03456887144308824*archHeight+thickness],
			[-0.4833098972461481*((1.0-(((0.6836132473415799*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6836132473415799*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6836132473415799*(endOfArch-beginningOfArch)+beginningOfArch,-2.8240833282470703],
			[-0.4781648109287384*((1.0-(((0.6268807870370371*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6268807870370371*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6268807870370371*(endOfArch-beginningOfArch)+beginningOfArch,-2.814401149749756],
			[-0.48059755823173983*((1.0-(((0.629320686246142*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.629320686246142*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.629320686246142*(endOfArch-beginningOfArch)+beginningOfArch,0.561576769902156*archHeight+thickness],
			[0.4943233638646736*((1.0-(((0.07132518438645351*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.07132518438645351*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.07132518438645351*(endOfArch-beginningOfArch)+beginningOfArch,-1.7615063190460205],
			[0.4920543242232011*((1.0-(((0.11688934137791764*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.11688934137791764*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.11688934137791764*(endOfArch-beginningOfArch)+beginningOfArch,-1.7621524333953857],
			[0.4949158836477217*((1.0-(((0.1105068819022473*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.1105068819022473*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.1105068819022473*(endOfArch-beginningOfArch)+beginningOfArch,-0.7345390319824219+thickness+thickness],
			[-0.1928420066833496*heelWidth,0.10508308410644532*beginningOfArch,-3.1652655601501465],
			[-0.21229364025977351*heelWidth,0.1751995086669922*beginningOfArch,-3.1487932205200195],
			[-0.17954870962327527*heelWidth,0.15930389404296874*beginningOfArch,-3.1487932205200195],
			[0.46387114838115545*((1.0-(((0.36590199411651236*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.36590199411651236*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.36590199411651236*(endOfArch-beginningOfArch)+beginningOfArch,-2.916714668273926],
			[0.46610103201685094*((1.0-(((0.33112127986955053*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.33112127986955053*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.33112127986955053*(endOfArch-beginningOfArch)+beginningOfArch,-2.916640043258667],
			[0.4510913434481511*((1.0-(((0.3335348058629919*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3335348058629919*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3335348058629919*(endOfArch-beginningOfArch)+beginningOfArch,-2.9185640811920166],
			[0.3672100891975092*((1.0-(((0.3791331538447627*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3791331538447627*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3791331538447627*(endOfArch-beginningOfArch)+beginningOfArch,-2.917180299758911],
			[0.37473072263124535*((1.0-(((0.3418445351683063*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3418445351683063*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3418445351683063*(endOfArch-beginningOfArch)+beginningOfArch,-2.9173834323883057],
			[0.3389151772912189*((1.0-(((0.34407278932171104*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.34407278932171104*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.34407278932171104*(endOfArch-beginningOfArch)+beginningOfArch,-2.9160242080688477],
			[0.3619498835028475*((1.0-(((0.5213564649040316*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5213564649040316*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5213564649040316*(endOfArch-beginningOfArch)+beginningOfArch,-2.917314052581787],
			[0.3612536273834864*((1.0-(((0.4877217610677083*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4877217610677083*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4877217610677083*(endOfArch-beginningOfArch)+beginningOfArch,-2.9171199798583984],
			[0.3257356503622504*((1.0-(((0.4958188092267072*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4958188092267072*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4958188092267072*(endOfArch-beginningOfArch)+beginningOfArch,-2.915806293487549],
			[0.21950490189180497*((1.0-(((0.3971521824966242*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3971521824966242*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3971521824966242*(endOfArch-beginningOfArch)+beginningOfArch,-2.9064829349517822],
			[0.22746486895580834*((1.0-(((0.35389944947796104*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.35389944947796104*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.35389944947796104*(endOfArch-beginningOfArch)+beginningOfArch,-2.9075043201446533],
			[0.19132231417453718*((1.0-(((0.35698342028959296*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.35698342028959296*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.35698342028959296*(endOfArch-beginningOfArch)+beginningOfArch,-2.902541160583496],
			[0.08154307066542606*((1.0-(((0.4113567022629726*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4113567022629726*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4113567022629726*(endOfArch-beginningOfArch)+beginningOfArch,-2.8861982822418213],
			[0.08869878577617767*((1.0-(((0.3640291190441744*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3640291190441744*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3640291190441744*(endOfArch-beginningOfArch)+beginningOfArch,-2.8877735137939453],
			[0.05791897227510395*((1.0-(((0.36544215826340665*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.36544215826340665*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.36544215826340665*(endOfArch-beginningOfArch)+beginningOfArch,-2.8838369846343994],
			[0.08367798781244945*((1.0-(((0.5885897977852527*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5885897977852527*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5885897977852527*(endOfArch-beginningOfArch)+beginningOfArch,-2.893542766571045],
			[0.08044345703057725*((1.0-(((0.5462136916172358*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5462136916172358*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5462136916172358*(endOfArch-beginningOfArch)+beginningOfArch,-2.8896536827087402],
			[0.05045281469099945*((1.0-(((0.5514049765504436*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5514049765504436*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5514049765504436*(endOfArch-beginningOfArch)+beginningOfArch,-2.8862388134002686],
			[0.21604632335110474*((1.0-(((0.7873028413749036*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7873028413749036*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7873028413749036*(endOfArch-beginningOfArch)+beginningOfArch,-2.9155490398406982],
			[0.22159163650078884*((1.0-(((0.7150423026379243*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7150423026379243*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7150423026379243*(endOfArch-beginningOfArch)+beginningOfArch,-2.9145543575286865],
			[0.1853599903392895*((1.0-(((0.7264963785807291*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7264963785807291*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7264963785807291*(endOfArch-beginningOfArch)+beginningOfArch,-2.912139654159546],
			[0.07877589892352731*((1.0-(((0.8340066038532021*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8340066038532021*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8340066038532021*(endOfArch-beginningOfArch)+beginningOfArch,-2.910158395767212],
			[0.0839222833489633*((1.0-(((0.7590245376398534*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7590245376398534*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7590245376398534*(endOfArch-beginningOfArch)+beginningOfArch,-2.9064221382141113],
			[0.05325516310829033*((1.0-(((0.7687905394000771*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7687905394000771*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7687905394000771*(endOfArch-beginningOfArch)+beginningOfArch,-2.904770851135254],
			[-0.42924313444843903*((1.0-(((0.4548256014600212*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4548256014600212*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4548256014600212*(endOfArch-beginningOfArch)+beginningOfArch,0.7641385151789739*archHeight+thickness],
			[-0.40401628980106913*((1.0-(((0.5054679211275077*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5054679211275077*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5054679211275077*(endOfArch-beginningOfArch)+beginningOfArch,0.7479558357825646*archHeight+thickness],
			[-0.4316840755568509*((1.0-(((0.515959092128424*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.515959092128424*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.515959092128424*(endOfArch-beginningOfArch)+beginningOfArch,0.7594046959510217*archHeight+thickness],
			[-0.31844770892030133*((1.0-(((0.4395771733036748*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4395771733036748*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4395771733036748*(endOfArch-beginningOfArch)+beginningOfArch,0.6793001615084134*archHeight+thickness],
			[-0.2892306074769452*((1.0-(((0.4951186003508391*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4951186003508391*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4951186003508391*(endOfArch-beginningOfArch)+beginningOfArch,0.6504187217125525*archHeight+thickness],
			[-0.317667392584806*((1.0-(((0.497797930682147*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.497797930682147*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.497797930682147*(endOfArch-beginningOfArch)+beginningOfArch,0.6753138028658353*archHeight+thickness],
			[-0.31634634594494887*((1.0-(((0.6604381608374325*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6604381608374325*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6604381608374325*(endOfArch-beginningOfArch)+beginningOfArch,0.5707703737112192*archHeight+thickness],
			[-0.2887116726626596*((1.0-(((0.7089335123697916*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7089335123697916*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7089335123697916*(endOfArch-beginningOfArch)+beginningOfArch,0.493867250589224*archHeight+thickness],
			[-0.3183816546601486*((1.0-(((0.713648760760272*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.713648760760272*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.713648760760272*(endOfArch-beginningOfArch)+beginningOfArch,0.5116701492896447*archHeight+thickness],
			[-0.20197155269464193*((1.0-(((0.4318971045223283*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4318971045223283*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4318971045223283*(endOfArch-beginningOfArch)+beginningOfArch,0.5787674096914438*archHeight+thickness],
			[-0.17372124151851145*((1.0-(((0.4841935899522569*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4841935899522569*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4841935899522569*(endOfArch-beginningOfArch)+beginningOfArch,0.5501395372244028*archHeight+thickness],
			[-0.20261211731177978*((1.0-(((0.4870402018229167*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4870402018229167*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4870402018229167*(endOfArch-beginningOfArch)+beginningOfArch,0.57535798733051*archHeight+thickness],
			[-0.08507626716756017*((1.0-(((0.42392024287471064*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.42392024287471064*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.42392024287471064*(endOfArch-beginningOfArch)+beginningOfArch,0.47720791743351865*archHeight+thickness],
			[-0.0577506025549957*((1.0-(((0.47317062189549575*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.47317062189549575*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.47317062189549575*(endOfArch-beginningOfArch)+beginningOfArch,0.4497833618750939*archHeight+thickness],
			[-0.0867298125361155*((1.0-(((0.47608156557436343*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.47608156557436343*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.47608156557436343*(endOfArch-beginningOfArch)+beginningOfArch,0.47499781388502854*archHeight+thickness],
			[-0.08391983586827396*((1.0-(((0.6249099543065201*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6249099543065201*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6249099543065201*(endOfArch-beginningOfArch)+beginningOfArch,0.40848908057579625*archHeight+thickness],
			[-0.05437292516803024*((1.0-(((0.6713181483892747*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6713181483892747*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6713181483892747*(endOfArch-beginningOfArch)+beginningOfArch,0.35312663591825044*archHeight+thickness],
			[-0.08384960767700164*((1.0-(((0.6763089026933835*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6763089026933835*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6763089026933835*(endOfArch-beginningOfArch)+beginningOfArch,0.37049352205716646*archHeight+thickness],
			[-0.22396480295830148*((1.0-(((0.8832261827256944*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8832261827256944*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8832261827256944*(endOfArch-beginningOfArch)+beginningOfArch,0.1635876435499925*archHeight+thickness],
			[-0.20519747528894272*((1.0-(((0.934416123378424*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.934416123378424*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.934416123378424*(endOfArch-beginningOfArch)+beginningOfArch,0.05079801266009991*archHeight+thickness],
			[-0.23571111204431902*((1.0-(((0.9374257782359182*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9374257782359182*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9374257782359182*(endOfArch-beginningOfArch)+beginningOfArch,0.05183360209831825*archHeight+thickness],
			[-0.10422808657612359*((1.0-(((0.8721304057556906*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8721304057556906*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8721304057556906*(endOfArch-beginningOfArch)+beginningOfArch,0.1364018183488112*archHeight+thickness],
			[-0.08756502059797781*((1.0-(((0.9296251461829668*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9296251461829668*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9296251461829668*(endOfArch-beginningOfArch)+beginningOfArch,0.04483358218119694*archHeight+thickness],
			[-0.11827469668484313*((1.0-(((0.9294117115162037*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9294117115162037*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9294117115162037*(endOfArch-beginningOfArch)+beginningOfArch,0.04624307614106398*archHeight+thickness],
			[-0.4927447226739699*heelWidth,0.7417436218261719*beginningOfArch,-1.664853572845459+thickness],
			[-0.4980514280257686*heelWidth,0.6769378662109375*beginningOfArch,-1.7104750871658325+thickness],
			[-0.4990172847624748*heelWidth,0.6794113159179688*beginningOfArch,-0.752418041229248+thickness],
			[-0.473663635875529*((1.0-(((0.003457434383439429*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.003457434383439429*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.003457434383439429*(endOfArch-beginningOfArch)+beginningOfArch,-2.887178659439087],
			[-0.48005337184683444*((1.0-(((-0.03880696237823109*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.03880696237823109*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.03880696237823109*(endOfArch-beginningOfArch)+beginningOfArch,-2.8941307067871094],
			[-0.4810722166899236*((1.0-(((-0.03297283031322338*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.03297283031322338*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.03297283031322338*(endOfArch-beginningOfArch)+beginningOfArch,0.008867612251868615*archHeight+thickness],
			[-0.46194047143319344*((1.0-(((0.20671533655237267*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.20671533655237267*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.20671533655237267*(endOfArch-beginningOfArch)+beginningOfArch,-2.837261199951172],
			[-0.46232191576224896*((1.0-(((0.1512267972216194*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.1512267972216194*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.1512267972216194*(endOfArch-beginningOfArch)+beginningOfArch,-2.8522820472717285],
			[-0.46417915257574954*((1.0-(((0.1523097002947772*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.1523097002947772*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.1523097002947772*(endOfArch-beginningOfArch)+beginningOfArch,0.30635830072256237*archHeight+thickness],
			[-0.38616830764685695*((1.0-(((0.6686119738920235*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6686119738920235*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6686119738920235*(endOfArch-beginningOfArch)+beginningOfArch,-2.846980571746826],
			[-0.3854158602716201*((1.0-(((0.6150186797718943*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6150186797718943*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6150186797718943*(endOfArch-beginningOfArch)+beginningOfArch,-2.8380799293518066],
			[-0.4164688257063943*((1.0-(((0.618295740198206*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.618295740198206*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.618295740198206*(endOfArch-beginningOfArch)+beginningOfArch,-2.8342323303222656],
			[-0.38523413571434456*((1.0-(((0.4429828973464024*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4429828973464024*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4429828973464024*(endOfArch-beginningOfArch)+beginningOfArch,-2.828423023223877],
			[-0.38554632223586055*((1.0-(((0.3855472140842014*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3855472140842014*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3855472140842014*(endOfArch-beginningOfArch)+beginningOfArch,-2.8310256004333496],
			[-0.4126488679727681*((1.0-(((0.3857284357518326*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3857284357518326*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3857284357518326*(endOfArch-beginningOfArch)+beginningOfArch,-2.8272705078125],
			[-0.5090200337081475*((1.0-(((0.9028179027416088*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.9028179027416088*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.9028179027416088*(endOfArch-beginningOfArch)+beginningOfArch,-2.873539924621582],
			[-0.5022048453758632*((1.0-(((0.8498639707212094*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8498639707212094*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8498639707212094*(endOfArch-beginningOfArch)+beginningOfArch,-2.860126495361328],
			[-0.5047849546593568*((1.0-(((0.8513863645953896*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8513863645953896*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8513863645953896*(endOfArch-beginningOfArch)+beginningOfArch,0.24429218585674578*archHeight+thickness],
			[-0.04865060314055412*heelWidth,0.07512535095214844*beginningOfArch,-3.1652655601501465],
			[-0.07544624420904344*heelWidth,0.1355908203125*beginningOfArch,-3.1487932205200195],
			[-0.04124467219075849*heelWidth,0.12956512451171875*beginningOfArch,-3.148818254470825],
			[-0.25648107836323397*heelWidth,0.06698539733886719*beginningOfArch,-1.7621524333953857+thickness],
			[-0.2191390375937185*heelWidth,0.043113784790039064*beginningOfArch,-1.7621524333953857+thickness],
			[-0.22219444090320217*heelWidth,0.042656631469726564*beginningOfArch,-0.66472327709198+thickness],
			[0.4963185521793968*((1.0-(((0.6497749987943673*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6497749987943673*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6497749987943673*(endOfArch-beginningOfArch)+beginningOfArch,-1.7621524333953857],
			[0.4961667670325926*((1.0-(((0.6938495400511189*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6938495400511189*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6938495400511189*(endOfArch-beginningOfArch)+beginningOfArch,-2.3237152099609375],
			[0.4988822257173178*((1.0-(((0.6918826633029513*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6918826633029513*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6918826633029513*(endOfArch-beginningOfArch)+beginningOfArch,-1.9889105558395386+thickness+thickness],
			[0.4886243829597146*((1.0-(((0.4900072827751254*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4900072827751254*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4900072827751254*(endOfArch-beginningOfArch)+beginningOfArch,-1.7621524333953857],
			[0.49167097871778287*((1.0-(((0.5216652199074074*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5216652199074074*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5216652199074074*(endOfArch-beginningOfArch)+beginningOfArch,-1.7621524333953857],
			[0.49393608876445616*((1.0-(((0.5200462812258874*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5200462812258874*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5200462812258874*(endOfArch-beginningOfArch)+beginningOfArch,-0.7345390319824219+thickness+thickness],
			[0.4808653662512588*((1.0-(((0.3628831086335359*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3628831086335359*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3628831086335359*(endOfArch-beginningOfArch)+beginningOfArch,-1.755301594734192],
			[0.4816828075068696*((1.0-(((0.3966215157214506*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3966215157214506*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3966215157214506*(endOfArch-beginningOfArch)+beginningOfArch,-1.7621524333953857],
			[0.4834524291152883*((1.0-(((0.3953551304193191*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3953551304193191*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3953551304193191*(endOfArch-beginningOfArch)+beginningOfArch,-0.7345390319824219+thickness+thickness],
			[-0.45897911440941597*heelWidth,0.34515594482421874*beginningOfArch,-1.755301594734192+thickness],
			[-0.4455456887522051*heelWidth,0.3025537109375*beginningOfArch,-1.755301594734192+thickness],
			[-0.44730675605035597*heelWidth,0.3039462280273437*beginningOfArch,-0.7290744781494141+thickness],
			[0.4846368683051793*((1.0-(((0.23131306966145834*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.23131306966145834*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.23131306966145834*(endOfArch-beginningOfArch)+beginningOfArch,-1.7621524333953857],
			[0.4824431374482494*((1.0-(((0.2644433857482157*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2644433857482157*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2644433857482157*(endOfArch-beginningOfArch)+beginningOfArch,-1.755301594734192],
			[0.484689934919549*((1.0-(((0.25926265010127314*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.25926265010127314*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.25926265010127314*(endOfArch-beginningOfArch)+beginningOfArch,-0.7413897514343262+thickness+thickness],
			[0.05002340962809901*heelWidth,0.007969894409179688*beginningOfArch,-1.7621524333953857],
			[0.08603032942741148*heelWidth,0.013273773193359375*beginningOfArch,-1.7621524333953857],
			[0.08410673756753245*heelWidth,0.0106390380859375*beginningOfArch,-0.6622920036315918+thickness],
			[0.5010434119932113*heelWidth,0.844815673828125*beginningOfArch,-1.7550467252731323],
			[0.49930455607752644*heelWidth,0.9045406341552734*beginningOfArch,-1.7550467252731323],
			[0.5013798744447769*heelWidth,0.8985745239257813*beginningOfArch,-0.7336238622665405+thickness],
			[0.1973008955678632*heelWidth,0.05307342529296875*beginningOfArch,-1.7621524333953857],
			[0.23421350602180727*heelWidth,0.07444923400878906*beginningOfArch,-1.7621524333953857],
			[0.2323959719750189*heelWidth,0.07102958679199219*beginningOfArch,-0.6790355443954468+thickness],
			[0.46812952718427103*heelWidth,0.5541394805908203*beginningOfArch,-2.9871459007263184],
			[0.4517991465906943*heelWidth,0.5630915832519531*beginningOfArch,-3.1588058471679688],
			[0.4739360809326172*heelWidth,0.6184728240966797*beginningOfArch,-3.150484800338745],
			[0.3665582595332976*heelWidth,0.31578285217285157*beginningOfArch,-3.1652655601501465],
			[0.3383477733981225*heelWidth,0.3328459930419922*beginningOfArch,-3.1487932205200195],
			[0.36974682346467047*heelWidth,0.3913208770751953*beginningOfArch,-3.1487932205200195],
			[0.3687915802001953*heelWidth,0.7233271789550781*beginningOfArch,-2.9184141159057617],
			[0.3322038342875819*heelWidth,0.8235027313232421*beginningOfArch,-2.9183285236358643],
			[0.36806961797898813*heelWidth,0.8307093811035157*beginningOfArch,-2.918330430984497],
			[0.23624101761848695*heelWidth,0.15014320373535156*beginningOfArch,-3.1652655601501465],
			[0.19989773534959362*heelWidth,0.187061767578125*beginningOfArch,-3.1487932205200195],
			[0.23709537136939265*heelWidth,0.2114984130859375*beginningOfArch,-3.1487932205200195],
			[0.08955908590747465*heelWidth,0.08335311889648438*beginningOfArch,-3.1652655601501465],
			[0.05640614801837552*heelWidth,0.13285812377929687*beginningOfArch,-3.148818254470825],
			[0.09015263280560894*heelWidth,0.14183189392089843*beginningOfArch,-3.1487932205200195],
			[0.08729437858827653*heelWidth,0.5616562652587891*beginningOfArch,-2.9184138774871826],
			[0.05099422700943485*heelWidth,0.7346078491210938*beginningOfArch,-2.9184141159057617],
			[0.08679670672262868*heelWidth,0.741207275390625*beginningOfArch,-2.9184141159057617],
			[0.22783533174285017*((1.0-(((0.05797341429157021*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.05797341429157021*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.05797341429157021*(endOfArch-beginningOfArch)+beginningOfArch,-2.9153974056243896],
			[0.1946557455441888*((1.0-(((0.09927019660855517*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.09927019660855517*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.09927019660855517*(endOfArch-beginningOfArch)+beginningOfArch,-2.9130825996398926],
			[0.2321868040571599*((1.0-(((0.10212919447157118*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.10212919447157118*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.10212919447157118*(endOfArch-beginningOfArch)+beginningOfArch,-2.9148917198181152],
			[0.09175987481241984*((1.0-(((0.051961545591001156*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.051961545591001156*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.051961545591001156*(endOfArch-beginningOfArch)+beginningOfArch,-2.9117095470428467],
			[0.06199499879938691*((1.0-(((0.09244848180700231*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.09244848180700231*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.09244848180700231*(endOfArch-beginningOfArch)+beginningOfArch,-2.908025026321411],
			[0.093243826111885*((1.0-(((0.09332331904658565*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.09332331904658565*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.09332331904658565*(endOfArch-beginningOfArch)+beginningOfArch,-2.909039258956909],
			[0.09227875133489195*((1.0-(((0.2249168113425926*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2249168113425926*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2249168113425926*(endOfArch-beginningOfArch)+beginningOfArch,-2.896481513977051],
			[0.0631430376124859*((1.0-(((0.27106975037374614*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.27106975037374614*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.27106975037374614*(endOfArch-beginningOfArch)+beginningOfArch,-2.8894431591033936],
			[0.09434171927892732*((1.0-(((0.2714256004050926*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2714256004050926*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2714256004050926*(endOfArch-beginningOfArch)+beginningOfArch,-2.8926994800567627],
			[-0.10186544541389711*heelWidth,0.008292922973632813*beginningOfArch,-1.7621524333953857],
			[-0.061949103109298215*heelWidth,0.005368728637695313*beginningOfArch,-1.7621524333953857],
			[-0.06470444125513877*heelWidth,0.00293914794921875*beginningOfArch,-0.6591933965682983+thickness],
			[-0.18249976250433153*heelWidth,0.5657719421386719*beginningOfArch,-2.9184138774871826],
			[-0.17472077954200008*heelWidth,0.3940964508056641*beginningOfArch,-2.91841459274292],
			[-0.2059135744648595*heelWidth,0.4055034637451172*beginningOfArch,-2.91841459274292],
			[-0.3375386268861832*heelWidth,0.23762374877929687*beginningOfArch,-3.1652655601501465],
			[-0.3585837887179467*heelWidth,0.33370941162109374*beginningOfArch,-3.1488022804260254],
			[-0.31990078956850115*heelWidth,0.279195556640625*beginningOfArch,-3.1487932205200195],
			[-0.44412437562019597*heelWidth,0.4061249542236328*beginningOfArch,-3.165449619293213],
			[-0.44393025675127584*heelWidth,0.351907958984375*beginningOfArch,-2.9884376525878906],
			[-0.4580904745286511*heelWidth,0.3992288970947266*beginningOfArch,-2.9884376525878906],
			[-0.4381138586228894*heelWidth,0.7192182922363282*beginningOfArch,-2.918412685394287],
			[-0.4410323481405935*heelWidth,0.6285243225097656*beginningOfArch,-2.9184231758117676],
			[-0.46235376788723853*heelWidth,0.6506624603271485*beginningOfArch,-3.1515908241271973],
			[-0.28710463843216993*((1.0-(((0.029267440607518326*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.029267440607518326*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.029267440607518326*(endOfArch-beginningOfArch)+beginningOfArch,-2.9041976928710938],
			[-0.3042037423057025*((1.0-(((0.07102306978202161*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.07102306978202161*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.07102306978202161*(endOfArch-beginningOfArch)+beginningOfArch,-2.8967556953430176],
			[-0.2768704399696049*((1.0-(((0.07325603343822339*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.07325603343822339*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.07325603343822339*(endOfArch-beginningOfArch)+beginningOfArch,-2.8973965644836426],
			[-0.4073873297349021*((1.0-(((0.017219166696807484*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.017219166696807484*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.017219166696807484*(endOfArch-beginningOfArch)+beginningOfArch,-2.9018824100494385],
			[-0.4187813070376323*((1.0-(((0.05884038666148245*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.05884038666148245*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.05884038666148245*(endOfArch-beginningOfArch)+beginningOfArch,-2.8931496143341064],
			[-0.3898646333968221*((1.0-(((0.062460628556616514*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.062460628556616514*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.062460628556616514*(endOfArch-beginningOfArch)+beginningOfArch,-2.894473075866699],
			[-0.38156736168391353*((1.0-(((0.2099923969786844*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2099923969786844*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2099923969786844*(endOfArch-beginningOfArch)+beginningOfArch,-2.8618357181549072],
			[-0.3770557395397786*((1.0-(((0.15715667347849152*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.15715667347849152*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.15715667347849152*(endOfArch-beginningOfArch)+beginningOfArch,-2.875298500061035],
			[-0.40673001943046394*((1.0-(((0.15604334701726466*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.15604334701726466*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.15604334701726466*(endOfArch-beginningOfArch)+beginningOfArch,-2.871877670288086],
			[-0.03702099193628443*((1.0-(((0.41984614619502314*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.41984614619502314*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.41984614619502314*(endOfArch-beginningOfArch)+beginningOfArch,-2.8713741302490234],
			[-0.03099302229738552*((1.0-(((0.3694444821204668*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3694444821204668*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3694444821204668*(endOfArch-beginningOfArch)+beginningOfArch,-2.8731794357299805],
			[-0.06057153103275703*((1.0-(((0.3706141342351466*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3706141342351466*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3706141342351466*(endOfArch-beginningOfArch)+beginningOfArch,-2.869602918624878],
			[-0.1540362446523237*((1.0-(((0.4279300077461902*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4279300077461902*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4279300077461902*(endOfArch-beginningOfArch)+beginningOfArch,-2.8569529056549072],
			[-0.14914481744830504*((1.0-(((0.374638592755353*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.374638592755353*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.374638592755353*(endOfArch-beginningOfArch)+beginningOfArch,-2.8590152263641357],
			[-0.17868071548552467*((1.0-(((0.37577424225983797*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.37577424225983797*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.37577424225983797*(endOfArch-beginningOfArch)+beginningOfArch,-2.8554389476776123],
			[-0.1503213573200129*((1.0-(((0.6338414321711034*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6338414321711034*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6338414321711034*(endOfArch-beginningOfArch)+beginningOfArch,-2.870466470718384],
			[-0.1523340628449991*((1.0-(((0.5842955789448302*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5842955789448302*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5842955789448302*(endOfArch-beginningOfArch)+beginningOfArch,-2.8639743328094482],
			[-0.18112164475022494*((1.0-(((0.5882660665629823*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5882660665629823*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5882660665629823*(endOfArch-beginningOfArch)+beginningOfArch,-2.8607239723205566],
			[-0.2707789768270457*((1.0-(((0.4358641071084105*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4358641071084105*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4358641071084105*(endOfArch-beginningOfArch)+beginningOfArch,-2.842531204223633],
			[-0.26712159250898465*((1.0-(((0.37937173725646217*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.37937173725646217*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.37937173725646217*(endOfArch-beginningOfArch)+beginningOfArch,-2.844851493835449],
			[-0.29692134353148986*((1.0-(((0.38037825219425153*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.38037825219425153*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.38037825219425153*(endOfArch-beginningOfArch)+beginningOfArch,-2.8413753509521484],
			[-0.46700544034858943*((1.0-(((0.44633088288483797*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.44633088288483797*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.44633088288483797*(endOfArch-beginningOfArch)+beginningOfArch,-2.803666114807129],
			[-0.46438969604592834*((1.0-(((0.3841533896363812*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3841533896363812*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3841533896363812*(endOfArch-beginningOfArch)+beginningOfArch,-2.8064627647399902],
			[-0.46580976780371536*((1.0-(((0.3860931396484375*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3860931396484375*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3860931396484375*(endOfArch-beginningOfArch)+beginningOfArch,0.622159297649677*archHeight+thickness],
			[-0.2878667880734834*((1.0-(((0.8854667757764275*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8854667757764275*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8854667757764275*(endOfArch-beginningOfArch)+beginningOfArch,-2.8971261978149414],
			[-0.2774664435092362*((1.0-(((0.8213904110001929*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8213904110001929*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8213904110001929*(endOfArch-beginningOfArch)+beginningOfArch,-2.8873443603515625],
			[-0.30727895923353066*((1.0-(((0.8254390763647762*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8254390763647762*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8254390763647762*(endOfArch-beginningOfArch)+beginningOfArch,-2.88566517829895],
			[-0.4168035993836801*((1.0-(((0.8967528166594328*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8967528166594328*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8967528166594328*(endOfArch-beginningOfArch)+beginningOfArch,-2.8920702934265137],
			[-0.4051135721610349*((1.0-(((0.8379607024016203*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8379607024016203*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8379607024016203*(endOfArch-beginningOfArch)+beginningOfArch,-2.8802731037139893],
			[-0.4397425329685397*((1.0-(((0.8429841406551408*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8429841406551408*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8429841406551408*(endOfArch-beginningOfArch)+beginningOfArch,-2.8778905868530273],
			[-0.4835011266892956*heelWidth,0.48132125854492186*beginningOfArch,1.2317432165145874+thickness],
			[-0.47337455134237966*heelWidth,0.48835723876953124*beginningOfArch,1.1669890880584717+thickness],
			[-0.48705928556380734*heelWidth,0.5353105926513672*beginningOfArch,1.1472067832946777+thickness],
			[-0.4122427663495464*heelWidth,0.2924036407470703*beginningOfArch,1.4824705123901367+thickness],
			[-0.4173413553545552*heelWidth,0.26890586853027343*beginningOfArch,1.5790067911148071+thickness],
			[-0.3905995276666457*heelWidth,0.2343866729736328*beginningOfArch,1.6428849697113037+thickness],
			[-0.38073567421205584*heelWidth,0.6631207275390625*beginningOfArch,-1.3656524419784546+thickness],
			[-0.35268328266759075*heelWidth,0.8182675170898438*beginningOfArch,-0.3618224859237671+thickness],
			[-0.3831780956637475*heelWidth,0.8044523620605468*beginningOfArch,-0.23365622758865356+thickness],
			[-0.2668349973617061*heelWidth,0.1104620361328125*beginningOfArch,1.7054259777069092+thickness],
			[-0.2860542420418032*heelWidth,0.10788330078125*beginningOfArch,1.8475263118743896+thickness],
			[-0.24860657415082377*heelWidth,0.0764593505859375*beginningOfArch,1.8981597423553467+thickness],
			[-0.12032688048578077*heelWidth,0.03800811767578125*beginningOfArch,1.8420425653457642+thickness],
			[-0.13688119765250914*heelWidth,0.025166091918945314*beginningOfArch,1.9806689023971558+thickness],
			[-0.0972852937636837*heelWidth,0.0189947509765625*beginningOfArch,1.9905338287353516+thickness],
			[-0.1143866354419339*heelWidth,0.754095458984375*beginningOfArch,-1.6269848346710205+thickness],
			[-0.08978865992638373*heelWidth,0.8902187347412109*beginningOfArch,-0.4044351577758789+thickness],
			[-0.1244147285338371*heelWidth,0.8854818725585938*beginningOfArch,-0.39822763204574585+thickness],
			[-0.22779796015054532*((1.0-(((0.03462840892650463*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.03462840892650463*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.03462840892650463*(endOfArch-beginningOfArch)+beginningOfArch,0.1787836368267353*archHeight+thickness],
			[-0.24131731592103114*((1.0-(((-0.010725139099874614*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.010725139099874614*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.010725139099874614*(endOfArch-beginningOfArch)+beginningOfArch,0.10010064565218411*archHeight+thickness],
			[-0.21202610522890594*((1.0-(((-0.00800182201244213*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((-0.00800182201244213*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),-0.00800182201244213*(endOfArch-beginningOfArch)+beginningOfArch,0.09808648549593411*archHeight+thickness],
			[-0.10339696793039077*((1.0-(((0.04656502052589699*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.04656502052589699*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.04656502052589699*(endOfArch-beginningOfArch)+beginningOfArch,0.16095619935255784*archHeight+thickness],
			[-0.11727240181353706*((1.0-(((3.772311740451389e-05*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((3.772311740451389e-05*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),3.772311740451389e-05*(endOfArch-beginningOfArch)+beginningOfArch,0.0898066392311683*archHeight+thickness],
			[-0.08259008844403842*((1.0-(((0.001349225456331983*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.001349225456331983*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.001349225456331983*(endOfArch-beginningOfArch)+beginningOfArch,0.08752058102534367*archHeight+thickness],
			[-0.08164624425214305*((1.0-(((0.22324409013913002*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.22324409013913002*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.22324409013913002*(endOfArch-beginningOfArch)+beginningOfArch,0.37781476974487305*archHeight+thickness],
			[-0.08335573592382632*((1.0-(((0.17593468560112846*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.17593468560112846*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.17593468560112846*(endOfArch-beginningOfArch)+beginningOfArch,0.32719960579505336*archHeight+thickness],
			[-0.053092978371337377*((1.0-(((0.1761909767433449*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.1761909767433449*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.1761909767433449*(endOfArch-beginningOfArch)+beginningOfArch,0.31442631207979643*archHeight+thickness],
			[0.027283903091184555*heelWidth,0.026582870483398437*beginningOfArch,1.8640469312667847+thickness],
			[0.015827213564226703*heelWidth,0.013326873779296875*beginningOfArch,1.9994468688964844+thickness],
			[0.0521749488769039*heelWidth,0.0159930419921875*beginningOfArch,1.9950827360153198+thickness],
			[0.1737801951746787*heelWidth,0.06237808227539063*beginningOfArch,1.7959606647491455+thickness],
			[0.16235331566103042*heelWidth,0.04376922607421875*beginningOfArch,1.9499298334121704+thickness],
			[0.20090839939732705*heelWidth,0.0620556640625*beginningOfArch,1.920290231704712+thickness],
			[0.16556181446198495*heelWidth,0.7740443420410156*beginningOfArch,-1.6347839832305908+thickness],
			[0.16656426460512222*heelWidth,0.3981065368652344*beginningOfArch,-2.230297565460205+thickness],
			[0.20436931425525295*heelWidth,0.40247138977050784*beginningOfArch,-2.240556240081787+thickness],
			[0.3224822013608871*heelWidth,0.17559837341308593*beginningOfArch,1.5823560953140259+thickness],
			[0.3096662952053931*heelWidth,0.14611648559570312*beginningOfArch,1.7840882539749146+thickness],
			[0.3415898969096522*heelWidth,0.187762451171875*beginningOfArch,1.7167625427246094+thickness],
			[0.44468765874062816*heelWidth,0.40770294189453127*beginningOfArch,1.1431100368499756+thickness],
			[0.4286604542886057*heelWidth,0.3552479553222656*beginningOfArch,1.445041298866272+thickness],
			[0.4545470206968246*heelWidth,0.41827171325683593*beginningOfArch,1.3843580484390259+thickness],
			[0.4516691392467868*heelWidth,0.774593734741211*beginningOfArch,0.696320652961731+thickness],
			[0.4540461878622732*heelWidth,0.6650907897949219*beginningOfArch,0.5107488036155701+thickness],
			[0.48278934724869266*heelWidth,0.7202793884277344*beginningOfArch,1.1580421924591064+thickness],
			[0.3036455111325417*((1.0-(((0.057564111403477045*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.057564111403477045*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.057564111403477045*(endOfArch-beginningOfArch)+beginningOfArch,0.09377960975353535*archHeight+thickness],
			[0.3009944624705409*((1.0-(((0.011822830011815201*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.011822830011815201*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.011822830011815201*(endOfArch-beginningOfArch)+beginningOfArch,0.05072291997762827*archHeight+thickness],
			[0.3379137172649673*((1.0-(((0.008083108030719521*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.008083108030719521*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.008083108030719521*(endOfArch-beginningOfArch)+beginningOfArch,0.04874261984458336*archHeight+thickness],
			[0.4306904240037508*((1.0-(((0.05915130803614487*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.05915130803614487*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.05915130803614487*(endOfArch-beginningOfArch)+beginningOfArch,0.10433885684380165*archHeight+thickness],
			[0.44219024009371477*((1.0-(((0.013414594862196181*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.013414594862196181*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.013414594862196181*(endOfArch-beginningOfArch)+beginningOfArch,0.09750562447767991*archHeight+thickness],
			[0.46561426842872833*((1.0-(((0.017004884319540895*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.017004884319540895*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.017004884319540895*(endOfArch-beginningOfArch)+beginningOfArch,0.10942941445570725*archHeight+thickness],
			[0.4289432330642745*((1.0-(((0.23100205409673996*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.23100205409673996*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.23100205409673996*(endOfArch-beginningOfArch)+beginningOfArch,0.13484419309175932*archHeight+thickness],
			[0.426849208964695*((1.0-(((0.1930034307785976*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.1930034307785976*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.1930034307785976*(endOfArch-beginningOfArch)+beginningOfArch,0.13479449198796198*archHeight+thickness],
			[0.4502316340949985*((1.0-(((0.1929592556423611*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.1929592556423611*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.1929592556423611*(endOfArch-beginningOfArch)+beginningOfArch,0.13087240549234244*archHeight+thickness],
			[0.0320847657608327*((1.0-(((0.41578080919053817*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.41578080919053817*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.41578080919053817*(endOfArch-beginningOfArch)+beginningOfArch,0.3756566414466271*archHeight+thickness],
			[0.058691498369942224*((1.0-(((0.46140468267746915*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.46140468267746915*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.46140468267746915*(endOfArch-beginningOfArch)+beginningOfArch,0.3492894172668457*archHeight+thickness],
			[0.029448821738719308*((1.0-(((0.46441565619574654*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.46441565619574654*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.46441565619574654*(endOfArch-beginningOfArch)+beginningOfArch,0.3746811793400691*archHeight+thickness],
			[0.15675066592107031*((1.0-(((0.40516040943287035*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.40516040943287035*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.40516040943287035*(endOfArch-beginningOfArch)+beginningOfArch,0.26746096977820766*archHeight+thickness],
			[0.18767108436042348*((1.0-(((0.4454241152162905*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4454241152162905*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4454241152162905*(endOfArch-beginningOfArch)+beginningOfArch,0.2380998318011944*archHeight+thickness],
			[0.15329093465059812*((1.0-(((0.4503089057074653*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4503089057074653*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4503089057074653*(endOfArch-beginningOfArch)+beginningOfArch,0.26755501673771787*archHeight+thickness],
			[0.155990521082898*((1.0-(((0.5743443995346258*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5743443995346258*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5743443995346258*(endOfArch-beginningOfArch)+beginningOfArch,0.23926749596228966*archHeight+thickness],
			[0.19241505124096517*((1.0-(((0.6094855791256751*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.6094855791256751*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.6094855791256751*(endOfArch-beginningOfArch)+beginningOfArch,0.20054945578941932*archHeight+thickness],
			[0.1579019401907043*((1.0-(((0.618584903669946*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.618584903669946*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.618584903669946*(endOfArch-beginningOfArch)+beginningOfArch,0.2233743667602539*archHeight+thickness],
			[0.29740060779704636*((1.0-(((0.3876082808883102*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3876082808883102*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3876082808883102*(endOfArch-beginningOfArch)+beginningOfArch,0.16844591727623573*archHeight+thickness],
			[0.3300874845902965*((1.0-(((0.42214372422960067*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.42214372422960067*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.42214372422960067*(endOfArch-beginningOfArch)+beginningOfArch,0.15596312742966872*archHeight+thickness],
			[0.2938679795636719*((1.0-(((0.4284620873722029*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4284620873722029*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4284620873722029*(endOfArch-beginningOfArch)+beginningOfArch,0.16938004126915565*archHeight+thickness],
			[0.42629544771382394*((1.0-(((0.3727412282684703*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.3727412282684703*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.3727412282684703*(endOfArch-beginningOfArch)+beginningOfArch,0.13484419309175932*archHeight+thickness],
			[0.4457168094765192*((1.0-(((0.40321274745611496*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.40321274745611496*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.40321274745611496*(endOfArch-beginningOfArch)+beginningOfArch,0.13087240549234244*archHeight+thickness],
			[0.4234900396737138*((1.0-(((0.4080330177589699*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.4080330177589699*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.4080330177589699*(endOfArch-beginningOfArch)+beginningOfArch,0.13499983457418588*archHeight+thickness],
			[0.4233388830675564*((1.0-(((0.5059007244345582*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5059007244345582*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5059007244345582*(endOfArch-beginningOfArch)+beginningOfArch,0.13507073659163255*archHeight+thickness],
			[0.4490524963021887*((1.0-(((0.5315958658854166*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5315958658854166*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5315958658854166*(endOfArch-beginningOfArch)+beginningOfArch,0.13088658222785363*archHeight+thickness],
			[0.4242318609665096*((1.0-(((0.5397365240403164*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.5397365240403164*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.5397365240403164*(endOfArch-beginningOfArch)+beginningOfArch,0.13492217430701622*archHeight+thickness],
			[0.2871021975718556*((1.0-(((0.7628567542558835*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7628567542558835*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7628567542558835*(endOfArch-beginningOfArch)+beginningOfArch,0.06954920291900635*archHeight+thickness],
			[0.3154294245536106*((1.0-(((0.8075553046332465*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8075553046332465*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8075553046332465*(endOfArch-beginningOfArch)+beginningOfArch,0.02571260929107666*archHeight+thickness],
			[0.2812589506893024*((1.0-(((0.8238534809630594*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.8238534809630594*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.8238534809630594*(endOfArch-beginningOfArch)+beginningOfArch,0.026625126600265503*archHeight+thickness],
			[0.4186694177450451*((1.0-(((0.694298826617959*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.694298826617959*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.694298826617959*(endOfArch-beginningOfArch)+beginningOfArch,0.08802047142615685*archHeight+thickness],
			[0.44373780614056*((1.0-(((0.7231918146580826*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.7231918146580826*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.7231918146580826*(endOfArch-beginningOfArch)+beginningOfArch,0.024651353175823506*archHeight+thickness],
			[0.41344889742418434*((1.0-(((0.747107235001929*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.747107235001929*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.747107235001929*(endOfArch-beginningOfArch)+beginningOfArch,0.025509838874523457*archHeight+thickness],
			[-0.4941831711799868*heelWidth,0.5144495391845703*beginningOfArch,-1.7608606815338135+thickness],
			[-0.4874965606197234*heelWidth,0.4707771301269531*beginningOfArch,-1.755301594734192+thickness],
			[-0.48944171782462825*heelWidth,0.4757335662841797*beginningOfArch,-0.7677829265594482+thickness],
			[-0.38475325799757437*heelWidth,0.19306732177734376*beginningOfArch,-1.755301594734192+thickness],
			[-0.35743728760750065*heelWidth,0.15996406555175782*beginningOfArch,-1.7621524333953857+thickness],
			[-0.3585458570911038*heelWidth,0.15681350708007813*beginningOfArch,-0.6888911724090576+thickness],
			[0.3317793261620306*heelWidth,0.1699712371826172*beginningOfArch,-1.7621524333953857],
			[0.36025404161022556*heelWidth,0.2121477508544922*beginningOfArch,-1.7621524333953857],
			[0.3588124244443832*heelWidth,0.2077074432373047*beginningOfArch,-0.7148144245147705+thickness],
			[0.43513676428025766*heelWidth,0.37785240173339846*beginningOfArch,-1.7419185638427734],
			[0.45613295032132056*heelWidth,0.43737548828125*beginningOfArch,-1.755301594734192],
			[0.4550197355208858*heelWidth,0.42802093505859373*beginningOfArch,-0.7608466148376465+thickness],
			[0.47138455395896467*((1.0-(((0.07032964259018133*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.07032964259018133*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.07032964259018133*(endOfArch-beginningOfArch)+beginningOfArch,-2.988182544708252],
			[0.45016053035249287*((1.0-(((0.10939091811945409*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.10939091811945409*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.10939091811945409*(endOfArch-beginningOfArch)+beginningOfArch,-3.157477378845215],
			[0.46991481396875534*((1.0-(((0.11674753824869792*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.11674753824869792*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.11674753824869792*(endOfArch-beginningOfArch)+beginningOfArch,-2.9939961433410645],
			[0.4674267889298129*((1.0-(((0.23411795533733604*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.23411795533733604*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.23411795533733604*(endOfArch-beginningOfArch)+beginningOfArch,-2.916714668273926],
			[0.4528973333579981*((1.0-(((0.26549341649184993*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.26549341649184993*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.26549341649184993*(endOfArch-beginningOfArch)+beginningOfArch,-2.9185640811920166],
			[0.4678113515057739*((1.0-(((0.2673157115041474*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch)))*heelWidth+(((0.2673157115041474*(endOfArch-beginningOfArch)+beginningOfArch)-beginningOfArch)/(endOfArch-beginningOfArch))*footWidth),0.2673157115041474*(endOfArch-beginningOfArch)+beginningOfArch,-2.916640043258667]
		],
		triangles=[
			[114,1096,691],
			[115,1102,698],
			[116,1234,702],
			[118,1235,709],
			[119,1236,713],
			[121,1124,720],
			[122,1128,724],
			[124,1153,749],
			[125,1157,753],
			[126,1161,757],
			[127,1242,761],
			[128,1243,765],
			[129,1173,769],
			[130,1245,773],
			[131,1246,777],
			[133,1188,784],
			[134,1192,788],
			[135,1249,792],
			[136,1250,796],
			[137,1251,800],
			[138,1252,804],
			[139,1212,808],
			[140,1216,812],
			[79,1255,681],
			[32,1256,585],
			[83,995,684],
			[33,654,589],
			[42,1259,960],
			[34,657,593],
			[90,685,1068],
			[91,1003,690],
			[35,661,597],
			[94,689,1072],
			[95,1265,694],
			[36,1266,601],
			[99,1267,697],
			[37,1268,605],
			[102,1269,1079],
			[103,1270,701],
			[38,1271,609],
			[106,1272,1083],
			[107,1019,705],
			[39,676,613],
			[62,1275,1042],
			[64,1276,1044],
			[23,744,596],
			[54,1278,708],
			[24,1279,584],
			[81,1280,1061],
			[71,1281,712],
			[10,1282,562],
			[57,1283,1037],
			[80,1284,716],
			[27,1285,646],
			[58,972,719],
			[28,630,588],
			[85,718,1064],
			[75,1055,723],
			[11,579,566],
			[61,722,1041],
			[84,1063,727],
			[31,587,650],
			[46,1294,1029],
			[18,1295,640],
			[68,1296,982],
			[51,1297,1144],
			[5,1298,820],
			[12,1299,614],
			[53,1223,728],
			[66,1301,1046],
			[20,1303,641],
			[69,1304,983],
			[44,1305,961],
			[6,1306,569],
			[70,1307,984],
			[14,1308,616],
			[22,1309,642],
			[45,962,748],
			[17,619,592],
			[89,747,1067],
			[67,1047,752],
			[9,572,561],
			[56,751,1036],
			[88,1066,756],
			[26,591,645],
			[73,755,987],
			[8,1319,571],
			[93,1320,1071],
			[50,1033,764],
			[0,1322,551],
			[41,1323,1024],
			[92,1070,768],
			[13,595,635],
			[63,1326,977],
			[72,1327,772],
			[25,1328,600],
			[97,1329,1075],
			[55,1330,776],
			[4,1331,567],
			[96,1332,780],
			[19,1333,621],
			[44,961,783],
			[16,1335,604],
			[101,782,1078],
			[66,1337,787],
			[8,1338,565],
			[60,786,1040],
			[100,1340,791],
			[30,1341,649],
			[77,1342,990],
			[70,1343,795],
			[22,1344,608],
			[105,1345,1082],
			[49,1346,799],
			[3,1347,552],
			[42,1348,1025],
			[104,1349,803],
			[14,1350,636],
			[64,1351,978],
			[76,989,807],
			[29,648,612],
			[109,806,1086],
			[59,1039,811],
			[6,564,574],
			[69,810,1049],
			[108,1085,815],
			[20,611,622],
			[2,1360,555],
			[16,1361,618],
			[49,1362,1032],
			[3,1363,557],
			[87,999,686],
			[113,1224,687],
			[72,826,986],
			[58,827,972],
			[77,990,699],
			[65,1045,706],
			[81,1061,710],
			[83,831,995],
			[84,832,1063],
			[87,833,999],
			[88,834,1066],
			[71,835,1051],
			[56,1036,758],
			[93,1071,762],
			[55,838,1035],
			[57,1037,770],
			[97,1075,774],
			[99,841,1011],
			[100,842,1077],
			[102,1079,789],
			[60,1040,793],
			[105,1082,797],
			[106,1083,801],
			[107,847,1019],
			[108,848,1085],
			[15,617,582],
			[79,681,1059],
			[112,851,1090],
			[86,852,683],
			[48,965,1229],
			[90,854,685],
			[24,855,626],
			[114,856,1096],
			[94,857,689],
			[25,858,644],
			[27,646,598],
			[95,694,1073],
			[18,640,602],
			[99,697,1076],
			[115,698,1103],
			[30,649,606],
			[103,701,1080],
			[116,702,1107],
			[117,867,1110],
			[110,868,704],
			[51,1144,1140],
			[52,1228,1147],
			[93,871,759],
			[7,570,559],
			[54,708,1034],
			[118,709,1114],
			[24,584,643],
			[71,712,985],
			[119,713,1118],
			[32,585,652],
			[80,716,992],
			[121,880,1124],
			[85,881,718],
			[33,882,654],
			[122,883,1128],
			[61,884,722],
			[31,885,587],
			[123,886,1132],
			[78,887,726],
			[41,1024,1136],
			[13,635,1142],
			[63,977,1137],
			[131,777,1138],
			[55,776,969],
			[19,621,1145],
			[127,893,1165],
			[53,1151,1143],
			[15,637,1225],
			[65,979,1146],
			[50,967,1139],
			[7,824,1227],
			[67,981,1149],
			[21,623,1231],
			[17,639,1150],
			[124,903,1153],
			[89,904,747],
			[34,905,657],
			[125,906,1157],
			[56,907,751],
			[26,908,591],
			[126,909,1161],
			[73,910,755],
			[10,911,576],
			[9,817,1167],
			[127,761,1166],
			[128,914,1169],
			[50,764,967],
			[128,765,1170],
			[129,917,1173],
			[63,918,767],
			[129,769,1174],
			[10,562,577],
			[72,772,1052],
			[130,773,1178],
			[25,600,627],
			[5,820,1182],
			[36,601,666],
			[96,780,1008],
			[133,927,1188],
			[44,783,1027],
			[37,929,668],
			[16,604,638],
			[66,787,980],
			[30,932,603],
			[37,605,669],
			[100,791,1012],
			[135,792,1197],
			[8,565,575],
			[70,795,1050],
			[136,796,1201],
			[22,608,624],
			[49,799,966],
			[137,800,1205],
			[38,609,673],
			[104,803,1016],
			[138,804,1209],
			[139,945,1212],
			[109,946,806],
			[39,947,676],
			[140,948,1216],
			[69,949,810],
			[20,950,611],
			[1220,1221,141],
			[0,551,1141],
			[23,625,1152],
			[45,1028,1222],
			[1,554,1148],
			[113,957,1224],
			[54,958,968],
			[279,688,1366],
			[279,1366,1367],
			[282,1368,1099],
			[286,695,1369],
			[286,1369,1370],
			[289,1371,1105],
			[419,828,1372],
			[419,1372,1373],
			[293,1374,1109],
			[420,829,1375],
			[420,1375,1376],
			[300,1377,1116],
			[421,830,1378],
			[421,1378,1379],
			[304,1380,1120],
			[308,717,1381],
			[308,1381,1382],
			[311,1383,1127],
			[312,721,1384],
			[312,1384,1385],
			[315,1386,1131],
			[337,746,1387],
			[337,1387,1388],
			[340,1389,1156],
			[341,750,1390],
			[341,1390,1391],
			[344,1392,1160],
			[345,754,1393],
			[345,1393,1394],
			[348,1395,1164],
			[427,836,1396],
			[427,1396,1397],
			[352,1398,1168],
			[428,837,1399],
			[428,1399,1400],
			[356,1401,1172],
			[357,766,1402],
			[357,1402,1403],
			[360,1404,1176],
			[430,839,1405],
			[430,1405,1406],
			[364,1407,1180],
			[431,840,1408],
			[431,1408,1409],
			[368,1410,1184],
			[372,781,1411],
			[372,1411,1412],
			[375,1413,1191],
			[376,785,1414],
			[376,1414,1415],
			[379,1416,1195],
			[434,843,1417],
			[434,1417,1418],
			[383,1419,1199],
			[435,844,1420],
			[435,1420,1421],
			[387,1422,1203],
			[436,845,1423],
			[436,1423,1424],
			[391,1425,1207],
			[437,846,1426],
			[437,1426,1427],
			[395,1428,1211],
			[396,805,1429],
			[396,1429,1430],
			[399,1431,1215],
			[400,809,1432],
			[400,1432,1433],
			[403,1434,1219],
			[440,849,1435],
			[440,1435,1436],
			[272,1437,1089],
			[441,850,1438],
			[441,1438,1439],
			[176,1440,994],
			[177,586,1441],
			[177,1441,1442],
			[275,1443,1092],
			[245,1062,1444],
			[245,1444,1445],
			[180,1446,998],
			[444,853,1447],
			[444,1447,1448],
			[143,1449,552],
			[248,1065,1450],
			[248,1450,1451],
			[184,1452,1002],
			[276,1093,1453],
			[276,1453,1454],
			[251,1455,660],
			[185,594,1456],
			[185,1456,1457],
			[281,1458,1098],
			[252,1069,1459],
			[252,1459,1460],
			[188,1461,1006],
			[280,1097,1462],
			[280,1462,1463],
			[255,1464,664],
			[450,859,1465],
			[450,1465,1466],
			[285,1467,1101],
			[451,860,1468],
			[451,1468,1469],
			[192,1470,1010],
			[452,861,1471],
			[452,1471,1472],
			[288,1473,1104],
			[453,862,1474],
			[453,1474,1475],
			[196,1476,1014],
			[454,863,1477],
			[454,1477,1478],
			[262,1479,671],
			[455,864,1480],
			[455,1480,1481],
			[292,1482,1108],
			[456,865,1483],
			[456,1483,1484],
			[200,1485,1018],
			[457,866,1486],
			[457,1486,1487],
			[266,1488,675],
			[201,610,1489],
			[201,1489,1490],
			[296,1491,1112],
			[267,1084,1492],
			[267,1492,1493],
			[204,1494,1022],
			[460,869,1495],
			[460,1495,1496],
			[225,1497,634],
			[461,870,1498],
			[461,1498,1499],
			[227,1500,636],
			[335,1151,1501],
			[335,1501,1502],
			[187,1503,1005],
			[463,872,1504],
			[463,1504,1505],
			[299,1506,1115],
			[464,873,1507],
			[464,1507,1508],
			[175,1509,993],
			[465,874,1510],
			[465,1510,1511],
			[244,1512,653],
			[466,875,1513],
			[466,1513,1514],
			[303,1515,1119],
			[467,876,1516],
			[467,1516,1517],
			[153,1518,971],
			[468,877,1519],
			[468,1519,1520],
			[220,1521,629],
			[469,878,1522],
			[469,1522,1523],
			[307,1524,1123],
			[470,879,1525],
			[470,1525,1526],
			[237,1527,1054],
			[154,563,1528],
			[154,1528,1529],
			[310,1530,1126],
			[221,1038,1531],
			[221,1531,1532],
			[179,1533,997],
			[309,1125,1534],
			[309,1534,1535],
			[247,1536,656],
			[238,647,1537],
			[238,1537,1538],
			[314,1539,1130],
			[170,988,1540],
			[170,1540,1541],
			[157,1542,975],
			[313,1129,1543],
			[313,1543,1544],
			[224,1545,633],
			[246,655,1546],
			[246,1546,1547],
			[318,1548,1134],
			[178,996,1549],
			[178,1549,1550],
			[241,1551,1058],
			[479,888,1552],
			[479,1552,1553],
			[211,1554,620],
			[480,889,1555],
			[480,1555,1556],
			[231,1557,1048],
			[481,890,1558],
			[481,1558,1559],
			[164,1560,573],
			[482,891,1561],
			[482,1561,1562],
			[328,1563,737],
			[483,892,1564],
			[483,1564,1565],
			[411,1566,1226],
			[408,817,1568],
			[408,1568,1569],
			[319,1570,1135],
			[486,894,1571],
			[486,1571,1572],
			[229,1573,638],
			[487,895,1574],
			[487,1574,1575],
			[213,1576,622],
			[488,896,1577],
			[488,1577,1578],
			[232,1579,1049],
			[489,897,1580],
			[489,1580,1581],
			[165,1582,574],
			[490,898,1583],
			[490,1583,1584],
			[144,1585,553],
			[491,899,1586],
			[491,1586,1587],
			[160,1588,978],
			[492,900,1589],
			[492,1589,1590],
			[166,1591,575],
			[493,901,1592],
			[493,1592,1593],
			[207,1594,1025],
			[494,902,1595],
			[494,1595,1596],
			[233,1597,1050],
			[145,554,1598],
			[145,1598,1599],
			[339,1600,1155],
			[210,1028,1601],
			[210,1601,1602],
			[183,1603,1001],
			[338,1154,1604],
			[338,1604,1605],
			[250,1606,659],
			[230,639,1607],
			[230,1607,1608],
			[343,1609,1159],
			[163,981,1610],
			[163,1610,1611],
			[152,1612,970],
			[342,1158,1613],
			[342,1613,1614],
			[219,1615,628],
			[249,658,1616],
			[249,1616,1617],
			[347,1618,1163],
			[182,1000,1619],
			[182,1619,1620],
			[236,1621,1053],
			[346,1162,1622],
			[346,1622,1623],
			[169,1624,578],
			[504,912,1625],
			[504,1625,1626],
			[162,1627,980],
			[505,913,1628],
			[505,1628,1629],
			[254,1630,663],
			[216,625,1631],
			[216,1631,1632],
			[355,1633,1171],
			[507,915,1634],
			[507,1634,1635],
			[142,1636,959],
			[508,916,1637],
			[508,1637,1638],
			[206,1639,615],
			[253,662,1640],
			[253,1640,1641],
			[359,1642,1175],
			[186,1004,1643],
			[186,1643,1644],
			[226,1645,1043],
			[511,919,1646],
			[511,1646,1647],
			[159,1648,568],
			[512,920,1649],
			[512,1649,1650],
			[363,1651,1179],
			[513,921,1652],
			[513,1652,1653],
			[191,1654,1009],
			[514,922,1655],
			[514,1655,1656],
			[258,1657,667],
			[515,923,1658],
			[515,1658,1659],
			[367,1660,1183],
			[516,924,1661],
			[516,1661,1662],
			[158,1663,976],
			[517,925,1664],
			[517,1664,1665],
			[371,1666,1187],
			[518,926,1667],
			[518,1667,1668],
			[144,553,1670],
			[144,1670,1671],
			[374,1672,1190],
			[520,928,1673],
			[520,1673,1674],
			[195,1675,1013],
			[373,1189,1676],
			[373,1676,1677],
			[261,1678,670],
			[522,930,1679],
			[522,1679,1680],
			[378,1681,1194],
			[523,931,1682],
			[523,1682,1683],
			[156,1684,974],
			[377,1193,1685],
			[377,1685,1686],
			[223,1687,632],
			[525,933,1688],
			[525,1688,1689],
			[382,1690,1198],
			[526,934,1691],
			[526,1691,1692],
			[240,1693,1057],
			[527,935,1694],
			[527,1694,1695],
			[172,1696,581],
			[528,936,1697],
			[528,1697,1698],
			[386,1699,1202],
			[529,937,1700],
			[529,1700,1701],
			[199,1702,1017],
			[530,938,1703],
			[530,1703,1704],
			[265,1705,674],
			[531,939,1706],
			[531,1706,1707],
			[390,1708,1206],
			[532,940,1709],
			[532,1709,1710],
			[143,1711,960],
			[533,941,1712],
			[533,1712,1713],
			[207,1714,616],
			[534,942,1715],
			[534,1715,1716],
			[394,1717,1210],
			[535,943,1718],
			[535,1718,1719],
			[227,1720,1044],
			[536,944,1721],
			[536,1721,1722],
			[160,1723,569],
			[171,580,1724],
			[171,1724,1725],
			[398,1726,1214],
			[239,1056,1727],
			[239,1727,1728],
			[203,1729,1021],
			[397,1213,1730],
			[397,1730,1731],
			[269,1732,678],
			[222,631,1733],
			[222,1733,1734],
			[402,1735,1218],
			[155,973,1736],
			[155,1736,1737],
			[165,1738,983],
			[401,1217,1739],
			[401,1739,1740],
			[232,1741,641],
			[268,677,1742],
			[268,1742,1743],
			[406,1744,1221],
			[202,1020,1745],
			[202,1745,1746],
			[213,1747,1030],
			[545,953,1748],
			[545,1748,1749],
			[146,1750,963],
			[546,954,1751],
			[546,1751,1752],
			[209,1753,1027],
			[547,955,1754],
			[547,1754,1755],
			[215,1756,624],
			[548,956,1757],
			[548,1757,1758],
			[148,1759,966],
			[181,590,1760],
			[181,1760,1761],
			[277,1762,1094],
			[409,818,1763],
			[409,1763,1764],
			[278,1765,1095],
			[417,1232,1766],
			[417,1766,1767],
			[168,1768,577],
			[418,1233,1769],
			[418,1769,1770],
			[154,1771,563],
			[172,581,1772],
			[172,1772,1773],
			[290,1774,1106],
			[228,637,1775],
			[228,1775,1776],
			[297,1777,1113],
			[244,653,1778],
			[244,1778,1779],
			[301,1780,1117],
			[422,1237,1781],
			[422,1781,1782],
			[177,1783,586],
			[423,1238,1784],
			[423,1784,1785],
			[246,1786,655],
			[424,1239,1787],
			[424,1787,1788],
			[181,1789,590],
			[425,1240,1790],
			[425,1790,1791],
			[249,1792,658],
			[426,1241,1793],
			[426,1793,1794],
			[234,1795,643],
			[219,628,1796],
			[219,1796,1797],
			[349,1798,1165],
			[254,663,1799],
			[254,1799,1800],
			[353,1801,1169],
			[429,1244,1802],
			[429,1802,1803],
			[218,1804,627],
			[220,629,1805],
			[220,1805,1806],
			[361,1807,1177],
			[258,667,1808],
			[258,1808,1809],
			[365,1810,1181],
			[432,1247,1811],
			[432,1811,1812],
			[193,1813,602],
			[433,1248,1814],
			[433,1814,1815],
			[260,1816,669],
			[262,671,1817],
			[262,1817,1818],
			[380,1819,1196],
			[223,632,1820],
			[223,1820,1821],
			[384,1822,1200],
			[265,674,1823],
			[265,1823,1824],
			[388,1825,1204],
			[266,675,1826],
			[266,1826,1827],
			[392,1828,1208],
			[438,1253,1829],
			[438,1829,1830],
			[201,1831,610],
			[439,1254,1832],
			[439,1832,1833],
			[268,1834,677],
			[208,1026,1835],
			[208,1835,1836],
			[173,1837,991],
			[272,1089,1838],
			[272,1838,1839],
			[242,1840,651],
			[442,1257,1841],
			[442,1841,1842],
			[273,1843,682],
			[443,1258,1844],
			[443,1844,1845],
			[274,1846,1091],
			[147,556,1847],
			[147,1847,1848],
			[414,1849,823],
			[445,1260,1850],
			[445,1850,1851],
			[276,1852,1093],
			[446,1261,1853],
			[446,1853,1854],
			[217,1855,1034],
			[447,1262,1856],
			[447,1856,1857],
			[279,1858,688],
			[448,1263,1859],
			[448,1859,1860],
			[280,1861,1097],
			[449,1264,1862],
			[449,1862,1863],
			[235,1864,1052],
			[237,1054,1865],
			[237,1865,1866],
			[189,1867,1007],
			[285,1101,1868],
			[285,1868,1869],
			[256,1870,665],
			[231,1048,1871],
			[231,1871,1872],
			[193,1873,1011],
			[288,1104,1874],
			[288,1874,1875],
			[259,1876,668],
			[289,1105,1877],
			[289,1877,1878],
			[287,1879,696],
			[240,1057,1880],
			[240,1880,1881],
			[197,1882,1015],
			[292,1108,1883],
			[292,1883,1884],
			[263,1885,672],
			[293,1109,1886],
			[293,1886,1887],
			[291,1888,700],
			[458,1273,1889],
			[458,1889,1890],
			[294,1891,703],
			[459,1274,1892],
			[459,1892,1893],
			[295,1894,1111],
			[328,737,1895],
			[328,1895,1896],
			[324,1897,733],
			[413,822,1898],
			[413,1898,1899],
			[331,1900,740],
			[462,1277,1901],
			[462,1901,1902],
			[350,1903,1166],
			[161,979,1904],
			[161,1904,1905],
			[150,1906,968],
			[299,1115,1907],
			[299,1907,1908],
			[217,1909,626],
			[300,1116,1910],
			[300,1910,1911],
			[298,1912,707],
			[175,993,1913],
			[175,1913,1914],
			[234,1915,1051],
			[303,1119,1916],
			[303,1916,1917],
			[167,1918,576],
			[304,1120,1919],
			[304,1919,1920],
			[302,1921,711],
			[176,994,1922],
			[176,1922,1923],
			[243,1924,1060],
			[307,1123,1925],
			[307,1925,1926],
			[174,1927,583],
			[471,1286,1928],
			[471,1928,1929],
			[308,1930,717],
			[472,1287,1931],
			[472,1931,1932],
			[309,1933,1125],
			[473,1288,1934],
			[473,1934,1935],
			[245,1936,1062],
			[474,1289,1937],
			[474,1937,1938],
			[312,1939,721],
			[475,1290,1940],
			[475,1940,1941],
			[313,1942,1129],
			[476,1291,1943],
			[476,1943,1944],
			[178,1945,996],
			[477,1292,1946],
			[477,1946,1947],
			[316,1948,725],
			[478,1293,1949],
			[478,1949,1950],
			[317,1951,1133],
			[206,615,1952],
			[206,1952,1953],
			[320,1954,729],
			[226,1043,1955],
			[226,1955,1956],
			[326,1957,735],
			[159,568,1958],
			[159,1958,1959],
			[321,1960,730],
			[368,1184,1961],
			[368,1961,1962],
			[322,1963,731],
			[367,1183,1964],
			[367,1964,1965],
			[151,1966,560],
			[212,1967,1968],
			[329,1969,738],
			[485,1300,1970],
			[485,1970,1971],
			[349,1972,758],
			[335,744,1973],
			[335,1973,1974],
			[327,1975,736],
			[208,617,1976],
			[208,1976,1977],
			[228,1045,1979],
			[228,1979,1980],
			[410,1981,819],
			[161,570,1982],
			[161,1982,1983],
			[330,1984,739],
			[149,558,1985],
			[149,1985,1986],
			[323,1987,732],
			[415,1230,1988],
			[415,1988,1989],
			[412,1990,821],
			[163,572,1991],
			[163,1991,1992],
			[333,1993,742],
			[214,1031,1994],
			[214,1994,1995],
			[416,1996,825],
			[230,1047,1997],
			[230,1997,1998],
			[334,1999,743],
			[495,1310,2000],
			[495,2000,2001],
			[337,2002,746],
			[496,1311,2003],
			[496,2003,2004],
			[338,2005,1154],
			[497,1312,2006],
			[497,2006,2007],
			[248,2008,1065],
			[498,1313,2009],
			[498,2009,2010],
			[341,2011,750],
			[499,1314,2012],
			[499,2012,2013],
			[342,2014,1158],
			[500,1315,2015],
			[500,2015,2016],
			[182,2017,1000],
			[501,1316,2018],
			[501,2018,2019],
			[345,2020,754],
			[502,1317,2021],
			[502,2021,2022],
			[346,2023,1162],
			[503,1318,2024],
			[503,2024,2025],
			[167,2026,985],
			[408,1223,2027],
			[408,2027,2028],
			[351,2029,760],
			[352,1168,2030],
			[352,2030,2031],
			[350,2032,759],
			[506,1321,2033],
			[506,2033,2034],
			[353,2035,762],
			[355,1171,2036],
			[355,2036,2037],
			[149,2038,558],
			[356,1172,2039],
			[356,2039,2040],
			[354,2041,763],
			[509,1324,2042],
			[509,2042,2043],
			[357,2044,766],
			[510,1325,2045],
			[510,2045,2046],
			[358,2047,1174],
			[360,1176,2048],
			[360,2048,2049],
			[358,2050,767],
			[153,971,2051],
			[153,2051,2052],
			[168,2053,986],
			[363,1179,2054],
			[363,2054,2055],
			[235,2056,644],
			[364,1180,2057],
			[364,2057,2058],
			[362,2059,771],
			[191,1009,2060],
			[191,2060,2061],
			[218,2062,1035],
			[411,1226,2063],
			[411,2063,2064],
			[366,2065,775],
			[192,1010,2066],
			[192,2066,2067],
			[257,2068,1074],
			[371,1187,2069],
			[371,2069,2070],
			[190,2071,599],
			[519,1334,2072],
			[519,2072,2073],
			[372,2074,781],
			[374,1190,2075],
			[374,2075,2076],
			[209,2077,618],
			[521,1336,2078],
			[521,2078,2079],
			[259,2080,1076],
			[195,1013,2081],
			[195,2081,2082],
			[229,2083,1046],
			[378,1194,2084],
			[378,2084,2085],
			[162,2086,571],
			[524,1339,2087],
			[524,2087,2088],
			[194,2089,1012],
			[196,1014,2090],
			[196,2090,2091],
			[260,2092,1077],
			[382,1198,2093],
			[382,2093,2094],
			[194,2095,603],
			[383,1199,2096],
			[383,2096,2097],
			[381,2098,790],
			[156,974,2099],
			[156,2099,2100],
			[166,2101,984],
			[386,1202,2102],
			[386,2102,2103],
			[233,2104,642],
			[387,1203,2105],
			[387,2105,2106],
			[385,2107,794],
			[199,1017,2108],
			[199,2108,2109],
			[215,2110,1032],
			[390,1206,2111],
			[390,2111,2112],
			[148,2113,557],
			[391,1207,2114],
			[391,2114,2115],
			[389,2116,798],
			[200,1018,2117],
			[200,2117,2118],
			[264,2119,1081],
			[394,1210,2120],
			[394,2120,2121],
			[198,2122,607],
			[395,1211,2123],
			[395,2123,2124],
			[393,2125,802],
			[537,1352,2126],
			[537,2126,2127],
			[396,2128,805],
			[538,1353,2129],
			[538,2129,2130],
			[397,2131,1213],
			[539,1354,2132],
			[539,2132,2133],
			[267,2134,1084],
			[540,1355,2135],
			[540,2135,2136],
			[400,2137,809],
			[541,1356,2138],
			[541,2138,2139],
			[401,2140,1217],
			[542,1357,2141],
			[542,2141,2142],
			[202,2143,1020],
			[543,1358,2144],
			[543,2144,2145],
			[404,2146,813],
			[544,1359,2147],
			[544,2147,2148],
			[142,959,2150],
			[142,2150,2151],
			[325,2152,734],
			[216,1033,2153],
			[216,2153,2154],
			[336,2155,745],
			[210,619,2156],
			[210,2156,2157],
			[407,2158,816],
			[145,962,2159],
			[145,2159,2160],
			[332,2161,741],
			[549,1364,2162],
			[549,2162,2163],
			[409,2164,818],
			[550,1365,2165],
			[550,2165,2166],
			[150,2167,559],
			[1096,279,1367],
			[1096,1367,691],
			[691,1367,282],
			[1102,286,1370],
			[1102,1370,698],
			[698,1370,289],
			[1234,419,1373],
			[1234,1373,702],
			[702,1373,293],
			[1235,420,1376],
			[1235,1376,709],
			[709,1376,300],
			[1236,421,1379],
			[1236,1379,713],
			[713,1379,304],
			[1124,308,1382],
			[1124,1382,720],
			[720,1382,311],
			[1128,312,1385],
			[1128,1385,724],
			[724,1385,315],
			[1153,337,1388],
			[1153,1388,749],
			[749,1388,340],
			[1157,341,1391],
			[1157,1391,753],
			[753,1391,344],
			[1161,345,1394],
			[1161,1394,757],
			[757,1394,348],
			[1242,427,1397],
			[1242,1397,761],
			[761,1397,352],
			[1243,428,1400],
			[1243,1400,765],
			[765,1400,356],
			[1173,357,1403],
			[1173,1403,769],
			[769,1403,360],
			[1245,430,1406],
			[1245,1406,773],
			[773,1406,364],
			[1246,431,1409],
			[1246,1409,777],
			[777,1409,368],
			[1188,372,1412],
			[1188,1412,784],
			[784,1412,375],
			[1192,376,1415],
			[1192,1415,788],
			[788,1415,379],
			[1249,434,1418],
			[1249,1418,792],
			[792,1418,383],
			[1250,435,1421],
			[1250,1421,796],
			[796,1421,387],
			[1251,436,1424],
			[1251,1424,800],
			[800,1424,391],
			[1252,437,1427],
			[1252,1427,804],
			[804,1427,395],
			[1212,396,1430],
			[1212,1430,808],
			[808,1430,399],
			[1216,400,1433],
			[1216,1433,812],
			[812,1433,403],
			[1255,440,1436],
			[1255,1436,681],
			[681,1436,272],
			[1256,441,1439],
			[1256,1439,585],
			[585,1439,176],
			[995,177,1442],
			[995,1442,684],
			[684,1442,275],
			[654,245,1445],
			[654,1445,589],
			[589,1445,180],
			[1259,444,1448],
			[1259,1448,960],
			[960,1448,143],
			[657,248,1451],
			[657,1451,593],
			[593,1451,184],
			[685,276,1454],
			[685,1454,1068],
			[1068,1454,251],
			[1003,185,1457],
			[1003,1457,690],
			[690,1457,281],
			[661,252,1460],
			[661,1460,597],
			[597,1460,188],
			[689,280,1463],
			[689,1463,1072],
			[1072,1463,255],
			[1265,450,1466],
			[1265,1466,694],
			[694,1466,285],
			[1266,451,1469],
			[1266,1469,601],
			[601,1469,192],
			[1267,452,1472],
			[1267,1472,697],
			[697,1472,288],
			[1268,453,1475],
			[1268,1475,605],
			[605,1475,196],
			[1269,454,1478],
			[1269,1478,1079],
			[1079,1478,262],
			[1270,455,1481],
			[1270,1481,701],
			[701,1481,292],
			[1271,456,1484],
			[1271,1484,609],
			[609,1484,200],
			[1272,457,1487],
			[1272,1487,1083],
			[1083,1487,266],
			[1019,201,1490],
			[1019,1490,705],
			[705,1490,296],
			[676,267,1493],
			[676,1493,613],
			[613,1493,204],
			[1275,460,1496],
			[1275,1496,1042],
			[1042,1496,225],
			[1276,461,1499],
			[1276,1499,1044],
			[1044,1499,227],
			[744,335,1502],
			[744,1502,596],
			[596,1502,187],
			[1278,463,1505],
			[1278,1505,708],
			[708,1505,299],
			[1279,464,1508],
			[1279,1508,584],
			[584,1508,175],
			[1280,465,1511],
			[1280,1511,1061],
			[1061,1511,244],
			[1281,466,1514],
			[1281,1514,712],
			[712,1514,303],
			[1282,467,1517],
			[1282,1517,562],
			[562,1517,153],
			[1283,468,1520],
			[1283,1520,1037],
			[1037,1520,220],
			[1284,469,1523],
			[1284,1523,716],
			[716,1523,307],
			[1285,470,1526],
			[1285,1526,646],
			[646,1526,237],
			[972,154,1529],
			[972,1529,719],
			[719,1529,310],
			[630,221,1532],
			[630,1532,588],
			[588,1532,179],
			[718,309,1535],
			[718,1535,1064],
			[1064,1535,247],
			[1055,238,1538],
			[1055,1538,723],
			[723,1538,314],
			[579,170,1541],
			[579,1541,566],
			[566,1541,157],
			[722,313,1544],
			[722,1544,1041],
			[1041,1544,224],
			[1063,246,1547],
			[1063,1547,727],
			[727,1547,318],
			[587,178,1550],
			[587,1550,650],
			[650,1550,241],
			[1294,479,1553],
			[1294,1553,1029],
			[1029,1553,211],
			[1295,480,1556],
			[1295,1556,640],
			[640,1556,231],
			[1296,481,1559],
			[1296,1559,982],
			[982,1559,164],
			[1297,482,1562],
			[1297,1562,1144],
			[1144,1562,328],
			[1298,483,1565],
			[1298,1565,820],
			[820,1565,411],
			[1299,484,1567],
			[1299,1567,614],
			[614,1567,205],
			[1223,408,1569],
			[1223,1569,728],
			[728,1569,319],
			[1301,486,1572],
			[1301,1572,1046],
			[1046,1572,229],
			[1302,487,1575],
			[1302,1575,1030],
			[1030,1575,213],
			[1303,488,1578],
			[1303,1578,641],
			[641,1578,232],
			[1304,489,1581],
			[1304,1581,983],
			[983,1581,165],
			[1305,490,1584],
			[1305,1584,961],
			[961,1584,144],
			[1306,491,1587],
			[1306,1587,569],
			[569,1587,160],
			[1307,492,1590],
			[1307,1590,984],
			[984,1590,166],
			[1308,493,1593],
			[1308,1593,616],
			[616,1593,207],
			[1309,494,1596],
			[1309,1596,642],
			[642,1596,233],
			[962,145,1599],
			[962,1599,748],
			[748,1599,339],
			[619,210,1602],
			[619,1602,592],
			[592,1602,183],
			[747,338,1605],
			[747,1605,1067],
			[1067,1605,250],
			[1047,230,1608],
			[1047,1608,752],
			[752,1608,343],
			[572,163,1611],
			[572,1611,561],
			[561,1611,152],
			[751,342,1614],
			[751,1614,1036],
			[1036,1614,219],
			[1066,249,1617],
			[1066,1617,756],
			[756,1617,347],
			[591,182,1620],
			[591,1620,645],
			[645,1620,236],
			[755,346,1623],
			[755,1623,987],
			[987,1623,169],
			[1319,504,1626],
			[1319,1626,571],
			[571,1626,162],
			[1320,505,1629],
			[1320,1629,1071],
			[1071,1629,254],
			[1033,216,1632],
			[1033,1632,764],
			[764,1632,355],
			[1322,507,1635],
			[1322,1635,551],
			[551,1635,142],
			[1323,508,1638],
			[1323,1638,1024],
			[1024,1638,206],
			[1070,253,1641],
			[1070,1641,768],
			[768,1641,359],
			[595,186,1644],
			[595,1644,635],
			[635,1644,226],
			[1326,511,1647],
			[1326,1647,977],
			[977,1647,159],
			[1327,512,1650],
			[1327,1650,772],
			[772,1650,363],
			[1328,513,1653],
			[1328,1653,600],
			[600,1653,191],
			[1329,514,1656],
			[1329,1656,1075],
			[1075,1656,258],
			[1330,515,1659],
			[1330,1659,776],
			[776,1659,367],
			[1331,516,1662],
			[1331,1662,567],
			[567,1662,158],
			[1332,517,1665],
			[1332,1665,780],
			[780,1665,371],
			[1333,518,1668],
			[1333,1668,621],
			[621,1668,212],
			[961,144,1671],
			[961,1671,783],
			[783,1671,374],
			[1335,520,1674],
			[1335,1674,604],
			[604,1674,195],
			[782,373,1677],
			[782,1677,1078],
			[1078,1677,261],
			[1337,522,1680],
			[1337,1680,787],
			[787,1680,378],
			[1338,523,1683],
			[1338,1683,565],
			[565,1683,156],
			[786,377,1686],
			[786,1686,1040],
			[1040,1686,223],
			[1340,525,1689],
			[1340,1689,791],
			[791,1689,382],
			[1341,526,1692],
			[1341,1692,649],
			[649,1692,240],
			[1342,527,1695],
			[1342,1695,990],
			[990,1695,172],
			[1343,528,1698],
			[1343,1698,795],
			[795,1698,386],
			[1344,529,1701],
			[1344,1701,608],
			[608,1701,199],
			[1345,530,1704],
			[1345,1704,1082],
			[1082,1704,265],
			[1346,531,1707],
			[1346,1707,799],
			[799,1707,390],
			[1347,532,1710],
			[1347,1710,552],
			[552,1710,143],
			[1348,533,1713],
			[1348,1713,1025],
			[1025,1713,207],
			[1349,534,1716],
			[1349,1716,803],
			[803,1716,394],
			[1350,535,1719],
			[1350,1719,636],
			[636,1719,227],
			[1351,536,1722],
			[1351,1722,978],
			[978,1722,160],
			[989,171,1725],
			[989,1725,807],
			[807,1725,398],
			[648,239,1728],
			[648,1728,612],
			[612,1728,203],
			[806,397,1731],
			[806,1731,1086],
			[1086,1731,269],
			[1039,222,1734],
			[1039,1734,811],
			[811,1734,402],
			[564,155,1737],
			[564,1737,574],
			[574,1737,165],
			[810,401,1740],
			[810,1740,1049],
			[1049,1740,232],
			[1085,268,1743],
			[1085,1743,815],
			[815,1743,406],
			[611,202,1746],
			[611,1746,622],
			[622,1746,213],
			[1360,545,1749],
			[1360,1749,555],
			[555,1749,146],
			[1361,546,1752],
			[1361,1752,618],
			[618,1752,209],
			[1362,547,1755],
			[1362,1755,1032],
			[1032,1755,215],
			[1363,548,1758],
			[1363,1758,557],
			[557,1758,148],
			[999,181,1761],
			[999,1761,686],
			[686,1761,277],
			[1224,409,1764],
			[1224,1764,687],
			[687,1764,278],
			[826,417,1767],
			[826,1767,986],
			[986,1767,168],
			[827,418,1770],
			[827,1770,972],
			[972,1770,154],
			[990,172,1773],
			[990,1773,699],
			[699,1773,290],
			[1045,228,1776],
			[1045,1776,706],
			[706,1776,297],
			[1061,244,1779],
			[1061,1779,710],
			[710,1779,301],
			[831,422,1782],
			[831,1782,995],
			[995,1782,177],
			[832,423,1785],
			[832,1785,1063],
			[1063,1785,246],
			[833,424,1788],
			[833,1788,999],
			[999,1788,181],
			[834,425,1791],
			[834,1791,1066],
			[1066,1791,249],
			[835,426,1794],
			[835,1794,1051],
			[1051,1794,234],
			[1036,219,1797],
			[1036,1797,758],
			[758,1797,349],
			[1071,254,1800],
			[1071,1800,762],
			[762,1800,353],
			[838,429,1803],
			[838,1803,1035],
			[1035,1803,218],
			[1037,220,1806],
			[1037,1806,770],
			[770,1806,361],
			[1075,258,1809],
			[1075,1809,774],
			[774,1809,365],
			[841,432,1812],
			[841,1812,1011],
			[1011,1812,193],
			[842,433,1815],
			[842,1815,1077],
			[1077,1815,260],
			[1079,262,1818],
			[1079,1818,789],
			[789,1818,380],
			[1040,223,1821],
			[1040,1821,793],
			[793,1821,384],
			[1082,265,1824],
			[1082,1824,797],
			[797,1824,388],
			[1083,266,1827],
			[1083,1827,801],
			[801,1827,392],
			[847,438,1830],
			[847,1830,1019],
			[1019,1830,201],
			[848,439,1833],
			[848,1833,1085],
			[1085,1833,268],
			[617,208,1836],
			[617,1836,582],
			[582,1836,173],
			[681,272,1839],
			[681,1839,1059],
			[1059,1839,242],
			[851,442,1842],
			[851,1842,1090],
			[1090,1842,273],
			[852,443,1845],
			[852,1845,683],
			[683,1845,274],
			[965,147,1848],
			[965,1848,1229],
			[1229,1848,414],
			[854,445,1851],
			[854,1851,685],
			[685,1851,276],
			[855,446,1854],
			[855,1854,626],
			[626,1854,217],
			[856,447,1857],
			[856,1857,1096],
			[1096,1857,279],
			[857,448,1860],
			[857,1860,689],
			[689,1860,280],
			[858,449,1863],
			[858,1863,644],
			[644,1863,235],
			[646,237,1866],
			[646,1866,598],
			[598,1866,189],
			[694,285,1869],
			[694,1869,1073],
			[1073,1869,256],
			[640,231,1872],
			[640,1872,602],
			[602,1872,193],
			[697,288,1875],
			[697,1875,1076],
			[1076,1875,259],
			[698,289,1878],
			[698,1878,1103],
			[1103,1878,287],
			[649,240,1881],
			[649,1881,606],
			[606,1881,197],
			[701,292,1884],
			[701,1884,1080],
			[1080,1884,263],
			[702,293,1887],
			[702,1887,1107],
			[1107,1887,291],
			[867,458,1890],
			[867,1890,1110],
			[1110,1890,294],
			[868,459,1893],
			[868,1893,704],
			[704,1893,295],
			[1144,328,1896],
			[1144,1896,1140],
			[1140,1896,324],
			[1228,413,1899],
			[1228,1899,1147],
			[1147,1899,331],
			[871,462,1902],
			[871,1902,759],
			[759,1902,350],
			[570,161,1905],
			[570,1905,559],
			[559,1905,150],
			[708,299,1908],
			[708,1908,1034],
			[1034,1908,217],
			[709,300,1911],
			[709,1911,1114],
			[1114,1911,298],
			[584,175,1914],
			[584,1914,643],
			[643,1914,234],
			[712,303,1917],
			[712,1917,985],
			[985,1917,167],
			[713,304,1920],
			[713,1920,1118],
			[1118,1920,302],
			[585,176,1923],
			[585,1923,652],
			[652,1923,243],
			[716,307,1926],
			[716,1926,992],
			[992,1926,174],
			[880,471,1929],
			[880,1929,1124],
			[1124,1929,308],
			[881,472,1932],
			[881,1932,718],
			[718,1932,309],
			[882,473,1935],
			[882,1935,654],
			[654,1935,245],
			[883,474,1938],
			[883,1938,1128],
			[1128,1938,312],
			[884,475,1941],
			[884,1941,722],
			[722,1941,313],
			[885,476,1944],
			[885,1944,587],
			[587,1944,178],
			[886,477,1947],
			[886,1947,1132],
			[1132,1947,316],
			[887,478,1950],
			[887,1950,726],
			[726,1950,317],
			[1024,206,1953],
			[1024,1953,1136],
			[1136,1953,320],
			[635,226,1956],
			[635,1956,1142],
			[1142,1956,326],
			[977,159,1959],
			[977,1959,1137],
			[1137,1959,321],
			[777,368,1962],
			[777,1962,1138],
			[1138,1962,322],
			[776,367,1965],
			[776,1965,969],
			[969,1965,151],
			[621,212,1968],
			[621,1968,1145],
			[1145,1968,329],
			[893,485,1971],
			[893,1971,1165],
			[1165,1971,349],
			[1151,335,1974],
			[1151,1974,1143],
			[1143,1974,327],
			[1026,208,1977],
			[637,228,1980],
			[637,1980,1225],
			[1225,1980,410],
			[979,161,1983],
			[979,1983,1146],
			[1146,1983,330],
			[967,149,1986],
			[967,1986,1139],
			[1139,1986,323],
			[824,415,1989],
			[824,1989,1227],
			[1227,1989,412],
			[981,163,1992],
			[981,1992,1149],
			[1149,1992,333],
			[623,214,1995],
			[623,1995,1231],
			[1231,1995,416],
			[639,230,1998],
			[639,1998,1150],
			[1150,1998,334],
			[903,495,2001],
			[903,2001,1153],
			[1153,2001,337],
			[904,496,2004],
			[904,2004,747],
			[747,2004,338],
			[905,497,2007],
			[905,2007,657],
			[657,2007,248],
			[906,498,2010],
			[906,2010,1157],
			[1157,2010,341],
			[907,499,2013],
			[907,2013,751],
			[751,2013,342],
			[908,500,2016],
			[908,2016,591],
			[591,2016,182],
			[909,501,2019],
			[909,2019,1161],
			[1161,2019,345],
			[910,502,2022],
			[910,2022,755],
			[755,2022,346],
			[911,503,2025],
			[911,2025,576],
			[576,2025,167],
			[817,408,2028],
			[817,2028,1167],
			[1167,2028,351],
			[761,352,2031],
			[761,2031,1166],
			[1166,2031,350],
			[914,506,2034],
			[914,2034,1169],
			[1169,2034,353],
			[764,355,2037],
			[764,2037,967],
			[967,2037,149],
			[765,356,2040],
			[765,2040,1170],
			[1170,2040,354],
			[917,509,2043],
			[917,2043,1173],
			[1173,2043,357],
			[918,510,2046],
			[918,2046,767],
			[767,2046,358],
			[769,360,2049],
			[769,2049,1174],
			[1174,2049,358],
			[562,153,2052],
			[562,2052,577],
			[577,2052,168],
			[772,363,2055],
			[772,2055,1052],
			[1052,2055,235],
			[773,364,2058],
			[773,2058,1178],
			[1178,2058,362],
			[600,191,2061],
			[600,2061,627],
			[627,2061,218],
			[820,411,2064],
			[820,2064,1182],
			[1182,2064,366],
			[601,192,2067],
			[601,2067,666],
			[666,2067,257],
			[780,371,2070],
			[780,2070,1008],
			[1008,2070,190],
			[927,519,2073],
			[927,2073,1188],
			[1188,2073,372],
			[783,374,2076],
			[783,2076,1027],
			[1027,2076,209],
			[929,521,2079],
			[929,2079,668],
			[668,2079,259],
			[604,195,2082],
			[604,2082,638],
			[638,2082,229],
			[787,378,2085],
			[787,2085,980],
			[980,2085,162],
			[932,524,2088],
			[932,2088,603],
			[603,2088,194],
			[605,196,2091],
			[605,2091,669],
			[669,2091,260],
			[791,382,2094],
			[791,2094,1012],
			[1012,2094,194],
			[792,383,2097],
			[792,2097,1197],
			[1197,2097,381],
			[565,156,2100],
			[565,2100,575],
			[575,2100,166],
			[795,386,2103],
			[795,2103,1050],
			[1050,2103,233],
			[796,387,2106],
			[796,2106,1201],
			[1201,2106,385],
			[608,199,2109],
			[608,2109,624],
			[624,2109,215],
			[799,390,2112],
			[799,2112,966],
			[966,2112,148],
			[800,391,2115],
			[800,2115,1205],
			[1205,2115,389],
			[609,200,2118],
			[609,2118,673],
			[673,2118,264],
			[803,394,2121],
			[803,2121,1016],
			[1016,2121,198],
			[804,395,2124],
			[804,2124,1209],
			[1209,2124,393],
			[945,537,2127],
			[945,2127,1212],
			[1212,2127,396],
			[946,538,2130],
			[946,2130,806],
			[806,2130,397],
			[947,539,2133],
			[947,2133,676],
			[676,2133,267],
			[948,540,2136],
			[948,2136,1216],
			[1216,2136,400],
			[949,541,2139],
			[949,2139,810],
			[810,2139,401],
			[950,542,2142],
			[950,2142,611],
			[611,2142,202],
			[951,543,2145],
			[2149,1221,1220],
			[405,2149,1220],
			[952,544,2148],
			[952,2148,814],
			[814,2148,405],
			[551,142,2151],
			[551,2151,1141],
			[1141,2151,325],
			[625,216,2154],
			[625,2154,1152],
			[1152,2154,336],
			[1028,210,2157],
			[1028,2157,1222],
			[1222,2157,407],
			[554,145,2160],
			[554,2160,1148],
			[1148,2160,332],
			[957,549,2163],
			[957,2163,1224],
			[1224,2163,409],
			[958,550,2166],
			[958,2166,968],
			[968,2166,150],
			[688,73,1232],
			[688,1232,1366],
			[1366,1232,417],
			[1366,417,1368],
			[1366,1368,1367],
			[1367,1368,282],
			[1368,417,826],
			[1368,826,1099],
			[1099,826,72],
			[695,68,1233],
			[695,1233,1369],
			[1369,1233,418],
			[1369,418,1371],
			[1369,1371,1370],
			[1370,1371,289],
			[1371,418,827],
			[1371,827,1105],
			[1105,827,58],
			[828,11,580],
			[828,580,1372],
			[1372,580,171],
			[1372,171,1374],
			[1372,1374,1373],
			[1373,1374,293],
			[1374,171,989],
			[1374,989,1109],
			[1109,989,76],
			[829,15,582],
			[829,582,1375],
			[1375,582,173],
			[1375,173,1377],
			[1375,1377,1376],
			[1376,1377,300],
			[1377,173,991],
			[1377,991,1116],
			[1116,991,79],
			[830,32,652],
			[830,652,1378],
			[1378,652,243],
			[1378,243,1380],
			[1378,1380,1379],
			[1379,1380,304],
			[1380,243,1060],
			[1380,1060,1120],
			[1120,1060,80],
			[717,62,1237],
			[717,1237,1381],
			[1381,1237,422],
			[1381,422,1383],
			[1381,1383,1382],
			[1382,1383,311],
			[1383,422,831],
			[1383,831,1127],
			[1127,831,83],
			[721,85,1238],
			[721,1238,1384],
			[1384,1238,423],
			[1384,423,1386],
			[1384,1386,1385],
			[1385,1386,315],
			[1386,423,832],
			[1386,832,1131],
			[1131,832,84],
			[746,48,1239],
			[746,1239,1387],
			[1387,1239,424],
			[1387,424,1389],
			[1387,1389,1388],
			[1388,1389,340],
			[1389,424,833],
			[1389,833,1156],
			[1156,833,87],
			[750,89,1240],
			[750,1240,1390],
			[1390,1240,425],
			[1390,425,1392],
			[1390,1392,1391],
			[1391,1392,344],
			[1392,425,834],
			[1392,834,1160],
			[1160,834,88],
			[754,90,1241],
			[754,1241,1393],
			[1393,1241,426],
			[1393,426,1395],
			[1393,1395,1394],
			[1394,1395,348],
			[1395,426,835],
			[1395,835,1164],
			[1164,835,71],
			[836,26,594],
			[836,594,1396],
			[1396,594,185],
			[1396,185,1398],
			[1396,1398,1397],
			[1397,1398,352],
			[1398,185,1003],
			[1398,1003,1168],
			[1168,1003,91],
			[837,35,662],
			[837,662,1399],
			[1399,662,253],
			[1399,253,1401],
			[1399,1401,1400],
			[1400,1401,356],
			[1401,253,1070],
			[1401,1070,1172],
			[1172,1070,92],
			[766,94,1244],
			[766,1244,1402],
			[1402,1244,429],
			[1402,429,1404],
			[1402,1404,1403],
			[1403,1404,360],
			[1404,429,838],
			[1404,838,1176],
			[1176,838,55],
			[839,27,598],
			[839,598,1405],
			[1405,598,189],
			[1405,189,1407],
			[1405,1407,1406],
			[1406,1407,364],
			[1407,189,1007],
			[1407,1007,1180],
			[1180,1007,95],
			[840,36,666],
			[840,666,1408],
			[1408,666,257],
			[1408,257,1410],
			[1408,1410,1409],
			[1409,1410,368],
			[1410,257,1074],
			[1410,1074,1184],
			[1184,1074,96],
			[781,46,1247],
			[781,1247,1411],
			[1411,1247,432],
			[1411,432,1413],
			[1411,1413,1412],
			[1412,1413,375],
			[1413,432,841],
			[1413,841,1191],
			[1191,841,99],
			[785,101,1248],
			[785,1248,1414],
			[1414,1248,433],
			[1414,433,1416],
			[1414,1416,1415],
			[1415,1416,379],
			[1416,433,842],
			[1416,842,1195],
			[1195,842,100],
			[843,28,647],
			[843,647,1417],
			[1417,647,238],
			[1417,238,1419],
			[1417,1419,1418],
			[1418,1419,383],
			[1419,238,1055],
			[1419,1055,1199],
			[1199,1055,75],
			[844,30,606],
			[844,606,1420],
			[1420,606,197],
			[1420,197,1422],
			[1420,1422,1421],
			[1421,1422,387],
			[1422,197,1015],
			[1422,1015,1203],
			[1203,1015,103],
			[845,38,673],
			[845,673,1423],
			[1423,673,264],
			[1423,264,1425],
			[1423,1425,1424],
			[1424,1425,391],
			[1425,264,1081],
			[1425,1081,1207],
			[1207,1081,104],
			[846,29,631],
			[846,631,1426],
			[1426,631,222],
			[1426,222,1428],
			[1426,1428,1427],
			[1427,1428,395],
			[1428,222,1039],
			[1428,1039,1211],
			[1211,1039,59],
			[805,61,1253],
			[805,1253,1429],
			[1429,1253,438],
			[1429,438,1431],
			[1429,1431,1430],
			[1430,1431,399],
			[1431,438,847],
			[1431,847,1215],
			[1215,847,107],
			[809,109,1254],
			[809,1254,1432],
			[1432,1254,439],
			[1432,439,1434],
			[1432,1434,1433],
			[1433,1434,403],
			[1434,439,848],
			[1434,848,1219],
			[1219,848,108],
			[849,43,679],
			[849,679,1435],
			[1435,679,270],
			[1435,270,1437],
			[1435,1437,1436],
			[1436,1437,272],
			[1437,270,1087],
			[1437,1087,1089],
			[1089,1087,111],
			[850,111,1088],
			[850,1088,1438],
			[1438,1088,271],
			[1438,271,1440],
			[1438,1440,1439],
			[1439,1440,176],
			[1440,271,680],
			[1440,680,994],
			[994,680,82],
			[586,12,1257],
			[586,1257,1441],
			[1441,1257,442],
			[1441,442,1443],
			[1441,1443,1442],
			[1442,1443,275],
			[1443,442,851],
			[1443,851,1092],
			[1092,851,112],
			[1062,83,1258],
			[1062,1258,1444],
			[1444,1258,443],
			[1444,443,1446],
			[1444,1446,1445],
			[1445,1446,180],
			[1446,443,852],
			[1446,852,998],
			[998,852,86],
			[853,1,1148],
			[853,1148,1447],
			[1447,1148,332],
			[1447,332,1449],
			[1447,1449,1448],
			[1448,1449,143],
			[1449,332,741],
			[1449,741,552],
			[552,741,3],
			[1065,87,1260],
			[1065,1260,1450],
			[1450,1260,445],
			[1450,445,1452],
			[1450,1452,1451],
			[1451,1452,184],
			[1452,445,854],
			[1452,854,1002],
			[1002,854,90],
			[1093,113,1261],
			[1093,1261,1453],
			[1453,1261,446],
			[1453,446,1455],
			[1453,1455,1454],
			[1454,1455,251],
			[1455,446,855],
			[1455,855,660],
			[660,855,24],
			[594,26,1262],
			[594,1262,1456],
			[1456,1262,447],
			[1456,447,1458],
			[1456,1458,1457],
			[1457,1458,281],
			[1458,447,856],
			[1458,856,1098],
			[1098,856,114],
			[1069,91,1263],
			[1069,1263,1459],
			[1459,1263,448],
			[1459,448,1461],
			[1459,1461,1460],
			[1460,1461,188],
			[1461,448,857],
			[1461,857,1006],
			[1006,857,94],
			[1097,114,1264],
			[1097,1264,1462],
			[1462,1264,449],
			[1462,449,1464],
			[1462,1464,1463],
			[1463,1464,255],
			[1464,449,858],
			[1464,858,664],
			[664,858,25],
			[859,74,692],
			[859,692,1465],
			[1465,692,283],
			[1465,283,1467],
			[1465,1467,1466],
			[1466,1467,285],
			[1467,283,1100],
			[1467,1100,1101],
			[679,43,814],
			[1978,1302,43],
			[1977,1978,43],
			[1030,952,43],
			[1468,284,1470],
			[1468,1470,1469],
			[1469,1470,192],
			[1470,284,693],
			[1470,693,1010],
			[1010,693,98],
			[861,68,695],
			[861,695,1471],
			[1471,695,286],
			[1471,286,1473],
			[1471,1473,1472],
			[1472,1473,288],
			[1473,286,1102],
			[1473,1102,1104],
			[1104,1102,115],
			[862,115,1103],
			[862,1103,1474],
			[1474,1103,287],
			[1474,287,1476],
			[1474,1476,1475],
			[1475,1476,196],
			[1476,287,696],
			[1476,696,1014],
			[1014,696,102],
			[863,58,1038],
			[863,1038,1477],
			[1477,1038,221],
			[1477,221,1479],
			[1477,1479,1478],
			[1478,1479,262],
			[1479,221,630],
			[1479,630,671],
			[671,630,28],
			[864,77,699],
			[864,699,1480],
			[1480,699,290],
			[1480,290,1482],
			[1480,1482,1481],
			[1481,1482,292],
			[1482,290,1106],
			[1482,1106,1108],
			[1108,1106,116],
			[865,116,1107],
			[865,1107,1483],
			[1483,1107,291],
			[1483,291,1485],
			[1483,1485,1484],
			[1484,1485,200],
			[1485,291,700],
			[1485,700,1018],
			[1018,700,106],
			[866,76,1056],
			[866,1056,1486],
			[1486,1056,239],
			[1486,239,1488],
			[1486,1488,1487],
			[1487,1488,266],
			[1488,239,648],
			[1488,648,675],
			[675,648,29],
			[610,31,1273],
			[610,1273,1489],
			[1489,1273,458],
			[1489,458,1491],
			[1489,1491,1490],
			[1490,1491,296],
			[1491,458,867],
			[1491,867,1112],
			[1112,867,117],
			[1084,107,1274],
			[1084,1274,1492],
			[1492,1274,459],
			[1492,459,1494],
			[1492,1494,1493],
			[1493,1494,204],
			[1494,459,868],
			[1494,868,1022],
			[1022,868,110],
			[869,19,1145],
			[869,1145,1495],
			[1495,1145,329],
			[1495,329,1497],
			[1495,1497,1496],
			[1496,1497,225],
			[1497,329,738],
			[1497,738,634],
			[634,738,12],
			[870,21,1231],
			[870,1231,1498],
			[1498,1231,416],
			[1498,416,1500],
			[1498,1500,1499],
			[1499,1500,227],
			[1500,416,825],
			[1500,825,636],
			[636,825,14],
			[1151,53,1277],
			[1151,1277,1501],
			[1501,1277,462],
			[1501,462,1503],
			[1501,1503,1502],
			[1502,1503,187],
			[1503,462,871],
			[1503,871,1005],
			[1005,871,93],
			[872,65,706],
			[872,706,1504],
			[1504,706,297],
			[1504,297,1506],
			[1504,1506,1505],
			[1505,1506,299],
			[1506,297,1113],
			[1506,1113,1115],
			[1115,1113,118],
			[873,118,1114],
			[873,1114,1507],
			[1507,1114,298],
			[1507,298,1509],
			[1507,1509,1508],
			[1508,1509,175],
			[1509,298,707],
			[1509,707,993],
			[993,707,81],
			[874,79,1059],
			[874,1059,1510],
			[1510,1059,242],
			[1510,242,1512],
			[1510,1512,1511],
			[1511,1512,244],
			[1512,242,651],
			[1512,651,653],
			[653,651,32],
			[875,81,710],
			[875,710,1513],
			[1513,710,301],
			[1513,301,1515],
			[1513,1515,1514],
			[1514,1515,303],
			[1515,301,1117],
			[1515,1117,1119],
			[1119,1117,119],
			[876,119,1118],
			[876,1118,1516],
			[1516,1118,302],
			[1516,302,1518],
			[1516,1518,1517],
			[1517,1518,153],
			[1518,302,711],
			[1518,711,971],
			[971,711,57],
			[877,80,992],
			[877,992,1519],
			[1519,992,174],
			[1519,174,1521],
			[1519,1521,1520],
			[1520,1521,220],
			[1521,174,583],
			[1521,583,629],
			[629,583,27],
			[878,82,714],
			[878,714,1522],
			[1522,714,305],
			[1522,305,1524],
			[1522,1524,1523],
			[1523,1524,307],
			[1524,305,1121],
			[1524,1121,1123],
			[1123,1121,120],
			[879,120,1122],
			[879,1122,1525],
			[1525,1122,306],
			[1525,306,1527],
			[1525,1527,1526],
			[1526,1527,237],
			[1527,306,715],
			[1527,715,1054],
			[1054,715,74],
			[563,4,1286],
			[563,1286,1528],
			[1528,1286,471],
			[1528,471,1530],
			[1528,1530,1529],
			[1529,1530,310],
			[1530,471,880],
			[1530,880,1126],
			[1126,880,121],
			[1038,58,1287],
			[1038,1287,1531],
			[1531,1287,472],
			[1531,472,1533],
			[1531,1533,1532],
			[1532,1533,179],
			[1533,472,881],
			[1533,881,997],
			[997,881,85],
			[1125,121,1288],
			[1125,1288,1534],
			[1534,1288,473],
			[1534,473,1536],
			[1534,1536,1535],
			[1535,1536,247],
			[1536,473,882],
			[1536,882,656],
			[656,882,33],
			[647,28,1289],
			[647,1289,1537],
			[1537,1289,474],
			[1537,474,1539],
			[1537,1539,1538],
			[1538,1539,314],
			[1539,474,883],
			[1539,883,1130],
			[1130,883,122],
			[988,75,1290],
			[988,1290,1540],
			[1540,1290,475],
			[1540,475,1542],
			[1540,1542,1541],
			[1541,1542,157],
			[1542,475,884],
			[1542,884,975],
			[975,884,61],
			[1129,122,1291],
			[1129,1291,1543],
			[1543,1291,476],
			[1543,476,1545],
			[1543,1545,1544],
			[1544,1545,224],
			[1545,476,885],
			[1545,885,633],
			[633,885,31],
			[655,33,1292],
			[655,1292,1546],
			[1546,1292,477],
			[1546,477,1548],
			[1546,1548,1547],
			[1547,1548,318],
			[1548,477,886],
			[1548,886,1134],
			[1134,886,123],
			[996,84,1293],
			[996,1293,1549],
			[1549,1293,478],
			[1549,478,1551],
			[1549,1551,1550],
			[1550,1551,241],
			[1551,478,887],
			[1551,887,1058],
			[1058,887,78],
			[888,13,1142],
			[888,1142,1552],
			[1552,1142,326],
			[1552,326,1554],
			[1552,1554,1553],
			[1553,1554,211],
			[1554,326,735],
			[1554,735,620],
			[620,735,18],
			[889,63,1137],
			[889,1137,1555],
			[1555,1137,321],
			[1555,321,1557],
			[1555,1557,1556],
			[1556,1557,231],
			[1557,321,730],
			[1557,730,1048],
			[1048,730,68],
			[890,5,1182],
			[890,1182,1558],
			[1558,1182,366],
			[1558,366,1560],
			[1558,1560,1559],
			[1559,1560,164],
			[1560,366,775],
			[1560,775,573],
			[573,775,4],
			[891,96,1008],
			[891,1008,1561],
			[1561,1008,190],
			[1561,190,1563],
			[1561,1563,1562],
			[1562,1563,328],
			[1563,190,599],
			[1563,599,737],
			[737,599,19],
			[892,131,1138],
			[892,1138,1564],
			[1564,1138,322],
			[1564,322,1566],
			[1564,1566,1565],
			[1565,1566,411],
			[1566,322,731],
			[1566,731,1226],
			[1226,731,51],
			[1669,779,47],
			[817,9,1300],
			[817,1300,1568],
			[1568,1300,485],
			[1568,485,1570],
			[1568,1570,1569],
			[1569,1570,319],
			[1570,485,893],
			[1570,893,1135],
			[1135,893,127],
			[894,23,1152],
			[894,1152,1571],
			[1571,1152,336],
			[1571,336,1573],
			[1571,1573,1572],
			[1572,1573,229],
			[1573,336,745],
			[1573,745,638],
			[638,745,16],
			[895,15,1225],
			[895,1225,1574],
			[1574,1225,410],
			[1574,410,1576],
			[1574,1576,1575],
			[1575,1576,213],
			[1576,410,819],
			[1576,819,622],
			[622,819,20],
			[896,65,1146],
			[896,1146,1577],
			[1577,1146,330],
			[1577,330,1579],
			[1577,1579,1578],
			[1578,1579,232],
			[1579,330,739],
			[1579,739,1049],
			[1049,739,69],
			[897,7,1227],
			[897,1227,1580],
			[1580,1227,412],
			[1580,412,1582],
			[1580,1582,1581],
			[1581,1582,165],
			[1582,412,821],
			[1582,821,574],
			[574,821,6],
			[1141,898,0],
			[898,1141,1583],
			[1583,1141,325],
			[1583,325,1585],
			[1583,1585,1584],
			[1584,1585,144],
			[1585,325,734],
			[1585,734,553],
			[553,734,2],
			[899,52,1147],
			[899,1147,1586],
			[1586,1147,331],
			[1586,331,1588],
			[1586,1588,1587],
			[1587,1588,160],
			[1588,331,740],
			[1588,740,978],
			[978,740,64],
			[900,9,1167],
			[900,1167,1589],
			[1589,1167,351],
			[1589,351,1591],
			[1589,1591,1590],
			[1590,1591,166],
			[1591,351,760],
			[1591,760,575],
			[575,760,8],
			[901,48,1229],
			[901,1229,1592],
			[1592,1229,414],
			[1592,414,1594],
			[1592,1594,1593],
			[1593,1594,207],
			[1594,414,823],
			[1594,823,1025],
			[1025,823,42],
			[902,67,1149],
			[902,1149,1595],
			[1595,1149,333],
			[1595,333,1597],
			[1595,1597,1596],
			[1596,1597,233],
			[1597,333,742],
			[1597,742,1050],
			[1050,742,70],
			[554,1,1310],
			[554,1310,1598],
			[1598,1310,495],
			[1598,495,1600],
			[1598,1600,1599],
			[1599,1600,339],
			[1600,495,903],
			[1600,903,1155],
			[1155,903,124],
			[1028,45,1311],
			[1028,1311,1601],
			[1601,1311,496],
			[1601,496,1603],
			[1601,1603,1602],
			[1602,1603,183],
			[1603,496,904],
			[1603,904,1001],
			[1001,904,89],
			[1154,124,1312],
			[1154,1312,1604],
			[1604,1312,497],
			[1604,497,1606],
			[1604,1606,1605],
			[1605,1606,250],
			[1606,497,905],
			[1606,905,659],
			[659,905,34],
			[639,17,1313],
			[639,1313,1607],
			[1607,1313,498],
			[1607,498,1609],
			[1607,1609,1608],
			[1608,1609,343],
			[1609,498,906],
			[1609,906,1159],
			[1159,906,125],
			[981,67,1314],
			[981,1314,1610],
			[1610,1314,499],
			[1610,499,1612],
			[1610,1612,1611],
			[1611,1612,152],
			[1612,499,907],
			[1612,907,970],
			[970,907,56],
			[1158,125,1315],
			[1158,1315,1613],
			[1613,1315,500],
			[1613,500,1615],
			[1613,1615,1614],
			[1614,1615,219],
			[1615,500,908],
			[1615,908,628],
			[628,908,26],
			[658,34,1316],
			[658,1316,1616],
			[1616,1316,501],
			[1616,501,1618],
			[1616,1618,1617],
			[1617,1618,347],
			[1618,501,909],
			[1618,909,1163],
			[1163,909,126],
			[1000,88,1317],
			[1000,1317,1619],
			[1619,1317,502],
			[1619,502,1621],
			[1619,1621,1620],
			[1620,1621,236],
			[1621,502,910],
			[1621,910,1053],
			[1053,910,73],
			[1162,126,1318],
			[1162,1318,1622],
			[1622,1318,503],
			[1622,503,1624],
			[1622,1624,1623],
			[1623,1624,169],
			[1624,503,911],
			[1624,911,578],
			[578,911,10],
			[912,53,1143],
			[912,1143,1625],
			[1625,1143,327],
			[1625,327,1627],
			[1625,1627,1626],
			[1626,1627,162],
			[1627,327,736],
			[1627,736,980],
			[980,736,66],
			[913,91,1069],
			[913,1069,1628],
			[1628,1069,252],
			[1628,252,1630],
			[1628,1630,1629],
			[1629,1630,254],
			[1630,252,661],
			[1630,661,663],
			[663,661,35],
			[625,23,1321],
			[625,1321,1631],
			[1631,1321,506],
			[1631,506,1633],
			[1631,1633,1632],
			[1632,1633,355],
			[1633,506,914],
			[1633,914,1171],
			[1171,914,128],
			[915,128,1170],
			[915,1170,1634],
			[1634,1170,354],
			[1634,354,1636],
			[1634,1636,1635],
			[1635,1636,142],
			[1636,354,763],
			[1636,763,959],
			[959,763,41],
			[916,92,1004],
			[916,1004,1637],
			[1637,1004,186],
			[1637,186,1639],
			[1637,1639,1638],
			[1638,1639,206],
			[1639,186,595],
			[1639,595,615],
			[615,595,13],
			[662,35,1324],
			[662,1324,1640],
			[1640,1324,509],
			[1640,509,1642],
			[1640,1642,1641],
			[1641,1642,359],
			[1642,509,917],
			[1642,917,1175],
			[1175,917,129],
			[1004,92,1325],
			[1004,1325,1643],
			[1643,1325,510],
			[1643,510,1645],
			[1643,1645,1644],
			[1644,1645,226],
			[1645,510,918],
			[1645,918,1043],
			[1043,918,63],
			[919,55,969],
			[919,969,1646],
			[1646,969,151],
			[1646,151,1648],
			[1646,1648,1647],
			[1647,1648,159],
			[1648,151,560],
			[1648,560,568],
			[568,560,5],
			[920,57,770],
			[920,770,1649],
			[1649,770,361],
			[1649,361,1651],
			[1649,1651,1650],
			[1650,1651,363],
			[1651,361,1177],
			[1651,1177,1179],
			[1179,1177,130],
			[921,130,1178],
			[921,1178,1652],
			[1652,1178,362],
			[1652,362,1654],
			[1652,1654,1653],
			[1653,1654,191],
			[1654,362,771],
			[1654,771,1009],
			[1009,771,97],
			[922,95,1073],
			[922,1073,1655],
			[1655,1073,256],
			[1655,256,1657],
			[1655,1657,1656],
			[1656,1657,258],
			[1657,256,665],
			[1657,665,667],
			[667,665,36],
			[923,97,774],
			[923,774,1658],
			[1658,774,365],
			[1658,365,1660],
			[1658,1660,1659],
			[1659,1660,367],
			[1660,365,1181],
			[1660,1181,1183],
			[1183,1181,131],
			[924,51,1140],
			[924,1140,1661],
			[1661,1140,324],
			[1661,324,1663],
			[1661,1663,1662],
			[1662,1663,158],
			[1663,324,733],
			[1663,733,976],
			[976,733,62],
			[925,98,778],
			[925,778,1664],
			[1664,778,369],
			[1664,369,1666],
			[1664,1666,1665],
			[1665,1666,371],
			[1666,369,1185],
			[1666,1185,1187],
			[1187,1185,132],
			[1186,2145,404],
			[951,2145,1186],
			[141,951,1186],
			[1667,370,1669],
			[1667,1669,1668],
			[1668,1669,212],
			[1669,370,779],
			[553,2,1334],
			[553,1334,1670],
			[1670,1334,519],
			[1670,519,1672],
			[1670,1672,1671],
			[1671,1672,374],
			[1672,519,927],
			[1672,927,1190],
			[1190,927,133],
			[928,133,1189],
			[928,1189,1673],
			[1673,1189,373],
			[1673,373,1675],
			[1673,1675,1674],
			[1674,1675,195],
			[1675,373,782],
			[1675,782,1013],
			[1013,782,101],
			[1189,133,1336],
			[1189,1336,1676],
			[1676,1336,521],
			[1676,521,1678],
			[1676,1678,1677],
			[1677,1678,261],
			[1678,521,929],
			[1678,929,670],
			[670,929,37],
			[930,101,785],
			[930,785,1679],
			[1679,785,376],
			[1679,376,1681],
			[1679,1681,1680],
			[1680,1681,378],
			[1681,376,1192],
			[1681,1192,1194],
			[1194,1192,134],
			[931,134,1193],
			[931,1193,1682],
			[1682,1193,377],
			[1682,377,1684],
			[1682,1684,1683],
			[1683,1684,156],
			[1684,377,786],
			[1684,786,974],
			[974,786,60],
			[1193,134,1339],
			[1193,1339,1685],
			[1685,1339,524],
			[1685,524,1687],
			[1685,1687,1686],
			[1686,1687,223],
			[1687,524,932],
			[1687,932,632],
			[632,932,30],
			[933,102,789],
			[933,789,1688],
			[1688,789,380],
			[1688,380,1690],
			[1688,1690,1689],
			[1689,1690,382],
			[1690,380,1196],
			[1690,1196,1198],
			[1198,1196,135],
			[934,135,1197],
			[934,1197,1691],
			[1691,1197,381],
			[1691,381,1693],
			[1691,1693,1692],
			[1692,1693,240],
			[1693,381,790],
			[1693,790,1057],
			[1057,790,77],
			[935,75,988],
			[935,988,1694],
			[1694,988,170],
			[1694,170,1696],
			[1694,1696,1695],
			[1695,1696,172],
			[1696,170,579],
			[1696,579,581],
			[581,579,11],
			[936,60,793],
			[936,793,1697],
			[1697,793,384],
			[1697,384,1699],
			[1697,1699,1698],
			[1698,1699,386],
			[1699,384,1200],
			[1699,1200,1202],
			[1202,1200,136],
			[937,136,1201],
			[937,1201,1700],
			[1700,1201,385],
			[1700,385,1702],
			[1700,1702,1701],
			[1701,1702,199],
			[1702,385,794],
			[1702,794,1017],
			[1017,794,105],
			[938,103,1080],
			[938,1080,1703],
			[1703,1080,263],
			[1703,263,1705],
			[1703,1705,1704],
			[1704,1705,265],
			[1705,263,672],
			[1705,672,674],
			[674,672,38],
			[939,105,797],
			[939,797,1706],
			[1706,797,388],
			[1706,388,1708],
			[1706,1708,1707],
			[1707,1708,390],
			[1708,388,1204],
			[1708,1204,1206],
			[1206,1204,137],
			[940,137,1205],
			[940,1205,1709],
			[1709,1205,389],
			[1709,389,1711],
			[1709,1711,1710],
			[1710,1711,143],
			[1711,389,798],
			[1711,798,960],
			[960,798,42],
			[941,104,1016],
			[941,1016,1712],
			[1712,1016,198],
			[1712,198,1714],
			[1712,1714,1713],
			[1713,1714,207],
			[1714,198,607],
			[1714,607,616],
			[616,607,14],
			[942,106,801],
			[942,801,1715],
			[1715,801,392],
			[1715,392,1717],
			[1715,1717,1716],
			[1716,1717,394],
			[1717,392,1208],
			[1717,1208,1210],
			[1210,1208,138],
			[943,138,1209],
			[943,1209,1718],
			[1718,1209,393],
			[1718,393,1720],
			[1718,1720,1719],
			[1719,1720,227],
			[1720,393,802],
			[1720,802,1044],
			[1044,802,64],
			[944,59,973],
			[944,973,1721],
			[1721,973,155],
			[1721,155,1723],
			[1721,1723,1722],
			[1722,1723,160],
			[1723,155,564],
			[1723,564,569],
			[569,564,6],
			[580,11,1352],
			[580,1352,1724],
			[1724,1352,537],
			[1724,537,1726],
			[1724,1726,1725],
			[1725,1726,398],
			[1726,537,945],
			[1726,945,1214],
			[1214,945,139],
			[1056,76,1353],
			[1056,1353,1727],
			[1727,1353,538],
			[1727,538,1729],
			[1727,1729,1728],
			[1728,1729,203],
			[1729,538,946],
			[1729,946,1021],
			[1021,946,109],
			[1213,139,1354],
			[1213,1354,1730],
			[1730,1354,539],
			[1730,539,1732],
			[1730,1732,1731],
			[1731,1732,269],
			[1732,539,947],
			[1732,947,678],
			[678,947,39],
			[631,29,1355],
			[631,1355,1733],
			[1733,1355,540],
			[1733,540,1735],
			[1733,1735,1734],
			[1734,1735,402],
			[1735,540,948],
			[1735,948,1218],
			[1218,948,140],
			[973,59,1356],
			[973,1356,1736],
			[1736,1356,541],
			[1736,541,1738],
			[1736,1738,1737],
			[1737,1738,165],
			[1738,541,949],
			[1738,949,983],
			[983,949,69],
			[1217,140,1357],
			[1217,1357,1739],
			[1739,1357,542],
			[1739,542,1741],
			[1739,1741,1740],
			[1740,1741,232],
			[1741,542,950],
			[1741,950,641],
			[641,950,20],
			[677,39,1358],
			[677,1358,1742],
			[1742,1358,543],
			[1742,543,1744],
			[1742,1744,1743],
			[1743,1744,406],
			[1744,543,951],
			[1744,951,1221],
			[1221,951,141],
			[1020,108,1359],
			[1020,1359,1745],
			[1745,1359,544],
			[1745,544,1747],
			[1745,1747,1746],
			[1746,1747,213],
			[1747,544,952],
			[1747,952,1030],
			[953,41,1136],
			[953,1136,1748],
			[1748,1136,320],
			[1748,320,1750],
			[1748,1750,1749],
			[1749,1750,146],
			[1750,320,729],
			[1750,729,963],
			[963,729,46],
			[954,50,1139],
			[954,1139,1751],
			[1751,1139,323],
			[1751,323,1753],
			[1751,1753,1752],
			[1752,1753,209],
			[1753,323,732],
			[1753,732,1027],
			[1027,732,44],
			[955,17,1150],
			[955,1150,1754],
			[1754,1150,334],
			[1754,334,1756],
			[1754,1756,1755],
			[1755,1756,215],
			[1756,334,743],
			[1756,743,624],
			[624,743,22],
			[956,45,1222],
			[956,1222,1757],
			[1757,1222,407],
			[1757,407,1759],
			[1757,1759,1758],
			[1758,1759,148],
			[1759,407,816],
			[1759,816,966],
			[966,816,49],
			[590,21,1364],
			[590,1364,1760],
			[1760,1364,549],
			[1760,549,1762],
			[1760,1762,1761],
			[1761,1762,277],
			[1762,549,957],
			[1762,957,1094],
			[1094,957,113],
			[818,52,1365],
			[818,1365,1763],
			[1763,1365,550],
			[1763,550,1765],
			[1763,1765,1764],
			[1764,1765,278],
			[1765,550,958],
			[1765,958,1095],
			[1095,958,54],
			[1232,73,987],
			[1232,987,1766],
			[1766,987,169],
			[1766,169,1768],
			[1766,1768,1767],
			[1767,1768,168],
			[1768,169,578],
			[1768,578,577],
			[577,578,10],
			[1233,68,982],
			[1233,982,1769],
			[1769,982,164],
			[1769,164,1771],
			[1769,1771,1770],
			[1770,1771,154],
			[1771,164,573],
			[1771,573,563],
			[563,573,4],
			[581,11,828],
			[581,828,1772],
			[1772,828,419],
			[1772,419,1774],
			[1772,1774,1773],
			[1773,1774,290],
			[1774,419,1234],
			[1774,1234,1106],
			[1106,1234,116],
			[637,15,829],
			[637,829,1775],
			[1775,829,420],
			[1775,420,1777],
			[1775,1777,1776],
			[1776,1777,297],
			[1777,420,1235],
			[1777,1235,1113],
			[1113,1235,118],
			[653,32,830],
			[653,830,1778],
			[1778,830,421],
			[1778,421,1780],
			[1778,1780,1779],
			[1779,1780,301],
			[1780,421,1236],
			[1780,1236,1117],
			[1117,1236,119],
			[1237,62,1042],
			[1237,1042,1781],
			[1781,1042,225],
			[1781,225,1783],
			[1781,1783,1782],
			[1782,1783,177],
			[1783,225,634],
			[1783,634,586],
			[586,634,12],
			[1238,85,1064],
			[1238,1064,1784],
			[1784,1064,247],
			[1784,247,1786],
			[1784,1786,1785],
			[1785,1786,246],
			[1786,247,656],
			[1786,656,655],
			[655,656,33],
			[1239,48,1031],
			[1239,1031,1787],
			[1787,1031,214],
			[1787,214,1789],
			[1787,1789,1788],
			[1788,1789,181],
			[1789,214,623],
			[1789,623,590],
			[590,623,21],
			[1240,89,1067],
			[1240,1067,1790],
			[1790,1067,250],
			[1790,250,1792],
			[1790,1792,1791],
			[1791,1792,249],
			[1792,250,659],
			[1792,659,658],
			[658,659,34],
			[1241,90,1068],
			[1241,1068,1793],
			[1793,1068,251],
			[1793,251,1795],
			[1793,1795,1794],
			[1794,1795,234],
			[1795,251,660],
			[1795,660,643],
			[643,660,24],
			[628,26,836],
			[628,836,1796],
			[1796,836,427],
			[1796,427,1798],
			[1796,1798,1797],
			[1797,1798,349],
			[1798,427,1242],
			[1798,1242,1165],
			[1165,1242,127],
			[663,35,837],
			[663,837,1799],
			[1799,837,428],
			[1799,428,1801],
			[1799,1801,1800],
			[1800,1801,353],
			[1801,428,1243],
			[1801,1243,1169],
			[1169,1243,128],
			[1244,94,1072],
			[1244,1072,1802],
			[1802,1072,255],
			[1802,255,1804],
			[1802,1804,1803],
			[1803,1804,218],
			[1804,255,664],
			[1804,664,627],
			[627,664,25],
			[629,27,839],
			[629,839,1805],
			[1805,839,430],
			[1805,430,1807],
			[1805,1807,1806],
			[1806,1807,361],
			[1807,430,1245],
			[1807,1245,1177],
			[1177,1245,130],
			[667,36,840],
			[667,840,1808],
			[1808,840,431],
			[1808,431,1810],
			[1808,1810,1809],
			[1809,1810,365],
			[1810,431,1246],
			[1810,1246,1181],
			[1181,1246,131],
			[1247,46,1029],
			[1247,1029,1811],
			[1811,1029,211],
			[1811,211,1813],
			[1811,1813,1812],
			[1812,1813,193],
			[1813,211,620],
			[1813,620,602],
			[602,620,18],
			[1248,101,1078],
			[1248,1078,1814],
			[1814,1078,261],
			[1814,261,1816],
			[1814,1816,1815],
			[1815,1816,260],
			[1816,261,670],
			[1816,670,669],
			[669,670,37],
			[671,28,843],
			[671,843,1817],
			[1817,843,434],
			[1817,434,1819],
			[1817,1819,1818],
			[1818,1819,380],
			[1819,434,1249],
			[1819,1249,1196],
			[1196,1249,135],
			[632,30,844],
			[632,844,1820],
			[1820,844,435],
			[1820,435,1822],
			[1820,1822,1821],
			[1821,1822,384],
			[1822,435,1250],
			[1822,1250,1200],
			[1200,1250,136],
			[674,38,845],
			[674,845,1823],
			[1823,845,436],
			[1823,436,1825],
			[1823,1825,1824],
			[1824,1825,388],
			[1825,436,1251],
			[1825,1251,1204],
			[1204,1251,137],
			[675,29,846],
			[675,846,1826],
			[1826,846,437],
			[1826,437,1828],
			[1826,1828,1827],
			[1827,1828,392],
			[1828,437,1252],
			[1828,1252,1208],
			[1208,1252,138],
			[1253,61,1041],
			[1253,1041,1829],
			[1829,1041,224],
			[1829,224,1831],
			[1829,1831,1830],
			[1830,1831,201],
			[1831,224,633],
			[1831,633,610],
			[610,633,31],
			[1254,109,1086],
			[1254,1086,1832],
			[1832,1086,269],
			[1832,269,1834],
			[1832,1834,1833],
			[1833,1834,268],
			[1834,269,678],
			[1834,678,677],
			[677,678,39],
			[1026,43,849],
			[1026,849,1835],
			[1835,849,440],
			[1835,440,1837],
			[1835,1837,1836],
			[1836,1837,173],
			[1837,440,1255],
			[1837,1255,991],
			[991,1255,79],
			[1089,111,850],
			[1089,850,1838],
			[1838,850,441],
			[1838,441,1840],
			[1838,1840,1839],
			[1839,1840,242],
			[1840,441,1256],
			[1840,1256,651],
			[651,1256,32],
			[1257,12,614],
			[1257,614,1841],
			[1841,614,205],
			[1841,205,1843],
			[1841,1843,1842],
			[1842,1843,273],
			[1843,205,1023],
			[1843,1023,682],
			[682,1023,40],
			[1258,83,684],
			[1258,684,1844],
			[1844,684,275],
			[1844,275,1846],
			[1844,1846,1845],
			[1845,1846,274],
			[1846,275,1092],
			[1846,1092,1091],
			[1091,1092,112],
			[556,1,853],
			[556,853,1847],
			[1847,853,444],
			[1847,444,1849],
			[1847,1849,1848],
			[1848,1849,414],
			[1849,444,1259],
			[1849,1259,823],
			[823,1259,42],
			[1260,87,686],
			[1260,686,1850],
			[1850,686,277],
			[1850,277,1852],
			[1850,1852,1851],
			[1851,1852,276],
			[1852,277,1094],
			[1852,1094,1093],
			[1093,1094,113],
			[1261,113,687],
			[1261,687,1853],
			[1853,687,278],
			[1853,278,1855],
			[1853,1855,1854],
			[1854,1855,217],
			[1855,278,1095],
			[1855,1095,1034],
			[1034,1095,54],
			[1262,26,645],
			[1262,645,1856],
			[1856,645,236],
			[1856,236,1858],
			[1856,1858,1857],
			[1857,1858,279],
			[1858,236,1053],
			[1858,1053,688],
			[688,1053,73],
			[1263,91,690],
			[1263,690,1859],
			[1859,690,281],
			[1859,281,1861],
			[1859,1861,1860],
			[1860,1861,280],
			[1861,281,1098],
			[1861,1098,1097],
			[1097,1098,114],
			[1264,114,691],
			[1264,691,1862],
			[1862,691,282],
			[1862,282,1864],
			[1862,1864,1863],
			[1863,1864,235],
			[1864,282,1099],
			[1864,1099,1052],
			[1052,1099,72],
			[1054,74,859],
			[1054,859,1865],
			[1865,859,450],
			[1865,450,1867],
			[1865,1867,1866],
			[1866,1867,189],
			[1867,450,1265],
			[1867,1265,1007],
			[1007,1265,95],
			[1026,1977,43],
			[1101,860,1868],
			[1868,860,451],
			[1868,451,1870],
			[1868,1870,1869],
			[1869,1870,256],
			[1870,451,1266],
			[1870,1266,665],
			[665,1266,36],
			[1048,68,861],
			[1048,861,1871],
			[1871,861,452],
			[1871,452,1873],
			[1871,1873,1872],
			[1872,1873,193],
			[1873,452,1267],
			[1873,1267,1011],
			[1011,1267,99],
			[1104,115,862],
			[1104,862,1874],
			[1874,862,453],
			[1874,453,1876],
			[1874,1876,1875],
			[1875,1876,259],
			[1876,453,1268],
			[1876,1268,668],
			[668,1268,37],
			[1105,58,863],
			[1105,863,1877],
			[1877,863,454],
			[1877,454,1879],
			[1877,1879,1878],
			[1878,1879,287],
			[1879,454,1269],
			[1879,1269,696],
			[696,1269,102],
			[1057,77,864],
			[1057,864,1880],
			[1880,864,455],
			[1880,455,1882],
			[1880,1882,1881],
			[1881,1882,197],
			[1882,455,1270],
			[1882,1270,1015],
			[1015,1270,103],
			[1108,116,865],
			[1108,865,1883],
			[1883,865,456],
			[1883,456,1885],
			[1883,1885,1884],
			[1884,1885,263],
			[1885,456,1271],
			[1885,1271,672],
			[672,1271,38],
			[1109,76,866],
			[1109,866,1886],
			[1886,866,457],
			[1886,457,1888],
			[1886,1888,1887],
			[1887,1888,291],
			[1888,457,1272],
			[1888,1272,700],
			[700,1272,106],
			[1273,31,650],
			[1273,650,1889],
			[1889,650,241],
			[1889,241,1891],
			[1889,1891,1890],
			[1890,1891,294],
			[1891,241,1058],
			[1891,1058,703],
			[703,1058,78],
			[1274,107,705],
			[1274,705,1892],
			[1892,705,296],
			[1892,296,1894],
			[1892,1894,1893],
			[1893,1894,295],
			[1894,296,1112],
			[1894,1112,1111],
			[1111,1112,117],
			[737,19,869],
			[737,869,1895],
			[1895,869,460],
			[1895,460,1897],
			[1895,1897,1896],
			[1896,1897,324],
			[1897,460,1275],
			[1897,1275,733],
			[733,1275,62],
			[822,21,870],
			[822,870,1898],
			[1898,870,461],
			[1898,461,1900],
			[1898,1900,1899],
			[1899,1900,331],
			[1900,461,1276],
			[1900,1276,740],
			[740,1276,64],
			[1277,53,728],
			[1277,728,1901],
			[1901,728,319],
			[1901,319,1903],
			[1901,1903,1902],
			[1902,1903,350],
			[1903,319,1135],
			[1903,1135,1166],
			[1166,1135,127],
			[979,65,872],
			[979,872,1904],
			[1904,872,463],
			[1904,463,1906],
			[1904,1906,1905],
			[1905,1906,150],
			[1906,463,1278],
			[1906,1278,968],
			[968,1278,54],
			[1115,118,873],
			[1115,873,1907],
			[1907,873,464],
			[1907,464,1909],
			[1907,1909,1908],
			[1908,1909,217],
			[1909,464,1279],
			[1909,1279,626],
			[626,1279,24],
			[1116,79,874],
			[1116,874,1910],
			[1910,874,465],
			[1910,465,1912],
			[1910,1912,1911],
			[1911,1912,298],
			[1912,465,1280],
			[1912,1280,707],
			[707,1280,81],
			[993,81,875],
			[993,875,1913],
			[1913,875,466],
			[1913,466,1915],
			[1913,1915,1914],
			[1914,1915,234],
			[1915,466,1281],
			[1915,1281,1051],
			[1051,1281,71],
			[1119,119,876],
			[1119,876,1916],
			[1916,876,467],
			[1916,467,1918],
			[1916,1918,1917],
			[1917,1918,167],
			[1918,467,1282],
			[1918,1282,576],
			[576,1282,10],
			[1120,80,877],
			[1120,877,1919],
			[1919,877,468],
			[1919,468,1921],
			[1919,1921,1920],
			[1920,1921,302],
			[1921,468,1283],
			[1921,1283,711],
			[711,1283,57],
			[994,82,878],
			[994,878,1922],
			[1922,878,469],
			[1922,469,1924],
			[1922,1924,1923],
			[1923,1924,243],
			[1924,469,1284],
			[1924,1284,1060],
			[1060,1284,80],
			[1123,120,879],
			[1123,879,1925],
			[1925,879,470],
			[1925,470,1927],
			[1925,1927,1926],
			[1926,1927,174],
			[1927,470,1285],
			[1927,1285,583],
			[583,1285,27],
			[1286,4,567],
			[1286,567,1928],
			[1928,567,158],
			[1928,158,1930],
			[1928,1930,1929],
			[1929,1930,308],
			[1930,158,976],
			[1930,976,717],
			[717,976,62],
			[1287,58,719],
			[1287,719,1931],
			[1931,719,310],
			[1931,310,1933],
			[1931,1933,1932],
			[1932,1933,309],
			[1933,310,1126],
			[1933,1126,1125],
			[1125,1126,121],
			[1288,121,720],
			[1288,720,1934],
			[1934,720,311],
			[1934,311,1936],
			[1934,1936,1935],
			[1935,1936,245],
			[1936,311,1127],
			[1936,1127,1062],
			[1062,1127,83],
			[1289,28,588],
			[1289,588,1937],
			[1937,588,179],
			[1937,179,1939],
			[1937,1939,1938],
			[1938,1939,312],
			[1939,179,997],
			[1939,997,721],
			[721,997,85],
			[1290,75,723],
			[1290,723,1940],
			[1940,723,314],
			[1940,314,1942],
			[1940,1942,1941],
			[1941,1942,313],
			[1942,314,1130],
			[1942,1130,1129],
			[1129,1130,122],
			[1291,122,724],
			[1291,724,1943],
			[1943,724,315],
			[1943,315,1945],
			[1943,1945,1944],
			[1944,1945,178],
			[1945,315,1131],
			[1945,1131,996],
			[996,1131,84],
			[1292,33,589],
			[1292,589,1946],
			[1946,589,180],
			[1946,180,1948],
			[1946,1948,1947],
			[1947,1948,316],
			[1948,180,998],
			[1948,998,725],
			[725,998,86],
			[1293,84,727],
			[1293,727,1949],
			[1949,727,318],
			[1949,318,1951],
			[1949,1951,1950],
			[1950,1951,317],
			[1951,318,1134],
			[1951,1134,1133],
			[1133,1134,123],
			[615,13,888],
			[615,888,1952],
			[1952,888,479],
			[1952,479,1954],
			[1952,1954,1953],
			[1953,1954,320],
			[1954,479,1294],
			[1954,1294,729],
			[729,1294,46],
			[1043,63,889],
			[1043,889,1955],
			[1955,889,480],
			[1955,480,1957],
			[1955,1957,1956],
			[1956,1957,326],
			[1957,480,1295],
			[1957,1295,735],
			[735,1295,18],
			[568,5,890],
			[568,890,1958],
			[1958,890,481],
			[1958,481,1960],
			[1958,1960,1959],
			[1959,1960,321],
			[1960,481,1296],
			[1960,1296,730],
			[730,1296,68],
			[1184,96,891],
			[1184,891,1961],
			[1961,891,482],
			[1961,482,1963],
			[1961,1963,1962],
			[1962,1963,322],
			[1963,482,1297],
			[1963,1297,731],
			[731,1297,51],
			[1183,131,892],
			[1183,892,1964],
			[1964,892,483],
			[1964,483,1966],
			[1964,1966,1965],
			[1965,1966,151],
			[1966,483,1298],
			[1966,1298,560],
			[560,1298,5],
			[1967,484,1969],
			[1967,1969,1968],
			[1968,1969,329],
			[1969,484,1299],
			[1969,1299,738],
			[738,1299,12],
			[1300,9,561],
			[1300,561,1970],
			[1970,561,152],
			[1970,152,1972],
			[1970,1972,1971],
			[1971,1972,349],
			[1972,152,970],
			[1972,970,758],
			[758,970,56],
			[744,23,894],
			[744,894,1973],
			[1973,894,486],
			[1973,486,1975],
			[1973,1975,1974],
			[1974,1975,327],
			[1975,486,1301],
			[1975,1301,736],
			[736,1301,66],
			[617,15,895],
			[617,895,1976],
			[1976,895,487],
			[1976,487,1978],
			[1976,1978,1977],
			[1978,487,1302],
			[1967,47,484],
			[1045,65,896],
			[1045,896,1979],
			[1979,896,488],
			[1979,488,1981],
			[1979,1981,1980],
			[1980,1981,410],
			[1981,488,1303],
			[1981,1303,819],
			[819,1303,20],
			[570,7,897],
			[570,897,1982],
			[1982,897,489],
			[1982,489,1984],
			[1982,1984,1983],
			[1983,1984,330],
			[1984,489,1304],
			[1984,1304,739],
			[739,1304,69],
			[898,558,0],
			[558,898,1985],
			[1985,898,490],
			[1985,490,1987],
			[1985,1987,1986],
			[1986,1987,323],
			[1987,490,1305],
			[1987,1305,732],
			[732,1305,44],
			[1230,52,899],
			[1230,899,1988],
			[1988,899,491],
			[1988,491,1990],
			[1988,1990,1989],
			[1989,1990,412],
			[1990,491,1306],
			[1990,1306,821],
			[821,1306,6],
			[572,9,900],
			[572,900,1991],
			[1991,900,492],
			[1991,492,1993],
			[1991,1993,1992],
			[1992,1993,333],
			[1993,492,1307],
			[1993,1307,742],
			[742,1307,70],
			[1031,48,901],
			[1031,901,1994],
			[1994,901,493],
			[1994,493,1996],
			[1994,1996,1995],
			[1995,1996,416],
			[1996,493,1308],
			[1996,1308,825],
			[825,1308,14],
			[1047,67,902],
			[1047,902,1997],
			[1997,902,494],
			[1997,494,1999],
			[1997,1999,1998],
			[1998,1999,334],
			[1999,494,1309],
			[1999,1309,743],
			[743,1309,22],
			[1310,1,556],
			[1310,556,2000],
			[2000,556,147],
			[2000,147,2002],
			[2000,2002,2001],
			[2001,2002,337],
			[2002,147,965],
			[2002,965,746],
			[746,965,48],
			[1311,45,748],
			[1311,748,2003],
			[2003,748,339],
			[2003,339,2005],
			[2003,2005,2004],
			[2004,2005,338],
			[2005,339,1155],
			[2005,1155,1154],
			[1154,1155,124],
			[1312,124,749],
			[1312,749,2006],
			[2006,749,340],
			[2006,340,2008],
			[2006,2008,2007],
			[2007,2008,248],
			[2008,340,1156],
			[2008,1156,1065],
			[1065,1156,87],
			[1313,17,592],
			[1313,592,2009],
			[2009,592,183],
			[2009,183,2011],
			[2009,2011,2010],
			[2010,2011,341],
			[2011,183,1001],
			[2011,1001,750],
			[750,1001,89],
			[1314,67,752],
			[1314,752,2012],
			[2012,752,343],
			[2012,343,2014],
			[2012,2014,2013],
			[2013,2014,342],
			[2014,343,1159],
			[2014,1159,1158],
			[1158,1159,125],
			[1315,125,753],
			[1315,753,2015],
			[2015,753,344],
			[2015,344,2017],
			[2015,2017,2016],
			[2016,2017,182],
			[2017,344,1160],
			[2017,1160,1000],
			[1000,1160,88],
			[1316,34,593],
			[1316,593,2018],
			[2018,593,184],
			[2018,184,2020],
			[2018,2020,2019],
			[2019,2020,345],
			[2020,184,1002],
			[2020,1002,754],
			[754,1002,90],
			[1317,88,756],
			[1317,756,2021],
			[2021,756,347],
			[2021,347,2023],
			[2021,2023,2022],
			[2022,2023,346],
			[2023,347,1163],
			[2023,1163,1162],
			[1162,1163,126],
			[1318,126,757],
			[1318,757,2024],
			[2024,757,348],
			[2024,348,2026],
			[2024,2026,2025],
			[2025,2026,167],
			[2026,348,1164],
			[2026,1164,985],
			[985,1164,71],
			[1223,53,912],
			[1223,912,2027],
			[2027,912,504],
			[2027,504,2029],
			[2027,2029,2028],
			[2028,2029,351],
			[2029,504,1319],
			[2029,1319,760],
			[760,1319,8],
			[1168,91,913],
			[1168,913,2030],
			[2030,913,505],
			[2030,505,2032],
			[2030,2032,2031],
			[2031,2032,350],
			[2032,505,1320],
			[2032,1320,759],
			[759,1320,93],
			[1321,23,596],
			[1321,596,2033],
			[2033,596,187],
			[2033,187,2035],
			[2033,2035,2034],
			[2034,2035,353],
			[2035,187,1005],
			[2035,1005,762],
			[762,1005,93],
			[1171,128,915],
			[1171,915,2036],
			[2036,915,507],
			[2036,507,2038],
			[2036,2038,2037],
			[2037,2038,149],
			[2038,507,1322],
			[2038,1322,558],
			[558,1322,0],
			[1172,92,916],
			[1172,916,2039],
			[2039,916,508],
			[2039,508,2041],
			[2039,2041,2040],
			[2040,2041,354],
			[2041,508,1323],
			[2041,1323,763],
			[763,1323,41],
			[1324,35,597],
			[1324,597,2042],
			[2042,597,188],
			[2042,188,2044],
			[2042,2044,2043],
			[2043,2044,357],
			[2044,188,1006],
			[2044,1006,766],
			[766,1006,94],
			[1325,92,768],
			[1325,768,2045],
			[2045,768,359],
			[2045,359,2047],
			[2045,2047,2046],
			[2046,2047,358],
			[2047,359,1175],
			[2047,1175,1174],
			[1174,1175,129],
			[1176,55,919],
			[1176,919,2048],
			[2048,919,511],
			[2048,511,2050],
			[2048,2050,2049],
			[2049,2050,358],
			[2050,511,1326],
			[2050,1326,767],
			[767,1326,63],
			[971,57,920],
			[971,920,2051],
			[2051,920,512],
			[2051,512,2053],
			[2051,2053,2052],
			[2052,2053,168],
			[2053,512,1327],
			[2053,1327,986],
			[986,1327,72],
			[1179,130,921],
			[1179,921,2054],
			[2054,921,513],
			[2054,513,2056],
			[2054,2056,2055],
			[2055,2056,235],
			[2056,513,1328],
			[2056,1328,644],
			[644,1328,25],
			[1180,95,922],
			[1180,922,2057],
			[2057,922,514],
			[2057,514,2059],
			[2057,2059,2058],
			[2058,2059,362],
			[2059,514,1329],
			[2059,1329,771],
			[771,1329,97],
			[1009,97,923],
			[1009,923,2060],
			[2060,923,515],
			[2060,515,2062],
			[2060,2062,2061],
			[2061,2062,218],
			[2062,515,1330],
			[2062,1330,1035],
			[1035,1330,55],
			[1226,51,924],
			[1226,924,2063],
			[2063,924,516],
			[2063,516,2065],
			[2063,2065,2064],
			[2064,2065,366],
			[2065,516,1331],
			[2065,1331,775],
			[775,1331,4],
			[1010,98,925],
			[1010,925,2066],
			[2066,925,517],
			[2066,517,2068],
			[2066,2068,2067],
			[2067,2068,257],
			[2068,517,1332],
			[2068,1332,1074],
			[1074,1332,96],
			[1187,132,926],
			[1187,926,2069],
			[2069,926,518],
			[2069,518,2071],
			[2069,2071,2070],
			[2070,2071,190],
			[2071,518,1333],
			[2071,1333,599],
			[599,1333,19],
			[1334,2,555],
			[1334,555,2072],
			[2072,555,146],
			[2072,146,2074],
			[2072,2074,2073],
			[2073,2074,372],
			[2074,146,963],
			[2074,963,781],
			[781,963,46],
			[1190,133,928],
			[1190,928,2075],
			[2075,928,520],
			[2075,520,2077],
			[2075,2077,2076],
			[2076,2077,209],
			[2077,520,1335],
			[2077,1335,618],
			[618,1335,16],
			[1336,133,784],
			[1336,784,2078],
			[2078,784,375],
			[2078,375,2080],
			[2078,2080,2079],
			[2079,2080,259],
			[2080,375,1191],
			[2080,1191,1076],
			[1076,1191,99],
			[1013,101,930],
			[1013,930,2081],
			[2081,930,522],
			[2081,522,2083],
			[2081,2083,2082],
			[2082,2083,229],
			[2083,522,1337],
			[2083,1337,1046],
			[1046,1337,66],
			[1194,134,931],
			[1194,931,2084],
			[2084,931,523],
			[2084,523,2086],
			[2084,2086,2085],
			[2085,2086,162],
			[2086,523,1338],
			[2086,1338,571],
			[571,1338,8],
			[1339,134,788],
			[1339,788,2087],
			[2087,788,379],
			[2087,379,2089],
			[2087,2089,2088],
			[2088,2089,194],
			[2089,379,1195],
			[2089,1195,1012],
			[1012,1195,100],
			[1014,102,933],
			[1014,933,2090],
			[2090,933,525],
			[2090,525,2092],
			[2090,2092,2091],
			[2091,2092,260],
			[2092,525,1340],
			[2092,1340,1077],
			[1077,1340,100],
			[1198,135,934],
			[1198,934,2093],
			[2093,934,526],
			[2093,526,2095],
			[2093,2095,2094],
			[2094,2095,194],
			[2095,526,1341],
			[2095,1341,603],
			[603,1341,30],
			[1199,75,935],
			[1199,935,2096],
			[2096,935,527],
			[2096,527,2098],
			[2096,2098,2097],
			[2097,2098,381],
			[2098,527,1342],
			[2098,1342,790],
			[790,1342,77],
			[974,60,936],
			[974,936,2099],
			[2099,936,528],
			[2099,528,2101],
			[2099,2101,2100],
			[2100,2101,166],
			[2101,528,1343],
			[2101,1343,984],
			[984,1343,70],
			[1202,136,937],
			[1202,937,2102],
			[2102,937,529],
			[2102,529,2104],
			[2102,2104,2103],
			[2103,2104,233],
			[2104,529,1344],
			[2104,1344,642],
			[642,1344,22],
			[1203,103,938],
			[1203,938,2105],
			[2105,938,530],
			[2105,530,2107],
			[2105,2107,2106],
			[2106,2107,385],
			[2107,530,1345],
			[2107,1345,794],
			[794,1345,105],
			[1017,105,939],
			[1017,939,2108],
			[2108,939,531],
			[2108,531,2110],
			[2108,2110,2109],
			[2109,2110,215],
			[2110,531,1346],
			[2110,1346,1032],
			[1032,1346,49],
			[1206,137,940],
			[1206,940,2111],
			[2111,940,532],
			[2111,532,2113],
			[2111,2113,2112],
			[2112,2113,148],
			[2113,532,1347],
			[2113,1347,557],
			[557,1347,3],
			[1207,104,941],
			[1207,941,2114],
			[2114,941,533],
			[2114,533,2116],
			[2114,2116,2115],
			[2115,2116,389],
			[2116,533,1348],
			[2116,1348,798],
			[798,1348,42],
			[1018,106,942],
			[1018,942,2117],
			[2117,942,534],
			[2117,534,2119],
			[2117,2119,2118],
			[2118,2119,264],
			[2119,534,1349],
			[2119,1349,1081],
			[1081,1349,104],
			[1210,138,943],
			[1210,943,2120],
			[2120,943,535],
			[2120,535,2122],
			[2120,2122,2121],
			[2121,2122,198],
			[2122,535,1350],
			[2122,1350,607],
			[607,1350,14],
			[1211,59,944],
			[1211,944,2123],
			[2123,944,536],
			[2123,536,2125],
			[2123,2125,2124],
			[2124,2125,393],
			[2125,536,1351],
			[2125,1351,802],
			[802,1351,64],
			[1352,11,566],
			[1352,566,2126],
			[2126,566,157],
			[2126,157,2128],
			[2126,2128,2127],
			[2127,2128,396],
			[2128,157,975],
			[2128,975,805],
			[805,975,61],
			[1353,76,807],
			[1353,807,2129],
			[2129,807,398],
			[2129,398,2131],
			[2129,2131,2130],
			[2130,2131,397],
			[2131,398,1214],
			[2131,1214,1213],
			[1213,1214,139],
			[1354,139,808],
			[1354,808,2132],
			[2132,808,399],
			[2132,399,2134],
			[2132,2134,2133],
			[2133,2134,267],
			[2134,399,1215],
			[2134,1215,1084],
			[1084,1215,107],
			[1355,29,612],
			[1355,612,2135],
			[2135,612,203],
			[2135,203,2137],
			[2135,2137,2136],
			[2136,2137,400],
			[2137,203,1021],
			[2137,1021,809],
			[809,1021,109],
			[1356,59,811],
			[1356,811,2138],
			[2138,811,402],
			[2138,402,2140],
			[2138,2140,2139],
			[2139,2140,401],
			[2140,402,1218],
			[2140,1218,1217],
			[1217,1218,140],
			[1357,140,812],
			[1357,812,2141],
			[2141,812,403],
			[2141,403,2143],
			[2141,2143,2142],
			[2142,2143,202],
			[2143,403,1219],
			[2143,1219,1020],
			[1020,1219,108],
			[1358,39,613],
			[1358,613,2144],
			[2144,613,204],
			[2144,204,2146],
			[2144,2146,2145],
			[2145,2146,404],
			[2146,204,1022],
			[2146,1022,813],
			[813,1022,110],
			[1359,108,815],
			[1359,815,2147],
			[2147,815,406],
			[2147,406,2149],
			[2147,2149,2148],
			[2148,2149,405],
			[2149,406,1221],
			[959,41,953],
			[959,953,2150],
			[2150,953,545],
			[2150,545,2152],
			[2150,2152,2151],
			[2151,2152,325],
			[2152,545,1360],
			[2152,1360,734],
			[734,1360,2],
			[1033,50,954],
			[1033,954,2153],
			[2153,954,546],
			[2153,546,2155],
			[2153,2155,2154],
			[2154,2155,336],
			[2155,546,1361],
			[2155,1361,745],
			[745,1361,16],
			[619,17,955],
			[619,955,2156],
			[2156,955,547],
			[2156,547,2158],
			[2156,2158,2157],
			[2157,2158,407],
			[2158,547,1362],
			[2158,1362,816],
			[816,1362,49],
			[962,45,956],
			[962,956,2159],
			[2159,956,548],
			[2159,548,2161],
			[2159,2161,2160],
			[2160,2161,332],
			[2161,548,1363],
			[2161,1363,741],
			[741,1363,3],
			[1364,21,822],
			[1364,822,2162],
			[2162,822,413],
			[2162,413,2164],
			[2162,2164,2163],
			[2163,2164,409],
			[2164,413,1228],
			[2164,1228,818],
			[818,1228,52],
			[1365,52,1230],
			[1365,1230,2165],
			[2165,1230,415],
			[2165,415,2167],
			[2165,2167,2166],
			[2166,2167,150],
			[2167,415,824],
			[2167,824,559],
			[559,824,7],
			[47,1023,1567],
			[1567,1023,205],
			[926,132,964],
			[926,964,1667],
			[1667,964,370],
			[273,964,1090],
			[964,132,1090],
			[132,112,1090],
			[132,1185,112],
			[1185,1091,112],
			[682,370,273],
			[370,964,273],
			[1185,369,1091],
			[369,274,1091],
			[369,778,274],
			[778,683,274],
			[778,98,683],
			[98,86,683],
			[43,952,814],
			[284,1100,1132],
			[1100,1133,123],
			[316,284,1132],
			[1132,1100,123],
			[725,284,316],
			[86,693,725],
			[693,284,725],
			[98,693,86],
			[1100,283,1133],
			[283,317,1133],
			[283,692,317],
			[692,726,317],
			[692,74,726],
			[74,78,726],
			[78,715,703],
			[715,306,703],
			[306,294,703],
			[74,715,78],
			[306,1122,294],
			[1122,1110,294],
			[40,779,682],
			[779,370,682],
			[1122,120,1110],
			[120,117,1110],
			[120,1121,117],
			[1121,1111,117],
			[1121,305,1111],
			[305,295,1111],
			[305,714,295],
			[714,704,295],
			[714,82,704],
			[82,110,704],
			[82,680,110],
			[680,813,110],
			[680,271,813],
			[271,404,813],
			[271,1088,404],
			[1088,1186,404],
			[1088,111,1186],
			[111,141,1186],
			[111,1087,141],
			[1087,1220,141],
			[1087,270,1220],
			[270,405,1220],
			[270,679,405],
			[679,814,405],
			[1023,47,40],
			[212,47,1967],
			[212,1669,47],
			[484,47,1567],
			[47,779,40],
			[43,1302,1030],
			[860,1101,1100],
			[860,284,1468],
			[1100,284,860]
		]
	);
}

